/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* OpenCL Builtin handling                                                    *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#include "llvm/ADT/StringRef.h"
using namespace clang;

enum OpenCLTypeID {
  OCLT_bool,
  OCLT_char,
  OCLT_double,
  OCLT_Event,
  OCLT_float,
  OCLT_half,
  OCLT_Image1d,
  OCLT_Image1dArray,
  OCLT_Image1dBuffer,
  OCLT_Image2d,
  OCLT_Image2dArray,
  OCLT_Image2dArrayDepth,
  OCLT_Image2dArrayMsaa,
  OCLT_Image2dArrayMsaaDepth,
  OCLT_Image2dDepth,
  OCLT_Image2dMsaa,
  OCLT_Image2dMsaaDepth,
  OCLT_Image3d,
  OCLT_int,
  OCLT_intptr_t,
  OCLT_long,
  OCLT_ptrdiff_t,
  OCLT_Sampler,
  OCLT_short,
  OCLT_size_t,
  OCLT_uchar,
  OCLT_uint,
  OCLT_uintPtr_t,
  OCLT_ulong,
  OCLT_ushort,
  OCLT_void_t,
  OCLT_AGenTypeN,
  OCLT_AGenTypeNNoScalar,
  OCLT_AIGenType1,
  OCLT_AIGenTypeN,
  OCLT_AIGenTypeNNoScalar,
  OCLT_FGenTypeN,
  OCLT_GenTypeCharVecAndScalar,
  OCLT_GenTypeCharVecNoScalar,
  OCLT_GenTypeDoubleVecAndScalar,
  OCLT_GenTypeDoubleVecNoScalar,
  OCLT_GenTypeFloatVecAndScalar,
  OCLT_GenTypeFloatVecNoScalar,
  OCLT_GenTypeHalfVecAndScalar,
  OCLT_GenTypeHalfVecNoScalar,
  OCLT_GenTypeIntVecAndScalar,
  OCLT_GenTypeIntVecNoScalar,
  OCLT_GenTypeLongVecAndScalar,
  OCLT_GenTypeLongVecNoScalar,
  OCLT_GenTypeShortVecAndScalar,
  OCLT_GenTypeShortVecNoScalar,
  OCLT_GenTypeUCharVecAndScalar,
  OCLT_GenTypeUCharVecNoScalar,
  OCLT_GenTypeUIntVecAndScalar,
  OCLT_GenTypeUIntVecNoScalar,
  OCLT_GenTypeULongVecAndScalar,
  OCLT_GenTypeULongVecNoScalar,
  OCLT_GenTypeUShortVecAndScalar,
  OCLT_GenTypeUShortVecNoScalar,
};

// Image access qualifier.
enum OpenCLAccessQual : unsigned char {
  OCLAQ_None,
  OCLAQ_ReadOnly,
  OCLAQ_WriteOnly,
  OCLAQ_ReadWrite
};

// Represents a return type or argument type.
struct OpenCLTypeStruct {
  // A type (e.g. float, int, ...).
  const OpenCLTypeID ID;
  // Vector size (if applicable; 0 for scalars and generic types).
  const unsigned VectorWidth;
  // 0 if the type is not a pointer.
  const bool IsPointer;
  // 0 if the type is not const.
  const bool IsConst;
  // 0 if the type is not volatile.
  const bool IsVolatile;
  // Access qualifier.
  const OpenCLAccessQual AccessQualifier;
  // Address space of the pointer (if applicable).
  const LangAS AS;
};

// One overload of an OpenCL builtin function.
struct OpenCLBuiltinStruct {
  // Index of the signature in the OpenCLTypeStruct table.
  const unsigned SigTableIndex;
  // Entries between index SigTableIndex and (SigTableIndex + NumTypes - 1) in
  // the SignatureTable represent the complete signature.  The first type at
  // index SigTableIndex is the return type.
  const unsigned NumTypes;
  // First OpenCL version in which this overload was introduced (e.g. CL20).
  const unsigned short MinVersion;
  // First OpenCL version in which this overload was removed (e.g. CL20).
  const unsigned short MaxVersion;
};

static const OpenCLTypeStruct TypeTable[] = {
  // 0
  {OCLT_AGenTypeN, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 1
  {OCLT_AGenTypeNNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 2
  {OCLT_AIGenType1, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 3
  {OCLT_AIGenTypeN, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 4
  {OCLT_AIGenTypeNNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 5
  {OCLT_bool, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 6
  {OCLT_char, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 7
  {OCLT_double, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 8
  {OCLT_Event, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 9
  {OCLT_FGenTypeN, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 10
  {OCLT_float, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 11
  {OCLT_GenTypeCharVecAndScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 12
  {OCLT_GenTypeCharVecNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 13
  {OCLT_GenTypeDoubleVecAndScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 14
  {OCLT_GenTypeDoubleVecNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 15
  {OCLT_GenTypeFloatVecAndScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 16
  {OCLT_GenTypeFloatVecNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 17
  {OCLT_GenTypeHalfVecAndScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 18
  {OCLT_GenTypeHalfVecNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 19
  {OCLT_GenTypeIntVecAndScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 20
  {OCLT_GenTypeIntVecNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 21
  {OCLT_GenTypeLongVecAndScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 22
  {OCLT_GenTypeLongVecNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 23
  {OCLT_GenTypeShortVecAndScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 24
  {OCLT_GenTypeShortVecNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 25
  {OCLT_GenTypeUCharVecAndScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 26
  {OCLT_GenTypeUCharVecNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 27
  {OCLT_GenTypeUIntVecAndScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 28
  {OCLT_GenTypeUIntVecNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 29
  {OCLT_GenTypeULongVecAndScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 30
  {OCLT_GenTypeULongVecNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 31
  {OCLT_GenTypeUShortVecAndScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 32
  {OCLT_GenTypeUShortVecNoScalar, 0, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 33
  {OCLT_half, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 34
  {OCLT_Image1d, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 35
  {OCLT_Image1dArray, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 36
  {OCLT_Image1dBuffer, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 37
  {OCLT_Image2d, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 38
  {OCLT_Image2dArray, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 39
  {OCLT_Image2dArrayDepth, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 40
  {OCLT_Image2dArrayMsaa, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 41
  {OCLT_Image2dArrayMsaaDepth, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 42
  {OCLT_Image2dDepth, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 43
  {OCLT_Image2dMsaa, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 44
  {OCLT_Image2dMsaaDepth, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 45
  {OCLT_Image3d, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 46
  {OCLT_int, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 47
  {OCLT_intptr_t, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 48
  {OCLT_long, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 49
  {OCLT_ptrdiff_t, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 50
  {OCLT_Sampler, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 51
  {OCLT_short, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 52
  {OCLT_size_t, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 53
  {OCLT_uchar, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 54
  {OCLT_uint, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 55
  {OCLT_uintPtr_t, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 56
  {OCLT_ulong, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 57
  {OCLT_ushort, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 58
  {OCLT_void_t, 1, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 59
  {OCLT_double, 2, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 60
  {OCLT_double, 3, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 61
  {OCLT_double, 4, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 62
  {OCLT_double, 8, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 63
  {OCLT_double, 16, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 64
  {OCLT_half, 2, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 65
  {OCLT_half, 3, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 66
  {OCLT_half, 4, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 67
  {OCLT_half, 8, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 68
  {OCLT_half, 16, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 69
  {OCLT_char, 2, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 70
  {OCLT_char, 3, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 71
  {OCLT_char, 4, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 72
  {OCLT_char, 8, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 73
  {OCLT_char, 16, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 74
  {OCLT_uchar, 2, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 75
  {OCLT_uchar, 3, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 76
  {OCLT_uchar, 4, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 77
  {OCLT_uchar, 8, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 78
  {OCLT_uchar, 16, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 79
  {OCLT_short, 2, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 80
  {OCLT_short, 3, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 81
  {OCLT_short, 4, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 82
  {OCLT_short, 8, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 83
  {OCLT_short, 16, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 84
  {OCLT_ushort, 2, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 85
  {OCLT_ushort, 3, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 86
  {OCLT_ushort, 4, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 87
  {OCLT_ushort, 8, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 88
  {OCLT_ushort, 16, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 89
  {OCLT_float, 2, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 90
  {OCLT_float, 3, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 91
  {OCLT_float, 4, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 92
  {OCLT_int, 2, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 93
  {OCLT_float, 8, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 94
  {OCLT_int, 3, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 95
  {OCLT_int, 4, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 96
  {OCLT_int, 8, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 97
  {OCLT_int, 16, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 98
  {OCLT_float, 16, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 99
  {OCLT_uint, 2, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 100
  {OCLT_uint, 3, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 101
  {OCLT_uint, 4, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 102
  {OCLT_uint, 8, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 103
  {OCLT_uint, 16, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 104
  {OCLT_long, 2, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 105
  {OCLT_long, 3, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 106
  {OCLT_long, 4, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 107
  {OCLT_long, 8, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 108
  {OCLT_long, 16, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 109
  {OCLT_ulong, 2, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 110
  {OCLT_ulong, 3, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 111
  {OCLT_ulong, 4, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 112
  {OCLT_ulong, 8, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 113
  {OCLT_ulong, 16, 0, 0, 0, OCLAQ_None, clang::LangAS::Default},
  // 114
  {OCLT_char, 1, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 115
  {OCLT_uchar, 1, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 116
  {OCLT_short, 1, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 117
  {OCLT_ushort, 1, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 118
  {OCLT_int, 1, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 119
  {OCLT_uint, 1, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 120
  {OCLT_long, 1, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 121
  {OCLT_ulong, 1, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 122
  {OCLT_float, 1, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 123
  {OCLT_double, 1, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 124
  {OCLT_half, 1, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 125
  {OCLT_char, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 126
  {OCLT_uchar, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 127
  {OCLT_short, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 128
  {OCLT_ushort, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 129
  {OCLT_int, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 130
  {OCLT_uint, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 131
  {OCLT_long, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 132
  {OCLT_ulong, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 133
  {OCLT_float, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 134
  {OCLT_double, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 135
  {OCLT_half, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 136
  {OCLT_half, 1, 1, 0, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 137
  {OCLT_char, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 138
  {OCLT_uchar, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 139
  {OCLT_short, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 140
  {OCLT_ushort, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 141
  {OCLT_int, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 142
  {OCLT_uint, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 143
  {OCLT_long, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 144
  {OCLT_ulong, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 145
  {OCLT_float, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 146
  {OCLT_double, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 147
  {OCLT_half, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 148
  {OCLT_half, 1, 1, 0, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 149
  {OCLT_char, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 150
  {OCLT_uchar, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 151
  {OCLT_short, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 152
  {OCLT_ushort, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 153
  {OCLT_int, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 154
  {OCLT_uint, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 155
  {OCLT_long, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 156
  {OCLT_ulong, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 157
  {OCLT_float, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 158
  {OCLT_double, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 159
  {OCLT_half, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 160
  {OCLT_half, 1, 1, 0, 0, OCLAQ_None, clang::LangAS::opencl_private},
  // 161
  {OCLT_char, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 162
  {OCLT_uchar, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 163
  {OCLT_short, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 164
  {OCLT_ushort, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 165
  {OCLT_int, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 166
  {OCLT_uint, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 167
  {OCLT_long, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 168
  {OCLT_ulong, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 169
  {OCLT_float, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 170
  {OCLT_double, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 171
  {OCLT_half, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 172
  {OCLT_half, 1, 1, 0, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 173
  {OCLT_char, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 174
  {OCLT_uchar, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 175
  {OCLT_short, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 176
  {OCLT_ushort, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 177
  {OCLT_int, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 178
  {OCLT_uint, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 179
  {OCLT_long, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 180
  {OCLT_ulong, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 181
  {OCLT_float, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 182
  {OCLT_double, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 183
  {OCLT_half, 1, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 184
  {OCLT_half, 1, 1, 0, 0, OCLAQ_None, clang::LangAS::opencl_constant},
  // 185
  {OCLT_AGenTypeN, 0, 1, 0, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 186
  {OCLT_AGenTypeN, 0, 0, 1, 0, OCLAQ_None, clang::LangAS::Default},
  // 187
  {OCLT_AGenTypeN, 0, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 188
  {OCLT_AGenTypeN, 0, 1, 0, 0, OCLAQ_None, clang::LangAS::opencl_global},
  // 189
  {OCLT_AGenTypeN, 0, 1, 1, 0, OCLAQ_None, clang::LangAS::opencl_local},
  // 190
  {OCLT_Event, 1, 1, 0, 0, OCLAQ_None, clang::LangAS::opencl_generic},
  // 191
  {OCLT_int, 1, 0, 0, 1, OCLAQ_None, clang::LangAS::Default},
  // 192
  {OCLT_int, 1, 1, 0, 1, OCLAQ_None, clang::LangAS::opencl_global},
  // 193
  {OCLT_uint, 1, 0, 0, 1, OCLAQ_None, clang::LangAS::Default},
  // 194
  {OCLT_uint, 1, 1, 0, 1, OCLAQ_None, clang::LangAS::opencl_global},
  // 195
  {OCLT_Image1d, 0, 0, 0, 0, OCLAQ_ReadOnly, clang::LangAS::Default},
  // 196
  {OCLT_Image2d, 0, 0, 0, 0, OCLAQ_ReadOnly, clang::LangAS::Default},
  // 197
  {OCLT_Image1dArray, 0, 0, 0, 0, OCLAQ_ReadOnly, clang::LangAS::Default},
  // 198
  {OCLT_Image3d, 0, 0, 0, 0, OCLAQ_ReadOnly, clang::LangAS::Default},
  // 199
  {OCLT_Image2dArray, 0, 0, 0, 0, OCLAQ_ReadOnly, clang::LangAS::Default},
  // 200
  {OCLT_Image2dDepth, 0, 0, 0, 0, OCLAQ_ReadOnly, clang::LangAS::Default},
  // 201
  {OCLT_Image2dArrayDepth, 0, 0, 0, 0, OCLAQ_ReadOnly, clang::LangAS::Default},
  // 202
  {OCLT_Image1dBuffer, 0, 0, 0, 0, OCLAQ_ReadOnly, clang::LangAS::Default},
  // 203
  {OCLT_Image2d, 0, 0, 0, 0, OCLAQ_ReadWrite, clang::LangAS::Default},
  // 204
  {OCLT_Image1dArray, 0, 0, 0, 0, OCLAQ_ReadWrite, clang::LangAS::Default},
  // 205
  {OCLT_Image3d, 0, 0, 0, 0, OCLAQ_ReadWrite, clang::LangAS::Default},
  // 206
  {OCLT_Image2dArray, 0, 0, 0, 0, OCLAQ_ReadWrite, clang::LangAS::Default},
  // 207
  {OCLT_Image1d, 0, 0, 0, 0, OCLAQ_ReadWrite, clang::LangAS::Default},
  // 208
  {OCLT_Image1dBuffer, 0, 0, 0, 0, OCLAQ_ReadWrite, clang::LangAS::Default},
  // 209
  {OCLT_Image2dDepth, 0, 0, 0, 0, OCLAQ_ReadWrite, clang::LangAS::Default},
  // 210
  {OCLT_Image2dArrayDepth, 0, 0, 0, 0, OCLAQ_ReadWrite, clang::LangAS::Default},
  // 211
  {OCLT_Image2d, 0, 0, 0, 0, OCLAQ_WriteOnly, clang::LangAS::Default},
  // 212
  {OCLT_Image2dArray, 0, 0, 0, 0, OCLAQ_WriteOnly, clang::LangAS::Default},
  // 213
  {OCLT_Image1d, 0, 0, 0, 0, OCLAQ_WriteOnly, clang::LangAS::Default},
  // 214
  {OCLT_Image1dBuffer, 0, 0, 0, 0, OCLAQ_WriteOnly, clang::LangAS::Default},
  // 215
  {OCLT_Image1dArray, 0, 0, 0, 0, OCLAQ_WriteOnly, clang::LangAS::Default},
  // 216
  {OCLT_Image3d, 0, 0, 0, 0, OCLAQ_WriteOnly, clang::LangAS::Default},
  // 217
  {OCLT_Image2dDepth, 0, 0, 0, 0, OCLAQ_WriteOnly, clang::LangAS::Default},
  // 218
  {OCLT_Image2dArrayDepth, 0, 0, 0, 0, OCLAQ_WriteOnly, clang::LangAS::Default},
};

static const unsigned SignatureTable[] = {
  // 0
  93, 93, 
  // 2
  60, 75, 
  // 4
  61, 76, 
  // 6
  62, 77, 
  // 8
  63, 78, 
  // 10
  7, 53, 
  // 12
  59, 74, 
  // 14
  98, 98, 
  // 16
  10, 10, 
  // 18
  89, 89, 
  // 20
  90, 90, 
  // 22
  91, 91, 
  // 24
  7, 51, 
  // 26
  59, 79, 
  // 28
  60, 80, 
  // 30
  61, 81, 
  // 32
  62, 82, 
  // 34
  63, 83, 
  // 36
  10, 7, 
  // 38
  89, 59, 
  // 40
  7, 57, 
  // 42
  59, 84, 
  // 44
  90, 60, 
  // 46
  60, 85, 
  // 48
  61, 86, 
  // 50
  62, 87, 
  // 52
  63, 88, 
  // 54
  91, 61, 
  // 56
  93, 62, 
  // 58
  7, 46, 
  // 60
  59, 92, 
  // 62
  98, 63, 
  // 64
  60, 94, 
  // 66
  61, 95, 
  // 68
  62, 96, 
  // 70
  63, 97, 
  // 72
  7, 54, 
  // 74
  59, 99, 
  // 76
  60, 100, 
  // 78
  61, 101, 
  // 80
  62, 102, 
  // 82
  63, 103, 
  // 84
  7, 48, 
  // 86
  59, 104, 
  // 88
  60, 105, 
  // 90
  61, 106, 
  // 92
  62, 107, 
  // 94
  63, 108, 
  // 96
  7, 56, 
  // 98
  59, 109, 
  // 100
  60, 110, 
  // 102
  61, 111, 
  // 104
  62, 112, 
  // 106
  63, 113, 
  // 108
  33, 10, 
  // 110
  64, 89, 
  // 112
  65, 90, 
  // 114
  66, 91, 
  // 116
  67, 93, 
  // 118
  68, 98, 
  // 120
  33, 7, 
  // 122
  64, 59, 
  // 124
  65, 60, 
  // 126
  66, 61, 
  // 128
  67, 62, 
  // 130
  68, 63, 
  // 132
  33, 33, 
  // 134
  64, 64, 
  // 136
  65, 65, 
  // 138
  66, 66, 
  // 140
  67, 67, 
  // 142
  68, 68, 
  // 144
  33, 6, 
  // 146
  64, 69, 
  // 148
  65, 70, 
  // 150
  66, 71, 
  // 152
  67, 72, 
  // 154
  68, 73, 
  // 156
  33, 53, 
  // 158
  64, 74, 
  // 160
  65, 75, 
  // 162
  66, 76, 
  // 164
  67, 77, 
  // 166
  68, 78, 
  // 168
  33, 51, 
  // 170
  64, 79, 
  // 172
  65, 80, 
  // 174
  66, 81, 
  // 176
  67, 82, 
  // 178
  68, 83, 
  // 180
  10, 33, 
  // 182
  89, 64, 
  // 184
  90, 65, 
  // 186
  33, 57, 
  // 188
  64, 84, 
  // 190
  65, 85, 
  // 192
  66, 86, 
  // 194
  67, 87, 
  // 196
  68, 88, 
  // 198
  91, 66, 
  // 200
  93, 67, 
  // 202
  98, 68, 
  // 204
  33, 46, 
  // 206
  64, 92, 
  // 208
  65, 94, 
  // 210
  66, 95, 
  // 212
  67, 96, 
  // 214
  68, 97, 
  // 216
  33, 54, 
  // 218
  64, 99, 
  // 220
  65, 100, 
  // 222
  66, 101, 
  // 224
  67, 102, 
  // 226
  68, 103, 
  // 228
  33, 48, 
  // 230
  64, 104, 
  // 232
  65, 105, 
  // 234
  66, 106, 
  // 236
  67, 107, 
  // 238
  68, 108, 
  // 240
  33, 56, 
  // 242
  64, 109, 
  // 244
  65, 110, 
  // 246
  66, 111, 
  // 248
  67, 112, 
  // 250
  68, 113, 
  // 252
  6, 10, 
  // 254
  69, 89, 
  // 256
  70, 90, 
  // 258
  71, 91, 
  // 260
  72, 93, 
  // 262
  73, 98, 
  // 264
  6, 7, 
  // 266
  69, 59, 
  // 268
  70, 60, 
  // 270
  71, 61, 
  // 272
  72, 62, 
  // 274
  73, 63, 
  // 276
  6, 33, 
  // 278
  69, 64, 
  // 280
  70, 65, 
  // 282
  71, 66, 
  // 284
  72, 67, 
  // 286
  73, 68, 
  // 288
  6, 6, 
  // 290
  69, 69, 
  // 292
  70, 70, 
  // 294
  71, 71, 
  // 296
  72, 72, 
  // 298
  73, 73, 
  // 300
  6, 53, 
  // 302
  69, 74, 
  // 304
  70, 75, 
  // 306
  71, 76, 
  // 308
  72, 77, 
  // 310
  73, 78, 
  // 312
  6, 51, 
  // 314
  69, 79, 
  // 316
  10, 6, 
  // 318
  70, 80, 
  // 320
  71, 81, 
  // 322
  72, 82, 
  // 324
  73, 83, 
  // 326
  89, 69, 
  // 328
  90, 70, 
  // 330
  6, 57, 
  // 332
  69, 84, 
  // 334
  91, 71, 
  // 336
  70, 85, 
  // 338
  71, 86, 
  // 340
  72, 87, 
  // 342
  73, 88, 
  // 344
  93, 72, 
  // 346
  98, 73, 
  // 348
  6, 46, 
  // 350
  69, 92, 
  // 352
  70, 94, 
  // 354
  71, 95, 
  // 356
  72, 96, 
  // 358
  73, 97, 
  // 360
  6, 54, 
  // 362
  69, 99, 
  // 364
  70, 100, 
  // 366
  71, 101, 
  // 368
  72, 102, 
  // 370
  73, 103, 
  // 372
  6, 48, 
  // 374
  69, 104, 
  // 376
  70, 105, 
  // 378
  71, 106, 
  // 380
  72, 107, 
  // 382
  73, 108, 
  // 384
  6, 56, 
  // 386
  69, 109, 
  // 388
  70, 110, 
  // 390
  71, 111, 
  // 392
  72, 112, 
  // 394
  73, 113, 
  // 396
  53, 10, 
  // 398
  74, 89, 
  // 400
  75, 90, 
  // 402
  76, 91, 
  // 404
  77, 93, 
  // 406
  78, 98, 
  // 408
  53, 7, 
  // 410
  74, 59, 
  // 412
  75, 60, 
  // 414
  76, 61, 
  // 416
  77, 62, 
  // 418
  78, 63, 
  // 420
  53, 33, 
  // 422
  74, 64, 
  // 424
  75, 65, 
  // 426
  76, 66, 
  // 428
  77, 67, 
  // 430
  78, 68, 
  // 432
  53, 6, 
  // 434
  74, 69, 
  // 436
  75, 70, 
  // 438
  76, 71, 
  // 440
  77, 72, 
  // 442
  78, 73, 
  // 444
  53, 53, 
  // 446
  74, 74, 
  // 448
  75, 75, 
  // 450
  76, 76, 
  // 452
  77, 77, 
  // 454
  78, 78, 
  // 456
  10, 53, 
  // 458
  53, 51, 
  // 460
  74, 79, 
  // 462
  75, 80, 
  // 464
  76, 81, 
  // 466
  77, 82, 
  // 468
  78, 83, 
  // 470
  89, 74, 
  // 472
  90, 75, 
  // 474
  91, 76, 
  // 476
  53, 57, 
  // 478
  74, 84, 
  // 480
  75, 85, 
  // 482
  76, 86, 
  // 484
  77, 87, 
  // 486
  78, 88, 
  // 488
  93, 77, 
  // 490
  98, 78, 
  // 492
  53, 46, 
  // 494
  74, 92, 
  // 496
  75, 94, 
  // 498
  76, 95, 
  // 500
  77, 96, 
  // 502
  78, 97, 
  // 504
  53, 54, 
  // 506
  74, 99, 
  // 508
  75, 100, 
  // 510
  76, 101, 
  // 512
  77, 102, 
  // 514
  78, 103, 
  // 516
  53, 48, 
  // 518
  74, 104, 
  // 520
  75, 105, 
  // 522
  76, 106, 
  // 524
  77, 107, 
  // 526
  78, 108, 
  // 528
  53, 56, 
  // 530
  74, 109, 
  // 532
  75, 110, 
  // 534
  76, 111, 
  // 536
  77, 112, 
  // 538
  78, 113, 
  // 540
  51, 10, 
  // 542
  79, 89, 
  // 544
  80, 90, 
  // 546
  81, 91, 
  // 548
  82, 93, 
  // 550
  83, 98, 
  // 552
  51, 7, 
  // 554
  79, 59, 
  // 556
  80, 60, 
  // 558
  81, 61, 
  // 560
  82, 62, 
  // 562
  83, 63, 
  // 564
  51, 33, 
  // 566
  79, 64, 
  // 568
  80, 65, 
  // 570
  81, 66, 
  // 572
  82, 67, 
  // 574
  83, 68, 
  // 576
  51, 6, 
  // 578
  79, 69, 
  // 580
  80, 70, 
  // 582
  81, 71, 
  // 584
  82, 72, 
  // 586
  83, 73, 
  // 588
  51, 53, 
  // 590
  79, 74, 
  // 592
  80, 75, 
  // 594
  81, 76, 
  // 596
  82, 77, 
  // 598
  83, 78, 
  // 600
  10, 51, 
  // 602
  51, 51, 
  // 604
  79, 79, 
  // 606
  89, 79, 
  // 608
  80, 80, 
  // 610
  81, 81, 
  // 612
  82, 82, 
  // 614
  83, 83, 
  // 616
  90, 80, 
  // 618
  91, 81, 
  // 620
  51, 57, 
  // 622
  79, 84, 
  // 624
  93, 82, 
  // 626
  80, 85, 
  // 628
  81, 86, 
  // 630
  82, 87, 
  // 632
  83, 88, 
  // 634
  98, 83, 
  // 636
  51, 46, 
  // 638
  79, 92, 
  // 640
  80, 94, 
  // 642
  81, 95, 
  // 644
  82, 96, 
  // 646
  83, 97, 
  // 648
  51, 54, 
  // 650
  79, 99, 
  // 652
  80, 100, 
  // 654
  81, 101, 
  // 656
  82, 102, 
  // 658
  83, 103, 
  // 660
  51, 48, 
  // 662
  79, 104, 
  // 664
  80, 105, 
  // 666
  81, 106, 
  // 668
  82, 107, 
  // 670
  83, 108, 
  // 672
  51, 56, 
  // 674
  79, 109, 
  // 676
  80, 110, 
  // 678
  81, 111, 
  // 680
  82, 112, 
  // 682
  83, 113, 
  // 684
  57, 10, 
  // 686
  84, 89, 
  // 688
  85, 90, 
  // 690
  86, 91, 
  // 692
  87, 93, 
  // 694
  88, 98, 
  // 696
  57, 7, 
  // 698
  84, 59, 
  // 700
  85, 60, 
  // 702
  86, 61, 
  // 704
  87, 62, 
  // 706
  88, 63, 
  // 708
  57, 33, 
  // 710
  84, 64, 
  // 712
  85, 65, 
  // 714
  86, 66, 
  // 716
  87, 67, 
  // 718
  88, 68, 
  // 720
  57, 6, 
  // 722
  84, 69, 
  // 724
  85, 70, 
  // 726
  86, 71, 
  // 728
  87, 72, 
  // 730
  88, 73, 
  // 732
  57, 53, 
  // 734
  84, 74, 
  // 736
  85, 75, 
  // 738
  86, 76, 
  // 740
  87, 77, 
  // 742
  88, 78, 
  // 744
  10, 57, 
  // 746
  89, 84, 
  // 748
  57, 51, 
  // 750
  84, 79, 
  // 752
  85, 80, 
  // 754
  86, 81, 
  // 756
  87, 82, 
  // 758
  88, 83, 
  // 760
  90, 85, 
  // 762
  91, 86, 
  // 764
  93, 87, 
  // 766
  57, 57, 
  // 768
  84, 84, 
  // 770
  85, 85, 
  // 772
  86, 86, 
  // 774
  87, 87, 
  // 776
  88, 88, 
  // 778
  98, 88, 
  // 780
  57, 46, 
  // 782
  84, 92, 
  // 784
  85, 94, 
  // 786
  86, 95, 
  // 788
  87, 96, 
  // 790
  88, 97, 
  // 792
  57, 54, 
  // 794
  84, 99, 
  // 796
  85, 100, 
  // 798
  86, 101, 
  // 800
  87, 102, 
  // 802
  88, 103, 
  // 804
  57, 48, 
  // 806
  84, 104, 
  // 808
  85, 105, 
  // 810
  86, 106, 
  // 812
  87, 107, 
  // 814
  88, 108, 
  // 816
  57, 56, 
  // 818
  84, 109, 
  // 820
  85, 110, 
  // 822
  86, 111, 
  // 824
  87, 112, 
  // 826
  88, 113, 
  // 828
  46, 10, 
  // 830
  92, 89, 
  // 832
  94, 90, 
  // 834
  95, 91, 
  // 836
  96, 93, 
  // 838
  97, 98, 
  // 840
  46, 7, 
  // 842
  92, 59, 
  // 844
  94, 60, 
  // 846
  95, 61, 
  // 848
  96, 62, 
  // 850
  97, 63, 
  // 852
  46, 33, 
  // 854
  92, 64, 
  // 856
  94, 65, 
  // 858
  95, 66, 
  // 860
  96, 67, 
  // 862
  97, 68, 
  // 864
  46, 6, 
  // 866
  92, 69, 
  // 868
  94, 70, 
  // 870
  95, 71, 
  // 872
  96, 72, 
  // 874
  97, 73, 
  // 876
  46, 53, 
  // 878
  92, 74, 
  // 880
  94, 75, 
  // 882
  95, 76, 
  // 884
  96, 77, 
  // 886
  97, 78, 
  // 888
  10, 46, 
  // 890
  89, 92, 
  // 892
  46, 51, 
  // 894
  92, 79, 
  // 896
  90, 94, 
  // 898
  94, 80, 
  // 900
  95, 81, 
  // 902
  96, 82, 
  // 904
  97, 83, 
  // 906
  91, 95, 
  // 908
  93, 96, 
  // 910
  46, 57, 
  // 912
  92, 84, 
  // 914
  98, 97, 
  // 916
  94, 85, 
  // 918
  95, 86, 
  // 920
  96, 87, 
  // 922
  97, 88, 
  // 924
  46, 46, 
  // 926
  92, 92, 
  // 928
  94, 94, 
  // 930
  95, 95, 
  // 932
  96, 96, 
  // 934
  97, 97, 
  // 936
  46, 54, 
  // 938
  92, 99, 
  // 940
  94, 100, 
  // 942
  95, 101, 
  // 944
  96, 102, 
  // 946
  97, 103, 
  // 948
  46, 48, 
  // 950
  92, 104, 
  // 952
  94, 105, 
  // 954
  95, 106, 
  // 956
  96, 107, 
  // 958
  97, 108, 
  // 960
  46, 56, 
  // 962
  92, 109, 
  // 964
  94, 110, 
  // 966
  95, 111, 
  // 968
  96, 112, 
  // 970
  97, 113, 
  // 972
  54, 10, 
  // 974
  99, 89, 
  // 976
  100, 90, 
  // 978
  101, 91, 
  // 980
  102, 93, 
  // 982
  103, 98, 
  // 984
  54, 7, 
  // 986
  99, 59, 
  // 988
  100, 60, 
  // 990
  101, 61, 
  // 992
  102, 62, 
  // 994
  103, 63, 
  // 996
  54, 33, 
  // 998
  99, 64, 
  // 1000
  100, 65, 
  // 1002
  101, 66, 
  // 1004
  102, 67, 
  // 1006
  103, 68, 
  // 1008
  54, 6, 
  // 1010
  99, 69, 
  // 1012
  100, 70, 
  // 1014
  101, 71, 
  // 1016
  102, 72, 
  // 1018
  103, 73, 
  // 1020
  54, 53, 
  // 1022
  99, 74, 
  // 1024
  100, 75, 
  // 1026
  101, 76, 
  // 1028
  102, 77, 
  // 1030
  103, 78, 
  // 1032
  10, 54, 
  // 1034
  89, 99, 
  // 1036
  90, 100, 
  // 1038
  54, 51, 
  // 1040
  99, 79, 
  // 1042
  100, 80, 
  // 1044
  101, 81, 
  // 1046
  102, 82, 
  // 1048
  103, 83, 
  // 1050
  91, 101, 
  // 1052
  93, 102, 
  // 1054
  98, 103, 
  // 1056
  54, 57, 
  // 1058
  99, 84, 
  // 1060
  100, 85, 
  // 1062
  101, 86, 
  // 1064
  102, 87, 
  // 1066
  103, 88, 
  // 1068
  54, 46, 
  // 1070
  99, 92, 
  // 1072
  100, 94, 
  // 1074
  101, 95, 
  // 1076
  102, 96, 
  // 1078
  103, 97, 
  // 1080
  54, 54, 
  // 1082
  99, 99, 
  // 1084
  100, 100, 
  // 1086
  101, 101, 
  // 1088
  102, 102, 
  // 1090
  103, 103, 
  // 1092
  54, 48, 
  // 1094
  99, 104, 
  // 1096
  100, 105, 
  // 1098
  101, 106, 
  // 1100
  102, 107, 
  // 1102
  103, 108, 
  // 1104
  54, 56, 
  // 1106
  99, 109, 
  // 1108
  100, 110, 
  // 1110
  101, 111, 
  // 1112
  102, 112, 
  // 1114
  103, 113, 
  // 1116
  48, 10, 
  // 1118
  104, 89, 
  // 1120
  105, 90, 
  // 1122
  106, 91, 
  // 1124
  107, 93, 
  // 1126
  108, 98, 
  // 1128
  48, 7, 
  // 1130
  104, 59, 
  // 1132
  105, 60, 
  // 1134
  106, 61, 
  // 1136
  107, 62, 
  // 1138
  108, 63, 
  // 1140
  48, 33, 
  // 1142
  104, 64, 
  // 1144
  105, 65, 
  // 1146
  106, 66, 
  // 1148
  107, 67, 
  // 1150
  108, 68, 
  // 1152
  48, 6, 
  // 1154
  104, 69, 
  // 1156
  105, 70, 
  // 1158
  106, 71, 
  // 1160
  107, 72, 
  // 1162
  108, 73, 
  // 1164
  48, 53, 
  // 1166
  104, 74, 
  // 1168
  10, 48, 
  // 1170
  105, 75, 
  // 1172
  106, 76, 
  // 1174
  107, 77, 
  // 1176
  108, 78, 
  // 1178
  89, 104, 
  // 1180
  90, 105, 
  // 1182
  48, 51, 
  // 1184
  104, 79, 
  // 1186
  91, 106, 
  // 1188
  105, 80, 
  // 1190
  106, 81, 
  // 1192
  107, 82, 
  // 1194
  108, 83, 
  // 1196
  93, 107, 
  // 1198
  98, 108, 
  // 1200
  48, 57, 
  // 1202
  104, 84, 
  // 1204
  105, 85, 
  // 1206
  106, 86, 
  // 1208
  107, 87, 
  // 1210
  108, 88, 
  // 1212
  48, 46, 
  // 1214
  104, 92, 
  // 1216
  105, 94, 
  // 1218
  106, 95, 
  // 1220
  107, 96, 
  // 1222
  108, 97, 
  // 1224
  48, 54, 
  // 1226
  104, 99, 
  // 1228
  105, 100, 
  // 1230
  106, 101, 
  // 1232
  107, 102, 
  // 1234
  108, 103, 
  // 1236
  48, 48, 
  // 1238
  104, 104, 
  // 1240
  105, 105, 
  // 1242
  106, 106, 
  // 1244
  107, 107, 
  // 1246
  108, 108, 
  // 1248
  48, 56, 
  // 1250
  104, 109, 
  // 1252
  105, 110, 
  // 1254
  106, 111, 
  // 1256
  107, 112, 
  // 1258
  108, 113, 
  // 1260
  56, 10, 
  // 1262
  109, 89, 
  // 1264
  110, 90, 
  // 1266
  111, 91, 
  // 1268
  112, 93, 
  // 1270
  113, 98, 
  // 1272
  56, 7, 
  // 1274
  109, 59, 
  // 1276
  110, 60, 
  // 1278
  111, 61, 
  // 1280
  112, 62, 
  // 1282
  113, 63, 
  // 1284
  56, 33, 
  // 1286
  109, 64, 
  // 1288
  110, 65, 
  // 1290
  111, 66, 
  // 1292
  112, 67, 
  // 1294
  113, 68, 
  // 1296
  56, 6, 
  // 1298
  109, 69, 
  // 1300
  110, 70, 
  // 1302
  111, 71, 
  // 1304
  112, 72, 
  // 1306
  113, 73, 
  // 1308
  10, 56, 
  // 1310
  56, 53, 
  // 1312
  109, 74, 
  // 1314
  110, 75, 
  // 1316
  111, 76, 
  // 1318
  112, 77, 
  // 1320
  113, 78, 
  // 1322
  89, 109, 
  // 1324
  90, 110, 
  // 1326
  91, 111, 
  // 1328
  56, 51, 
  // 1330
  109, 79, 
  // 1332
  110, 80, 
  // 1334
  111, 81, 
  // 1336
  112, 82, 
  // 1338
  113, 83, 
  // 1340
  93, 112, 
  // 1342
  98, 113, 
  // 1344
  56, 57, 
  // 1346
  109, 84, 
  // 1348
  110, 85, 
  // 1350
  111, 86, 
  // 1352
  112, 87, 
  // 1354
  113, 88, 
  // 1356
  56, 46, 
  // 1358
  109, 92, 
  // 1360
  110, 94, 
  // 1362
  111, 95, 
  // 1364
  112, 96, 
  // 1366
  113, 97, 
  // 1368
  56, 54, 
  // 1370
  109, 99, 
  // 1372
  110, 100, 
  // 1374
  111, 101, 
  // 1376
  112, 102, 
  // 1378
  113, 103, 
  // 1380
  56, 48, 
  // 1382
  109, 104, 
  // 1384
  110, 105, 
  // 1386
  111, 106, 
  // 1388
  112, 107, 
  // 1390
  113, 108, 
  // 1392
  56, 56, 
  // 1394
  109, 109, 
  // 1396
  110, 110, 
  // 1398
  111, 111, 
  // 1400
  112, 112, 
  // 1402
  113, 113, 
  // 1404
  54, 
  // 1405
  52, 54, 
  // 1407
  52, 
  // 1408
  69, 52, 125, 
  // 1411
  74, 52, 126, 
  // 1414
  79, 52, 127, 
  // 1417
  84, 52, 128, 
  // 1420
  92, 52, 129, 
  // 1423
  99, 52, 130, 
  // 1426
  104, 52, 131, 
  // 1429
  109, 52, 132, 
  // 1432
  89, 52, 133, 
  // 1435
  59, 52, 134, 
  // 1438
  64, 52, 135, 
  // 1441
  58, 69, 52, 125, 
  // 1445
  58, 74, 52, 126, 
  // 1449
  58, 79, 52, 127, 
  // 1453
  58, 84, 52, 128, 
  // 1457
  58, 92, 52, 129, 
  // 1461
  58, 99, 52, 130, 
  // 1465
  58, 104, 52, 131, 
  // 1469
  58, 109, 52, 132, 
  // 1473
  58, 89, 52, 133, 
  // 1477
  58, 59, 52, 134, 
  // 1481
  58, 64, 52, 135, 
  // 1485
  89, 52, 135, 
  // 1488
  58, 89, 52, 136, 
  // 1492
  58, 59, 52, 136, 
  // 1496
  70, 52, 125, 
  // 1499
  75, 52, 126, 
  // 1502
  80, 52, 127, 
  // 1505
  85, 52, 128, 
  // 1508
  94, 52, 129, 
  // 1511
  100, 52, 130, 
  // 1514
  105, 52, 131, 
  // 1517
  110, 52, 132, 
  // 1520
  90, 52, 133, 
  // 1523
  60, 52, 134, 
  // 1526
  65, 52, 135, 
  // 1529
  58, 70, 52, 125, 
  // 1533
  58, 75, 52, 126, 
  // 1537
  58, 80, 52, 127, 
  // 1541
  58, 85, 52, 128, 
  // 1545
  58, 94, 52, 129, 
  // 1549
  58, 100, 52, 130, 
  // 1553
  58, 105, 52, 131, 
  // 1557
  58, 110, 52, 132, 
  // 1561
  58, 90, 52, 133, 
  // 1565
  58, 60, 52, 134, 
  // 1569
  58, 65, 52, 135, 
  // 1573
  90, 52, 135, 
  // 1576
  58, 90, 52, 136, 
  // 1580
  58, 60, 52, 136, 
  // 1584
  71, 52, 125, 
  // 1587
  76, 52, 126, 
  // 1590
  81, 52, 127, 
  // 1593
  86, 52, 128, 
  // 1596
  95, 52, 129, 
  // 1599
  101, 52, 130, 
  // 1602
  106, 52, 131, 
  // 1605
  111, 52, 132, 
  // 1608
  91, 52, 133, 
  // 1611
  61, 52, 134, 
  // 1614
  66, 52, 135, 
  // 1617
  58, 71, 52, 125, 
  // 1621
  58, 76, 52, 126, 
  // 1625
  58, 81, 52, 127, 
  // 1629
  58, 86, 52, 128, 
  // 1633
  58, 95, 52, 129, 
  // 1637
  58, 101, 52, 130, 
  // 1641
  58, 106, 52, 131, 
  // 1645
  58, 111, 52, 132, 
  // 1649
  58, 91, 52, 133, 
  // 1653
  58, 61, 52, 134, 
  // 1657
  58, 66, 52, 135, 
  // 1661
  91, 52, 135, 
  // 1664
  58, 91, 52, 136, 
  // 1668
  58, 61, 52, 136, 
  // 1672
  72, 52, 125, 
  // 1675
  77, 52, 126, 
  // 1678
  82, 52, 127, 
  // 1681
  87, 52, 128, 
  // 1684
  96, 52, 129, 
  // 1687
  102, 52, 130, 
  // 1690
  107, 52, 131, 
  // 1693
  112, 52, 132, 
  // 1696
  93, 52, 133, 
  // 1699
  62, 52, 134, 
  // 1702
  67, 52, 135, 
  // 1705
  58, 72, 52, 125, 
  // 1709
  58, 77, 52, 126, 
  // 1713
  58, 82, 52, 127, 
  // 1717
  58, 87, 52, 128, 
  // 1721
  58, 96, 52, 129, 
  // 1725
  58, 102, 52, 130, 
  // 1729
  58, 107, 52, 131, 
  // 1733
  58, 112, 52, 132, 
  // 1737
  58, 93, 52, 133, 
  // 1741
  58, 62, 52, 134, 
  // 1745
  58, 67, 52, 135, 
  // 1749
  93, 52, 135, 
  // 1752
  58, 93, 52, 136, 
  // 1756
  58, 62, 52, 136, 
  // 1760
  73, 52, 125, 
  // 1763
  78, 52, 126, 
  // 1766
  83, 52, 127, 
  // 1769
  88, 52, 128, 
  // 1772
  97, 52, 129, 
  // 1775
  103, 52, 130, 
  // 1778
  108, 52, 131, 
  // 1781
  113, 52, 132, 
  // 1784
  98, 52, 133, 
  // 1787
  63, 52, 134, 
  // 1790
  68, 52, 135, 
  // 1793
  58, 73, 52, 125, 
  // 1797
  58, 78, 52, 126, 
  // 1801
  58, 83, 52, 127, 
  // 1805
  58, 88, 52, 128, 
  // 1809
  58, 97, 52, 129, 
  // 1813
  58, 103, 52, 130, 
  // 1817
  58, 108, 52, 131, 
  // 1821
  58, 113, 52, 132, 
  // 1825
  58, 98, 52, 133, 
  // 1829
  58, 63, 52, 134, 
  // 1833
  58, 68, 52, 135, 
  // 1837
  98, 52, 135, 
  // 1840
  58, 98, 52, 136, 
  // 1844
  58, 63, 52, 136, 
  // 1848
  69, 52, 137, 
  // 1851
  74, 52, 138, 
  // 1854
  79, 52, 139, 
  // 1857
  84, 52, 140, 
  // 1860
  92, 52, 141, 
  // 1863
  99, 52, 142, 
  // 1866
  104, 52, 143, 
  // 1869
  109, 52, 144, 
  // 1872
  89, 52, 145, 
  // 1875
  59, 52, 146, 
  // 1878
  64, 52, 147, 
  // 1881
  58, 69, 52, 137, 
  // 1885
  7, 10, 
  // 1887
  58, 74, 52, 138, 
  // 1891
  58, 79, 52, 139, 
  // 1895
  58, 84, 52, 140, 
  // 1899
  58, 92, 52, 141, 
  // 1903
  58, 99, 52, 142, 
  // 1907
  58, 104, 52, 143, 
  // 1911
  58, 109, 52, 144, 
  // 1915
  58, 89, 52, 145, 
  // 1919
  58, 59, 52, 146, 
  // 1923
  58, 64, 52, 147, 
  // 1927
  59, 89, 
  // 1929
  89, 52, 147, 
  // 1932
  58, 89, 52, 148, 
  // 1936
  58, 59, 52, 148, 
  // 1940
  60, 90, 
  // 1942
  70, 52, 137, 
  // 1945
  75, 52, 138, 
  // 1948
  80, 52, 139, 
  // 1951
  85, 52, 140, 
  // 1954
  94, 52, 141, 
  // 1957
  100, 52, 142, 
  // 1960
  105, 52, 143, 
  // 1963
  110, 52, 144, 
  // 1966
  61, 91, 
  // 1968
  90, 52, 145, 
  // 1971
  60, 52, 146, 
  // 1974
  65, 52, 147, 
  // 1977
  58, 70, 52, 137, 
  // 1981
  58, 75, 52, 138, 
  // 1985
  58, 80, 52, 139, 
  // 1989
  58, 85, 52, 140, 
  // 1993
  58, 94, 52, 141, 
  // 1997
  58, 100, 52, 142, 
  // 2001
  58, 105, 52, 143, 
  // 2005
  62, 93, 
  // 2007
  58, 110, 52, 144, 
  // 2011
  58, 90, 52, 145, 
  // 2015
  58, 60, 52, 146, 
  // 2019
  58, 65, 52, 147, 
  // 2023
  90, 52, 147, 
  // 2026
  58, 90, 52, 148, 
  // 2030
  58, 60, 52, 148, 
  // 2034
  63, 98, 
  // 2036
  71, 52, 137, 
  // 2039
  76, 52, 138, 
  // 2042
  81, 52, 139, 
  // 2045
  86, 52, 140, 
  // 2048
  95, 52, 141, 
  // 2051
  101, 52, 142, 
  // 2054
  106, 52, 143, 
  // 2057
  111, 52, 144, 
  // 2060
  91, 52, 145, 
  // 2063
  61, 52, 146, 
  // 2066
  66, 52, 147, 
  // 2069
  58, 71, 52, 137, 
  // 2073
  58, 76, 52, 138, 
  // 2077
  58, 81, 52, 139, 
  // 2081
  58, 86, 52, 140, 
  // 2085
  58, 95, 52, 141, 
  // 2089
  58, 101, 52, 142, 
  // 2093
  58, 106, 52, 143, 
  // 2097
  58, 111, 52, 144, 
  // 2101
  58, 91, 52, 145, 
  // 2105
  58, 61, 52, 146, 
  // 2109
  58, 66, 52, 147, 
  // 2113
  91, 52, 147, 
  // 2116
  58, 91, 52, 148, 
  // 2120
  58, 61, 52, 148, 
  // 2124
  72, 52, 137, 
  // 2127
  77, 52, 138, 
  // 2130
  82, 52, 139, 
  // 2133
  87, 52, 140, 
  // 2136
  96, 52, 141, 
  // 2139
  102, 52, 142, 
  // 2142
  107, 52, 143, 
  // 2145
  112, 52, 144, 
  // 2148
  93, 52, 145, 
  // 2151
  62, 52, 146, 
  // 2154
  67, 52, 147, 
  // 2157
  58, 72, 52, 137, 
  // 2161
  58, 77, 52, 138, 
  // 2165
  58, 82, 52, 139, 
  // 2169
  58, 87, 52, 140, 
  // 2173
  58, 96, 52, 141, 
  // 2177
  58, 102, 52, 142, 
  // 2181
  58, 107, 52, 143, 
  // 2185
  58, 112, 52, 144, 
  // 2189
  58, 93, 52, 145, 
  // 2193
  58, 62, 52, 146, 
  // 2197
  58, 67, 52, 147, 
  // 2201
  93, 52, 147, 
  // 2204
  58, 93, 52, 148, 
  // 2208
  58, 62, 52, 148, 
  // 2212
  73, 52, 137, 
  // 2215
  78, 52, 138, 
  // 2218
  83, 52, 139, 
  // 2221
  88, 52, 140, 
  // 2224
  97, 52, 141, 
  // 2227
  103, 52, 142, 
  // 2230
  108, 52, 143, 
  // 2233
  113, 52, 144, 
  // 2236
  98, 52, 145, 
  // 2239
  63, 52, 146, 
  // 2242
  68, 52, 147, 
  // 2245
  58, 73, 52, 137, 
  // 2249
  58, 78, 52, 138, 
  // 2253
  58, 83, 52, 139, 
  // 2257
  58, 88, 52, 140, 
  // 2261
  58, 97, 52, 141, 
  // 2265
  58, 103, 52, 142, 
  // 2269
  58, 108, 52, 143, 
  // 2273
  58, 113, 52, 144, 
  // 2277
  58, 98, 52, 145, 
  // 2281
  58, 63, 52, 146, 
  // 2285
  58, 68, 52, 147, 
  // 2289
  98, 52, 147, 
  // 2292
  58, 98, 52, 148, 
  // 2296
  58, 63, 52, 148, 
  // 2300
  69, 52, 149, 
  // 2303
  74, 52, 150, 
  // 2306
  79, 52, 151, 
  // 2309
  84, 52, 152, 
  // 2312
  92, 52, 153, 
  // 2315
  99, 52, 154, 
  // 2318
  104, 52, 155, 
  // 2321
  109, 52, 156, 
  // 2324
  89, 52, 157, 
  // 2327
  59, 52, 158, 
  // 2330
  64, 52, 159, 
  // 2333
  58, 69, 52, 149, 
  // 2337
  58, 74, 52, 150, 
  // 2341
  58, 79, 52, 151, 
  // 2345
  58, 84, 52, 152, 
  // 2349
  58, 92, 52, 153, 
  // 2353
  58, 99, 52, 154, 
  // 2357
  58, 104, 52, 155, 
  // 2361
  58, 109, 52, 156, 
  // 2365
  58, 89, 52, 157, 
  // 2369
  58, 59, 52, 158, 
  // 2373
  58, 64, 52, 159, 
  // 2377
  89, 52, 159, 
  // 2380
  58, 89, 52, 160, 
  // 2384
  58, 59, 52, 160, 
  // 2388
  70, 52, 149, 
  // 2391
  75, 52, 150, 
  // 2394
  80, 52, 151, 
  // 2397
  85, 52, 152, 
  // 2400
  94, 52, 153, 
  // 2403
  100, 52, 154, 
  // 2406
  105, 52, 155, 
  // 2409
  110, 52, 156, 
  // 2412
  90, 52, 157, 
  // 2415
  60, 52, 158, 
  // 2418
  65, 52, 159, 
  // 2421
  58, 70, 52, 149, 
  // 2425
  58, 75, 52, 150, 
  // 2429
  58, 80, 52, 151, 
  // 2433
  58, 85, 52, 152, 
  // 2437
  58, 94, 52, 153, 
  // 2441
  58, 100, 52, 154, 
  // 2445
  58, 105, 52, 155, 
  // 2449
  58, 110, 52, 156, 
  // 2453
  58, 90, 52, 157, 
  // 2457
  58, 60, 52, 158, 
  // 2461
  58, 65, 52, 159, 
  // 2465
  90, 52, 159, 
  // 2468
  58, 90, 52, 160, 
  // 2472
  58, 60, 52, 160, 
  // 2476
  71, 52, 149, 
  // 2479
  76, 52, 150, 
  // 2482
  81, 52, 151, 
  // 2485
  86, 52, 152, 
  // 2488
  95, 52, 153, 
  // 2491
  101, 52, 154, 
  // 2494
  106, 52, 155, 
  // 2497
  111, 52, 156, 
  // 2500
  91, 52, 157, 
  // 2503
  61, 52, 158, 
  // 2506
  66, 52, 159, 
  // 2509
  58, 71, 52, 149, 
  // 2513
  58, 76, 52, 150, 
  // 2517
  58, 81, 52, 151, 
  // 2521
  58, 86, 52, 152, 
  // 2525
  58, 95, 52, 153, 
  // 2529
  58, 101, 52, 154, 
  // 2533
  58, 106, 52, 155, 
  // 2537
  58, 111, 52, 156, 
  // 2541
  58, 91, 52, 157, 
  // 2545
  58, 61, 52, 158, 
  // 2549
  58, 66, 52, 159, 
  // 2553
  91, 52, 159, 
  // 2556
  58, 91, 52, 160, 
  // 2560
  58, 61, 52, 160, 
  // 2564
  72, 52, 149, 
  // 2567
  77, 52, 150, 
  // 2570
  82, 52, 151, 
  // 2573
  87, 52, 152, 
  // 2576
  96, 52, 153, 
  // 2579
  102, 52, 154, 
  // 2582
  107, 52, 155, 
  // 2585
  112, 52, 156, 
  // 2588
  93, 52, 157, 
  // 2591
  62, 52, 158, 
  // 2594
  67, 52, 159, 
  // 2597
  58, 72, 52, 149, 
  // 2601
  58, 77, 52, 150, 
  // 2605
  58, 82, 52, 151, 
  // 2609
  58, 87, 52, 152, 
  // 2613
  58, 96, 52, 153, 
  // 2617
  58, 102, 52, 154, 
  // 2621
  58, 107, 52, 155, 
  // 2625
  58, 112, 52, 156, 
  // 2629
  58, 93, 52, 157, 
  // 2633
  58, 62, 52, 158, 
  // 2637
  58, 67, 52, 159, 
  // 2641
  93, 52, 159, 
  // 2644
  58, 93, 52, 160, 
  // 2648
  58, 62, 52, 160, 
  // 2652
  73, 52, 149, 
  // 2655
  78, 52, 150, 
  // 2658
  83, 52, 151, 
  // 2661
  88, 52, 152, 
  // 2664
  97, 52, 153, 
  // 2667
  103, 52, 154, 
  // 2670
  108, 52, 155, 
  // 2673
  113, 52, 156, 
  // 2676
  98, 52, 157, 
  // 2679
  63, 52, 158, 
  // 2682
  68, 52, 159, 
  // 2685
  58, 73, 52, 149, 
  // 2689
  58, 78, 52, 150, 
  // 2693
  58, 83, 52, 151, 
  // 2697
  58, 88, 52, 152, 
  // 2701
  58, 97, 52, 153, 
  // 2705
  58, 103, 52, 154, 
  // 2709
  58, 108, 52, 155, 
  // 2713
  58, 113, 52, 156, 
  // 2717
  58, 98, 52, 157, 
  // 2721
  58, 63, 52, 158, 
  // 2725
  58, 68, 52, 159, 
  // 2729
  98, 52, 159, 
  // 2732
  58, 98, 52, 160, 
  // 2736
  58, 63, 52, 160, 
  // 2740
  69, 52, 161, 
  // 2743
  74, 52, 162, 
  // 2746
  79, 52, 163, 
  // 2749
  84, 52, 164, 
  // 2752
  92, 52, 165, 
  // 2755
  99, 52, 166, 
  // 2758
  104, 52, 167, 
  // 2761
  109, 52, 168, 
  // 2764
  89, 52, 169, 
  // 2767
  59, 52, 170, 
  // 2770
  64, 52, 171, 
  // 2773
  58, 69, 52, 161, 
  // 2777
  58, 74, 52, 162, 
  // 2781
  58, 79, 52, 163, 
  // 2785
  58, 84, 52, 164, 
  // 2789
  58, 92, 52, 165, 
  // 2793
  58, 99, 52, 166, 
  // 2797
  58, 104, 52, 167, 
  // 2801
  58, 109, 52, 168, 
  // 2805
  58, 89, 52, 169, 
  // 2809
  58, 59, 52, 170, 
  // 2813
  58, 64, 52, 171, 
  // 2817
  89, 52, 171, 
  // 2820
  58, 89, 52, 172, 
  // 2824
  58, 59, 52, 172, 
  // 2828
  70, 52, 161, 
  // 2831
  75, 52, 162, 
  // 2834
  80, 52, 163, 
  // 2837
  85, 52, 164, 
  // 2840
  94, 52, 165, 
  // 2843
  100, 52, 166, 
  // 2846
  105, 52, 167, 
  // 2849
  110, 52, 168, 
  // 2852
  90, 52, 169, 
  // 2855
  60, 52, 170, 
  // 2858
  65, 52, 171, 
  // 2861
  58, 70, 52, 161, 
  // 2865
  58, 75, 52, 162, 
  // 2869
  58, 80, 52, 163, 
  // 2873
  58, 85, 52, 164, 
  // 2877
  58, 94, 52, 165, 
  // 2881
  58, 100, 52, 166, 
  // 2885
  58, 105, 52, 167, 
  // 2889
  58, 110, 52, 168, 
  // 2893
  58, 90, 52, 169, 
  // 2897
  58, 60, 52, 170, 
  // 2901
  58, 65, 52, 171, 
  // 2905
  90, 52, 171, 
  // 2908
  58, 90, 52, 172, 
  // 2912
  58, 60, 52, 172, 
  // 2916
  71, 52, 161, 
  // 2919
  76, 52, 162, 
  // 2922
  81, 52, 163, 
  // 2925
  86, 52, 164, 
  // 2928
  95, 52, 165, 
  // 2931
  101, 52, 166, 
  // 2934
  106, 52, 167, 
  // 2937
  111, 52, 168, 
  // 2940
  91, 52, 169, 
  // 2943
  61, 52, 170, 
  // 2946
  66, 52, 171, 
  // 2949
  58, 71, 52, 161, 
  // 2953
  58, 76, 52, 162, 
  // 2957
  58, 81, 52, 163, 
  // 2961
  58, 86, 52, 164, 
  // 2965
  58, 95, 52, 165, 
  // 2969
  58, 101, 52, 166, 
  // 2973
  58, 106, 52, 167, 
  // 2977
  58, 111, 52, 168, 
  // 2981
  58, 91, 52, 169, 
  // 2985
  58, 61, 52, 170, 
  // 2989
  58, 66, 52, 171, 
  // 2993
  91, 52, 171, 
  // 2996
  58, 91, 52, 172, 
  // 3000
  58, 61, 52, 172, 
  // 3004
  72, 52, 161, 
  // 3007
  77, 52, 162, 
  // 3010
  82, 52, 163, 
  // 3013
  87, 52, 164, 
  // 3016
  96, 52, 165, 
  // 3019
  102, 52, 166, 
  // 3022
  107, 52, 167, 
  // 3025
  112, 52, 168, 
  // 3028
  93, 52, 169, 
  // 3031
  62, 52, 170, 
  // 3034
  67, 52, 171, 
  // 3037
  58, 72, 52, 161, 
  // 3041
  58, 77, 52, 162, 
  // 3045
  58, 82, 52, 163, 
  // 3049
  58, 87, 52, 164, 
  // 3053
  58, 96, 52, 165, 
  // 3057
  58, 102, 52, 166, 
  // 3061
  58, 107, 52, 167, 
  // 3065
  58, 112, 52, 168, 
  // 3069
  58, 93, 52, 169, 
  // 3073
  58, 62, 52, 170, 
  // 3077
  58, 67, 52, 171, 
  // 3081
  93, 52, 171, 
  // 3084
  58, 93, 52, 172, 
  // 3088
  58, 62, 52, 172, 
  // 3092
  73, 52, 161, 
  // 3095
  78, 52, 162, 
  // 3098
  83, 52, 163, 
  // 3101
  88, 52, 164, 
  // 3104
  97, 52, 165, 
  // 3107
  103, 52, 166, 
  // 3110
  108, 52, 167, 
  // 3113
  113, 52, 168, 
  // 3116
  98, 52, 169, 
  // 3119
  63, 52, 170, 
  // 3122
  68, 52, 171, 
  // 3125
  58, 73, 52, 161, 
  // 3129
  58, 78, 52, 162, 
  // 3133
  58, 83, 52, 163, 
  // 3137
  58, 88, 52, 164, 
  // 3141
  58, 97, 52, 165, 
  // 3145
  58, 103, 52, 166, 
  // 3149
  58, 108, 52, 167, 
  // 3153
  58, 113, 52, 168, 
  // 3157
  58, 98, 52, 169, 
  // 3161
  58, 63, 52, 170, 
  // 3165
  58, 68, 52, 171, 
  // 3169
  98, 52, 171, 
  // 3172
  58, 98, 52, 172, 
  // 3176
  58, 63, 52, 172, 
  // 3180
  69, 52, 173, 
  // 3183
  74, 52, 174, 
  // 3186
  79, 52, 175, 
  // 3189
  84, 52, 176, 
  // 3192
  92, 52, 177, 
  // 3195
  99, 52, 178, 
  // 3198
  104, 52, 179, 
  // 3201
  109, 52, 180, 
  // 3204
  89, 52, 181, 
  // 3207
  59, 52, 182, 
  // 3210
  64, 52, 183, 
  // 3213
  89, 52, 183, 
  // 3216
  58, 89, 52, 184, 
  // 3220
  58, 59, 52, 184, 
  // 3224
  70, 52, 173, 
  // 3227
  75, 52, 174, 
  // 3230
  80, 52, 175, 
  // 3233
  85, 52, 176, 
  // 3236
  94, 52, 177, 
  // 3239
  100, 52, 178, 
  // 3242
  105, 52, 179, 
  // 3245
  110, 52, 180, 
  // 3248
  90, 52, 181, 
  // 3251
  60, 52, 182, 
  // 3254
  65, 52, 183, 
  // 3257
  90, 52, 183, 
  // 3260
  58, 90, 52, 184, 
  // 3264
  58, 60, 52, 184, 
  // 3268
  71, 52, 173, 
  // 3271
  76, 52, 174, 
  // 3274
  81, 52, 175, 
  // 3277
  86, 52, 176, 
  // 3280
  95, 52, 177, 
  // 3283
  101, 52, 178, 
  // 3286
  106, 52, 179, 
  // 3289
  111, 52, 180, 
  // 3292
  91, 52, 181, 
  // 3295
  61, 52, 182, 
  // 3298
  66, 52, 183, 
  // 3301
  91, 52, 183, 
  // 3304
  58, 91, 52, 184, 
  // 3308
  58, 61, 52, 184, 
  // 3312
  72, 52, 173, 
  // 3315
  77, 52, 174, 
  // 3318
  82, 52, 175, 
  // 3321
  87, 52, 176, 
  // 3324
  96, 52, 177, 
  // 3327
  102, 52, 178, 
  // 3330
  107, 52, 179, 
  // 3333
  112, 52, 180, 
  // 3336
  93, 52, 181, 
  // 3339
  62, 52, 182, 
  // 3342
  67, 52, 183, 
  // 3345
  93, 52, 183, 
  // 3348
  58, 93, 52, 184, 
  // 3352
  58, 62, 52, 184, 
  // 3356
  7, 7, 
  // 3358
  73, 52, 173, 
  // 3361
  78, 52, 174, 
  // 3364
  59, 59, 
  // 3366
  83, 52, 175, 
  // 3369
  88, 52, 176, 
  // 3372
  97, 52, 177, 
  // 3375
  103, 52, 178, 
  // 3378
  108, 52, 179, 
  // 3381
  113, 52, 180, 
  // 3384
  98, 52, 181, 
  // 3387
  63, 52, 182, 
  // 3390
  68, 52, 183, 
  // 3393
  98, 52, 183, 
  // 3396
  60, 60, 
  // 3398
  58, 98, 52, 184, 
  // 3402
  58, 63, 52, 184, 
  // 3406
  61, 61, 
  // 3408
  8, 185, 187, 52, 8, 
  // 3413
  8, 188, 189, 52, 8, 
  // 3418
  8, 185, 187, 52, 52, 8, 
  // 3424
  8, 188, 189, 52, 52, 8, 
  // 3430
  58, 46, 190, 
  // 3433
  62, 62, 
  // 3435
  58, 187, 52, 
  // 3438
  46, 192, 46, 
  // 3441
  46, 192, 
  // 3443
  46, 192, 46, 46, 
  // 3447
  63, 63, 
  // 3449
  54, 194, 54, 
  // 3452
  54, 194, 
  // 3454
  54, 194, 54, 54, 
  // 3458
  9, 9, 
  // 3460
  9, 9, 9, 
  // 3463
  16, 16, 10, 
  // 3466
  14, 14, 7, 
  // 3469
  18, 18, 33, 
  // 3472
  3, 3, 3, 
  // 3475
  4, 4, 2, 
  // 3478
  91, 195, 50, 46, 
  // 3482
  95, 195, 50, 46, 
  // 3486
  101, 195, 50, 46, 
  // 3490
  91, 195, 50, 10, 
  // 3494
  95, 195, 50, 10, 
  // 3498
  101, 195, 50, 10, 
  // 3502
  91, 196, 50, 92, 
  // 3506
  95, 196, 50, 92, 
  // 3510
  101, 196, 50, 92, 
  // 3514
  91, 196, 50, 89, 
  // 3518
  95, 196, 50, 89, 
  // 3522
  101, 196, 50, 89, 
  // 3526
  91, 197, 50, 92, 
  // 3530
  95, 197, 50, 92, 
  // 3534
  101, 197, 50, 92, 
  // 3538
  91, 197, 50, 89, 
  // 3542
  95, 197, 50, 89, 
  // 3546
  101, 197, 50, 89, 
  // 3550
  91, 198, 50, 95, 
  // 3554
  95, 198, 50, 95, 
  // 3558
  101, 198, 50, 95, 
  // 3562
  91, 198, 50, 91, 
  // 3566
  95, 198, 50, 91, 
  // 3570
  101, 198, 50, 91, 
  // 3574
  91, 199, 50, 95, 
  // 3578
  95, 199, 50, 95, 
  // 3582
  101, 199, 50, 95, 
  // 3586
  91, 199, 50, 91, 
  // 3590
  95, 199, 50, 91, 
  // 3594
  101, 199, 50, 91, 
  // 3598
  10, 200, 50, 92, 
  // 3602
  10, 201, 50, 95, 
  // 3606
  10, 200, 50, 89, 
  // 3610
  10, 201, 50, 91, 
  // 3614
  91, 196, 92, 
  // 3617
  95, 196, 92, 
  // 3620
  101, 196, 92, 
  // 3623
  91, 198, 95, 
  // 3626
  95, 198, 95, 
  // 3629
  101, 198, 95, 
  // 3632
  91, 195, 46, 
  // 3635
  95, 195, 46, 
  // 3638
  101, 195, 46, 
  // 3641
  10, 200, 92, 
  // 3644
  10, 201, 95, 
  // 3647
  91, 197, 92, 
  // 3650
  95, 197, 92, 
  // 3653
  101, 197, 92, 
  // 3656
  91, 199, 95, 
  // 3659
  95, 199, 95, 
  // 3662
  101, 199, 95, 
  // 3665
  91, 202, 46, 
  // 3668
  95, 202, 46, 
  // 3671
  101, 202, 46, 
  // 3674
  91, 203, 92, 
  // 3677
  95, 203, 92, 
  // 3680
  101, 203, 92, 
  // 3683
  91, 204, 92, 
  // 3686
  95, 204, 92, 
  // 3689
  101, 204, 92, 
  // 3692
  91, 205, 95, 
  // 3695
  95, 205, 95, 
  // 3698
  101, 205, 95, 
  // 3701
  91, 206, 95, 
  // 3704
  95, 206, 95, 
  // 3707
  101, 206, 95, 
  // 3710
  91, 207, 46, 
  // 3713
  95, 207, 46, 
  // 3716
  101, 207, 46, 
  // 3719
  91, 208, 46, 
  // 3722
  95, 208, 46, 
  // 3725
  101, 208, 46, 
  // 3728
  10, 209, 92, 
  // 3731
  10, 210, 95, 
  // 3734
  58, 211, 92, 91, 
  // 3738
  58, 211, 92, 95, 
  // 3742
  58, 211, 92, 101, 
  // 3746
  58, 212, 95, 91, 
  // 3750
  58, 212, 95, 95, 
  // 3754
  58, 212, 95, 101, 
  // 3758
  58, 213, 46, 91, 
  // 3762
  58, 213, 46, 95, 
  // 3766
  58, 213, 46, 101, 
  // 3770
  58, 215, 92, 91, 
  // 3774
  58, 215, 92, 95, 
  // 3778
  58, 215, 92, 101, 
  // 3782
  58, 216, 95, 91, 
  // 3786
  58, 216, 95, 95, 
  // 3790
  58, 216, 95, 101, 
  // 3794
  58, 217, 92, 10, 
  // 3798
  58, 218, 95, 10, 
  // 3802
  58, 214, 46, 91, 
  // 3806
  58, 214, 46, 95, 
  // 3810
  58, 214, 46, 101, 
  // 3814
  58, 203, 92, 91, 
  // 3818
  58, 203, 92, 95, 
  // 3822
  58, 203, 92, 101, 
  // 3826
  58, 206, 95, 91, 
  // 3830
  58, 206, 95, 95, 
  // 3834
  58, 206, 95, 101, 
  // 3838
  58, 207, 46, 91, 
  // 3842
  58, 207, 46, 95, 
  // 3846
  58, 207, 46, 101, 
  // 3850
  58, 208, 46, 91, 
  // 3854
  58, 208, 46, 95, 
  // 3858
  58, 208, 46, 101, 
  // 3862
  58, 204, 92, 91, 
  // 3866
  58, 204, 92, 95, 
  // 3870
  58, 204, 92, 101, 
  // 3874
  58, 205, 95, 91, 
  // 3878
  58, 205, 95, 95, 
  // 3882
  58, 205, 95, 101, 
  // 3886
  58, 209, 92, 10, 
  // 3890
  58, 210, 95, 10, 
  // 3894
  66, 196, 50, 92, 
  // 3898
  66, 198, 50, 95, 
  // 3902
  66, 195, 50, 46, 
  // 3906
  66, 197, 50, 92, 
  // 3910
  66, 199, 50, 95, 
  // 3914
  66, 196, 50, 89, 
  // 3918
  66, 197, 50, 89, 
  // 3922
  66, 198, 50, 91, 
  // 3926
  66, 199, 50, 91, 
  // 3930
  66, 195, 50, 10, 
  // 3934
  66, 196, 92, 
  // 3937
  66, 198, 95, 
  // 3940
  66, 195, 46, 
  // 3943
  66, 197, 92, 
  // 3946
  66, 199, 95, 
  // 3949
  66, 202, 46, 
  // 3952
  66, 203, 92, 
  // 3955
  66, 204, 92, 
  // 3958
  66, 205, 95, 
  // 3961
  66, 206, 95, 
  // 3964
  66, 207, 46, 
  // 3967
  66, 208, 46, 
  // 3970
  58, 211, 92, 66, 
  // 3974
  58, 212, 95, 66, 
  // 3978
  58, 213, 46, 66, 
  // 3982
  58, 214, 46, 66, 
  // 3986
  58, 215, 92, 66, 
  // 3990
  58, 216, 95, 66, 
  // 3994
  58, 203, 92, 66, 
  // 3998
  58, 206, 95, 66, 
  // 4002
  58, 207, 46, 66, 
  // 4006
  58, 208, 46, 66, 
  // 4010
  58, 204, 92, 66, 
  // 4014
  58, 205, 95, 66, 
  // 4018
  7, 33, 
  // 4020
  59, 64, 
  // 4022
  60, 65, 
  // 4024
  61, 66, 
  // 4026
  62, 67, 
  // 4028
  63, 68, 
  // 4030
  7, 6, 
  // 4032
  59, 69, 
  // 4034
  60, 70, 
  // 4036
  61, 71, 
  // 4038
  62, 72, 
  // 4040
  63, 73, 
};

static const OpenCLBuiltinStruct BuiltinTable[] = {
  // 1: convert_float8_sat_rtp
  { 0, 2, 100, 0 },
  { 56, 2, 100, 0 },
  { 200, 2, 100, 0 },
  { 344, 2, 100, 0 },
  { 488, 2, 100, 0 },
  { 624, 2, 100, 0 },
  { 764, 2, 100, 0 },
  { 908, 2, 100, 0 },
  { 1052, 2, 100, 0 },
  { 1196, 2, 100, 0 },
  { 1340, 2, 100, 0 },
  // 12: convert_double3
  { 2, 2, 100, 0 },
  { 28, 2, 100, 0 },
  { 46, 2, 100, 0 },
  { 64, 2, 100, 0 },
  { 76, 2, 100, 0 },
  { 88, 2, 100, 0 },
  { 100, 2, 100, 0 },
  { 1940, 2, 100, 0 },
  { 3396, 2, 100, 0 },
  { 4022, 2, 100, 0 },
  { 4034, 2, 100, 0 },
  // 23: convert_double4
  { 4, 2, 100, 0 },
  { 30, 2, 100, 0 },
  { 48, 2, 100, 0 },
  { 66, 2, 100, 0 },
  { 78, 2, 100, 0 },
  { 90, 2, 100, 0 },
  { 102, 2, 100, 0 },
  { 1966, 2, 100, 0 },
  { 3406, 2, 100, 0 },
  { 4024, 2, 100, 0 },
  { 4036, 2, 100, 0 },
  // 34: convert_double8
  { 6, 2, 100, 0 },
  { 32, 2, 100, 0 },
  { 50, 2, 100, 0 },
  { 68, 2, 100, 0 },
  { 80, 2, 100, 0 },
  { 92, 2, 100, 0 },
  { 104, 2, 100, 0 },
  { 2005, 2, 100, 0 },
  { 3433, 2, 100, 0 },
  { 4026, 2, 100, 0 },
  { 4038, 2, 100, 0 },
  // 45: convert_double16
  { 8, 2, 100, 0 },
  { 34, 2, 100, 0 },
  { 52, 2, 100, 0 },
  { 70, 2, 100, 0 },
  { 82, 2, 100, 0 },
  { 94, 2, 100, 0 },
  { 106, 2, 100, 0 },
  { 2034, 2, 100, 0 },
  { 3447, 2, 100, 0 },
  { 4028, 2, 100, 0 },
  { 4040, 2, 100, 0 },
  // 56: convert_double_rte
  { 10, 2, 100, 0 },
  { 24, 2, 100, 0 },
  { 40, 2, 100, 0 },
  { 58, 2, 100, 0 },
  { 72, 2, 100, 0 },
  { 84, 2, 100, 0 },
  { 96, 2, 100, 0 },
  { 1885, 2, 100, 0 },
  { 3356, 2, 100, 0 },
  { 4018, 2, 100, 0 },
  { 4030, 2, 100, 0 },
  // 67: convert_double2_rte
  { 12, 2, 100, 0 },
  { 26, 2, 100, 0 },
  { 42, 2, 100, 0 },
  { 60, 2, 100, 0 },
  { 74, 2, 100, 0 },
  { 86, 2, 100, 0 },
  { 98, 2, 100, 0 },
  { 1927, 2, 100, 0 },
  { 3364, 2, 100, 0 },
  { 4020, 2, 100, 0 },
  { 4032, 2, 100, 0 },
  // 78: convert_double3_rte
  { 2, 2, 100, 0 },
  { 28, 2, 100, 0 },
  { 46, 2, 100, 0 },
  { 64, 2, 100, 0 },
  { 76, 2, 100, 0 },
  { 88, 2, 100, 0 },
  { 100, 2, 100, 0 },
  { 1940, 2, 100, 0 },
  { 3396, 2, 100, 0 },
  { 4022, 2, 100, 0 },
  { 4034, 2, 100, 0 },
  // 89: convert_double4_rte
  { 4, 2, 100, 0 },
  { 30, 2, 100, 0 },
  { 48, 2, 100, 0 },
  { 66, 2, 100, 0 },
  { 78, 2, 100, 0 },
  { 90, 2, 100, 0 },
  { 102, 2, 100, 0 },
  { 1966, 2, 100, 0 },
  { 3406, 2, 100, 0 },
  { 4024, 2, 100, 0 },
  { 4036, 2, 100, 0 },
  // 100: convert_double8_rte
  { 6, 2, 100, 0 },
  { 32, 2, 100, 0 },
  { 50, 2, 100, 0 },
  { 68, 2, 100, 0 },
  { 80, 2, 100, 0 },
  { 92, 2, 100, 0 },
  { 104, 2, 100, 0 },
  { 2005, 2, 100, 0 },
  { 3433, 2, 100, 0 },
  { 4026, 2, 100, 0 },
  { 4038, 2, 100, 0 },
  // 111: convert_double16_rte
  { 8, 2, 100, 0 },
  { 34, 2, 100, 0 },
  { 52, 2, 100, 0 },
  { 70, 2, 100, 0 },
  { 82, 2, 100, 0 },
  { 94, 2, 100, 0 },
  { 106, 2, 100, 0 },
  { 2034, 2, 100, 0 },
  { 3447, 2, 100, 0 },
  { 4028, 2, 100, 0 },
  { 4040, 2, 100, 0 },
  // 122: convert_float16_sat_rtp
  { 14, 2, 100, 0 },
  { 62, 2, 100, 0 },
  { 202, 2, 100, 0 },
  { 346, 2, 100, 0 },
  { 490, 2, 100, 0 },
  { 634, 2, 100, 0 },
  { 778, 2, 100, 0 },
  { 914, 2, 100, 0 },
  { 1054, 2, 100, 0 },
  { 1198, 2, 100, 0 },
  { 1342, 2, 100, 0 },
  // 133: convert_double_rtn
  { 10, 2, 100, 0 },
  { 24, 2, 100, 0 },
  { 40, 2, 100, 0 },
  { 58, 2, 100, 0 },
  { 72, 2, 100, 0 },
  { 84, 2, 100, 0 },
  { 96, 2, 100, 0 },
  { 1885, 2, 100, 0 },
  { 3356, 2, 100, 0 },
  { 4018, 2, 100, 0 },
  { 4030, 2, 100, 0 },
  // 144: convert_double2_rtn
  { 12, 2, 100, 0 },
  { 26, 2, 100, 0 },
  { 42, 2, 100, 0 },
  { 60, 2, 100, 0 },
  { 74, 2, 100, 0 },
  { 86, 2, 100, 0 },
  { 98, 2, 100, 0 },
  { 1927, 2, 100, 0 },
  { 3364, 2, 100, 0 },
  { 4020, 2, 100, 0 },
  { 4032, 2, 100, 0 },
  // 155: convert_double3_rtn
  { 2, 2, 100, 0 },
  { 28, 2, 100, 0 },
  { 46, 2, 100, 0 },
  { 64, 2, 100, 0 },
  { 76, 2, 100, 0 },
  { 88, 2, 100, 0 },
  { 100, 2, 100, 0 },
  { 1940, 2, 100, 0 },
  { 3396, 2, 100, 0 },
  { 4022, 2, 100, 0 },
  { 4034, 2, 100, 0 },
  // 166: convert_double4_rtn
  { 4, 2, 100, 0 },
  { 30, 2, 100, 0 },
  { 48, 2, 100, 0 },
  { 66, 2, 100, 0 },
  { 78, 2, 100, 0 },
  { 90, 2, 100, 0 },
  { 102, 2, 100, 0 },
  { 1966, 2, 100, 0 },
  { 3406, 2, 100, 0 },
  { 4024, 2, 100, 0 },
  { 4036, 2, 100, 0 },
  // 177: convert_double8_rtn
  { 6, 2, 100, 0 },
  { 32, 2, 100, 0 },
  { 50, 2, 100, 0 },
  { 68, 2, 100, 0 },
  { 80, 2, 100, 0 },
  { 92, 2, 100, 0 },
  { 104, 2, 100, 0 },
  { 2005, 2, 100, 0 },
  { 3433, 2, 100, 0 },
  { 4026, 2, 100, 0 },
  { 4038, 2, 100, 0 },
  // 188: convert_double16_rtn
  { 8, 2, 100, 0 },
  { 34, 2, 100, 0 },
  { 52, 2, 100, 0 },
  { 70, 2, 100, 0 },
  { 82, 2, 100, 0 },
  { 94, 2, 100, 0 },
  { 106, 2, 100, 0 },
  { 2034, 2, 100, 0 },
  { 3447, 2, 100, 0 },
  { 4028, 2, 100, 0 },
  { 4040, 2, 100, 0 },
  // 199: convert_double_rtp
  { 10, 2, 100, 0 },
  { 24, 2, 100, 0 },
  { 40, 2, 100, 0 },
  { 58, 2, 100, 0 },
  { 72, 2, 100, 0 },
  { 84, 2, 100, 0 },
  { 96, 2, 100, 0 },
  { 1885, 2, 100, 0 },
  { 3356, 2, 100, 0 },
  { 4018, 2, 100, 0 },
  { 4030, 2, 100, 0 },
  // 210: convert_double2_rtp
  { 12, 2, 100, 0 },
  { 26, 2, 100, 0 },
  { 42, 2, 100, 0 },
  { 60, 2, 100, 0 },
  { 74, 2, 100, 0 },
  { 86, 2, 100, 0 },
  { 98, 2, 100, 0 },
  { 1927, 2, 100, 0 },
  { 3364, 2, 100, 0 },
  { 4020, 2, 100, 0 },
  { 4032, 2, 100, 0 },
  // 221: convert_double3_rtp
  { 2, 2, 100, 0 },
  { 28, 2, 100, 0 },
  { 46, 2, 100, 0 },
  { 64, 2, 100, 0 },
  { 76, 2, 100, 0 },
  { 88, 2, 100, 0 },
  { 100, 2, 100, 0 },
  { 1940, 2, 100, 0 },
  { 3396, 2, 100, 0 },
  { 4022, 2, 100, 0 },
  { 4034, 2, 100, 0 },
  // 232: convert_double4_rtp
  { 4, 2, 100, 0 },
  { 30, 2, 100, 0 },
  { 48, 2, 100, 0 },
  { 66, 2, 100, 0 },
  { 78, 2, 100, 0 },
  { 90, 2, 100, 0 },
  { 102, 2, 100, 0 },
  { 1966, 2, 100, 0 },
  { 3406, 2, 100, 0 },
  { 4024, 2, 100, 0 },
  { 4036, 2, 100, 0 },
  // 243: convert_float_sat_rtz
  { 16, 2, 100, 0 },
  { 36, 2, 100, 0 },
  { 180, 2, 100, 0 },
  { 316, 2, 100, 0 },
  { 456, 2, 100, 0 },
  { 600, 2, 100, 0 },
  { 744, 2, 100, 0 },
  { 888, 2, 100, 0 },
  { 1032, 2, 100, 0 },
  { 1168, 2, 100, 0 },
  { 1308, 2, 100, 0 },
  // 254: convert_double8_rtp
  { 6, 2, 100, 0 },
  { 32, 2, 100, 0 },
  { 50, 2, 100, 0 },
  { 68, 2, 100, 0 },
  { 80, 2, 100, 0 },
  { 92, 2, 100, 0 },
  { 104, 2, 100, 0 },
  { 2005, 2, 100, 0 },
  { 3433, 2, 100, 0 },
  { 4026, 2, 100, 0 },
  { 4038, 2, 100, 0 },
  // 265: convert_double16_rtp
  { 8, 2, 100, 0 },
  { 34, 2, 100, 0 },
  { 52, 2, 100, 0 },
  { 70, 2, 100, 0 },
  { 82, 2, 100, 0 },
  { 94, 2, 100, 0 },
  { 106, 2, 100, 0 },
  { 2034, 2, 100, 0 },
  { 3447, 2, 100, 0 },
  { 4028, 2, 100, 0 },
  { 4040, 2, 100, 0 },
  // 276: convert_double_rtz
  { 10, 2, 100, 0 },
  { 24, 2, 100, 0 },
  { 40, 2, 100, 0 },
  { 58, 2, 100, 0 },
  { 72, 2, 100, 0 },
  { 84, 2, 100, 0 },
  { 96, 2, 100, 0 },
  { 1885, 2, 100, 0 },
  { 3356, 2, 100, 0 },
  { 4018, 2, 100, 0 },
  { 4030, 2, 100, 0 },
  // 287: convert_double2_rtz
  { 12, 2, 100, 0 },
  { 26, 2, 100, 0 },
  { 42, 2, 100, 0 },
  { 60, 2, 100, 0 },
  { 74, 2, 100, 0 },
  { 86, 2, 100, 0 },
  { 98, 2, 100, 0 },
  { 1927, 2, 100, 0 },
  { 3364, 2, 100, 0 },
  { 4020, 2, 100, 0 },
  { 4032, 2, 100, 0 },
  // 298: convert_double3_rtz
  { 2, 2, 100, 0 },
  { 28, 2, 100, 0 },
  { 46, 2, 100, 0 },
  { 64, 2, 100, 0 },
  { 76, 2, 100, 0 },
  { 88, 2, 100, 0 },
  { 100, 2, 100, 0 },
  { 1940, 2, 100, 0 },
  { 3396, 2, 100, 0 },
  { 4022, 2, 100, 0 },
  { 4034, 2, 100, 0 },
  // 309: convert_double4_rtz
  { 4, 2, 100, 0 },
  { 30, 2, 100, 0 },
  { 48, 2, 100, 0 },
  { 66, 2, 100, 0 },
  { 78, 2, 100, 0 },
  { 90, 2, 100, 0 },
  { 102, 2, 100, 0 },
  { 1966, 2, 100, 0 },
  { 3406, 2, 100, 0 },
  { 4024, 2, 100, 0 },
  { 4036, 2, 100, 0 },
  // 320: convert_double8_rtz
  { 6, 2, 100, 0 },
  { 32, 2, 100, 0 },
  { 50, 2, 100, 0 },
  { 68, 2, 100, 0 },
  { 80, 2, 100, 0 },
  { 92, 2, 100, 0 },
  { 104, 2, 100, 0 },
  { 2005, 2, 100, 0 },
  { 3433, 2, 100, 0 },
  { 4026, 2, 100, 0 },
  { 4038, 2, 100, 0 },
  // 331: convert_double16_rtz
  { 8, 2, 100, 0 },
  { 34, 2, 100, 0 },
  { 52, 2, 100, 0 },
  { 70, 2, 100, 0 },
  { 82, 2, 100, 0 },
  { 94, 2, 100, 0 },
  { 106, 2, 100, 0 },
  { 2034, 2, 100, 0 },
  { 3447, 2, 100, 0 },
  { 4028, 2, 100, 0 },
  { 4040, 2, 100, 0 },
  // 342: convert_double_sat
  { 10, 2, 100, 0 },
  { 24, 2, 100, 0 },
  { 40, 2, 100, 0 },
  { 58, 2, 100, 0 },
  { 72, 2, 100, 0 },
  { 84, 2, 100, 0 },
  { 96, 2, 100, 0 },
  { 1885, 2, 100, 0 },
  { 3356, 2, 100, 0 },
  { 4018, 2, 100, 0 },
  { 4030, 2, 100, 0 },
  // 353: convert_double2_sat
  { 12, 2, 100, 0 },
  { 26, 2, 100, 0 },
  { 42, 2, 100, 0 },
  { 60, 2, 100, 0 },
  { 74, 2, 100, 0 },
  { 86, 2, 100, 0 },
  { 98, 2, 100, 0 },
  { 1927, 2, 100, 0 },
  { 3364, 2, 100, 0 },
  { 4020, 2, 100, 0 },
  { 4032, 2, 100, 0 },
  // 364: convert_float2_sat_rtz
  { 18, 2, 100, 0 },
  { 38, 2, 100, 0 },
  { 182, 2, 100, 0 },
  { 326, 2, 100, 0 },
  { 470, 2, 100, 0 },
  { 606, 2, 100, 0 },
  { 746, 2, 100, 0 },
  { 890, 2, 100, 0 },
  { 1034, 2, 100, 0 },
  { 1178, 2, 100, 0 },
  { 1322, 2, 100, 0 },
  // 375: convert_double3_sat
  { 2, 2, 100, 0 },
  { 28, 2, 100, 0 },
  { 46, 2, 100, 0 },
  { 64, 2, 100, 0 },
  { 76, 2, 100, 0 },
  { 88, 2, 100, 0 },
  { 100, 2, 100, 0 },
  { 1940, 2, 100, 0 },
  { 3396, 2, 100, 0 },
  { 4022, 2, 100, 0 },
  { 4034, 2, 100, 0 },
  // 386: convert_double4_sat
  { 4, 2, 100, 0 },
  { 30, 2, 100, 0 },
  { 48, 2, 100, 0 },
  { 66, 2, 100, 0 },
  { 78, 2, 100, 0 },
  { 90, 2, 100, 0 },
  { 102, 2, 100, 0 },
  { 1966, 2, 100, 0 },
  { 3406, 2, 100, 0 },
  { 4024, 2, 100, 0 },
  { 4036, 2, 100, 0 },
  // 397: convert_double8_sat
  { 6, 2, 100, 0 },
  { 32, 2, 100, 0 },
  { 50, 2, 100, 0 },
  { 68, 2, 100, 0 },
  { 80, 2, 100, 0 },
  { 92, 2, 100, 0 },
  { 104, 2, 100, 0 },
  { 2005, 2, 100, 0 },
  { 3433, 2, 100, 0 },
  { 4026, 2, 100, 0 },
  { 4038, 2, 100, 0 },
  // 408: convert_double16_sat
  { 8, 2, 100, 0 },
  { 34, 2, 100, 0 },
  { 52, 2, 100, 0 },
  { 70, 2, 100, 0 },
  { 82, 2, 100, 0 },
  { 94, 2, 100, 0 },
  { 106, 2, 100, 0 },
  { 2034, 2, 100, 0 },
  { 3447, 2, 100, 0 },
  { 4028, 2, 100, 0 },
  { 4040, 2, 100, 0 },
  // 419: convert_double_sat_rte
  { 10, 2, 100, 0 },
  { 24, 2, 100, 0 },
  { 40, 2, 100, 0 },
  { 58, 2, 100, 0 },
  { 72, 2, 100, 0 },
  { 84, 2, 100, 0 },
  { 96, 2, 100, 0 },
  { 1885, 2, 100, 0 },
  { 3356, 2, 100, 0 },
  { 4018, 2, 100, 0 },
  { 4030, 2, 100, 0 },
  // 430: convert_double2_sat_rte
  { 12, 2, 100, 0 },
  { 26, 2, 100, 0 },
  { 42, 2, 100, 0 },
  { 60, 2, 100, 0 },
  { 74, 2, 100, 0 },
  { 86, 2, 100, 0 },
  { 98, 2, 100, 0 },
  { 1927, 2, 100, 0 },
  { 3364, 2, 100, 0 },
  { 4020, 2, 100, 0 },
  { 4032, 2, 100, 0 },
  // 441: convert_double3_sat_rte
  { 2, 2, 100, 0 },
  { 28, 2, 100, 0 },
  { 46, 2, 100, 0 },
  { 64, 2, 100, 0 },
  { 76, 2, 100, 0 },
  { 88, 2, 100, 0 },
  { 100, 2, 100, 0 },
  { 1940, 2, 100, 0 },
  { 3396, 2, 100, 0 },
  { 4022, 2, 100, 0 },
  { 4034, 2, 100, 0 },
  // 452: convert_double4_sat_rte
  { 4, 2, 100, 0 },
  { 30, 2, 100, 0 },
  { 48, 2, 100, 0 },
  { 66, 2, 100, 0 },
  { 78, 2, 100, 0 },
  { 90, 2, 100, 0 },
  { 102, 2, 100, 0 },
  { 1966, 2, 100, 0 },
  { 3406, 2, 100, 0 },
  { 4024, 2, 100, 0 },
  { 4036, 2, 100, 0 },
  // 463: convert_double8_sat_rte
  { 6, 2, 100, 0 },
  { 32, 2, 100, 0 },
  { 50, 2, 100, 0 },
  { 68, 2, 100, 0 },
  { 80, 2, 100, 0 },
  { 92, 2, 100, 0 },
  { 104, 2, 100, 0 },
  { 2005, 2, 100, 0 },
  { 3433, 2, 100, 0 },
  { 4026, 2, 100, 0 },
  { 4038, 2, 100, 0 },
  // 474: convert_double16_sat_rte
  { 8, 2, 100, 0 },
  { 34, 2, 100, 0 },
  { 52, 2, 100, 0 },
  { 70, 2, 100, 0 },
  { 82, 2, 100, 0 },
  { 94, 2, 100, 0 },
  { 106, 2, 100, 0 },
  { 2034, 2, 100, 0 },
  { 3447, 2, 100, 0 },
  { 4028, 2, 100, 0 },
  { 4040, 2, 100, 0 },
  // 485: convert_float3_sat_rtz
  { 20, 2, 100, 0 },
  { 44, 2, 100, 0 },
  { 184, 2, 100, 0 },
  { 328, 2, 100, 0 },
  { 472, 2, 100, 0 },
  { 616, 2, 100, 0 },
  { 760, 2, 100, 0 },
  { 896, 2, 100, 0 },
  { 1036, 2, 100, 0 },
  { 1180, 2, 100, 0 },
  { 1324, 2, 100, 0 },
  // 496: convert_double_sat_rtn
  { 10, 2, 100, 0 },
  { 24, 2, 100, 0 },
  { 40, 2, 100, 0 },
  { 58, 2, 100, 0 },
  { 72, 2, 100, 0 },
  { 84, 2, 100, 0 },
  { 96, 2, 100, 0 },
  { 1885, 2, 100, 0 },
  { 3356, 2, 100, 0 },
  { 4018, 2, 100, 0 },
  { 4030, 2, 100, 0 },
  // 507: convert_double2_sat_rtn
  { 12, 2, 100, 0 },
  { 26, 2, 100, 0 },
  { 42, 2, 100, 0 },
  { 60, 2, 100, 0 },
  { 74, 2, 100, 0 },
  { 86, 2, 100, 0 },
  { 98, 2, 100, 0 },
  { 1927, 2, 100, 0 },
  { 3364, 2, 100, 0 },
  { 4020, 2, 100, 0 },
  { 4032, 2, 100, 0 },
  // 518: convert_double3_sat_rtn
  { 2, 2, 100, 0 },
  { 28, 2, 100, 0 },
  { 46, 2, 100, 0 },
  { 64, 2, 100, 0 },
  { 76, 2, 100, 0 },
  { 88, 2, 100, 0 },
  { 100, 2, 100, 0 },
  { 1940, 2, 100, 0 },
  { 3396, 2, 100, 0 },
  { 4022, 2, 100, 0 },
  { 4034, 2, 100, 0 },
  // 529: convert_double4_sat_rtn
  { 4, 2, 100, 0 },
  { 30, 2, 100, 0 },
  { 48, 2, 100, 0 },
  { 66, 2, 100, 0 },
  { 78, 2, 100, 0 },
  { 90, 2, 100, 0 },
  { 102, 2, 100, 0 },
  { 1966, 2, 100, 0 },
  { 3406, 2, 100, 0 },
  { 4024, 2, 100, 0 },
  { 4036, 2, 100, 0 },
  // 540: convert_double8_sat_rtn
  { 6, 2, 100, 0 },
  { 32, 2, 100, 0 },
  { 50, 2, 100, 0 },
  { 68, 2, 100, 0 },
  { 80, 2, 100, 0 },
  { 92, 2, 100, 0 },
  { 104, 2, 100, 0 },
  { 2005, 2, 100, 0 },
  { 3433, 2, 100, 0 },
  { 4026, 2, 100, 0 },
  { 4038, 2, 100, 0 },
  // 551: convert_double16_sat_rtn
  { 8, 2, 100, 0 },
  { 34, 2, 100, 0 },
  { 52, 2, 100, 0 },
  { 70, 2, 100, 0 },
  { 82, 2, 100, 0 },
  { 94, 2, 100, 0 },
  { 106, 2, 100, 0 },
  { 2034, 2, 100, 0 },
  { 3447, 2, 100, 0 },
  { 4028, 2, 100, 0 },
  { 4040, 2, 100, 0 },
  // 562: convert_double_sat_rtp
  { 10, 2, 100, 0 },
  { 24, 2, 100, 0 },
  { 40, 2, 100, 0 },
  { 58, 2, 100, 0 },
  { 72, 2, 100, 0 },
  { 84, 2, 100, 0 },
  { 96, 2, 100, 0 },
  { 1885, 2, 100, 0 },
  { 3356, 2, 100, 0 },
  { 4018, 2, 100, 0 },
  { 4030, 2, 100, 0 },
  // 573: convert_double2_sat_rtp
  { 12, 2, 100, 0 },
  { 26, 2, 100, 0 },
  { 42, 2, 100, 0 },
  { 60, 2, 100, 0 },
  { 74, 2, 100, 0 },
  { 86, 2, 100, 0 },
  { 98, 2, 100, 0 },
  { 1927, 2, 100, 0 },
  { 3364, 2, 100, 0 },
  { 4020, 2, 100, 0 },
  { 4032, 2, 100, 0 },
  // 584: convert_double3_sat_rtp
  { 2, 2, 100, 0 },
  { 28, 2, 100, 0 },
  { 46, 2, 100, 0 },
  { 64, 2, 100, 0 },
  { 76, 2, 100, 0 },
  { 88, 2, 100, 0 },
  { 100, 2, 100, 0 },
  { 1940, 2, 100, 0 },
  { 3396, 2, 100, 0 },
  { 4022, 2, 100, 0 },
  { 4034, 2, 100, 0 },
  // 595: convert_double4_sat_rtp
  { 4, 2, 100, 0 },
  { 30, 2, 100, 0 },
  { 48, 2, 100, 0 },
  { 66, 2, 100, 0 },
  { 78, 2, 100, 0 },
  { 90, 2, 100, 0 },
  { 102, 2, 100, 0 },
  { 1966, 2, 100, 0 },
  { 3406, 2, 100, 0 },
  { 4024, 2, 100, 0 },
  { 4036, 2, 100, 0 },
  // 606: convert_float4_sat_rtz
  { 22, 2, 100, 0 },
  { 54, 2, 100, 0 },
  { 198, 2, 100, 0 },
  { 334, 2, 100, 0 },
  { 474, 2, 100, 0 },
  { 618, 2, 100, 0 },
  { 762, 2, 100, 0 },
  { 906, 2, 100, 0 },
  { 1050, 2, 100, 0 },
  { 1186, 2, 100, 0 },
  { 1326, 2, 100, 0 },
  // 617: convert_double8_sat_rtp
  { 6, 2, 100, 0 },
  { 32, 2, 100, 0 },
  { 50, 2, 100, 0 },
  { 68, 2, 100, 0 },
  { 80, 2, 100, 0 },
  { 92, 2, 100, 0 },
  { 104, 2, 100, 0 },
  { 2005, 2, 100, 0 },
  { 3433, 2, 100, 0 },
  { 4026, 2, 100, 0 },
  { 4038, 2, 100, 0 },
  // 628: convert_double16_sat_rtp
  { 8, 2, 100, 0 },
  { 34, 2, 100, 0 },
  { 52, 2, 100, 0 },
  { 70, 2, 100, 0 },
  { 82, 2, 100, 0 },
  { 94, 2, 100, 0 },
  { 106, 2, 100, 0 },
  { 2034, 2, 100, 0 },
  { 3447, 2, 100, 0 },
  { 4028, 2, 100, 0 },
  { 4040, 2, 100, 0 },
  // 639: convert_double_sat_rtz
  { 10, 2, 100, 0 },
  { 24, 2, 100, 0 },
  { 40, 2, 100, 0 },
  { 58, 2, 100, 0 },
  { 72, 2, 100, 0 },
  { 84, 2, 100, 0 },
  { 96, 2, 100, 0 },
  { 1885, 2, 100, 0 },
  { 3356, 2, 100, 0 },
  { 4018, 2, 100, 0 },
  { 4030, 2, 100, 0 },
  // 650: convert_double2_sat_rtz
  { 12, 2, 100, 0 },
  { 26, 2, 100, 0 },
  { 42, 2, 100, 0 },
  { 60, 2, 100, 0 },
  { 74, 2, 100, 0 },
  { 86, 2, 100, 0 },
  { 98, 2, 100, 0 },
  { 1927, 2, 100, 0 },
  { 3364, 2, 100, 0 },
  { 4020, 2, 100, 0 },
  { 4032, 2, 100, 0 },
  // 661: convert_double3_sat_rtz
  { 2, 2, 100, 0 },
  { 28, 2, 100, 0 },
  { 46, 2, 100, 0 },
  { 64, 2, 100, 0 },
  { 76, 2, 100, 0 },
  { 88, 2, 100, 0 },
  { 100, 2, 100, 0 },
  { 1940, 2, 100, 0 },
  { 3396, 2, 100, 0 },
  { 4022, 2, 100, 0 },
  { 4034, 2, 100, 0 },
  // 672: convert_double4_sat_rtz
  { 4, 2, 100, 0 },
  { 30, 2, 100, 0 },
  { 48, 2, 100, 0 },
  { 66, 2, 100, 0 },
  { 78, 2, 100, 0 },
  { 90, 2, 100, 0 },
  { 102, 2, 100, 0 },
  { 1966, 2, 100, 0 },
  { 3406, 2, 100, 0 },
  { 4024, 2, 100, 0 },
  { 4036, 2, 100, 0 },
  // 683: convert_double8_sat_rtz
  { 6, 2, 100, 0 },
  { 32, 2, 100, 0 },
  { 50, 2, 100, 0 },
  { 68, 2, 100, 0 },
  { 80, 2, 100, 0 },
  { 92, 2, 100, 0 },
  { 104, 2, 100, 0 },
  { 2005, 2, 100, 0 },
  { 3433, 2, 100, 0 },
  { 4026, 2, 100, 0 },
  { 4038, 2, 100, 0 },
  // 694: convert_double16_sat_rtz
  { 8, 2, 100, 0 },
  { 34, 2, 100, 0 },
  { 52, 2, 100, 0 },
  { 70, 2, 100, 0 },
  { 82, 2, 100, 0 },
  { 94, 2, 100, 0 },
  { 106, 2, 100, 0 },
  { 2034, 2, 100, 0 },
  { 3447, 2, 100, 0 },
  { 4028, 2, 100, 0 },
  { 4040, 2, 100, 0 },
  // 705: convert_double
  { 24, 2, 100, 0 },
  { 40, 2, 100, 0 },
  { 58, 2, 100, 0 },
  { 72, 2, 100, 0 },
  { 84, 2, 100, 0 },
  { 96, 2, 100, 0 },
  { 1885, 2, 100, 0 },
  { 3356, 2, 100, 0 },
  { 4018, 2, 100, 0 },
  { 4030, 2, 100, 0 },
  { 10, 2, 100, 0 },
  // 716: convert_double2
  { 26, 2, 100, 0 },
  { 42, 2, 100, 0 },
  { 60, 2, 100, 0 },
  { 74, 2, 100, 0 },
  { 86, 2, 100, 0 },
  { 98, 2, 100, 0 },
  { 1927, 2, 100, 0 },
  { 3364, 2, 100, 0 },
  { 4020, 2, 100, 0 },
  { 4032, 2, 100, 0 },
  { 12, 2, 100, 0 },
  // 727: convert_float8_sat_rtz
  { 0, 2, 100, 0 },
  { 56, 2, 100, 0 },
  { 200, 2, 100, 0 },
  { 344, 2, 100, 0 },
  { 488, 2, 100, 0 },
  { 624, 2, 100, 0 },
  { 764, 2, 100, 0 },
  { 908, 2, 100, 0 },
  { 1052, 2, 100, 0 },
  { 1196, 2, 100, 0 },
  { 1340, 2, 100, 0 },
  // 738: convert_float16_sat_rtz
  { 14, 2, 100, 0 },
  { 62, 2, 100, 0 },
  { 202, 2, 100, 0 },
  { 346, 2, 100, 0 },
  { 490, 2, 100, 0 },
  { 634, 2, 100, 0 },
  { 778, 2, 100, 0 },
  { 914, 2, 100, 0 },
  { 1054, 2, 100, 0 },
  { 1198, 2, 100, 0 },
  { 1342, 2, 100, 0 },
  // 749: convert_float
  { 36, 2, 100, 0 },
  { 180, 2, 100, 0 },
  { 316, 2, 100, 0 },
  { 456, 2, 100, 0 },
  { 600, 2, 100, 0 },
  { 16, 2, 100, 0 },
  { 744, 2, 100, 0 },
  { 888, 2, 100, 0 },
  { 1032, 2, 100, 0 },
  { 1168, 2, 100, 0 },
  { 1308, 2, 100, 0 },
  // 760: convert_float2
  { 38, 2, 100, 0 },
  { 182, 2, 100, 0 },
  { 326, 2, 100, 0 },
  { 470, 2, 100, 0 },
  { 606, 2, 100, 0 },
  { 746, 2, 100, 0 },
  { 18, 2, 100, 0 },
  { 890, 2, 100, 0 },
  { 1034, 2, 100, 0 },
  { 1178, 2, 100, 0 },
  { 1322, 2, 100, 0 },
  // 771: convert_float3
  { 44, 2, 100, 0 },
  { 184, 2, 100, 0 },
  { 328, 2, 100, 0 },
  { 472, 2, 100, 0 },
  { 616, 2, 100, 0 },
  { 760, 2, 100, 0 },
  { 20, 2, 100, 0 },
  { 896, 2, 100, 0 },
  { 1036, 2, 100, 0 },
  { 1180, 2, 100, 0 },
  { 1324, 2, 100, 0 },
  // 782: convert_float4
  { 54, 2, 100, 0 },
  { 198, 2, 100, 0 },
  { 334, 2, 100, 0 },
  { 474, 2, 100, 0 },
  { 618, 2, 100, 0 },
  { 762, 2, 100, 0 },
  { 22, 2, 100, 0 },
  { 906, 2, 100, 0 },
  { 1050, 2, 100, 0 },
  { 1186, 2, 100, 0 },
  { 1326, 2, 100, 0 },
  // 793: convert_float8
  { 56, 2, 100, 0 },
  { 200, 2, 100, 0 },
  { 344, 2, 100, 0 },
  { 488, 2, 100, 0 },
  { 624, 2, 100, 0 },
  { 764, 2, 100, 0 },
  { 908, 2, 100, 0 },
  { 0, 2, 100, 0 },
  { 1052, 2, 100, 0 },
  { 1196, 2, 100, 0 },
  { 1340, 2, 100, 0 },
  // 804: convert_float16
  { 62, 2, 100, 0 },
  { 202, 2, 100, 0 },
  { 346, 2, 100, 0 },
  { 490, 2, 100, 0 },
  { 634, 2, 100, 0 },
  { 778, 2, 100, 0 },
  { 914, 2, 100, 0 },
  { 14, 2, 100, 0 },
  { 1054, 2, 100, 0 },
  { 1198, 2, 100, 0 },
  { 1342, 2, 100, 0 },
  // 815: convert_float_rte
  { 36, 2, 100, 0 },
  { 180, 2, 100, 0 },
  { 316, 2, 100, 0 },
  { 456, 2, 100, 0 },
  { 600, 2, 100, 0 },
  { 744, 2, 100, 0 },
  { 888, 2, 100, 0 },
  { 16, 2, 100, 0 },
  { 1032, 2, 100, 0 },
  { 1168, 2, 100, 0 },
  { 1308, 2, 100, 0 },
  // 826: convert_float2_rte
  { 38, 2, 100, 0 },
  { 182, 2, 100, 0 },
  { 326, 2, 100, 0 },
  { 470, 2, 100, 0 },
  { 606, 2, 100, 0 },
  { 746, 2, 100, 0 },
  { 890, 2, 100, 0 },
  { 18, 2, 100, 0 },
  { 1034, 2, 100, 0 },
  { 1178, 2, 100, 0 },
  { 1322, 2, 100, 0 },
  // 837: convert_float3_rte
  { 44, 2, 100, 0 },
  { 184, 2, 100, 0 },
  { 328, 2, 100, 0 },
  { 472, 2, 100, 0 },
  { 616, 2, 100, 0 },
  { 760, 2, 100, 0 },
  { 896, 2, 100, 0 },
  { 20, 2, 100, 0 },
  { 1036, 2, 100, 0 },
  { 1180, 2, 100, 0 },
  { 1324, 2, 100, 0 },
  // 848: convert_float4_rte
  { 54, 2, 100, 0 },
  { 198, 2, 100, 0 },
  { 334, 2, 100, 0 },
  { 474, 2, 100, 0 },
  { 618, 2, 100, 0 },
  { 762, 2, 100, 0 },
  { 906, 2, 100, 0 },
  { 22, 2, 100, 0 },
  { 1050, 2, 100, 0 },
  { 1186, 2, 100, 0 },
  { 1326, 2, 100, 0 },
  // 859: convert_float8_rte
  { 56, 2, 100, 0 },
  { 200, 2, 100, 0 },
  { 344, 2, 100, 0 },
  { 488, 2, 100, 0 },
  { 624, 2, 100, 0 },
  { 764, 2, 100, 0 },
  { 908, 2, 100, 0 },
  { 1052, 2, 100, 0 },
  { 0, 2, 100, 0 },
  { 1196, 2, 100, 0 },
  { 1340, 2, 100, 0 },
  // 870: convert_float16_rte
  { 62, 2, 100, 0 },
  { 202, 2, 100, 0 },
  { 346, 2, 100, 0 },
  { 490, 2, 100, 0 },
  { 634, 2, 100, 0 },
  { 778, 2, 100, 0 },
  { 914, 2, 100, 0 },
  { 1054, 2, 100, 0 },
  { 14, 2, 100, 0 },
  { 1198, 2, 100, 0 },
  { 1342, 2, 100, 0 },
  // 881: convert_float_rtn
  { 36, 2, 100, 0 },
  { 180, 2, 100, 0 },
  { 316, 2, 100, 0 },
  { 456, 2, 100, 0 },
  { 600, 2, 100, 0 },
  { 744, 2, 100, 0 },
  { 888, 2, 100, 0 },
  { 1032, 2, 100, 0 },
  { 16, 2, 100, 0 },
  { 1168, 2, 100, 0 },
  { 1308, 2, 100, 0 },
  // 892: convert_float2_rtn
  { 38, 2, 100, 0 },
  { 182, 2, 100, 0 },
  { 326, 2, 100, 0 },
  { 470, 2, 100, 0 },
  { 606, 2, 100, 0 },
  { 746, 2, 100, 0 },
  { 890, 2, 100, 0 },
  { 1034, 2, 100, 0 },
  { 18, 2, 100, 0 },
  { 1178, 2, 100, 0 },
  { 1322, 2, 100, 0 },
  // 903: convert_float3_rtn
  { 44, 2, 100, 0 },
  { 184, 2, 100, 0 },
  { 328, 2, 100, 0 },
  { 472, 2, 100, 0 },
  { 616, 2, 100, 0 },
  { 760, 2, 100, 0 },
  { 896, 2, 100, 0 },
  { 1036, 2, 100, 0 },
  { 20, 2, 100, 0 },
  { 1180, 2, 100, 0 },
  { 1324, 2, 100, 0 },
  // 914: convert_float4_rtn
  { 54, 2, 100, 0 },
  { 198, 2, 100, 0 },
  { 334, 2, 100, 0 },
  { 474, 2, 100, 0 },
  { 618, 2, 100, 0 },
  { 762, 2, 100, 0 },
  { 906, 2, 100, 0 },
  { 1050, 2, 100, 0 },
  { 22, 2, 100, 0 },
  { 1186, 2, 100, 0 },
  { 1326, 2, 100, 0 },
  // 925: convert_float8_rtn
  { 56, 2, 100, 0 },
  { 200, 2, 100, 0 },
  { 344, 2, 100, 0 },
  { 488, 2, 100, 0 },
  { 624, 2, 100, 0 },
  { 764, 2, 100, 0 },
  { 908, 2, 100, 0 },
  { 1052, 2, 100, 0 },
  { 0, 2, 100, 0 },
  { 1196, 2, 100, 0 },
  { 1340, 2, 100, 0 },
  // 936: convert_float16_rtn
  { 62, 2, 100, 0 },
  { 202, 2, 100, 0 },
  { 346, 2, 100, 0 },
  { 490, 2, 100, 0 },
  { 634, 2, 100, 0 },
  { 778, 2, 100, 0 },
  { 914, 2, 100, 0 },
  { 1054, 2, 100, 0 },
  { 14, 2, 100, 0 },
  { 1198, 2, 100, 0 },
  { 1342, 2, 100, 0 },
  // 947: convert_float_rtp
  { 36, 2, 100, 0 },
  { 180, 2, 100, 0 },
  { 316, 2, 100, 0 },
  { 456, 2, 100, 0 },
  { 600, 2, 100, 0 },
  { 744, 2, 100, 0 },
  { 888, 2, 100, 0 },
  { 1032, 2, 100, 0 },
  { 1168, 2, 100, 0 },
  { 16, 2, 100, 0 },
  { 1308, 2, 100, 0 },
  // 958: convert_float2_rtp
  { 38, 2, 100, 0 },
  { 182, 2, 100, 0 },
  { 326, 2, 100, 0 },
  { 470, 2, 100, 0 },
  { 606, 2, 100, 0 },
  { 746, 2, 100, 0 },
  { 890, 2, 100, 0 },
  { 1034, 2, 100, 0 },
  { 1178, 2, 100, 0 },
  { 18, 2, 100, 0 },
  { 1322, 2, 100, 0 },
  // 969: convert_float3_rtp
  { 44, 2, 100, 0 },
  { 184, 2, 100, 0 },
  { 328, 2, 100, 0 },
  { 472, 2, 100, 0 },
  { 616, 2, 100, 0 },
  { 760, 2, 100, 0 },
  { 896, 2, 100, 0 },
  { 1036, 2, 100, 0 },
  { 1180, 2, 100, 0 },
  { 20, 2, 100, 0 },
  { 1324, 2, 100, 0 },
  // 980: convert_float4_rtp
  { 54, 2, 100, 0 },
  { 198, 2, 100, 0 },
  { 334, 2, 100, 0 },
  { 474, 2, 100, 0 },
  { 618, 2, 100, 0 },
  { 762, 2, 100, 0 },
  { 906, 2, 100, 0 },
  { 1050, 2, 100, 0 },
  { 1186, 2, 100, 0 },
  { 22, 2, 100, 0 },
  { 1326, 2, 100, 0 },
  // 991: convert_float8_rtp
  { 56, 2, 100, 0 },
  { 200, 2, 100, 0 },
  { 344, 2, 100, 0 },
  { 488, 2, 100, 0 },
  { 624, 2, 100, 0 },
  { 764, 2, 100, 0 },
  { 908, 2, 100, 0 },
  { 1052, 2, 100, 0 },
  { 1196, 2, 100, 0 },
  { 0, 2, 100, 0 },
  { 1340, 2, 100, 0 },
  // 1002: convert_float16_rtp
  { 62, 2, 100, 0 },
  { 202, 2, 100, 0 },
  { 346, 2, 100, 0 },
  { 490, 2, 100, 0 },
  { 634, 2, 100, 0 },
  { 778, 2, 100, 0 },
  { 914, 2, 100, 0 },
  { 1054, 2, 100, 0 },
  { 1198, 2, 100, 0 },
  { 14, 2, 100, 0 },
  { 1342, 2, 100, 0 },
  // 1013: convert_float_rtz
  { 36, 2, 100, 0 },
  { 180, 2, 100, 0 },
  { 316, 2, 100, 0 },
  { 456, 2, 100, 0 },
  { 600, 2, 100, 0 },
  { 744, 2, 100, 0 },
  { 888, 2, 100, 0 },
  { 1032, 2, 100, 0 },
  { 1168, 2, 100, 0 },
  { 16, 2, 100, 0 },
  { 1308, 2, 100, 0 },
  // 1024: convert_float2_rtz
  { 38, 2, 100, 0 },
  { 182, 2, 100, 0 },
  { 326, 2, 100, 0 },
  { 470, 2, 100, 0 },
  { 606, 2, 100, 0 },
  { 746, 2, 100, 0 },
  { 890, 2, 100, 0 },
  { 1034, 2, 100, 0 },
  { 1178, 2, 100, 0 },
  { 1322, 2, 100, 0 },
  { 18, 2, 100, 0 },
  // 1035: convert_float3_rtz
  { 44, 2, 100, 0 },
  { 184, 2, 100, 0 },
  { 328, 2, 100, 0 },
  { 472, 2, 100, 0 },
  { 616, 2, 100, 0 },
  { 760, 2, 100, 0 },
  { 896, 2, 100, 0 },
  { 1036, 2, 100, 0 },
  { 1180, 2, 100, 0 },
  { 1324, 2, 100, 0 },
  { 20, 2, 100, 0 },
  // 1046: convert_float4_rtz
  { 54, 2, 100, 0 },
  { 198, 2, 100, 0 },
  { 334, 2, 100, 0 },
  { 474, 2, 100, 0 },
  { 618, 2, 100, 0 },
  { 762, 2, 100, 0 },
  { 906, 2, 100, 0 },
  { 1050, 2, 100, 0 },
  { 1186, 2, 100, 0 },
  { 1326, 2, 100, 0 },
  { 22, 2, 100, 0 },
  // 1057: convert_float8_rtz
  { 56, 2, 100, 0 },
  { 200, 2, 100, 0 },
  { 344, 2, 100, 0 },
  { 488, 2, 100, 0 },
  { 624, 2, 100, 0 },
  { 764, 2, 100, 0 },
  { 908, 2, 100, 0 },
  { 1052, 2, 100, 0 },
  { 1196, 2, 100, 0 },
  { 1340, 2, 100, 0 },
  { 0, 2, 100, 0 },
  // 1068: convert_half
  { 108, 2, 100, 0 },
  { 120, 2, 100, 0 },
  { 132, 2, 100, 0 },
  { 144, 2, 100, 0 },
  { 156, 2, 100, 0 },
  { 168, 2, 100, 0 },
  { 186, 2, 100, 0 },
  { 204, 2, 100, 0 },
  { 216, 2, 100, 0 },
  { 228, 2, 100, 0 },
  { 240, 2, 100, 0 },
  // 1079: convert_half2
  { 110, 2, 100, 0 },
  { 122, 2, 100, 0 },
  { 134, 2, 100, 0 },
  { 146, 2, 100, 0 },
  { 158, 2, 100, 0 },
  { 170, 2, 100, 0 },
  { 188, 2, 100, 0 },
  { 206, 2, 100, 0 },
  { 218, 2, 100, 0 },
  { 230, 2, 100, 0 },
  { 242, 2, 100, 0 },
  // 1090: convert_float16_rtz
  { 62, 2, 100, 0 },
  { 202, 2, 100, 0 },
  { 346, 2, 100, 0 },
  { 490, 2, 100, 0 },
  { 634, 2, 100, 0 },
  { 778, 2, 100, 0 },
  { 914, 2, 100, 0 },
  { 1054, 2, 100, 0 },
  { 1198, 2, 100, 0 },
  { 1342, 2, 100, 0 },
  { 14, 2, 100, 0 },
  // 1101: convert_half3
  { 112, 2, 100, 0 },
  { 124, 2, 100, 0 },
  { 136, 2, 100, 0 },
  { 148, 2, 100, 0 },
  { 160, 2, 100, 0 },
  { 172, 2, 100, 0 },
  { 190, 2, 100, 0 },
  { 208, 2, 100, 0 },
  { 220, 2, 100, 0 },
  { 232, 2, 100, 0 },
  { 244, 2, 100, 0 },
  // 1112: convert_half4
  { 114, 2, 100, 0 },
  { 126, 2, 100, 0 },
  { 138, 2, 100, 0 },
  { 150, 2, 100, 0 },
  { 162, 2, 100, 0 },
  { 174, 2, 100, 0 },
  { 192, 2, 100, 0 },
  { 210, 2, 100, 0 },
  { 222, 2, 100, 0 },
  { 234, 2, 100, 0 },
  { 246, 2, 100, 0 },
  // 1123: convert_half8
  { 116, 2, 100, 0 },
  { 128, 2, 100, 0 },
  { 140, 2, 100, 0 },
  { 152, 2, 100, 0 },
  { 164, 2, 100, 0 },
  { 176, 2, 100, 0 },
  { 194, 2, 100, 0 },
  { 212, 2, 100, 0 },
  { 224, 2, 100, 0 },
  { 236, 2, 100, 0 },
  { 248, 2, 100, 0 },
  // 1134: convert_half16
  { 118, 2, 100, 0 },
  { 130, 2, 100, 0 },
  { 142, 2, 100, 0 },
  { 154, 2, 100, 0 },
  { 166, 2, 100, 0 },
  { 178, 2, 100, 0 },
  { 196, 2, 100, 0 },
  { 214, 2, 100, 0 },
  { 226, 2, 100, 0 },
  { 238, 2, 100, 0 },
  { 250, 2, 100, 0 },
  // 1145: convert_half_rte
  { 108, 2, 100, 0 },
  { 120, 2, 100, 0 },
  { 132, 2, 100, 0 },
  { 144, 2, 100, 0 },
  { 156, 2, 100, 0 },
  { 168, 2, 100, 0 },
  { 186, 2, 100, 0 },
  { 204, 2, 100, 0 },
  { 216, 2, 100, 0 },
  { 228, 2, 100, 0 },
  { 240, 2, 100, 0 },
  // 1156: convert_half2_rte
  { 110, 2, 100, 0 },
  { 122, 2, 100, 0 },
  { 134, 2, 100, 0 },
  { 146, 2, 100, 0 },
  { 158, 2, 100, 0 },
  { 170, 2, 100, 0 },
  { 188, 2, 100, 0 },
  { 206, 2, 100, 0 },
  { 218, 2, 100, 0 },
  { 230, 2, 100, 0 },
  { 242, 2, 100, 0 },
  // 1167: convert_half3_rte
  { 112, 2, 100, 0 },
  { 124, 2, 100, 0 },
  { 136, 2, 100, 0 },
  { 148, 2, 100, 0 },
  { 160, 2, 100, 0 },
  { 172, 2, 100, 0 },
  { 190, 2, 100, 0 },
  { 208, 2, 100, 0 },
  { 220, 2, 100, 0 },
  { 232, 2, 100, 0 },
  { 244, 2, 100, 0 },
  // 1178: convert_half4_rte
  { 114, 2, 100, 0 },
  { 126, 2, 100, 0 },
  { 138, 2, 100, 0 },
  { 150, 2, 100, 0 },
  { 162, 2, 100, 0 },
  { 174, 2, 100, 0 },
  { 192, 2, 100, 0 },
  { 210, 2, 100, 0 },
  { 222, 2, 100, 0 },
  { 234, 2, 100, 0 },
  { 246, 2, 100, 0 },
  // 1189: convert_half8_rte
  { 116, 2, 100, 0 },
  { 128, 2, 100, 0 },
  { 140, 2, 100, 0 },
  { 152, 2, 100, 0 },
  { 164, 2, 100, 0 },
  { 176, 2, 100, 0 },
  { 194, 2, 100, 0 },
  { 212, 2, 100, 0 },
  { 224, 2, 100, 0 },
  { 236, 2, 100, 0 },
  { 248, 2, 100, 0 },
  // 1200: convert_half16_rte
  { 118, 2, 100, 0 },
  { 130, 2, 100, 0 },
  { 142, 2, 100, 0 },
  { 154, 2, 100, 0 },
  { 166, 2, 100, 0 },
  { 178, 2, 100, 0 },
  { 196, 2, 100, 0 },
  { 214, 2, 100, 0 },
  { 226, 2, 100, 0 },
  { 238, 2, 100, 0 },
  { 250, 2, 100, 0 },
  // 1211: convert_float_sat
  { 36, 2, 100, 0 },
  { 180, 2, 100, 0 },
  { 316, 2, 100, 0 },
  { 456, 2, 100, 0 },
  { 600, 2, 100, 0 },
  { 744, 2, 100, 0 },
  { 888, 2, 100, 0 },
  { 1032, 2, 100, 0 },
  { 1168, 2, 100, 0 },
  { 1308, 2, 100, 0 },
  { 16, 2, 100, 0 },
  // 1222: convert_half_rtn
  { 108, 2, 100, 0 },
  { 120, 2, 100, 0 },
  { 132, 2, 100, 0 },
  { 144, 2, 100, 0 },
  { 156, 2, 100, 0 },
  { 168, 2, 100, 0 },
  { 186, 2, 100, 0 },
  { 204, 2, 100, 0 },
  { 216, 2, 100, 0 },
  { 228, 2, 100, 0 },
  { 240, 2, 100, 0 },
  // 1233: convert_half2_rtn
  { 110, 2, 100, 0 },
  { 122, 2, 100, 0 },
  { 134, 2, 100, 0 },
  { 146, 2, 100, 0 },
  { 158, 2, 100, 0 },
  { 170, 2, 100, 0 },
  { 188, 2, 100, 0 },
  { 206, 2, 100, 0 },
  { 218, 2, 100, 0 },
  { 230, 2, 100, 0 },
  { 242, 2, 100, 0 },
  // 1244: convert_half3_rtn
  { 112, 2, 100, 0 },
  { 124, 2, 100, 0 },
  { 136, 2, 100, 0 },
  { 148, 2, 100, 0 },
  { 160, 2, 100, 0 },
  { 172, 2, 100, 0 },
  { 190, 2, 100, 0 },
  { 208, 2, 100, 0 },
  { 220, 2, 100, 0 },
  { 232, 2, 100, 0 },
  { 244, 2, 100, 0 },
  // 1255: convert_half4_rtn
  { 114, 2, 100, 0 },
  { 126, 2, 100, 0 },
  { 138, 2, 100, 0 },
  { 150, 2, 100, 0 },
  { 162, 2, 100, 0 },
  { 174, 2, 100, 0 },
  { 192, 2, 100, 0 },
  { 210, 2, 100, 0 },
  { 222, 2, 100, 0 },
  { 234, 2, 100, 0 },
  { 246, 2, 100, 0 },
  // 1266: convert_half8_rtn
  { 116, 2, 100, 0 },
  { 128, 2, 100, 0 },
  { 140, 2, 100, 0 },
  { 152, 2, 100, 0 },
  { 164, 2, 100, 0 },
  { 176, 2, 100, 0 },
  { 194, 2, 100, 0 },
  { 212, 2, 100, 0 },
  { 224, 2, 100, 0 },
  { 236, 2, 100, 0 },
  { 248, 2, 100, 0 },
  // 1277: convert_half16_rtn
  { 118, 2, 100, 0 },
  { 130, 2, 100, 0 },
  { 142, 2, 100, 0 },
  { 154, 2, 100, 0 },
  { 166, 2, 100, 0 },
  { 178, 2, 100, 0 },
  { 196, 2, 100, 0 },
  { 214, 2, 100, 0 },
  { 226, 2, 100, 0 },
  { 238, 2, 100, 0 },
  { 250, 2, 100, 0 },
  // 1288: convert_half_rtp
  { 108, 2, 100, 0 },
  { 120, 2, 100, 0 },
  { 132, 2, 100, 0 },
  { 144, 2, 100, 0 },
  { 156, 2, 100, 0 },
  { 168, 2, 100, 0 },
  { 186, 2, 100, 0 },
  { 204, 2, 100, 0 },
  { 216, 2, 100, 0 },
  { 228, 2, 100, 0 },
  { 240, 2, 100, 0 },
  // 1299: convert_half2_rtp
  { 110, 2, 100, 0 },
  { 122, 2, 100, 0 },
  { 134, 2, 100, 0 },
  { 146, 2, 100, 0 },
  { 158, 2, 100, 0 },
  { 170, 2, 100, 0 },
  { 188, 2, 100, 0 },
  { 206, 2, 100, 0 },
  { 218, 2, 100, 0 },
  { 230, 2, 100, 0 },
  { 242, 2, 100, 0 },
  // 1310: convert_half3_rtp
  { 112, 2, 100, 0 },
  { 124, 2, 100, 0 },
  { 136, 2, 100, 0 },
  { 148, 2, 100, 0 },
  { 160, 2, 100, 0 },
  { 172, 2, 100, 0 },
  { 190, 2, 100, 0 },
  { 208, 2, 100, 0 },
  { 220, 2, 100, 0 },
  { 232, 2, 100, 0 },
  { 244, 2, 100, 0 },
  // 1321: convert_half4_rtp
  { 114, 2, 100, 0 },
  { 126, 2, 100, 0 },
  { 138, 2, 100, 0 },
  { 150, 2, 100, 0 },
  { 162, 2, 100, 0 },
  { 174, 2, 100, 0 },
  { 192, 2, 100, 0 },
  { 210, 2, 100, 0 },
  { 222, 2, 100, 0 },
  { 234, 2, 100, 0 },
  { 246, 2, 100, 0 },
  // 1332: convert_float2_sat
  { 38, 2, 100, 0 },
  { 182, 2, 100, 0 },
  { 326, 2, 100, 0 },
  { 470, 2, 100, 0 },
  { 606, 2, 100, 0 },
  { 746, 2, 100, 0 },
  { 890, 2, 100, 0 },
  { 1034, 2, 100, 0 },
  { 1178, 2, 100, 0 },
  { 1322, 2, 100, 0 },
  { 18, 2, 100, 0 },
  // 1343: convert_half8_rtp
  { 116, 2, 100, 0 },
  { 128, 2, 100, 0 },
  { 140, 2, 100, 0 },
  { 152, 2, 100, 0 },
  { 164, 2, 100, 0 },
  { 176, 2, 100, 0 },
  { 194, 2, 100, 0 },
  { 212, 2, 100, 0 },
  { 224, 2, 100, 0 },
  { 236, 2, 100, 0 },
  { 248, 2, 100, 0 },
  // 1354: convert_half16_rtp
  { 118, 2, 100, 0 },
  { 130, 2, 100, 0 },
  { 142, 2, 100, 0 },
  { 154, 2, 100, 0 },
  { 166, 2, 100, 0 },
  { 178, 2, 100, 0 },
  { 196, 2, 100, 0 },
  { 214, 2, 100, 0 },
  { 226, 2, 100, 0 },
  { 238, 2, 100, 0 },
  { 250, 2, 100, 0 },
  // 1365: convert_half_rtz
  { 108, 2, 100, 0 },
  { 120, 2, 100, 0 },
  { 132, 2, 100, 0 },
  { 144, 2, 100, 0 },
  { 156, 2, 100, 0 },
  { 168, 2, 100, 0 },
  { 186, 2, 100, 0 },
  { 204, 2, 100, 0 },
  { 216, 2, 100, 0 },
  { 228, 2, 100, 0 },
  { 240, 2, 100, 0 },
  // 1376: convert_half2_rtz
  { 110, 2, 100, 0 },
  { 122, 2, 100, 0 },
  { 134, 2, 100, 0 },
  { 146, 2, 100, 0 },
  { 158, 2, 100, 0 },
  { 170, 2, 100, 0 },
  { 188, 2, 100, 0 },
  { 206, 2, 100, 0 },
  { 218, 2, 100, 0 },
  { 230, 2, 100, 0 },
  { 242, 2, 100, 0 },
  // 1387: convert_half3_rtz
  { 112, 2, 100, 0 },
  { 124, 2, 100, 0 },
  { 136, 2, 100, 0 },
  { 148, 2, 100, 0 },
  { 160, 2, 100, 0 },
  { 172, 2, 100, 0 },
  { 190, 2, 100, 0 },
  { 208, 2, 100, 0 },
  { 220, 2, 100, 0 },
  { 232, 2, 100, 0 },
  { 244, 2, 100, 0 },
  // 1398: convert_half4_rtz
  { 114, 2, 100, 0 },
  { 126, 2, 100, 0 },
  { 138, 2, 100, 0 },
  { 150, 2, 100, 0 },
  { 162, 2, 100, 0 },
  { 174, 2, 100, 0 },
  { 192, 2, 100, 0 },
  { 210, 2, 100, 0 },
  { 222, 2, 100, 0 },
  { 234, 2, 100, 0 },
  { 246, 2, 100, 0 },
  // 1409: convert_half8_rtz
  { 116, 2, 100, 0 },
  { 128, 2, 100, 0 },
  { 140, 2, 100, 0 },
  { 152, 2, 100, 0 },
  { 164, 2, 100, 0 },
  { 176, 2, 100, 0 },
  { 194, 2, 100, 0 },
  { 212, 2, 100, 0 },
  { 224, 2, 100, 0 },
  { 236, 2, 100, 0 },
  { 248, 2, 100, 0 },
  // 1420: convert_half16_rtz
  { 118, 2, 100, 0 },
  { 130, 2, 100, 0 },
  { 142, 2, 100, 0 },
  { 154, 2, 100, 0 },
  { 166, 2, 100, 0 },
  { 178, 2, 100, 0 },
  { 196, 2, 100, 0 },
  { 214, 2, 100, 0 },
  { 226, 2, 100, 0 },
  { 238, 2, 100, 0 },
  { 250, 2, 100, 0 },
  // 1431: convert_half_sat
  { 108, 2, 100, 0 },
  { 120, 2, 100, 0 },
  { 132, 2, 100, 0 },
  { 144, 2, 100, 0 },
  { 156, 2, 100, 0 },
  { 168, 2, 100, 0 },
  { 186, 2, 100, 0 },
  { 204, 2, 100, 0 },
  { 216, 2, 100, 0 },
  { 228, 2, 100, 0 },
  { 240, 2, 100, 0 },
  // 1442: convert_half2_sat
  { 110, 2, 100, 0 },
  { 122, 2, 100, 0 },
  { 134, 2, 100, 0 },
  { 146, 2, 100, 0 },
  { 158, 2, 100, 0 },
  { 170, 2, 100, 0 },
  { 188, 2, 100, 0 },
  { 206, 2, 100, 0 },
  { 218, 2, 100, 0 },
  { 230, 2, 100, 0 },
  { 242, 2, 100, 0 },
  // 1453: convert_float3_sat
  { 44, 2, 100, 0 },
  { 184, 2, 100, 0 },
  { 328, 2, 100, 0 },
  { 472, 2, 100, 0 },
  { 616, 2, 100, 0 },
  { 760, 2, 100, 0 },
  { 896, 2, 100, 0 },
  { 1036, 2, 100, 0 },
  { 1180, 2, 100, 0 },
  { 1324, 2, 100, 0 },
  { 20, 2, 100, 0 },
  // 1464: convert_half3_sat
  { 112, 2, 100, 0 },
  { 124, 2, 100, 0 },
  { 136, 2, 100, 0 },
  { 148, 2, 100, 0 },
  { 160, 2, 100, 0 },
  { 172, 2, 100, 0 },
  { 190, 2, 100, 0 },
  { 208, 2, 100, 0 },
  { 220, 2, 100, 0 },
  { 232, 2, 100, 0 },
  { 244, 2, 100, 0 },
  // 1475: convert_half4_sat
  { 114, 2, 100, 0 },
  { 126, 2, 100, 0 },
  { 138, 2, 100, 0 },
  { 150, 2, 100, 0 },
  { 162, 2, 100, 0 },
  { 174, 2, 100, 0 },
  { 192, 2, 100, 0 },
  { 210, 2, 100, 0 },
  { 222, 2, 100, 0 },
  { 234, 2, 100, 0 },
  { 246, 2, 100, 0 },
  // 1486: convert_half8_sat
  { 116, 2, 100, 0 },
  { 128, 2, 100, 0 },
  { 140, 2, 100, 0 },
  { 152, 2, 100, 0 },
  { 164, 2, 100, 0 },
  { 176, 2, 100, 0 },
  { 194, 2, 100, 0 },
  { 212, 2, 100, 0 },
  { 224, 2, 100, 0 },
  { 236, 2, 100, 0 },
  { 248, 2, 100, 0 },
  // 1497: convert_half16_sat
  { 118, 2, 100, 0 },
  { 130, 2, 100, 0 },
  { 142, 2, 100, 0 },
  { 154, 2, 100, 0 },
  { 166, 2, 100, 0 },
  { 178, 2, 100, 0 },
  { 196, 2, 100, 0 },
  { 214, 2, 100, 0 },
  { 226, 2, 100, 0 },
  { 238, 2, 100, 0 },
  { 250, 2, 100, 0 },
  // 1508: convert_half_sat_rte
  { 108, 2, 100, 0 },
  { 120, 2, 100, 0 },
  { 132, 2, 100, 0 },
  { 144, 2, 100, 0 },
  { 156, 2, 100, 0 },
  { 168, 2, 100, 0 },
  { 186, 2, 100, 0 },
  { 204, 2, 100, 0 },
  { 216, 2, 100, 0 },
  { 228, 2, 100, 0 },
  { 240, 2, 100, 0 },
  // 1519: convert_half2_sat_rte
  { 110, 2, 100, 0 },
  { 122, 2, 100, 0 },
  { 134, 2, 100, 0 },
  { 146, 2, 100, 0 },
  { 158, 2, 100, 0 },
  { 170, 2, 100, 0 },
  { 188, 2, 100, 0 },
  { 206, 2, 100, 0 },
  { 218, 2, 100, 0 },
  { 230, 2, 100, 0 },
  { 242, 2, 100, 0 },
  // 1530: convert_half3_sat_rte
  { 112, 2, 100, 0 },
  { 124, 2, 100, 0 },
  { 136, 2, 100, 0 },
  { 148, 2, 100, 0 },
  { 160, 2, 100, 0 },
  { 172, 2, 100, 0 },
  { 190, 2, 100, 0 },
  { 208, 2, 100, 0 },
  { 220, 2, 100, 0 },
  { 232, 2, 100, 0 },
  { 244, 2, 100, 0 },
  // 1541: convert_half4_sat_rte
  { 114, 2, 100, 0 },
  { 126, 2, 100, 0 },
  { 138, 2, 100, 0 },
  { 150, 2, 100, 0 },
  { 162, 2, 100, 0 },
  { 174, 2, 100, 0 },
  { 192, 2, 100, 0 },
  { 210, 2, 100, 0 },
  { 222, 2, 100, 0 },
  { 234, 2, 100, 0 },
  { 246, 2, 100, 0 },
  // 1552: convert_half8_sat_rte
  { 116, 2, 100, 0 },
  { 128, 2, 100, 0 },
  { 140, 2, 100, 0 },
  { 152, 2, 100, 0 },
  { 164, 2, 100, 0 },
  { 176, 2, 100, 0 },
  { 194, 2, 100, 0 },
  { 212, 2, 100, 0 },
  { 224, 2, 100, 0 },
  { 236, 2, 100, 0 },
  { 248, 2, 100, 0 },
  // 1563: convert_half16_sat_rte
  { 118, 2, 100, 0 },
  { 130, 2, 100, 0 },
  { 142, 2, 100, 0 },
  { 154, 2, 100, 0 },
  { 166, 2, 100, 0 },
  { 178, 2, 100, 0 },
  { 196, 2, 100, 0 },
  { 214, 2, 100, 0 },
  { 226, 2, 100, 0 },
  { 238, 2, 100, 0 },
  { 250, 2, 100, 0 },
  // 1574: convert_float4_sat
  { 54, 2, 100, 0 },
  { 198, 2, 100, 0 },
  { 334, 2, 100, 0 },
  { 474, 2, 100, 0 },
  { 618, 2, 100, 0 },
  { 762, 2, 100, 0 },
  { 906, 2, 100, 0 },
  { 1050, 2, 100, 0 },
  { 1186, 2, 100, 0 },
  { 1326, 2, 100, 0 },
  { 22, 2, 100, 0 },
  // 1585: convert_half_sat_rtn
  { 108, 2, 100, 0 },
  { 120, 2, 100, 0 },
  { 132, 2, 100, 0 },
  { 144, 2, 100, 0 },
  { 156, 2, 100, 0 },
  { 168, 2, 100, 0 },
  { 186, 2, 100, 0 },
  { 204, 2, 100, 0 },
  { 216, 2, 100, 0 },
  { 228, 2, 100, 0 },
  { 240, 2, 100, 0 },
  // 1596: convert_half2_sat_rtn
  { 110, 2, 100, 0 },
  { 122, 2, 100, 0 },
  { 134, 2, 100, 0 },
  { 146, 2, 100, 0 },
  { 158, 2, 100, 0 },
  { 170, 2, 100, 0 },
  { 188, 2, 100, 0 },
  { 206, 2, 100, 0 },
  { 218, 2, 100, 0 },
  { 230, 2, 100, 0 },
  { 242, 2, 100, 0 },
  // 1607: convert_half3_sat_rtn
  { 112, 2, 100, 0 },
  { 124, 2, 100, 0 },
  { 136, 2, 100, 0 },
  { 148, 2, 100, 0 },
  { 160, 2, 100, 0 },
  { 172, 2, 100, 0 },
  { 190, 2, 100, 0 },
  { 208, 2, 100, 0 },
  { 220, 2, 100, 0 },
  { 232, 2, 100, 0 },
  { 244, 2, 100, 0 },
  // 1618: convert_half4_sat_rtn
  { 114, 2, 100, 0 },
  { 126, 2, 100, 0 },
  { 138, 2, 100, 0 },
  { 150, 2, 100, 0 },
  { 162, 2, 100, 0 },
  { 174, 2, 100, 0 },
  { 192, 2, 100, 0 },
  { 210, 2, 100, 0 },
  { 222, 2, 100, 0 },
  { 234, 2, 100, 0 },
  { 246, 2, 100, 0 },
  // 1629: convert_half8_sat_rtn
  { 116, 2, 100, 0 },
  { 128, 2, 100, 0 },
  { 140, 2, 100, 0 },
  { 152, 2, 100, 0 },
  { 164, 2, 100, 0 },
  { 176, 2, 100, 0 },
  { 194, 2, 100, 0 },
  { 212, 2, 100, 0 },
  { 224, 2, 100, 0 },
  { 236, 2, 100, 0 },
  { 248, 2, 100, 0 },
  // 1640: convert_half16_sat_rtn
  { 118, 2, 100, 0 },
  { 130, 2, 100, 0 },
  { 142, 2, 100, 0 },
  { 154, 2, 100, 0 },
  { 166, 2, 100, 0 },
  { 178, 2, 100, 0 },
  { 196, 2, 100, 0 },
  { 214, 2, 100, 0 },
  { 226, 2, 100, 0 },
  { 238, 2, 100, 0 },
  { 250, 2, 100, 0 },
  // 1651: convert_half_sat_rtp
  { 108, 2, 100, 0 },
  { 120, 2, 100, 0 },
  { 132, 2, 100, 0 },
  { 144, 2, 100, 0 },
  { 156, 2, 100, 0 },
  { 168, 2, 100, 0 },
  { 186, 2, 100, 0 },
  { 204, 2, 100, 0 },
  { 216, 2, 100, 0 },
  { 228, 2, 100, 0 },
  { 240, 2, 100, 0 },
  // 1662: convert_half2_sat_rtp
  { 110, 2, 100, 0 },
  { 122, 2, 100, 0 },
  { 134, 2, 100, 0 },
  { 146, 2, 100, 0 },
  { 158, 2, 100, 0 },
  { 170, 2, 100, 0 },
  { 188, 2, 100, 0 },
  { 206, 2, 100, 0 },
  { 218, 2, 100, 0 },
  { 230, 2, 100, 0 },
  { 242, 2, 100, 0 },
  // 1673: convert_half3_sat_rtp
  { 112, 2, 100, 0 },
  { 124, 2, 100, 0 },
  { 136, 2, 100, 0 },
  { 148, 2, 100, 0 },
  { 160, 2, 100, 0 },
  { 172, 2, 100, 0 },
  { 190, 2, 100, 0 },
  { 208, 2, 100, 0 },
  { 220, 2, 100, 0 },
  { 232, 2, 100, 0 },
  { 244, 2, 100, 0 },
  // 1684: convert_half4_sat_rtp
  { 114, 2, 100, 0 },
  { 126, 2, 100, 0 },
  { 138, 2, 100, 0 },
  { 150, 2, 100, 0 },
  { 162, 2, 100, 0 },
  { 174, 2, 100, 0 },
  { 192, 2, 100, 0 },
  { 210, 2, 100, 0 },
  { 222, 2, 100, 0 },
  { 234, 2, 100, 0 },
  { 246, 2, 100, 0 },
  // 1695: convert_float8_sat
  { 56, 2, 100, 0 },
  { 200, 2, 100, 0 },
  { 344, 2, 100, 0 },
  { 488, 2, 100, 0 },
  { 624, 2, 100, 0 },
  { 764, 2, 100, 0 },
  { 908, 2, 100, 0 },
  { 1052, 2, 100, 0 },
  { 1196, 2, 100, 0 },
  { 1340, 2, 100, 0 },
  { 0, 2, 100, 0 },
  // 1706: convert_half8_sat_rtp
  { 116, 2, 100, 0 },
  { 128, 2, 100, 0 },
  { 140, 2, 100, 0 },
  { 152, 2, 100, 0 },
  { 164, 2, 100, 0 },
  { 176, 2, 100, 0 },
  { 194, 2, 100, 0 },
  { 212, 2, 100, 0 },
  { 224, 2, 100, 0 },
  { 236, 2, 100, 0 },
  { 248, 2, 100, 0 },
  // 1717: convert_half16_sat_rtp
  { 118, 2, 100, 0 },
  { 130, 2, 100, 0 },
  { 142, 2, 100, 0 },
  { 154, 2, 100, 0 },
  { 166, 2, 100, 0 },
  { 178, 2, 100, 0 },
  { 196, 2, 100, 0 },
  { 214, 2, 100, 0 },
  { 226, 2, 100, 0 },
  { 238, 2, 100, 0 },
  { 250, 2, 100, 0 },
  // 1728: convert_half_sat_rtz
  { 108, 2, 100, 0 },
  { 120, 2, 100, 0 },
  { 132, 2, 100, 0 },
  { 144, 2, 100, 0 },
  { 156, 2, 100, 0 },
  { 168, 2, 100, 0 },
  { 186, 2, 100, 0 },
  { 204, 2, 100, 0 },
  { 216, 2, 100, 0 },
  { 228, 2, 100, 0 },
  { 240, 2, 100, 0 },
  // 1739: convert_half2_sat_rtz
  { 110, 2, 100, 0 },
  { 122, 2, 100, 0 },
  { 134, 2, 100, 0 },
  { 146, 2, 100, 0 },
  { 158, 2, 100, 0 },
  { 170, 2, 100, 0 },
  { 188, 2, 100, 0 },
  { 206, 2, 100, 0 },
  { 218, 2, 100, 0 },
  { 230, 2, 100, 0 },
  { 242, 2, 100, 0 },
  // 1750: convert_half3_sat_rtz
  { 112, 2, 100, 0 },
  { 124, 2, 100, 0 },
  { 136, 2, 100, 0 },
  { 148, 2, 100, 0 },
  { 160, 2, 100, 0 },
  { 172, 2, 100, 0 },
  { 190, 2, 100, 0 },
  { 208, 2, 100, 0 },
  { 220, 2, 100, 0 },
  { 232, 2, 100, 0 },
  { 244, 2, 100, 0 },
  // 1761: convert_half4_sat_rtz
  { 114, 2, 100, 0 },
  { 126, 2, 100, 0 },
  { 138, 2, 100, 0 },
  { 150, 2, 100, 0 },
  { 162, 2, 100, 0 },
  { 174, 2, 100, 0 },
  { 192, 2, 100, 0 },
  { 210, 2, 100, 0 },
  { 222, 2, 100, 0 },
  { 234, 2, 100, 0 },
  { 246, 2, 100, 0 },
  // 1772: convert_half8_sat_rtz
  { 116, 2, 100, 0 },
  { 128, 2, 100, 0 },
  { 140, 2, 100, 0 },
  { 152, 2, 100, 0 },
  { 164, 2, 100, 0 },
  { 176, 2, 100, 0 },
  { 194, 2, 100, 0 },
  { 212, 2, 100, 0 },
  { 224, 2, 100, 0 },
  { 236, 2, 100, 0 },
  { 248, 2, 100, 0 },
  // 1783: convert_half16_sat_rtz
  { 118, 2, 100, 0 },
  { 130, 2, 100, 0 },
  { 142, 2, 100, 0 },
  { 154, 2, 100, 0 },
  { 166, 2, 100, 0 },
  { 178, 2, 100, 0 },
  { 196, 2, 100, 0 },
  { 214, 2, 100, 0 },
  { 226, 2, 100, 0 },
  { 238, 2, 100, 0 },
  { 250, 2, 100, 0 },
  // 1794: convert_float16_sat
  { 62, 2, 100, 0 },
  { 202, 2, 100, 0 },
  { 346, 2, 100, 0 },
  { 490, 2, 100, 0 },
  { 634, 2, 100, 0 },
  { 778, 2, 100, 0 },
  { 914, 2, 100, 0 },
  { 1054, 2, 100, 0 },
  { 1198, 2, 100, 0 },
  { 1342, 2, 100, 0 },
  { 14, 2, 100, 0 },
  // 1805: convert_float_sat_rte
  { 36, 2, 100, 0 },
  { 180, 2, 100, 0 },
  { 316, 2, 100, 0 },
  { 456, 2, 100, 0 },
  { 600, 2, 100, 0 },
  { 744, 2, 100, 0 },
  { 888, 2, 100, 0 },
  { 1032, 2, 100, 0 },
  { 1168, 2, 100, 0 },
  { 1308, 2, 100, 0 },
  { 16, 2, 100, 0 },
  // 1816: convert_float2_sat_rte
  { 38, 2, 100, 0 },
  { 182, 2, 100, 0 },
  { 326, 2, 100, 0 },
  { 470, 2, 100, 0 },
  { 606, 2, 100, 0 },
  { 746, 2, 100, 0 },
  { 890, 2, 100, 0 },
  { 1034, 2, 100, 0 },
  { 1178, 2, 100, 0 },
  { 1322, 2, 100, 0 },
  { 18, 2, 100, 0 },
  // 1827: convert_float3_sat_rte
  { 44, 2, 100, 0 },
  { 184, 2, 100, 0 },
  { 328, 2, 100, 0 },
  { 472, 2, 100, 0 },
  { 616, 2, 100, 0 },
  { 760, 2, 100, 0 },
  { 896, 2, 100, 0 },
  { 1036, 2, 100, 0 },
  { 1180, 2, 100, 0 },
  { 1324, 2, 100, 0 },
  { 20, 2, 100, 0 },
  // 1838: convert_float4_sat_rte
  { 54, 2, 100, 0 },
  { 198, 2, 100, 0 },
  { 334, 2, 100, 0 },
  { 474, 2, 100, 0 },
  { 618, 2, 100, 0 },
  { 762, 2, 100, 0 },
  { 906, 2, 100, 0 },
  { 1050, 2, 100, 0 },
  { 1186, 2, 100, 0 },
  { 1326, 2, 100, 0 },
  { 22, 2, 100, 0 },
  // 1849: convert_float8_sat_rte
  { 56, 2, 100, 0 },
  { 200, 2, 100, 0 },
  { 344, 2, 100, 0 },
  { 488, 2, 100, 0 },
  { 624, 2, 100, 0 },
  { 764, 2, 100, 0 },
  { 908, 2, 100, 0 },
  { 1052, 2, 100, 0 },
  { 1196, 2, 100, 0 },
  { 1340, 2, 100, 0 },
  { 0, 2, 100, 0 },
  // 1860: convert_float16_sat_rte
  { 62, 2, 100, 0 },
  { 202, 2, 100, 0 },
  { 346, 2, 100, 0 },
  { 490, 2, 100, 0 },
  { 634, 2, 100, 0 },
  { 778, 2, 100, 0 },
  { 914, 2, 100, 0 },
  { 1054, 2, 100, 0 },
  { 1198, 2, 100, 0 },
  { 1342, 2, 100, 0 },
  { 14, 2, 100, 0 },
  // 1871: convert_float_sat_rtn
  { 36, 2, 100, 0 },
  { 180, 2, 100, 0 },
  { 316, 2, 100, 0 },
  { 456, 2, 100, 0 },
  { 600, 2, 100, 0 },
  { 744, 2, 100, 0 },
  { 888, 2, 100, 0 },
  { 1032, 2, 100, 0 },
  { 1168, 2, 100, 0 },
  { 1308, 2, 100, 0 },
  { 16, 2, 100, 0 },
  // 1882: convert_float2_sat_rtn
  { 38, 2, 100, 0 },
  { 182, 2, 100, 0 },
  { 326, 2, 100, 0 },
  { 470, 2, 100, 0 },
  { 606, 2, 100, 0 },
  { 746, 2, 100, 0 },
  { 890, 2, 100, 0 },
  { 1034, 2, 100, 0 },
  { 1178, 2, 100, 0 },
  { 1322, 2, 100, 0 },
  { 18, 2, 100, 0 },
  // 1893: convert_float3_sat_rtn
  { 44, 2, 100, 0 },
  { 184, 2, 100, 0 },
  { 328, 2, 100, 0 },
  { 472, 2, 100, 0 },
  { 616, 2, 100, 0 },
  { 760, 2, 100, 0 },
  { 896, 2, 100, 0 },
  { 1036, 2, 100, 0 },
  { 1180, 2, 100, 0 },
  { 1324, 2, 100, 0 },
  { 20, 2, 100, 0 },
  // 1904: convert_float4_sat_rtn
  { 54, 2, 100, 0 },
  { 198, 2, 100, 0 },
  { 334, 2, 100, 0 },
  { 474, 2, 100, 0 },
  { 618, 2, 100, 0 },
  { 762, 2, 100, 0 },
  { 906, 2, 100, 0 },
  { 1050, 2, 100, 0 },
  { 1186, 2, 100, 0 },
  { 1326, 2, 100, 0 },
  { 22, 2, 100, 0 },
  // 1915: convert_float8_sat_rtn
  { 56, 2, 100, 0 },
  { 200, 2, 100, 0 },
  { 344, 2, 100, 0 },
  { 488, 2, 100, 0 },
  { 624, 2, 100, 0 },
  { 764, 2, 100, 0 },
  { 908, 2, 100, 0 },
  { 1052, 2, 100, 0 },
  { 1196, 2, 100, 0 },
  { 1340, 2, 100, 0 },
  { 0, 2, 100, 0 },
  // 1926: convert_float16_sat_rtn
  { 62, 2, 100, 0 },
  { 202, 2, 100, 0 },
  { 346, 2, 100, 0 },
  { 490, 2, 100, 0 },
  { 634, 2, 100, 0 },
  { 778, 2, 100, 0 },
  { 914, 2, 100, 0 },
  { 1054, 2, 100, 0 },
  { 1198, 2, 100, 0 },
  { 1342, 2, 100, 0 },
  { 14, 2, 100, 0 },
  // 1937: convert_float_sat_rtp
  { 36, 2, 100, 0 },
  { 180, 2, 100, 0 },
  { 316, 2, 100, 0 },
  { 456, 2, 100, 0 },
  { 600, 2, 100, 0 },
  { 744, 2, 100, 0 },
  { 888, 2, 100, 0 },
  { 1032, 2, 100, 0 },
  { 1168, 2, 100, 0 },
  { 1308, 2, 100, 0 },
  { 16, 2, 100, 0 },
  // 1948: convert_float2_sat_rtp
  { 38, 2, 100, 0 },
  { 182, 2, 100, 0 },
  { 326, 2, 100, 0 },
  { 470, 2, 100, 0 },
  { 606, 2, 100, 0 },
  { 746, 2, 100, 0 },
  { 890, 2, 100, 0 },
  { 1034, 2, 100, 0 },
  { 1178, 2, 100, 0 },
  { 1322, 2, 100, 0 },
  { 18, 2, 100, 0 },
  // 1959: convert_float3_sat_rtp
  { 44, 2, 100, 0 },
  { 184, 2, 100, 0 },
  { 328, 2, 100, 0 },
  { 472, 2, 100, 0 },
  { 616, 2, 100, 0 },
  { 760, 2, 100, 0 },
  { 896, 2, 100, 0 },
  { 1036, 2, 100, 0 },
  { 1180, 2, 100, 0 },
  { 1324, 2, 100, 0 },
  { 20, 2, 100, 0 },
  // 1970: convert_float4_sat_rtp
  { 54, 2, 100, 0 },
  { 198, 2, 100, 0 },
  { 334, 2, 100, 0 },
  { 474, 2, 100, 0 },
  { 618, 2, 100, 0 },
  { 762, 2, 100, 0 },
  { 906, 2, 100, 0 },
  { 1050, 2, 100, 0 },
  { 1186, 2, 100, 0 },
  { 1326, 2, 100, 0 },
  { 22, 2, 100, 0 },
  // 1981: convert_char
  { 252, 2, 100, 0 },
  { 264, 2, 100, 0 },
  { 276, 2, 100, 0 },
  { 288, 2, 100, 0 },
  { 300, 2, 100, 0 },
  { 312, 2, 100, 0 },
  { 330, 2, 100, 0 },
  { 348, 2, 100, 0 },
  { 360, 2, 100, 0 },
  { 372, 2, 100, 0 },
  { 384, 2, 100, 0 },
  // 1992: convert_char2
  { 254, 2, 100, 0 },
  { 266, 2, 100, 0 },
  { 278, 2, 100, 0 },
  { 290, 2, 100, 0 },
  { 302, 2, 100, 0 },
  { 314, 2, 100, 0 },
  { 332, 2, 100, 0 },
  { 350, 2, 100, 0 },
  { 362, 2, 100, 0 },
  { 374, 2, 100, 0 },
  { 386, 2, 100, 0 },
  // 2003: convert_char3
  { 256, 2, 100, 0 },
  { 268, 2, 100, 0 },
  { 280, 2, 100, 0 },
  { 292, 2, 100, 0 },
  { 304, 2, 100, 0 },
  { 318, 2, 100, 0 },
  { 336, 2, 100, 0 },
  { 352, 2, 100, 0 },
  { 364, 2, 100, 0 },
  { 376, 2, 100, 0 },
  { 388, 2, 100, 0 },
  // 2014: convert_char4
  { 258, 2, 100, 0 },
  { 270, 2, 100, 0 },
  { 282, 2, 100, 0 },
  { 294, 2, 100, 0 },
  { 306, 2, 100, 0 },
  { 320, 2, 100, 0 },
  { 338, 2, 100, 0 },
  { 354, 2, 100, 0 },
  { 366, 2, 100, 0 },
  { 378, 2, 100, 0 },
  { 390, 2, 100, 0 },
  // 2025: convert_char8
  { 260, 2, 100, 0 },
  { 272, 2, 100, 0 },
  { 284, 2, 100, 0 },
  { 296, 2, 100, 0 },
  { 308, 2, 100, 0 },
  { 322, 2, 100, 0 },
  { 340, 2, 100, 0 },
  { 356, 2, 100, 0 },
  { 368, 2, 100, 0 },
  { 380, 2, 100, 0 },
  { 392, 2, 100, 0 },
  // 2036: convert_char16
  { 262, 2, 100, 0 },
  { 274, 2, 100, 0 },
  { 286, 2, 100, 0 },
  { 298, 2, 100, 0 },
  { 310, 2, 100, 0 },
  { 324, 2, 100, 0 },
  { 342, 2, 100, 0 },
  { 358, 2, 100, 0 },
  { 370, 2, 100, 0 },
  { 382, 2, 100, 0 },
  { 394, 2, 100, 0 },
  // 2047: convert_char_rte
  { 252, 2, 100, 0 },
  { 264, 2, 100, 0 },
  { 276, 2, 100, 0 },
  { 288, 2, 100, 0 },
  { 300, 2, 100, 0 },
  { 312, 2, 100, 0 },
  { 330, 2, 100, 0 },
  { 348, 2, 100, 0 },
  { 360, 2, 100, 0 },
  { 372, 2, 100, 0 },
  { 384, 2, 100, 0 },
  // 2058: convert_char2_rte
  { 254, 2, 100, 0 },
  { 266, 2, 100, 0 },
  { 278, 2, 100, 0 },
  { 290, 2, 100, 0 },
  { 302, 2, 100, 0 },
  { 314, 2, 100, 0 },
  { 332, 2, 100, 0 },
  { 350, 2, 100, 0 },
  { 362, 2, 100, 0 },
  { 374, 2, 100, 0 },
  { 386, 2, 100, 0 },
  // 2069: convert_char3_rte
  { 256, 2, 100, 0 },
  { 268, 2, 100, 0 },
  { 280, 2, 100, 0 },
  { 292, 2, 100, 0 },
  { 304, 2, 100, 0 },
  { 318, 2, 100, 0 },
  { 336, 2, 100, 0 },
  { 352, 2, 100, 0 },
  { 364, 2, 100, 0 },
  { 376, 2, 100, 0 },
  { 388, 2, 100, 0 },
  // 2080: convert_char4_rte
  { 258, 2, 100, 0 },
  { 270, 2, 100, 0 },
  { 282, 2, 100, 0 },
  { 294, 2, 100, 0 },
  { 306, 2, 100, 0 },
  { 320, 2, 100, 0 },
  { 338, 2, 100, 0 },
  { 354, 2, 100, 0 },
  { 366, 2, 100, 0 },
  { 378, 2, 100, 0 },
  { 390, 2, 100, 0 },
  // 2091: convert_char8_rte
  { 260, 2, 100, 0 },
  { 272, 2, 100, 0 },
  { 284, 2, 100, 0 },
  { 296, 2, 100, 0 },
  { 308, 2, 100, 0 },
  { 322, 2, 100, 0 },
  { 340, 2, 100, 0 },
  { 356, 2, 100, 0 },
  { 368, 2, 100, 0 },
  { 380, 2, 100, 0 },
  { 392, 2, 100, 0 },
  // 2102: convert_char16_rte
  { 262, 2, 100, 0 },
  { 274, 2, 100, 0 },
  { 286, 2, 100, 0 },
  { 298, 2, 100, 0 },
  { 310, 2, 100, 0 },
  { 324, 2, 100, 0 },
  { 342, 2, 100, 0 },
  { 358, 2, 100, 0 },
  { 370, 2, 100, 0 },
  { 382, 2, 100, 0 },
  { 394, 2, 100, 0 },
  // 2113: convert_char_rtn
  { 252, 2, 100, 0 },
  { 264, 2, 100, 0 },
  { 276, 2, 100, 0 },
  { 288, 2, 100, 0 },
  { 300, 2, 100, 0 },
  { 312, 2, 100, 0 },
  { 330, 2, 100, 0 },
  { 348, 2, 100, 0 },
  { 360, 2, 100, 0 },
  { 372, 2, 100, 0 },
  { 384, 2, 100, 0 },
  // 2124: convert_char2_rtn
  { 254, 2, 100, 0 },
  { 266, 2, 100, 0 },
  { 278, 2, 100, 0 },
  { 290, 2, 100, 0 },
  { 302, 2, 100, 0 },
  { 314, 2, 100, 0 },
  { 332, 2, 100, 0 },
  { 350, 2, 100, 0 },
  { 362, 2, 100, 0 },
  { 374, 2, 100, 0 },
  { 386, 2, 100, 0 },
  // 2135: convert_char3_rtn
  { 256, 2, 100, 0 },
  { 268, 2, 100, 0 },
  { 280, 2, 100, 0 },
  { 292, 2, 100, 0 },
  { 304, 2, 100, 0 },
  { 318, 2, 100, 0 },
  { 336, 2, 100, 0 },
  { 352, 2, 100, 0 },
  { 364, 2, 100, 0 },
  { 376, 2, 100, 0 },
  { 388, 2, 100, 0 },
  // 2146: convert_char4_rtn
  { 258, 2, 100, 0 },
  { 270, 2, 100, 0 },
  { 282, 2, 100, 0 },
  { 294, 2, 100, 0 },
  { 306, 2, 100, 0 },
  { 320, 2, 100, 0 },
  { 338, 2, 100, 0 },
  { 354, 2, 100, 0 },
  { 366, 2, 100, 0 },
  { 378, 2, 100, 0 },
  { 390, 2, 100, 0 },
  // 2157: convert_char8_rtn
  { 260, 2, 100, 0 },
  { 272, 2, 100, 0 },
  { 284, 2, 100, 0 },
  { 296, 2, 100, 0 },
  { 308, 2, 100, 0 },
  { 322, 2, 100, 0 },
  { 340, 2, 100, 0 },
  { 356, 2, 100, 0 },
  { 368, 2, 100, 0 },
  { 380, 2, 100, 0 },
  { 392, 2, 100, 0 },
  // 2168: convert_char16_rtn
  { 262, 2, 100, 0 },
  { 274, 2, 100, 0 },
  { 286, 2, 100, 0 },
  { 298, 2, 100, 0 },
  { 310, 2, 100, 0 },
  { 324, 2, 100, 0 },
  { 342, 2, 100, 0 },
  { 358, 2, 100, 0 },
  { 370, 2, 100, 0 },
  { 382, 2, 100, 0 },
  { 394, 2, 100, 0 },
  // 2179: convert_char_rtp
  { 252, 2, 100, 0 },
  { 264, 2, 100, 0 },
  { 276, 2, 100, 0 },
  { 288, 2, 100, 0 },
  { 300, 2, 100, 0 },
  { 312, 2, 100, 0 },
  { 330, 2, 100, 0 },
  { 348, 2, 100, 0 },
  { 360, 2, 100, 0 },
  { 372, 2, 100, 0 },
  { 384, 2, 100, 0 },
  // 2190: convert_char2_rtp
  { 254, 2, 100, 0 },
  { 266, 2, 100, 0 },
  { 278, 2, 100, 0 },
  { 290, 2, 100, 0 },
  { 302, 2, 100, 0 },
  { 314, 2, 100, 0 },
  { 332, 2, 100, 0 },
  { 350, 2, 100, 0 },
  { 362, 2, 100, 0 },
  { 374, 2, 100, 0 },
  { 386, 2, 100, 0 },
  // 2201: convert_char3_rtp
  { 256, 2, 100, 0 },
  { 268, 2, 100, 0 },
  { 280, 2, 100, 0 },
  { 292, 2, 100, 0 },
  { 304, 2, 100, 0 },
  { 318, 2, 100, 0 },
  { 336, 2, 100, 0 },
  { 352, 2, 100, 0 },
  { 364, 2, 100, 0 },
  { 376, 2, 100, 0 },
  { 388, 2, 100, 0 },
  // 2212: convert_char4_rtp
  { 258, 2, 100, 0 },
  { 270, 2, 100, 0 },
  { 282, 2, 100, 0 },
  { 294, 2, 100, 0 },
  { 306, 2, 100, 0 },
  { 320, 2, 100, 0 },
  { 338, 2, 100, 0 },
  { 354, 2, 100, 0 },
  { 366, 2, 100, 0 },
  { 378, 2, 100, 0 },
  { 390, 2, 100, 0 },
  // 2223: convert_char8_rtp
  { 260, 2, 100, 0 },
  { 272, 2, 100, 0 },
  { 284, 2, 100, 0 },
  { 296, 2, 100, 0 },
  { 308, 2, 100, 0 },
  { 322, 2, 100, 0 },
  { 340, 2, 100, 0 },
  { 356, 2, 100, 0 },
  { 368, 2, 100, 0 },
  { 380, 2, 100, 0 },
  { 392, 2, 100, 0 },
  // 2234: convert_char16_rtp
  { 262, 2, 100, 0 },
  { 274, 2, 100, 0 },
  { 286, 2, 100, 0 },
  { 298, 2, 100, 0 },
  { 310, 2, 100, 0 },
  { 324, 2, 100, 0 },
  { 342, 2, 100, 0 },
  { 358, 2, 100, 0 },
  { 370, 2, 100, 0 },
  { 382, 2, 100, 0 },
  { 394, 2, 100, 0 },
  // 2245: convert_char_rtz
  { 252, 2, 100, 0 },
  { 264, 2, 100, 0 },
  { 276, 2, 100, 0 },
  { 288, 2, 100, 0 },
  { 300, 2, 100, 0 },
  { 312, 2, 100, 0 },
  { 330, 2, 100, 0 },
  { 348, 2, 100, 0 },
  { 360, 2, 100, 0 },
  { 372, 2, 100, 0 },
  { 384, 2, 100, 0 },
  // 2256: convert_char2_rtz
  { 254, 2, 100, 0 },
  { 266, 2, 100, 0 },
  { 278, 2, 100, 0 },
  { 290, 2, 100, 0 },
  { 302, 2, 100, 0 },
  { 314, 2, 100, 0 },
  { 332, 2, 100, 0 },
  { 350, 2, 100, 0 },
  { 362, 2, 100, 0 },
  { 374, 2, 100, 0 },
  { 386, 2, 100, 0 },
  // 2267: convert_char3_rtz
  { 256, 2, 100, 0 },
  { 268, 2, 100, 0 },
  { 280, 2, 100, 0 },
  { 292, 2, 100, 0 },
  { 304, 2, 100, 0 },
  { 318, 2, 100, 0 },
  { 336, 2, 100, 0 },
  { 352, 2, 100, 0 },
  { 364, 2, 100, 0 },
  { 376, 2, 100, 0 },
  { 388, 2, 100, 0 },
  // 2278: convert_char4_rtz
  { 258, 2, 100, 0 },
  { 270, 2, 100, 0 },
  { 282, 2, 100, 0 },
  { 294, 2, 100, 0 },
  { 306, 2, 100, 0 },
  { 320, 2, 100, 0 },
  { 338, 2, 100, 0 },
  { 354, 2, 100, 0 },
  { 366, 2, 100, 0 },
  { 378, 2, 100, 0 },
  { 390, 2, 100, 0 },
  // 2289: convert_char8_rtz
  { 260, 2, 100, 0 },
  { 272, 2, 100, 0 },
  { 284, 2, 100, 0 },
  { 296, 2, 100, 0 },
  { 308, 2, 100, 0 },
  { 322, 2, 100, 0 },
  { 340, 2, 100, 0 },
  { 356, 2, 100, 0 },
  { 368, 2, 100, 0 },
  { 380, 2, 100, 0 },
  { 392, 2, 100, 0 },
  // 2300: convert_char16_rtz
  { 262, 2, 100, 0 },
  { 274, 2, 100, 0 },
  { 286, 2, 100, 0 },
  { 298, 2, 100, 0 },
  { 310, 2, 100, 0 },
  { 324, 2, 100, 0 },
  { 342, 2, 100, 0 },
  { 358, 2, 100, 0 },
  { 370, 2, 100, 0 },
  { 382, 2, 100, 0 },
  { 394, 2, 100, 0 },
  // 2311: convert_char_sat
  { 252, 2, 100, 0 },
  { 264, 2, 100, 0 },
  { 276, 2, 100, 0 },
  { 288, 2, 100, 0 },
  { 300, 2, 100, 0 },
  { 312, 2, 100, 0 },
  { 330, 2, 100, 0 },
  { 348, 2, 100, 0 },
  { 360, 2, 100, 0 },
  { 372, 2, 100, 0 },
  { 384, 2, 100, 0 },
  // 2322: convert_char2_sat
  { 254, 2, 100, 0 },
  { 266, 2, 100, 0 },
  { 278, 2, 100, 0 },
  { 290, 2, 100, 0 },
  { 302, 2, 100, 0 },
  { 314, 2, 100, 0 },
  { 332, 2, 100, 0 },
  { 350, 2, 100, 0 },
  { 362, 2, 100, 0 },
  { 374, 2, 100, 0 },
  { 386, 2, 100, 0 },
  // 2333: convert_char3_sat
  { 256, 2, 100, 0 },
  { 268, 2, 100, 0 },
  { 280, 2, 100, 0 },
  { 292, 2, 100, 0 },
  { 304, 2, 100, 0 },
  { 318, 2, 100, 0 },
  { 336, 2, 100, 0 },
  { 352, 2, 100, 0 },
  { 364, 2, 100, 0 },
  { 376, 2, 100, 0 },
  { 388, 2, 100, 0 },
  // 2344: convert_char4_sat
  { 258, 2, 100, 0 },
  { 270, 2, 100, 0 },
  { 282, 2, 100, 0 },
  { 294, 2, 100, 0 },
  { 306, 2, 100, 0 },
  { 320, 2, 100, 0 },
  { 338, 2, 100, 0 },
  { 354, 2, 100, 0 },
  { 366, 2, 100, 0 },
  { 378, 2, 100, 0 },
  { 390, 2, 100, 0 },
  // 2355: convert_char8_sat
  { 260, 2, 100, 0 },
  { 272, 2, 100, 0 },
  { 284, 2, 100, 0 },
  { 296, 2, 100, 0 },
  { 308, 2, 100, 0 },
  { 322, 2, 100, 0 },
  { 340, 2, 100, 0 },
  { 356, 2, 100, 0 },
  { 368, 2, 100, 0 },
  { 380, 2, 100, 0 },
  { 392, 2, 100, 0 },
  // 2366: convert_char16_sat
  { 262, 2, 100, 0 },
  { 274, 2, 100, 0 },
  { 286, 2, 100, 0 },
  { 298, 2, 100, 0 },
  { 310, 2, 100, 0 },
  { 324, 2, 100, 0 },
  { 342, 2, 100, 0 },
  { 358, 2, 100, 0 },
  { 370, 2, 100, 0 },
  { 382, 2, 100, 0 },
  { 394, 2, 100, 0 },
  // 2377: convert_char_sat_rte
  { 252, 2, 100, 0 },
  { 264, 2, 100, 0 },
  { 276, 2, 100, 0 },
  { 288, 2, 100, 0 },
  { 300, 2, 100, 0 },
  { 312, 2, 100, 0 },
  { 330, 2, 100, 0 },
  { 348, 2, 100, 0 },
  { 360, 2, 100, 0 },
  { 372, 2, 100, 0 },
  { 384, 2, 100, 0 },
  // 2388: convert_char2_sat_rte
  { 254, 2, 100, 0 },
  { 266, 2, 100, 0 },
  { 278, 2, 100, 0 },
  { 290, 2, 100, 0 },
  { 302, 2, 100, 0 },
  { 314, 2, 100, 0 },
  { 332, 2, 100, 0 },
  { 350, 2, 100, 0 },
  { 362, 2, 100, 0 },
  { 374, 2, 100, 0 },
  { 386, 2, 100, 0 },
  // 2399: convert_char3_sat_rte
  { 256, 2, 100, 0 },
  { 268, 2, 100, 0 },
  { 280, 2, 100, 0 },
  { 292, 2, 100, 0 },
  { 304, 2, 100, 0 },
  { 318, 2, 100, 0 },
  { 336, 2, 100, 0 },
  { 352, 2, 100, 0 },
  { 364, 2, 100, 0 },
  { 376, 2, 100, 0 },
  { 388, 2, 100, 0 },
  // 2410: convert_char4_sat_rte
  { 258, 2, 100, 0 },
  { 270, 2, 100, 0 },
  { 282, 2, 100, 0 },
  { 294, 2, 100, 0 },
  { 306, 2, 100, 0 },
  { 320, 2, 100, 0 },
  { 338, 2, 100, 0 },
  { 354, 2, 100, 0 },
  { 366, 2, 100, 0 },
  { 378, 2, 100, 0 },
  { 390, 2, 100, 0 },
  // 2421: convert_char8_sat_rte
  { 260, 2, 100, 0 },
  { 272, 2, 100, 0 },
  { 284, 2, 100, 0 },
  { 296, 2, 100, 0 },
  { 308, 2, 100, 0 },
  { 322, 2, 100, 0 },
  { 340, 2, 100, 0 },
  { 356, 2, 100, 0 },
  { 368, 2, 100, 0 },
  { 380, 2, 100, 0 },
  { 392, 2, 100, 0 },
  // 2432: convert_char16_sat_rte
  { 262, 2, 100, 0 },
  { 274, 2, 100, 0 },
  { 286, 2, 100, 0 },
  { 298, 2, 100, 0 },
  { 310, 2, 100, 0 },
  { 324, 2, 100, 0 },
  { 342, 2, 100, 0 },
  { 358, 2, 100, 0 },
  { 370, 2, 100, 0 },
  { 382, 2, 100, 0 },
  { 394, 2, 100, 0 },
  // 2443: convert_char_sat_rtn
  { 252, 2, 100, 0 },
  { 264, 2, 100, 0 },
  { 276, 2, 100, 0 },
  { 288, 2, 100, 0 },
  { 300, 2, 100, 0 },
  { 312, 2, 100, 0 },
  { 330, 2, 100, 0 },
  { 348, 2, 100, 0 },
  { 360, 2, 100, 0 },
  { 372, 2, 100, 0 },
  { 384, 2, 100, 0 },
  // 2454: convert_char2_sat_rtn
  { 254, 2, 100, 0 },
  { 266, 2, 100, 0 },
  { 278, 2, 100, 0 },
  { 290, 2, 100, 0 },
  { 302, 2, 100, 0 },
  { 314, 2, 100, 0 },
  { 332, 2, 100, 0 },
  { 350, 2, 100, 0 },
  { 362, 2, 100, 0 },
  { 374, 2, 100, 0 },
  { 386, 2, 100, 0 },
  // 2465: convert_char3_sat_rtn
  { 256, 2, 100, 0 },
  { 268, 2, 100, 0 },
  { 280, 2, 100, 0 },
  { 292, 2, 100, 0 },
  { 304, 2, 100, 0 },
  { 318, 2, 100, 0 },
  { 336, 2, 100, 0 },
  { 352, 2, 100, 0 },
  { 364, 2, 100, 0 },
  { 376, 2, 100, 0 },
  { 388, 2, 100, 0 },
  // 2476: convert_char4_sat_rtn
  { 258, 2, 100, 0 },
  { 270, 2, 100, 0 },
  { 282, 2, 100, 0 },
  { 294, 2, 100, 0 },
  { 306, 2, 100, 0 },
  { 320, 2, 100, 0 },
  { 338, 2, 100, 0 },
  { 354, 2, 100, 0 },
  { 366, 2, 100, 0 },
  { 378, 2, 100, 0 },
  { 390, 2, 100, 0 },
  // 2487: convert_char8_sat_rtn
  { 260, 2, 100, 0 },
  { 272, 2, 100, 0 },
  { 284, 2, 100, 0 },
  { 296, 2, 100, 0 },
  { 308, 2, 100, 0 },
  { 322, 2, 100, 0 },
  { 340, 2, 100, 0 },
  { 356, 2, 100, 0 },
  { 368, 2, 100, 0 },
  { 380, 2, 100, 0 },
  { 392, 2, 100, 0 },
  // 2498: convert_char16_sat_rtn
  { 262, 2, 100, 0 },
  { 274, 2, 100, 0 },
  { 286, 2, 100, 0 },
  { 298, 2, 100, 0 },
  { 310, 2, 100, 0 },
  { 324, 2, 100, 0 },
  { 342, 2, 100, 0 },
  { 358, 2, 100, 0 },
  { 370, 2, 100, 0 },
  { 382, 2, 100, 0 },
  { 394, 2, 100, 0 },
  // 2509: convert_char_sat_rtp
  { 252, 2, 100, 0 },
  { 264, 2, 100, 0 },
  { 276, 2, 100, 0 },
  { 288, 2, 100, 0 },
  { 300, 2, 100, 0 },
  { 312, 2, 100, 0 },
  { 330, 2, 100, 0 },
  { 348, 2, 100, 0 },
  { 360, 2, 100, 0 },
  { 372, 2, 100, 0 },
  { 384, 2, 100, 0 },
  // 2520: convert_char2_sat_rtp
  { 254, 2, 100, 0 },
  { 266, 2, 100, 0 },
  { 278, 2, 100, 0 },
  { 290, 2, 100, 0 },
  { 302, 2, 100, 0 },
  { 314, 2, 100, 0 },
  { 332, 2, 100, 0 },
  { 350, 2, 100, 0 },
  { 362, 2, 100, 0 },
  { 374, 2, 100, 0 },
  { 386, 2, 100, 0 },
  // 2531: convert_char3_sat_rtp
  { 256, 2, 100, 0 },
  { 268, 2, 100, 0 },
  { 280, 2, 100, 0 },
  { 292, 2, 100, 0 },
  { 304, 2, 100, 0 },
  { 318, 2, 100, 0 },
  { 336, 2, 100, 0 },
  { 352, 2, 100, 0 },
  { 364, 2, 100, 0 },
  { 376, 2, 100, 0 },
  { 388, 2, 100, 0 },
  // 2542: convert_char4_sat_rtp
  { 258, 2, 100, 0 },
  { 270, 2, 100, 0 },
  { 282, 2, 100, 0 },
  { 294, 2, 100, 0 },
  { 306, 2, 100, 0 },
  { 320, 2, 100, 0 },
  { 338, 2, 100, 0 },
  { 354, 2, 100, 0 },
  { 366, 2, 100, 0 },
  { 378, 2, 100, 0 },
  { 390, 2, 100, 0 },
  // 2553: convert_char8_sat_rtp
  { 260, 2, 100, 0 },
  { 272, 2, 100, 0 },
  { 284, 2, 100, 0 },
  { 296, 2, 100, 0 },
  { 308, 2, 100, 0 },
  { 322, 2, 100, 0 },
  { 340, 2, 100, 0 },
  { 356, 2, 100, 0 },
  { 368, 2, 100, 0 },
  { 380, 2, 100, 0 },
  { 392, 2, 100, 0 },
  // 2564: convert_char16_sat_rtp
  { 262, 2, 100, 0 },
  { 274, 2, 100, 0 },
  { 286, 2, 100, 0 },
  { 298, 2, 100, 0 },
  { 310, 2, 100, 0 },
  { 324, 2, 100, 0 },
  { 342, 2, 100, 0 },
  { 358, 2, 100, 0 },
  { 370, 2, 100, 0 },
  { 382, 2, 100, 0 },
  { 394, 2, 100, 0 },
  // 2575: convert_char_sat_rtz
  { 252, 2, 100, 0 },
  { 264, 2, 100, 0 },
  { 276, 2, 100, 0 },
  { 288, 2, 100, 0 },
  { 300, 2, 100, 0 },
  { 312, 2, 100, 0 },
  { 330, 2, 100, 0 },
  { 348, 2, 100, 0 },
  { 360, 2, 100, 0 },
  { 372, 2, 100, 0 },
  { 384, 2, 100, 0 },
  // 2586: convert_char2_sat_rtz
  { 254, 2, 100, 0 },
  { 266, 2, 100, 0 },
  { 278, 2, 100, 0 },
  { 290, 2, 100, 0 },
  { 302, 2, 100, 0 },
  { 314, 2, 100, 0 },
  { 332, 2, 100, 0 },
  { 350, 2, 100, 0 },
  { 362, 2, 100, 0 },
  { 374, 2, 100, 0 },
  { 386, 2, 100, 0 },
  // 2597: convert_char3_sat_rtz
  { 256, 2, 100, 0 },
  { 268, 2, 100, 0 },
  { 280, 2, 100, 0 },
  { 292, 2, 100, 0 },
  { 304, 2, 100, 0 },
  { 318, 2, 100, 0 },
  { 336, 2, 100, 0 },
  { 352, 2, 100, 0 },
  { 364, 2, 100, 0 },
  { 376, 2, 100, 0 },
  { 388, 2, 100, 0 },
  // 2608: convert_char4_sat_rtz
  { 258, 2, 100, 0 },
  { 270, 2, 100, 0 },
  { 282, 2, 100, 0 },
  { 294, 2, 100, 0 },
  { 306, 2, 100, 0 },
  { 320, 2, 100, 0 },
  { 338, 2, 100, 0 },
  { 354, 2, 100, 0 },
  { 366, 2, 100, 0 },
  { 378, 2, 100, 0 },
  { 390, 2, 100, 0 },
  // 2619: convert_char8_sat_rtz
  { 260, 2, 100, 0 },
  { 272, 2, 100, 0 },
  { 284, 2, 100, 0 },
  { 296, 2, 100, 0 },
  { 308, 2, 100, 0 },
  { 322, 2, 100, 0 },
  { 340, 2, 100, 0 },
  { 356, 2, 100, 0 },
  { 368, 2, 100, 0 },
  { 380, 2, 100, 0 },
  { 392, 2, 100, 0 },
  // 2630: convert_char16_sat_rtz
  { 262, 2, 100, 0 },
  { 274, 2, 100, 0 },
  { 286, 2, 100, 0 },
  { 298, 2, 100, 0 },
  { 310, 2, 100, 0 },
  { 324, 2, 100, 0 },
  { 342, 2, 100, 0 },
  { 358, 2, 100, 0 },
  { 370, 2, 100, 0 },
  { 382, 2, 100, 0 },
  { 394, 2, 100, 0 },
  // 2641: convert_uchar
  { 396, 2, 100, 0 },
  { 408, 2, 100, 0 },
  { 420, 2, 100, 0 },
  { 432, 2, 100, 0 },
  { 444, 2, 100, 0 },
  { 458, 2, 100, 0 },
  { 476, 2, 100, 0 },
  { 492, 2, 100, 0 },
  { 504, 2, 100, 0 },
  { 516, 2, 100, 0 },
  { 528, 2, 100, 0 },
  // 2652: convert_uchar2
  { 398, 2, 100, 0 },
  { 410, 2, 100, 0 },
  { 422, 2, 100, 0 },
  { 434, 2, 100, 0 },
  { 446, 2, 100, 0 },
  { 460, 2, 100, 0 },
  { 478, 2, 100, 0 },
  { 494, 2, 100, 0 },
  { 506, 2, 100, 0 },
  { 518, 2, 100, 0 },
  { 530, 2, 100, 0 },
  // 2663: convert_uchar3
  { 400, 2, 100, 0 },
  { 412, 2, 100, 0 },
  { 424, 2, 100, 0 },
  { 436, 2, 100, 0 },
  { 448, 2, 100, 0 },
  { 462, 2, 100, 0 },
  { 480, 2, 100, 0 },
  { 496, 2, 100, 0 },
  { 508, 2, 100, 0 },
  { 520, 2, 100, 0 },
  { 532, 2, 100, 0 },
  // 2674: convert_uchar4
  { 402, 2, 100, 0 },
  { 414, 2, 100, 0 },
  { 426, 2, 100, 0 },
  { 438, 2, 100, 0 },
  { 450, 2, 100, 0 },
  { 464, 2, 100, 0 },
  { 482, 2, 100, 0 },
  { 498, 2, 100, 0 },
  { 510, 2, 100, 0 },
  { 522, 2, 100, 0 },
  { 534, 2, 100, 0 },
  // 2685: convert_uchar8
  { 404, 2, 100, 0 },
  { 416, 2, 100, 0 },
  { 428, 2, 100, 0 },
  { 440, 2, 100, 0 },
  { 452, 2, 100, 0 },
  { 466, 2, 100, 0 },
  { 484, 2, 100, 0 },
  { 500, 2, 100, 0 },
  { 512, 2, 100, 0 },
  { 524, 2, 100, 0 },
  { 536, 2, 100, 0 },
  // 2696: convert_uchar16
  { 406, 2, 100, 0 },
  { 418, 2, 100, 0 },
  { 430, 2, 100, 0 },
  { 442, 2, 100, 0 },
  { 454, 2, 100, 0 },
  { 468, 2, 100, 0 },
  { 486, 2, 100, 0 },
  { 502, 2, 100, 0 },
  { 514, 2, 100, 0 },
  { 526, 2, 100, 0 },
  { 538, 2, 100, 0 },
  // 2707: convert_uchar_rte
  { 396, 2, 100, 0 },
  { 408, 2, 100, 0 },
  { 420, 2, 100, 0 },
  { 432, 2, 100, 0 },
  { 444, 2, 100, 0 },
  { 458, 2, 100, 0 },
  { 476, 2, 100, 0 },
  { 492, 2, 100, 0 },
  { 504, 2, 100, 0 },
  { 516, 2, 100, 0 },
  { 528, 2, 100, 0 },
  // 2718: convert_uchar2_rte
  { 398, 2, 100, 0 },
  { 410, 2, 100, 0 },
  { 422, 2, 100, 0 },
  { 434, 2, 100, 0 },
  { 446, 2, 100, 0 },
  { 460, 2, 100, 0 },
  { 478, 2, 100, 0 },
  { 494, 2, 100, 0 },
  { 506, 2, 100, 0 },
  { 518, 2, 100, 0 },
  { 530, 2, 100, 0 },
  // 2729: convert_uchar3_rte
  { 400, 2, 100, 0 },
  { 412, 2, 100, 0 },
  { 424, 2, 100, 0 },
  { 436, 2, 100, 0 },
  { 448, 2, 100, 0 },
  { 462, 2, 100, 0 },
  { 480, 2, 100, 0 },
  { 496, 2, 100, 0 },
  { 508, 2, 100, 0 },
  { 520, 2, 100, 0 },
  { 532, 2, 100, 0 },
  // 2740: convert_uchar4_rte
  { 402, 2, 100, 0 },
  { 414, 2, 100, 0 },
  { 426, 2, 100, 0 },
  { 438, 2, 100, 0 },
  { 450, 2, 100, 0 },
  { 464, 2, 100, 0 },
  { 482, 2, 100, 0 },
  { 498, 2, 100, 0 },
  { 510, 2, 100, 0 },
  { 522, 2, 100, 0 },
  { 534, 2, 100, 0 },
  // 2751: convert_uchar8_rte
  { 404, 2, 100, 0 },
  { 416, 2, 100, 0 },
  { 428, 2, 100, 0 },
  { 440, 2, 100, 0 },
  { 452, 2, 100, 0 },
  { 466, 2, 100, 0 },
  { 484, 2, 100, 0 },
  { 500, 2, 100, 0 },
  { 512, 2, 100, 0 },
  { 524, 2, 100, 0 },
  { 536, 2, 100, 0 },
  // 2762: convert_uchar16_rte
  { 406, 2, 100, 0 },
  { 418, 2, 100, 0 },
  { 430, 2, 100, 0 },
  { 442, 2, 100, 0 },
  { 454, 2, 100, 0 },
  { 468, 2, 100, 0 },
  { 486, 2, 100, 0 },
  { 502, 2, 100, 0 },
  { 514, 2, 100, 0 },
  { 526, 2, 100, 0 },
  { 538, 2, 100, 0 },
  // 2773: convert_uchar_rtn
  { 396, 2, 100, 0 },
  { 408, 2, 100, 0 },
  { 420, 2, 100, 0 },
  { 432, 2, 100, 0 },
  { 444, 2, 100, 0 },
  { 458, 2, 100, 0 },
  { 476, 2, 100, 0 },
  { 492, 2, 100, 0 },
  { 504, 2, 100, 0 },
  { 516, 2, 100, 0 },
  { 528, 2, 100, 0 },
  // 2784: convert_uchar2_rtn
  { 398, 2, 100, 0 },
  { 410, 2, 100, 0 },
  { 422, 2, 100, 0 },
  { 434, 2, 100, 0 },
  { 446, 2, 100, 0 },
  { 460, 2, 100, 0 },
  { 478, 2, 100, 0 },
  { 494, 2, 100, 0 },
  { 506, 2, 100, 0 },
  { 518, 2, 100, 0 },
  { 530, 2, 100, 0 },
  // 2795: convert_uchar3_rtn
  { 400, 2, 100, 0 },
  { 412, 2, 100, 0 },
  { 424, 2, 100, 0 },
  { 436, 2, 100, 0 },
  { 448, 2, 100, 0 },
  { 462, 2, 100, 0 },
  { 480, 2, 100, 0 },
  { 496, 2, 100, 0 },
  { 508, 2, 100, 0 },
  { 520, 2, 100, 0 },
  { 532, 2, 100, 0 },
  // 2806: convert_uchar4_rtn
  { 402, 2, 100, 0 },
  { 414, 2, 100, 0 },
  { 426, 2, 100, 0 },
  { 438, 2, 100, 0 },
  { 450, 2, 100, 0 },
  { 464, 2, 100, 0 },
  { 482, 2, 100, 0 },
  { 498, 2, 100, 0 },
  { 510, 2, 100, 0 },
  { 522, 2, 100, 0 },
  { 534, 2, 100, 0 },
  // 2817: convert_uchar8_rtn
  { 404, 2, 100, 0 },
  { 416, 2, 100, 0 },
  { 428, 2, 100, 0 },
  { 440, 2, 100, 0 },
  { 452, 2, 100, 0 },
  { 466, 2, 100, 0 },
  { 484, 2, 100, 0 },
  { 500, 2, 100, 0 },
  { 512, 2, 100, 0 },
  { 524, 2, 100, 0 },
  { 536, 2, 100, 0 },
  // 2828: convert_uchar16_rtn
  { 406, 2, 100, 0 },
  { 418, 2, 100, 0 },
  { 430, 2, 100, 0 },
  { 442, 2, 100, 0 },
  { 454, 2, 100, 0 },
  { 468, 2, 100, 0 },
  { 486, 2, 100, 0 },
  { 502, 2, 100, 0 },
  { 514, 2, 100, 0 },
  { 526, 2, 100, 0 },
  { 538, 2, 100, 0 },
  // 2839: convert_uchar_rtp
  { 396, 2, 100, 0 },
  { 408, 2, 100, 0 },
  { 420, 2, 100, 0 },
  { 432, 2, 100, 0 },
  { 444, 2, 100, 0 },
  { 458, 2, 100, 0 },
  { 476, 2, 100, 0 },
  { 492, 2, 100, 0 },
  { 504, 2, 100, 0 },
  { 516, 2, 100, 0 },
  { 528, 2, 100, 0 },
  // 2850: convert_uchar2_rtp
  { 398, 2, 100, 0 },
  { 410, 2, 100, 0 },
  { 422, 2, 100, 0 },
  { 434, 2, 100, 0 },
  { 446, 2, 100, 0 },
  { 460, 2, 100, 0 },
  { 478, 2, 100, 0 },
  { 494, 2, 100, 0 },
  { 506, 2, 100, 0 },
  { 518, 2, 100, 0 },
  { 530, 2, 100, 0 },
  // 2861: convert_uchar3_rtp
  { 400, 2, 100, 0 },
  { 412, 2, 100, 0 },
  { 424, 2, 100, 0 },
  { 436, 2, 100, 0 },
  { 448, 2, 100, 0 },
  { 462, 2, 100, 0 },
  { 480, 2, 100, 0 },
  { 496, 2, 100, 0 },
  { 508, 2, 100, 0 },
  { 520, 2, 100, 0 },
  { 532, 2, 100, 0 },
  // 2872: convert_uchar4_rtp
  { 402, 2, 100, 0 },
  { 414, 2, 100, 0 },
  { 426, 2, 100, 0 },
  { 438, 2, 100, 0 },
  { 450, 2, 100, 0 },
  { 464, 2, 100, 0 },
  { 482, 2, 100, 0 },
  { 498, 2, 100, 0 },
  { 510, 2, 100, 0 },
  { 522, 2, 100, 0 },
  { 534, 2, 100, 0 },
  // 2883: convert_uchar8_rtp
  { 404, 2, 100, 0 },
  { 416, 2, 100, 0 },
  { 428, 2, 100, 0 },
  { 440, 2, 100, 0 },
  { 452, 2, 100, 0 },
  { 466, 2, 100, 0 },
  { 484, 2, 100, 0 },
  { 500, 2, 100, 0 },
  { 512, 2, 100, 0 },
  { 524, 2, 100, 0 },
  { 536, 2, 100, 0 },
  // 2894: convert_uchar16_rtp
  { 406, 2, 100, 0 },
  { 418, 2, 100, 0 },
  { 430, 2, 100, 0 },
  { 442, 2, 100, 0 },
  { 454, 2, 100, 0 },
  { 468, 2, 100, 0 },
  { 486, 2, 100, 0 },
  { 502, 2, 100, 0 },
  { 514, 2, 100, 0 },
  { 526, 2, 100, 0 },
  { 538, 2, 100, 0 },
  // 2905: convert_uchar_rtz
  { 396, 2, 100, 0 },
  { 408, 2, 100, 0 },
  { 420, 2, 100, 0 },
  { 432, 2, 100, 0 },
  { 444, 2, 100, 0 },
  { 458, 2, 100, 0 },
  { 476, 2, 100, 0 },
  { 492, 2, 100, 0 },
  { 504, 2, 100, 0 },
  { 516, 2, 100, 0 },
  { 528, 2, 100, 0 },
  // 2916: convert_uchar2_rtz
  { 398, 2, 100, 0 },
  { 410, 2, 100, 0 },
  { 422, 2, 100, 0 },
  { 434, 2, 100, 0 },
  { 446, 2, 100, 0 },
  { 460, 2, 100, 0 },
  { 478, 2, 100, 0 },
  { 494, 2, 100, 0 },
  { 506, 2, 100, 0 },
  { 518, 2, 100, 0 },
  { 530, 2, 100, 0 },
  // 2927: convert_uchar3_rtz
  { 400, 2, 100, 0 },
  { 412, 2, 100, 0 },
  { 424, 2, 100, 0 },
  { 436, 2, 100, 0 },
  { 448, 2, 100, 0 },
  { 462, 2, 100, 0 },
  { 480, 2, 100, 0 },
  { 496, 2, 100, 0 },
  { 508, 2, 100, 0 },
  { 520, 2, 100, 0 },
  { 532, 2, 100, 0 },
  // 2938: convert_uchar4_rtz
  { 402, 2, 100, 0 },
  { 414, 2, 100, 0 },
  { 426, 2, 100, 0 },
  { 438, 2, 100, 0 },
  { 450, 2, 100, 0 },
  { 464, 2, 100, 0 },
  { 482, 2, 100, 0 },
  { 498, 2, 100, 0 },
  { 510, 2, 100, 0 },
  { 522, 2, 100, 0 },
  { 534, 2, 100, 0 },
  // 2949: convert_uchar8_rtz
  { 404, 2, 100, 0 },
  { 416, 2, 100, 0 },
  { 428, 2, 100, 0 },
  { 440, 2, 100, 0 },
  { 452, 2, 100, 0 },
  { 466, 2, 100, 0 },
  { 484, 2, 100, 0 },
  { 500, 2, 100, 0 },
  { 512, 2, 100, 0 },
  { 524, 2, 100, 0 },
  { 536, 2, 100, 0 },
  // 2960: convert_uchar16_rtz
  { 406, 2, 100, 0 },
  { 418, 2, 100, 0 },
  { 430, 2, 100, 0 },
  { 442, 2, 100, 0 },
  { 454, 2, 100, 0 },
  { 468, 2, 100, 0 },
  { 486, 2, 100, 0 },
  { 502, 2, 100, 0 },
  { 514, 2, 100, 0 },
  { 526, 2, 100, 0 },
  { 538, 2, 100, 0 },
  // 2971: convert_uchar_sat
  { 396, 2, 100, 0 },
  { 408, 2, 100, 0 },
  { 420, 2, 100, 0 },
  { 432, 2, 100, 0 },
  { 444, 2, 100, 0 },
  { 458, 2, 100, 0 },
  { 476, 2, 100, 0 },
  { 492, 2, 100, 0 },
  { 504, 2, 100, 0 },
  { 516, 2, 100, 0 },
  { 528, 2, 100, 0 },
  // 2982: convert_uchar2_sat
  { 398, 2, 100, 0 },
  { 410, 2, 100, 0 },
  { 422, 2, 100, 0 },
  { 434, 2, 100, 0 },
  { 446, 2, 100, 0 },
  { 460, 2, 100, 0 },
  { 478, 2, 100, 0 },
  { 494, 2, 100, 0 },
  { 506, 2, 100, 0 },
  { 518, 2, 100, 0 },
  { 530, 2, 100, 0 },
  // 2993: convert_uchar3_sat
  { 400, 2, 100, 0 },
  { 412, 2, 100, 0 },
  { 424, 2, 100, 0 },
  { 436, 2, 100, 0 },
  { 448, 2, 100, 0 },
  { 462, 2, 100, 0 },
  { 480, 2, 100, 0 },
  { 496, 2, 100, 0 },
  { 508, 2, 100, 0 },
  { 520, 2, 100, 0 },
  { 532, 2, 100, 0 },
  // 3004: convert_uchar4_sat
  { 402, 2, 100, 0 },
  { 414, 2, 100, 0 },
  { 426, 2, 100, 0 },
  { 438, 2, 100, 0 },
  { 450, 2, 100, 0 },
  { 464, 2, 100, 0 },
  { 482, 2, 100, 0 },
  { 498, 2, 100, 0 },
  { 510, 2, 100, 0 },
  { 522, 2, 100, 0 },
  { 534, 2, 100, 0 },
  // 3015: convert_uchar8_sat
  { 404, 2, 100, 0 },
  { 416, 2, 100, 0 },
  { 428, 2, 100, 0 },
  { 440, 2, 100, 0 },
  { 452, 2, 100, 0 },
  { 466, 2, 100, 0 },
  { 484, 2, 100, 0 },
  { 500, 2, 100, 0 },
  { 512, 2, 100, 0 },
  { 524, 2, 100, 0 },
  { 536, 2, 100, 0 },
  // 3026: convert_uchar16_sat
  { 406, 2, 100, 0 },
  { 418, 2, 100, 0 },
  { 430, 2, 100, 0 },
  { 442, 2, 100, 0 },
  { 454, 2, 100, 0 },
  { 468, 2, 100, 0 },
  { 486, 2, 100, 0 },
  { 502, 2, 100, 0 },
  { 514, 2, 100, 0 },
  { 526, 2, 100, 0 },
  { 538, 2, 100, 0 },
  // 3037: convert_uchar_sat_rte
  { 396, 2, 100, 0 },
  { 408, 2, 100, 0 },
  { 420, 2, 100, 0 },
  { 432, 2, 100, 0 },
  { 444, 2, 100, 0 },
  { 458, 2, 100, 0 },
  { 476, 2, 100, 0 },
  { 492, 2, 100, 0 },
  { 504, 2, 100, 0 },
  { 516, 2, 100, 0 },
  { 528, 2, 100, 0 },
  // 3048: convert_uchar2_sat_rte
  { 398, 2, 100, 0 },
  { 410, 2, 100, 0 },
  { 422, 2, 100, 0 },
  { 434, 2, 100, 0 },
  { 446, 2, 100, 0 },
  { 460, 2, 100, 0 },
  { 478, 2, 100, 0 },
  { 494, 2, 100, 0 },
  { 506, 2, 100, 0 },
  { 518, 2, 100, 0 },
  { 530, 2, 100, 0 },
  // 3059: convert_uchar3_sat_rte
  { 400, 2, 100, 0 },
  { 412, 2, 100, 0 },
  { 424, 2, 100, 0 },
  { 436, 2, 100, 0 },
  { 448, 2, 100, 0 },
  { 462, 2, 100, 0 },
  { 480, 2, 100, 0 },
  { 496, 2, 100, 0 },
  { 508, 2, 100, 0 },
  { 520, 2, 100, 0 },
  { 532, 2, 100, 0 },
  // 3070: convert_uchar4_sat_rte
  { 402, 2, 100, 0 },
  { 414, 2, 100, 0 },
  { 426, 2, 100, 0 },
  { 438, 2, 100, 0 },
  { 450, 2, 100, 0 },
  { 464, 2, 100, 0 },
  { 482, 2, 100, 0 },
  { 498, 2, 100, 0 },
  { 510, 2, 100, 0 },
  { 522, 2, 100, 0 },
  { 534, 2, 100, 0 },
  // 3081: convert_uchar8_sat_rte
  { 404, 2, 100, 0 },
  { 416, 2, 100, 0 },
  { 428, 2, 100, 0 },
  { 440, 2, 100, 0 },
  { 452, 2, 100, 0 },
  { 466, 2, 100, 0 },
  { 484, 2, 100, 0 },
  { 500, 2, 100, 0 },
  { 512, 2, 100, 0 },
  { 524, 2, 100, 0 },
  { 536, 2, 100, 0 },
  // 3092: convert_uchar16_sat_rte
  { 406, 2, 100, 0 },
  { 418, 2, 100, 0 },
  { 430, 2, 100, 0 },
  { 442, 2, 100, 0 },
  { 454, 2, 100, 0 },
  { 468, 2, 100, 0 },
  { 486, 2, 100, 0 },
  { 502, 2, 100, 0 },
  { 514, 2, 100, 0 },
  { 526, 2, 100, 0 },
  { 538, 2, 100, 0 },
  // 3103: convert_uchar_sat_rtn
  { 396, 2, 100, 0 },
  { 408, 2, 100, 0 },
  { 420, 2, 100, 0 },
  { 432, 2, 100, 0 },
  { 444, 2, 100, 0 },
  { 458, 2, 100, 0 },
  { 476, 2, 100, 0 },
  { 492, 2, 100, 0 },
  { 504, 2, 100, 0 },
  { 516, 2, 100, 0 },
  { 528, 2, 100, 0 },
  // 3114: convert_uchar2_sat_rtn
  { 398, 2, 100, 0 },
  { 410, 2, 100, 0 },
  { 422, 2, 100, 0 },
  { 434, 2, 100, 0 },
  { 446, 2, 100, 0 },
  { 460, 2, 100, 0 },
  { 478, 2, 100, 0 },
  { 494, 2, 100, 0 },
  { 506, 2, 100, 0 },
  { 518, 2, 100, 0 },
  { 530, 2, 100, 0 },
  // 3125: convert_uchar3_sat_rtn
  { 400, 2, 100, 0 },
  { 412, 2, 100, 0 },
  { 424, 2, 100, 0 },
  { 436, 2, 100, 0 },
  { 448, 2, 100, 0 },
  { 462, 2, 100, 0 },
  { 480, 2, 100, 0 },
  { 496, 2, 100, 0 },
  { 508, 2, 100, 0 },
  { 520, 2, 100, 0 },
  { 532, 2, 100, 0 },
  // 3136: convert_uchar4_sat_rtn
  { 402, 2, 100, 0 },
  { 414, 2, 100, 0 },
  { 426, 2, 100, 0 },
  { 438, 2, 100, 0 },
  { 450, 2, 100, 0 },
  { 464, 2, 100, 0 },
  { 482, 2, 100, 0 },
  { 498, 2, 100, 0 },
  { 510, 2, 100, 0 },
  { 522, 2, 100, 0 },
  { 534, 2, 100, 0 },
  // 3147: convert_uchar8_sat_rtn
  { 404, 2, 100, 0 },
  { 416, 2, 100, 0 },
  { 428, 2, 100, 0 },
  { 440, 2, 100, 0 },
  { 452, 2, 100, 0 },
  { 466, 2, 100, 0 },
  { 484, 2, 100, 0 },
  { 500, 2, 100, 0 },
  { 512, 2, 100, 0 },
  { 524, 2, 100, 0 },
  { 536, 2, 100, 0 },
  // 3158: convert_uchar16_sat_rtn
  { 406, 2, 100, 0 },
  { 418, 2, 100, 0 },
  { 430, 2, 100, 0 },
  { 442, 2, 100, 0 },
  { 454, 2, 100, 0 },
  { 468, 2, 100, 0 },
  { 486, 2, 100, 0 },
  { 502, 2, 100, 0 },
  { 514, 2, 100, 0 },
  { 526, 2, 100, 0 },
  { 538, 2, 100, 0 },
  // 3169: convert_uchar_sat_rtp
  { 396, 2, 100, 0 },
  { 408, 2, 100, 0 },
  { 420, 2, 100, 0 },
  { 432, 2, 100, 0 },
  { 444, 2, 100, 0 },
  { 458, 2, 100, 0 },
  { 476, 2, 100, 0 },
  { 492, 2, 100, 0 },
  { 504, 2, 100, 0 },
  { 516, 2, 100, 0 },
  { 528, 2, 100, 0 },
  // 3180: convert_uchar2_sat_rtp
  { 398, 2, 100, 0 },
  { 410, 2, 100, 0 },
  { 422, 2, 100, 0 },
  { 434, 2, 100, 0 },
  { 446, 2, 100, 0 },
  { 460, 2, 100, 0 },
  { 478, 2, 100, 0 },
  { 494, 2, 100, 0 },
  { 506, 2, 100, 0 },
  { 518, 2, 100, 0 },
  { 530, 2, 100, 0 },
  // 3191: convert_uchar3_sat_rtp
  { 400, 2, 100, 0 },
  { 412, 2, 100, 0 },
  { 424, 2, 100, 0 },
  { 436, 2, 100, 0 },
  { 448, 2, 100, 0 },
  { 462, 2, 100, 0 },
  { 480, 2, 100, 0 },
  { 496, 2, 100, 0 },
  { 508, 2, 100, 0 },
  { 520, 2, 100, 0 },
  { 532, 2, 100, 0 },
  // 3202: convert_uchar4_sat_rtp
  { 402, 2, 100, 0 },
  { 414, 2, 100, 0 },
  { 426, 2, 100, 0 },
  { 438, 2, 100, 0 },
  { 450, 2, 100, 0 },
  { 464, 2, 100, 0 },
  { 482, 2, 100, 0 },
  { 498, 2, 100, 0 },
  { 510, 2, 100, 0 },
  { 522, 2, 100, 0 },
  { 534, 2, 100, 0 },
  // 3213: convert_uchar8_sat_rtp
  { 404, 2, 100, 0 },
  { 416, 2, 100, 0 },
  { 428, 2, 100, 0 },
  { 440, 2, 100, 0 },
  { 452, 2, 100, 0 },
  { 466, 2, 100, 0 },
  { 484, 2, 100, 0 },
  { 500, 2, 100, 0 },
  { 512, 2, 100, 0 },
  { 524, 2, 100, 0 },
  { 536, 2, 100, 0 },
  // 3224: convert_uchar16_sat_rtp
  { 406, 2, 100, 0 },
  { 418, 2, 100, 0 },
  { 430, 2, 100, 0 },
  { 442, 2, 100, 0 },
  { 454, 2, 100, 0 },
  { 468, 2, 100, 0 },
  { 486, 2, 100, 0 },
  { 502, 2, 100, 0 },
  { 514, 2, 100, 0 },
  { 526, 2, 100, 0 },
  { 538, 2, 100, 0 },
  // 3235: convert_uchar_sat_rtz
  { 396, 2, 100, 0 },
  { 408, 2, 100, 0 },
  { 420, 2, 100, 0 },
  { 432, 2, 100, 0 },
  { 444, 2, 100, 0 },
  { 458, 2, 100, 0 },
  { 476, 2, 100, 0 },
  { 492, 2, 100, 0 },
  { 504, 2, 100, 0 },
  { 516, 2, 100, 0 },
  { 528, 2, 100, 0 },
  // 3246: convert_uchar2_sat_rtz
  { 398, 2, 100, 0 },
  { 410, 2, 100, 0 },
  { 422, 2, 100, 0 },
  { 434, 2, 100, 0 },
  { 446, 2, 100, 0 },
  { 460, 2, 100, 0 },
  { 478, 2, 100, 0 },
  { 494, 2, 100, 0 },
  { 506, 2, 100, 0 },
  { 518, 2, 100, 0 },
  { 530, 2, 100, 0 },
  // 3257: convert_uchar3_sat_rtz
  { 400, 2, 100, 0 },
  { 412, 2, 100, 0 },
  { 424, 2, 100, 0 },
  { 436, 2, 100, 0 },
  { 448, 2, 100, 0 },
  { 462, 2, 100, 0 },
  { 480, 2, 100, 0 },
  { 496, 2, 100, 0 },
  { 508, 2, 100, 0 },
  { 520, 2, 100, 0 },
  { 532, 2, 100, 0 },
  // 3268: convert_uchar4_sat_rtz
  { 402, 2, 100, 0 },
  { 414, 2, 100, 0 },
  { 426, 2, 100, 0 },
  { 438, 2, 100, 0 },
  { 450, 2, 100, 0 },
  { 464, 2, 100, 0 },
  { 482, 2, 100, 0 },
  { 498, 2, 100, 0 },
  { 510, 2, 100, 0 },
  { 522, 2, 100, 0 },
  { 534, 2, 100, 0 },
  // 3279: convert_uchar8_sat_rtz
  { 404, 2, 100, 0 },
  { 416, 2, 100, 0 },
  { 428, 2, 100, 0 },
  { 440, 2, 100, 0 },
  { 452, 2, 100, 0 },
  { 466, 2, 100, 0 },
  { 484, 2, 100, 0 },
  { 500, 2, 100, 0 },
  { 512, 2, 100, 0 },
  { 524, 2, 100, 0 },
  { 536, 2, 100, 0 },
  // 3290: convert_uchar16_sat_rtz
  { 406, 2, 100, 0 },
  { 418, 2, 100, 0 },
  { 430, 2, 100, 0 },
  { 442, 2, 100, 0 },
  { 454, 2, 100, 0 },
  { 468, 2, 100, 0 },
  { 486, 2, 100, 0 },
  { 502, 2, 100, 0 },
  { 514, 2, 100, 0 },
  { 526, 2, 100, 0 },
  { 538, 2, 100, 0 },
  // 3301: convert_short
  { 540, 2, 100, 0 },
  { 552, 2, 100, 0 },
  { 564, 2, 100, 0 },
  { 576, 2, 100, 0 },
  { 588, 2, 100, 0 },
  { 602, 2, 100, 0 },
  { 620, 2, 100, 0 },
  { 636, 2, 100, 0 },
  { 648, 2, 100, 0 },
  { 660, 2, 100, 0 },
  { 672, 2, 100, 0 },
  // 3312: convert_short2
  { 542, 2, 100, 0 },
  { 554, 2, 100, 0 },
  { 566, 2, 100, 0 },
  { 578, 2, 100, 0 },
  { 590, 2, 100, 0 },
  { 604, 2, 100, 0 },
  { 622, 2, 100, 0 },
  { 638, 2, 100, 0 },
  { 650, 2, 100, 0 },
  { 662, 2, 100, 0 },
  { 674, 2, 100, 0 },
  // 3323: convert_short3
  { 544, 2, 100, 0 },
  { 556, 2, 100, 0 },
  { 568, 2, 100, 0 },
  { 580, 2, 100, 0 },
  { 592, 2, 100, 0 },
  { 608, 2, 100, 0 },
  { 626, 2, 100, 0 },
  { 640, 2, 100, 0 },
  { 652, 2, 100, 0 },
  { 664, 2, 100, 0 },
  { 676, 2, 100, 0 },
  // 3334: convert_short4
  { 546, 2, 100, 0 },
  { 558, 2, 100, 0 },
  { 570, 2, 100, 0 },
  { 582, 2, 100, 0 },
  { 594, 2, 100, 0 },
  { 610, 2, 100, 0 },
  { 628, 2, 100, 0 },
  { 642, 2, 100, 0 },
  { 654, 2, 100, 0 },
  { 666, 2, 100, 0 },
  { 678, 2, 100, 0 },
  // 3345: convert_short8
  { 548, 2, 100, 0 },
  { 560, 2, 100, 0 },
  { 572, 2, 100, 0 },
  { 584, 2, 100, 0 },
  { 596, 2, 100, 0 },
  { 612, 2, 100, 0 },
  { 630, 2, 100, 0 },
  { 644, 2, 100, 0 },
  { 656, 2, 100, 0 },
  { 668, 2, 100, 0 },
  { 680, 2, 100, 0 },
  // 3356: convert_short16
  { 550, 2, 100, 0 },
  { 562, 2, 100, 0 },
  { 574, 2, 100, 0 },
  { 586, 2, 100, 0 },
  { 598, 2, 100, 0 },
  { 614, 2, 100, 0 },
  { 632, 2, 100, 0 },
  { 646, 2, 100, 0 },
  { 658, 2, 100, 0 },
  { 670, 2, 100, 0 },
  { 682, 2, 100, 0 },
  // 3367: convert_short_rte
  { 540, 2, 100, 0 },
  { 552, 2, 100, 0 },
  { 564, 2, 100, 0 },
  { 576, 2, 100, 0 },
  { 588, 2, 100, 0 },
  { 602, 2, 100, 0 },
  { 620, 2, 100, 0 },
  { 636, 2, 100, 0 },
  { 648, 2, 100, 0 },
  { 660, 2, 100, 0 },
  { 672, 2, 100, 0 },
  // 3378: convert_short2_rte
  { 542, 2, 100, 0 },
  { 554, 2, 100, 0 },
  { 566, 2, 100, 0 },
  { 578, 2, 100, 0 },
  { 590, 2, 100, 0 },
  { 604, 2, 100, 0 },
  { 622, 2, 100, 0 },
  { 638, 2, 100, 0 },
  { 650, 2, 100, 0 },
  { 662, 2, 100, 0 },
  { 674, 2, 100, 0 },
  // 3389: convert_short3_rte
  { 544, 2, 100, 0 },
  { 556, 2, 100, 0 },
  { 568, 2, 100, 0 },
  { 580, 2, 100, 0 },
  { 592, 2, 100, 0 },
  { 608, 2, 100, 0 },
  { 626, 2, 100, 0 },
  { 640, 2, 100, 0 },
  { 652, 2, 100, 0 },
  { 664, 2, 100, 0 },
  { 676, 2, 100, 0 },
  // 3400: convert_short4_rte
  { 546, 2, 100, 0 },
  { 558, 2, 100, 0 },
  { 570, 2, 100, 0 },
  { 582, 2, 100, 0 },
  { 594, 2, 100, 0 },
  { 610, 2, 100, 0 },
  { 628, 2, 100, 0 },
  { 642, 2, 100, 0 },
  { 654, 2, 100, 0 },
  { 666, 2, 100, 0 },
  { 678, 2, 100, 0 },
  // 3411: convert_short8_rte
  { 548, 2, 100, 0 },
  { 560, 2, 100, 0 },
  { 572, 2, 100, 0 },
  { 584, 2, 100, 0 },
  { 596, 2, 100, 0 },
  { 612, 2, 100, 0 },
  { 630, 2, 100, 0 },
  { 644, 2, 100, 0 },
  { 656, 2, 100, 0 },
  { 668, 2, 100, 0 },
  { 680, 2, 100, 0 },
  // 3422: convert_short16_rte
  { 550, 2, 100, 0 },
  { 562, 2, 100, 0 },
  { 574, 2, 100, 0 },
  { 586, 2, 100, 0 },
  { 598, 2, 100, 0 },
  { 614, 2, 100, 0 },
  { 632, 2, 100, 0 },
  { 646, 2, 100, 0 },
  { 658, 2, 100, 0 },
  { 670, 2, 100, 0 },
  { 682, 2, 100, 0 },
  // 3433: convert_short_rtn
  { 540, 2, 100, 0 },
  { 552, 2, 100, 0 },
  { 564, 2, 100, 0 },
  { 576, 2, 100, 0 },
  { 588, 2, 100, 0 },
  { 602, 2, 100, 0 },
  { 620, 2, 100, 0 },
  { 636, 2, 100, 0 },
  { 648, 2, 100, 0 },
  { 660, 2, 100, 0 },
  { 672, 2, 100, 0 },
  // 3444: convert_short2_rtn
  { 542, 2, 100, 0 },
  { 554, 2, 100, 0 },
  { 566, 2, 100, 0 },
  { 578, 2, 100, 0 },
  { 590, 2, 100, 0 },
  { 604, 2, 100, 0 },
  { 622, 2, 100, 0 },
  { 638, 2, 100, 0 },
  { 650, 2, 100, 0 },
  { 662, 2, 100, 0 },
  { 674, 2, 100, 0 },
  // 3455: convert_short3_rtn
  { 544, 2, 100, 0 },
  { 556, 2, 100, 0 },
  { 568, 2, 100, 0 },
  { 580, 2, 100, 0 },
  { 592, 2, 100, 0 },
  { 608, 2, 100, 0 },
  { 626, 2, 100, 0 },
  { 640, 2, 100, 0 },
  { 652, 2, 100, 0 },
  { 664, 2, 100, 0 },
  { 676, 2, 100, 0 },
  // 3466: convert_short4_rtn
  { 546, 2, 100, 0 },
  { 558, 2, 100, 0 },
  { 570, 2, 100, 0 },
  { 582, 2, 100, 0 },
  { 594, 2, 100, 0 },
  { 610, 2, 100, 0 },
  { 628, 2, 100, 0 },
  { 642, 2, 100, 0 },
  { 654, 2, 100, 0 },
  { 666, 2, 100, 0 },
  { 678, 2, 100, 0 },
  // 3477: convert_short8_rtn
  { 548, 2, 100, 0 },
  { 560, 2, 100, 0 },
  { 572, 2, 100, 0 },
  { 584, 2, 100, 0 },
  { 596, 2, 100, 0 },
  { 612, 2, 100, 0 },
  { 630, 2, 100, 0 },
  { 644, 2, 100, 0 },
  { 656, 2, 100, 0 },
  { 668, 2, 100, 0 },
  { 680, 2, 100, 0 },
  // 3488: convert_short16_rtn
  { 550, 2, 100, 0 },
  { 562, 2, 100, 0 },
  { 574, 2, 100, 0 },
  { 586, 2, 100, 0 },
  { 598, 2, 100, 0 },
  { 614, 2, 100, 0 },
  { 632, 2, 100, 0 },
  { 646, 2, 100, 0 },
  { 658, 2, 100, 0 },
  { 670, 2, 100, 0 },
  { 682, 2, 100, 0 },
  // 3499: convert_short_rtp
  { 540, 2, 100, 0 },
  { 552, 2, 100, 0 },
  { 564, 2, 100, 0 },
  { 576, 2, 100, 0 },
  { 588, 2, 100, 0 },
  { 602, 2, 100, 0 },
  { 620, 2, 100, 0 },
  { 636, 2, 100, 0 },
  { 648, 2, 100, 0 },
  { 660, 2, 100, 0 },
  { 672, 2, 100, 0 },
  // 3510: convert_short2_rtp
  { 542, 2, 100, 0 },
  { 554, 2, 100, 0 },
  { 566, 2, 100, 0 },
  { 578, 2, 100, 0 },
  { 590, 2, 100, 0 },
  { 604, 2, 100, 0 },
  { 622, 2, 100, 0 },
  { 638, 2, 100, 0 },
  { 650, 2, 100, 0 },
  { 662, 2, 100, 0 },
  { 674, 2, 100, 0 },
  // 3521: convert_short3_rtp
  { 544, 2, 100, 0 },
  { 556, 2, 100, 0 },
  { 568, 2, 100, 0 },
  { 580, 2, 100, 0 },
  { 592, 2, 100, 0 },
  { 608, 2, 100, 0 },
  { 626, 2, 100, 0 },
  { 640, 2, 100, 0 },
  { 652, 2, 100, 0 },
  { 664, 2, 100, 0 },
  { 676, 2, 100, 0 },
  // 3532: convert_short4_rtp
  { 546, 2, 100, 0 },
  { 558, 2, 100, 0 },
  { 570, 2, 100, 0 },
  { 582, 2, 100, 0 },
  { 594, 2, 100, 0 },
  { 610, 2, 100, 0 },
  { 628, 2, 100, 0 },
  { 642, 2, 100, 0 },
  { 654, 2, 100, 0 },
  { 666, 2, 100, 0 },
  { 678, 2, 100, 0 },
  // 3543: convert_short8_rtp
  { 548, 2, 100, 0 },
  { 560, 2, 100, 0 },
  { 572, 2, 100, 0 },
  { 584, 2, 100, 0 },
  { 596, 2, 100, 0 },
  { 612, 2, 100, 0 },
  { 630, 2, 100, 0 },
  { 644, 2, 100, 0 },
  { 656, 2, 100, 0 },
  { 668, 2, 100, 0 },
  { 680, 2, 100, 0 },
  // 3554: convert_short16_rtp
  { 550, 2, 100, 0 },
  { 562, 2, 100, 0 },
  { 574, 2, 100, 0 },
  { 586, 2, 100, 0 },
  { 598, 2, 100, 0 },
  { 614, 2, 100, 0 },
  { 632, 2, 100, 0 },
  { 646, 2, 100, 0 },
  { 658, 2, 100, 0 },
  { 670, 2, 100, 0 },
  { 682, 2, 100, 0 },
  // 3565: convert_short_rtz
  { 540, 2, 100, 0 },
  { 552, 2, 100, 0 },
  { 564, 2, 100, 0 },
  { 576, 2, 100, 0 },
  { 588, 2, 100, 0 },
  { 602, 2, 100, 0 },
  { 620, 2, 100, 0 },
  { 636, 2, 100, 0 },
  { 648, 2, 100, 0 },
  { 660, 2, 100, 0 },
  { 672, 2, 100, 0 },
  // 3576: convert_short2_rtz
  { 542, 2, 100, 0 },
  { 554, 2, 100, 0 },
  { 566, 2, 100, 0 },
  { 578, 2, 100, 0 },
  { 590, 2, 100, 0 },
  { 604, 2, 100, 0 },
  { 622, 2, 100, 0 },
  { 638, 2, 100, 0 },
  { 650, 2, 100, 0 },
  { 662, 2, 100, 0 },
  { 674, 2, 100, 0 },
  // 3587: convert_short3_rtz
  { 544, 2, 100, 0 },
  { 556, 2, 100, 0 },
  { 568, 2, 100, 0 },
  { 580, 2, 100, 0 },
  { 592, 2, 100, 0 },
  { 608, 2, 100, 0 },
  { 626, 2, 100, 0 },
  { 640, 2, 100, 0 },
  { 652, 2, 100, 0 },
  { 664, 2, 100, 0 },
  { 676, 2, 100, 0 },
  // 3598: convert_short4_rtz
  { 546, 2, 100, 0 },
  { 558, 2, 100, 0 },
  { 570, 2, 100, 0 },
  { 582, 2, 100, 0 },
  { 594, 2, 100, 0 },
  { 610, 2, 100, 0 },
  { 628, 2, 100, 0 },
  { 642, 2, 100, 0 },
  { 654, 2, 100, 0 },
  { 666, 2, 100, 0 },
  { 678, 2, 100, 0 },
  // 3609: convert_short8_rtz
  { 548, 2, 100, 0 },
  { 560, 2, 100, 0 },
  { 572, 2, 100, 0 },
  { 584, 2, 100, 0 },
  { 596, 2, 100, 0 },
  { 612, 2, 100, 0 },
  { 630, 2, 100, 0 },
  { 644, 2, 100, 0 },
  { 656, 2, 100, 0 },
  { 668, 2, 100, 0 },
  { 680, 2, 100, 0 },
  // 3620: convert_short16_rtz
  { 550, 2, 100, 0 },
  { 562, 2, 100, 0 },
  { 574, 2, 100, 0 },
  { 586, 2, 100, 0 },
  { 598, 2, 100, 0 },
  { 614, 2, 100, 0 },
  { 632, 2, 100, 0 },
  { 646, 2, 100, 0 },
  { 658, 2, 100, 0 },
  { 670, 2, 100, 0 },
  { 682, 2, 100, 0 },
  // 3631: convert_short_sat
  { 540, 2, 100, 0 },
  { 552, 2, 100, 0 },
  { 564, 2, 100, 0 },
  { 576, 2, 100, 0 },
  { 588, 2, 100, 0 },
  { 602, 2, 100, 0 },
  { 620, 2, 100, 0 },
  { 636, 2, 100, 0 },
  { 648, 2, 100, 0 },
  { 660, 2, 100, 0 },
  { 672, 2, 100, 0 },
  // 3642: convert_short2_sat
  { 542, 2, 100, 0 },
  { 554, 2, 100, 0 },
  { 566, 2, 100, 0 },
  { 578, 2, 100, 0 },
  { 590, 2, 100, 0 },
  { 604, 2, 100, 0 },
  { 622, 2, 100, 0 },
  { 638, 2, 100, 0 },
  { 650, 2, 100, 0 },
  { 662, 2, 100, 0 },
  { 674, 2, 100, 0 },
  // 3653: convert_short3_sat
  { 544, 2, 100, 0 },
  { 556, 2, 100, 0 },
  { 568, 2, 100, 0 },
  { 580, 2, 100, 0 },
  { 592, 2, 100, 0 },
  { 608, 2, 100, 0 },
  { 626, 2, 100, 0 },
  { 640, 2, 100, 0 },
  { 652, 2, 100, 0 },
  { 664, 2, 100, 0 },
  { 676, 2, 100, 0 },
  // 3664: convert_short4_sat
  { 546, 2, 100, 0 },
  { 558, 2, 100, 0 },
  { 570, 2, 100, 0 },
  { 582, 2, 100, 0 },
  { 594, 2, 100, 0 },
  { 610, 2, 100, 0 },
  { 628, 2, 100, 0 },
  { 642, 2, 100, 0 },
  { 654, 2, 100, 0 },
  { 666, 2, 100, 0 },
  { 678, 2, 100, 0 },
  // 3675: convert_short8_sat
  { 548, 2, 100, 0 },
  { 560, 2, 100, 0 },
  { 572, 2, 100, 0 },
  { 584, 2, 100, 0 },
  { 596, 2, 100, 0 },
  { 612, 2, 100, 0 },
  { 630, 2, 100, 0 },
  { 644, 2, 100, 0 },
  { 656, 2, 100, 0 },
  { 668, 2, 100, 0 },
  { 680, 2, 100, 0 },
  // 3686: convert_short16_sat
  { 550, 2, 100, 0 },
  { 562, 2, 100, 0 },
  { 574, 2, 100, 0 },
  { 586, 2, 100, 0 },
  { 598, 2, 100, 0 },
  { 614, 2, 100, 0 },
  { 632, 2, 100, 0 },
  { 646, 2, 100, 0 },
  { 658, 2, 100, 0 },
  { 670, 2, 100, 0 },
  { 682, 2, 100, 0 },
  // 3697: convert_short_sat_rte
  { 540, 2, 100, 0 },
  { 552, 2, 100, 0 },
  { 564, 2, 100, 0 },
  { 576, 2, 100, 0 },
  { 588, 2, 100, 0 },
  { 602, 2, 100, 0 },
  { 620, 2, 100, 0 },
  { 636, 2, 100, 0 },
  { 648, 2, 100, 0 },
  { 660, 2, 100, 0 },
  { 672, 2, 100, 0 },
  // 3708: convert_short2_sat_rte
  { 542, 2, 100, 0 },
  { 554, 2, 100, 0 },
  { 566, 2, 100, 0 },
  { 578, 2, 100, 0 },
  { 590, 2, 100, 0 },
  { 604, 2, 100, 0 },
  { 622, 2, 100, 0 },
  { 638, 2, 100, 0 },
  { 650, 2, 100, 0 },
  { 662, 2, 100, 0 },
  { 674, 2, 100, 0 },
  // 3719: convert_short3_sat_rte
  { 544, 2, 100, 0 },
  { 556, 2, 100, 0 },
  { 568, 2, 100, 0 },
  { 580, 2, 100, 0 },
  { 592, 2, 100, 0 },
  { 608, 2, 100, 0 },
  { 626, 2, 100, 0 },
  { 640, 2, 100, 0 },
  { 652, 2, 100, 0 },
  { 664, 2, 100, 0 },
  { 676, 2, 100, 0 },
  // 3730: convert_short4_sat_rte
  { 546, 2, 100, 0 },
  { 558, 2, 100, 0 },
  { 570, 2, 100, 0 },
  { 582, 2, 100, 0 },
  { 594, 2, 100, 0 },
  { 610, 2, 100, 0 },
  { 628, 2, 100, 0 },
  { 642, 2, 100, 0 },
  { 654, 2, 100, 0 },
  { 666, 2, 100, 0 },
  { 678, 2, 100, 0 },
  // 3741: convert_short8_sat_rte
  { 548, 2, 100, 0 },
  { 560, 2, 100, 0 },
  { 572, 2, 100, 0 },
  { 584, 2, 100, 0 },
  { 596, 2, 100, 0 },
  { 612, 2, 100, 0 },
  { 630, 2, 100, 0 },
  { 644, 2, 100, 0 },
  { 656, 2, 100, 0 },
  { 668, 2, 100, 0 },
  { 680, 2, 100, 0 },
  // 3752: convert_short16_sat_rte
  { 550, 2, 100, 0 },
  { 562, 2, 100, 0 },
  { 574, 2, 100, 0 },
  { 586, 2, 100, 0 },
  { 598, 2, 100, 0 },
  { 614, 2, 100, 0 },
  { 632, 2, 100, 0 },
  { 646, 2, 100, 0 },
  { 658, 2, 100, 0 },
  { 670, 2, 100, 0 },
  { 682, 2, 100, 0 },
  // 3763: convert_short_sat_rtn
  { 540, 2, 100, 0 },
  { 552, 2, 100, 0 },
  { 564, 2, 100, 0 },
  { 576, 2, 100, 0 },
  { 588, 2, 100, 0 },
  { 602, 2, 100, 0 },
  { 620, 2, 100, 0 },
  { 636, 2, 100, 0 },
  { 648, 2, 100, 0 },
  { 660, 2, 100, 0 },
  { 672, 2, 100, 0 },
  // 3774: convert_short2_sat_rtn
  { 542, 2, 100, 0 },
  { 554, 2, 100, 0 },
  { 566, 2, 100, 0 },
  { 578, 2, 100, 0 },
  { 590, 2, 100, 0 },
  { 604, 2, 100, 0 },
  { 622, 2, 100, 0 },
  { 638, 2, 100, 0 },
  { 650, 2, 100, 0 },
  { 662, 2, 100, 0 },
  { 674, 2, 100, 0 },
  // 3785: convert_short3_sat_rtn
  { 544, 2, 100, 0 },
  { 556, 2, 100, 0 },
  { 568, 2, 100, 0 },
  { 580, 2, 100, 0 },
  { 592, 2, 100, 0 },
  { 608, 2, 100, 0 },
  { 626, 2, 100, 0 },
  { 640, 2, 100, 0 },
  { 652, 2, 100, 0 },
  { 664, 2, 100, 0 },
  { 676, 2, 100, 0 },
  // 3796: convert_short4_sat_rtn
  { 546, 2, 100, 0 },
  { 558, 2, 100, 0 },
  { 570, 2, 100, 0 },
  { 582, 2, 100, 0 },
  { 594, 2, 100, 0 },
  { 610, 2, 100, 0 },
  { 628, 2, 100, 0 },
  { 642, 2, 100, 0 },
  { 654, 2, 100, 0 },
  { 666, 2, 100, 0 },
  { 678, 2, 100, 0 },
  // 3807: convert_short8_sat_rtn
  { 548, 2, 100, 0 },
  { 560, 2, 100, 0 },
  { 572, 2, 100, 0 },
  { 584, 2, 100, 0 },
  { 596, 2, 100, 0 },
  { 612, 2, 100, 0 },
  { 630, 2, 100, 0 },
  { 644, 2, 100, 0 },
  { 656, 2, 100, 0 },
  { 668, 2, 100, 0 },
  { 680, 2, 100, 0 },
  // 3818: convert_short16_sat_rtn
  { 550, 2, 100, 0 },
  { 562, 2, 100, 0 },
  { 574, 2, 100, 0 },
  { 586, 2, 100, 0 },
  { 598, 2, 100, 0 },
  { 614, 2, 100, 0 },
  { 632, 2, 100, 0 },
  { 646, 2, 100, 0 },
  { 658, 2, 100, 0 },
  { 670, 2, 100, 0 },
  { 682, 2, 100, 0 },
  // 3829: convert_short_sat_rtp
  { 540, 2, 100, 0 },
  { 552, 2, 100, 0 },
  { 564, 2, 100, 0 },
  { 576, 2, 100, 0 },
  { 588, 2, 100, 0 },
  { 602, 2, 100, 0 },
  { 620, 2, 100, 0 },
  { 636, 2, 100, 0 },
  { 648, 2, 100, 0 },
  { 660, 2, 100, 0 },
  { 672, 2, 100, 0 },
  // 3840: convert_short2_sat_rtp
  { 542, 2, 100, 0 },
  { 554, 2, 100, 0 },
  { 566, 2, 100, 0 },
  { 578, 2, 100, 0 },
  { 590, 2, 100, 0 },
  { 604, 2, 100, 0 },
  { 622, 2, 100, 0 },
  { 638, 2, 100, 0 },
  { 650, 2, 100, 0 },
  { 662, 2, 100, 0 },
  { 674, 2, 100, 0 },
  // 3851: convert_short3_sat_rtp
  { 544, 2, 100, 0 },
  { 556, 2, 100, 0 },
  { 568, 2, 100, 0 },
  { 580, 2, 100, 0 },
  { 592, 2, 100, 0 },
  { 608, 2, 100, 0 },
  { 626, 2, 100, 0 },
  { 640, 2, 100, 0 },
  { 652, 2, 100, 0 },
  { 664, 2, 100, 0 },
  { 676, 2, 100, 0 },
  // 3862: convert_short4_sat_rtp
  { 546, 2, 100, 0 },
  { 558, 2, 100, 0 },
  { 570, 2, 100, 0 },
  { 582, 2, 100, 0 },
  { 594, 2, 100, 0 },
  { 610, 2, 100, 0 },
  { 628, 2, 100, 0 },
  { 642, 2, 100, 0 },
  { 654, 2, 100, 0 },
  { 666, 2, 100, 0 },
  { 678, 2, 100, 0 },
  // 3873: convert_short8_sat_rtp
  { 548, 2, 100, 0 },
  { 560, 2, 100, 0 },
  { 572, 2, 100, 0 },
  { 584, 2, 100, 0 },
  { 596, 2, 100, 0 },
  { 612, 2, 100, 0 },
  { 630, 2, 100, 0 },
  { 644, 2, 100, 0 },
  { 656, 2, 100, 0 },
  { 668, 2, 100, 0 },
  { 680, 2, 100, 0 },
  // 3884: convert_short16_sat_rtp
  { 550, 2, 100, 0 },
  { 562, 2, 100, 0 },
  { 574, 2, 100, 0 },
  { 586, 2, 100, 0 },
  { 598, 2, 100, 0 },
  { 614, 2, 100, 0 },
  { 632, 2, 100, 0 },
  { 646, 2, 100, 0 },
  { 658, 2, 100, 0 },
  { 670, 2, 100, 0 },
  { 682, 2, 100, 0 },
  // 3895: convert_short_sat_rtz
  { 540, 2, 100, 0 },
  { 552, 2, 100, 0 },
  { 564, 2, 100, 0 },
  { 576, 2, 100, 0 },
  { 588, 2, 100, 0 },
  { 602, 2, 100, 0 },
  { 620, 2, 100, 0 },
  { 636, 2, 100, 0 },
  { 648, 2, 100, 0 },
  { 660, 2, 100, 0 },
  { 672, 2, 100, 0 },
  // 3906: convert_short2_sat_rtz
  { 542, 2, 100, 0 },
  { 554, 2, 100, 0 },
  { 566, 2, 100, 0 },
  { 578, 2, 100, 0 },
  { 590, 2, 100, 0 },
  { 604, 2, 100, 0 },
  { 622, 2, 100, 0 },
  { 638, 2, 100, 0 },
  { 650, 2, 100, 0 },
  { 662, 2, 100, 0 },
  { 674, 2, 100, 0 },
  // 3917: convert_short3_sat_rtz
  { 544, 2, 100, 0 },
  { 556, 2, 100, 0 },
  { 568, 2, 100, 0 },
  { 580, 2, 100, 0 },
  { 592, 2, 100, 0 },
  { 608, 2, 100, 0 },
  { 626, 2, 100, 0 },
  { 640, 2, 100, 0 },
  { 652, 2, 100, 0 },
  { 664, 2, 100, 0 },
  { 676, 2, 100, 0 },
  // 3928: convert_short4_sat_rtz
  { 546, 2, 100, 0 },
  { 558, 2, 100, 0 },
  { 570, 2, 100, 0 },
  { 582, 2, 100, 0 },
  { 594, 2, 100, 0 },
  { 610, 2, 100, 0 },
  { 628, 2, 100, 0 },
  { 642, 2, 100, 0 },
  { 654, 2, 100, 0 },
  { 666, 2, 100, 0 },
  { 678, 2, 100, 0 },
  // 3939: convert_short8_sat_rtz
  { 548, 2, 100, 0 },
  { 560, 2, 100, 0 },
  { 572, 2, 100, 0 },
  { 584, 2, 100, 0 },
  { 596, 2, 100, 0 },
  { 612, 2, 100, 0 },
  { 630, 2, 100, 0 },
  { 644, 2, 100, 0 },
  { 656, 2, 100, 0 },
  { 668, 2, 100, 0 },
  { 680, 2, 100, 0 },
  // 3950: convert_short16_sat_rtz
  { 550, 2, 100, 0 },
  { 562, 2, 100, 0 },
  { 574, 2, 100, 0 },
  { 586, 2, 100, 0 },
  { 598, 2, 100, 0 },
  { 614, 2, 100, 0 },
  { 632, 2, 100, 0 },
  { 646, 2, 100, 0 },
  { 658, 2, 100, 0 },
  { 670, 2, 100, 0 },
  { 682, 2, 100, 0 },
  // 3961: convert_ushort
  { 684, 2, 100, 0 },
  { 696, 2, 100, 0 },
  { 708, 2, 100, 0 },
  { 720, 2, 100, 0 },
  { 732, 2, 100, 0 },
  { 748, 2, 100, 0 },
  { 766, 2, 100, 0 },
  { 780, 2, 100, 0 },
  { 792, 2, 100, 0 },
  { 804, 2, 100, 0 },
  { 816, 2, 100, 0 },
  // 3972: convert_ushort2
  { 686, 2, 100, 0 },
  { 698, 2, 100, 0 },
  { 710, 2, 100, 0 },
  { 722, 2, 100, 0 },
  { 734, 2, 100, 0 },
  { 750, 2, 100, 0 },
  { 768, 2, 100, 0 },
  { 782, 2, 100, 0 },
  { 794, 2, 100, 0 },
  { 806, 2, 100, 0 },
  { 818, 2, 100, 0 },
  // 3983: convert_ushort3
  { 688, 2, 100, 0 },
  { 700, 2, 100, 0 },
  { 712, 2, 100, 0 },
  { 724, 2, 100, 0 },
  { 736, 2, 100, 0 },
  { 752, 2, 100, 0 },
  { 770, 2, 100, 0 },
  { 784, 2, 100, 0 },
  { 796, 2, 100, 0 },
  { 808, 2, 100, 0 },
  { 820, 2, 100, 0 },
  // 3994: convert_ushort4
  { 690, 2, 100, 0 },
  { 702, 2, 100, 0 },
  { 714, 2, 100, 0 },
  { 726, 2, 100, 0 },
  { 738, 2, 100, 0 },
  { 754, 2, 100, 0 },
  { 772, 2, 100, 0 },
  { 786, 2, 100, 0 },
  { 798, 2, 100, 0 },
  { 810, 2, 100, 0 },
  { 822, 2, 100, 0 },
  // 4005: convert_ushort8
  { 692, 2, 100, 0 },
  { 704, 2, 100, 0 },
  { 716, 2, 100, 0 },
  { 728, 2, 100, 0 },
  { 740, 2, 100, 0 },
  { 756, 2, 100, 0 },
  { 774, 2, 100, 0 },
  { 788, 2, 100, 0 },
  { 800, 2, 100, 0 },
  { 812, 2, 100, 0 },
  { 824, 2, 100, 0 },
  // 4016: convert_ushort16
  { 694, 2, 100, 0 },
  { 706, 2, 100, 0 },
  { 718, 2, 100, 0 },
  { 730, 2, 100, 0 },
  { 742, 2, 100, 0 },
  { 758, 2, 100, 0 },
  { 776, 2, 100, 0 },
  { 790, 2, 100, 0 },
  { 802, 2, 100, 0 },
  { 814, 2, 100, 0 },
  { 826, 2, 100, 0 },
  // 4027: convert_ushort_rte
  { 684, 2, 100, 0 },
  { 696, 2, 100, 0 },
  { 708, 2, 100, 0 },
  { 720, 2, 100, 0 },
  { 732, 2, 100, 0 },
  { 748, 2, 100, 0 },
  { 766, 2, 100, 0 },
  { 780, 2, 100, 0 },
  { 792, 2, 100, 0 },
  { 804, 2, 100, 0 },
  { 816, 2, 100, 0 },
  // 4038: convert_ushort2_rte
  { 686, 2, 100, 0 },
  { 698, 2, 100, 0 },
  { 710, 2, 100, 0 },
  { 722, 2, 100, 0 },
  { 734, 2, 100, 0 },
  { 750, 2, 100, 0 },
  { 768, 2, 100, 0 },
  { 782, 2, 100, 0 },
  { 794, 2, 100, 0 },
  { 806, 2, 100, 0 },
  { 818, 2, 100, 0 },
  // 4049: convert_ushort3_rte
  { 688, 2, 100, 0 },
  { 700, 2, 100, 0 },
  { 712, 2, 100, 0 },
  { 724, 2, 100, 0 },
  { 736, 2, 100, 0 },
  { 752, 2, 100, 0 },
  { 770, 2, 100, 0 },
  { 784, 2, 100, 0 },
  { 796, 2, 100, 0 },
  { 808, 2, 100, 0 },
  { 820, 2, 100, 0 },
  // 4060: convert_ushort4_rte
  { 690, 2, 100, 0 },
  { 702, 2, 100, 0 },
  { 714, 2, 100, 0 },
  { 726, 2, 100, 0 },
  { 738, 2, 100, 0 },
  { 754, 2, 100, 0 },
  { 772, 2, 100, 0 },
  { 786, 2, 100, 0 },
  { 798, 2, 100, 0 },
  { 810, 2, 100, 0 },
  { 822, 2, 100, 0 },
  // 4071: convert_ushort8_rte
  { 692, 2, 100, 0 },
  { 704, 2, 100, 0 },
  { 716, 2, 100, 0 },
  { 728, 2, 100, 0 },
  { 740, 2, 100, 0 },
  { 756, 2, 100, 0 },
  { 774, 2, 100, 0 },
  { 788, 2, 100, 0 },
  { 800, 2, 100, 0 },
  { 812, 2, 100, 0 },
  { 824, 2, 100, 0 },
  // 4082: convert_ushort16_rte
  { 694, 2, 100, 0 },
  { 706, 2, 100, 0 },
  { 718, 2, 100, 0 },
  { 730, 2, 100, 0 },
  { 742, 2, 100, 0 },
  { 758, 2, 100, 0 },
  { 776, 2, 100, 0 },
  { 790, 2, 100, 0 },
  { 802, 2, 100, 0 },
  { 814, 2, 100, 0 },
  { 826, 2, 100, 0 },
  // 4093: convert_ushort_rtn
  { 684, 2, 100, 0 },
  { 696, 2, 100, 0 },
  { 708, 2, 100, 0 },
  { 720, 2, 100, 0 },
  { 732, 2, 100, 0 },
  { 748, 2, 100, 0 },
  { 766, 2, 100, 0 },
  { 780, 2, 100, 0 },
  { 792, 2, 100, 0 },
  { 804, 2, 100, 0 },
  { 816, 2, 100, 0 },
  // 4104: convert_ushort2_rtn
  { 686, 2, 100, 0 },
  { 698, 2, 100, 0 },
  { 710, 2, 100, 0 },
  { 722, 2, 100, 0 },
  { 734, 2, 100, 0 },
  { 750, 2, 100, 0 },
  { 768, 2, 100, 0 },
  { 782, 2, 100, 0 },
  { 794, 2, 100, 0 },
  { 806, 2, 100, 0 },
  { 818, 2, 100, 0 },
  // 4115: convert_ushort3_rtn
  { 688, 2, 100, 0 },
  { 700, 2, 100, 0 },
  { 712, 2, 100, 0 },
  { 724, 2, 100, 0 },
  { 736, 2, 100, 0 },
  { 752, 2, 100, 0 },
  { 770, 2, 100, 0 },
  { 784, 2, 100, 0 },
  { 796, 2, 100, 0 },
  { 808, 2, 100, 0 },
  { 820, 2, 100, 0 },
  // 4126: convert_ushort4_rtn
  { 690, 2, 100, 0 },
  { 702, 2, 100, 0 },
  { 714, 2, 100, 0 },
  { 726, 2, 100, 0 },
  { 738, 2, 100, 0 },
  { 754, 2, 100, 0 },
  { 772, 2, 100, 0 },
  { 786, 2, 100, 0 },
  { 798, 2, 100, 0 },
  { 810, 2, 100, 0 },
  { 822, 2, 100, 0 },
  // 4137: convert_ushort8_rtn
  { 692, 2, 100, 0 },
  { 704, 2, 100, 0 },
  { 716, 2, 100, 0 },
  { 728, 2, 100, 0 },
  { 740, 2, 100, 0 },
  { 756, 2, 100, 0 },
  { 774, 2, 100, 0 },
  { 788, 2, 100, 0 },
  { 800, 2, 100, 0 },
  { 812, 2, 100, 0 },
  { 824, 2, 100, 0 },
  // 4148: convert_ushort16_rtn
  { 694, 2, 100, 0 },
  { 706, 2, 100, 0 },
  { 718, 2, 100, 0 },
  { 730, 2, 100, 0 },
  { 742, 2, 100, 0 },
  { 758, 2, 100, 0 },
  { 776, 2, 100, 0 },
  { 790, 2, 100, 0 },
  { 802, 2, 100, 0 },
  { 814, 2, 100, 0 },
  { 826, 2, 100, 0 },
  // 4159: convert_ushort_rtp
  { 684, 2, 100, 0 },
  { 696, 2, 100, 0 },
  { 708, 2, 100, 0 },
  { 720, 2, 100, 0 },
  { 732, 2, 100, 0 },
  { 748, 2, 100, 0 },
  { 766, 2, 100, 0 },
  { 780, 2, 100, 0 },
  { 792, 2, 100, 0 },
  { 804, 2, 100, 0 },
  { 816, 2, 100, 0 },
  // 4170: convert_ushort2_rtp
  { 686, 2, 100, 0 },
  { 698, 2, 100, 0 },
  { 710, 2, 100, 0 },
  { 722, 2, 100, 0 },
  { 734, 2, 100, 0 },
  { 750, 2, 100, 0 },
  { 768, 2, 100, 0 },
  { 782, 2, 100, 0 },
  { 794, 2, 100, 0 },
  { 806, 2, 100, 0 },
  { 818, 2, 100, 0 },
  // 4181: convert_ushort3_rtp
  { 688, 2, 100, 0 },
  { 700, 2, 100, 0 },
  { 712, 2, 100, 0 },
  { 724, 2, 100, 0 },
  { 736, 2, 100, 0 },
  { 752, 2, 100, 0 },
  { 770, 2, 100, 0 },
  { 784, 2, 100, 0 },
  { 796, 2, 100, 0 },
  { 808, 2, 100, 0 },
  { 820, 2, 100, 0 },
  // 4192: convert_ushort4_rtp
  { 690, 2, 100, 0 },
  { 702, 2, 100, 0 },
  { 714, 2, 100, 0 },
  { 726, 2, 100, 0 },
  { 738, 2, 100, 0 },
  { 754, 2, 100, 0 },
  { 772, 2, 100, 0 },
  { 786, 2, 100, 0 },
  { 798, 2, 100, 0 },
  { 810, 2, 100, 0 },
  { 822, 2, 100, 0 },
  // 4203: convert_ushort8_rtp
  { 692, 2, 100, 0 },
  { 704, 2, 100, 0 },
  { 716, 2, 100, 0 },
  { 728, 2, 100, 0 },
  { 740, 2, 100, 0 },
  { 756, 2, 100, 0 },
  { 774, 2, 100, 0 },
  { 788, 2, 100, 0 },
  { 800, 2, 100, 0 },
  { 812, 2, 100, 0 },
  { 824, 2, 100, 0 },
  // 4214: convert_ushort16_rtp
  { 694, 2, 100, 0 },
  { 706, 2, 100, 0 },
  { 718, 2, 100, 0 },
  { 730, 2, 100, 0 },
  { 742, 2, 100, 0 },
  { 758, 2, 100, 0 },
  { 776, 2, 100, 0 },
  { 790, 2, 100, 0 },
  { 802, 2, 100, 0 },
  { 814, 2, 100, 0 },
  { 826, 2, 100, 0 },
  // 4225: convert_ushort_rtz
  { 684, 2, 100, 0 },
  { 696, 2, 100, 0 },
  { 708, 2, 100, 0 },
  { 720, 2, 100, 0 },
  { 732, 2, 100, 0 },
  { 748, 2, 100, 0 },
  { 766, 2, 100, 0 },
  { 780, 2, 100, 0 },
  { 792, 2, 100, 0 },
  { 804, 2, 100, 0 },
  { 816, 2, 100, 0 },
  // 4236: convert_ushort2_rtz
  { 686, 2, 100, 0 },
  { 698, 2, 100, 0 },
  { 710, 2, 100, 0 },
  { 722, 2, 100, 0 },
  { 734, 2, 100, 0 },
  { 750, 2, 100, 0 },
  { 768, 2, 100, 0 },
  { 782, 2, 100, 0 },
  { 794, 2, 100, 0 },
  { 806, 2, 100, 0 },
  { 818, 2, 100, 0 },
  // 4247: convert_ushort3_rtz
  { 688, 2, 100, 0 },
  { 700, 2, 100, 0 },
  { 712, 2, 100, 0 },
  { 724, 2, 100, 0 },
  { 736, 2, 100, 0 },
  { 752, 2, 100, 0 },
  { 770, 2, 100, 0 },
  { 784, 2, 100, 0 },
  { 796, 2, 100, 0 },
  { 808, 2, 100, 0 },
  { 820, 2, 100, 0 },
  // 4258: convert_ushort4_rtz
  { 690, 2, 100, 0 },
  { 702, 2, 100, 0 },
  { 714, 2, 100, 0 },
  { 726, 2, 100, 0 },
  { 738, 2, 100, 0 },
  { 754, 2, 100, 0 },
  { 772, 2, 100, 0 },
  { 786, 2, 100, 0 },
  { 798, 2, 100, 0 },
  { 810, 2, 100, 0 },
  { 822, 2, 100, 0 },
  // 4269: convert_ushort8_rtz
  { 692, 2, 100, 0 },
  { 704, 2, 100, 0 },
  { 716, 2, 100, 0 },
  { 728, 2, 100, 0 },
  { 740, 2, 100, 0 },
  { 756, 2, 100, 0 },
  { 774, 2, 100, 0 },
  { 788, 2, 100, 0 },
  { 800, 2, 100, 0 },
  { 812, 2, 100, 0 },
  { 824, 2, 100, 0 },
  // 4280: convert_ushort16_rtz
  { 694, 2, 100, 0 },
  { 706, 2, 100, 0 },
  { 718, 2, 100, 0 },
  { 730, 2, 100, 0 },
  { 742, 2, 100, 0 },
  { 758, 2, 100, 0 },
  { 776, 2, 100, 0 },
  { 790, 2, 100, 0 },
  { 802, 2, 100, 0 },
  { 814, 2, 100, 0 },
  { 826, 2, 100, 0 },
  // 4291: convert_ushort_sat
  { 684, 2, 100, 0 },
  { 696, 2, 100, 0 },
  { 708, 2, 100, 0 },
  { 720, 2, 100, 0 },
  { 732, 2, 100, 0 },
  { 748, 2, 100, 0 },
  { 766, 2, 100, 0 },
  { 780, 2, 100, 0 },
  { 792, 2, 100, 0 },
  { 804, 2, 100, 0 },
  { 816, 2, 100, 0 },
  // 4302: convert_ushort2_sat
  { 686, 2, 100, 0 },
  { 698, 2, 100, 0 },
  { 710, 2, 100, 0 },
  { 722, 2, 100, 0 },
  { 734, 2, 100, 0 },
  { 750, 2, 100, 0 },
  { 768, 2, 100, 0 },
  { 782, 2, 100, 0 },
  { 794, 2, 100, 0 },
  { 806, 2, 100, 0 },
  { 818, 2, 100, 0 },
  // 4313: convert_ushort3_sat
  { 688, 2, 100, 0 },
  { 700, 2, 100, 0 },
  { 712, 2, 100, 0 },
  { 724, 2, 100, 0 },
  { 736, 2, 100, 0 },
  { 752, 2, 100, 0 },
  { 770, 2, 100, 0 },
  { 784, 2, 100, 0 },
  { 796, 2, 100, 0 },
  { 808, 2, 100, 0 },
  { 820, 2, 100, 0 },
  // 4324: convert_ushort4_sat
  { 690, 2, 100, 0 },
  { 702, 2, 100, 0 },
  { 714, 2, 100, 0 },
  { 726, 2, 100, 0 },
  { 738, 2, 100, 0 },
  { 754, 2, 100, 0 },
  { 772, 2, 100, 0 },
  { 786, 2, 100, 0 },
  { 798, 2, 100, 0 },
  { 810, 2, 100, 0 },
  { 822, 2, 100, 0 },
  // 4335: convert_ushort8_sat
  { 692, 2, 100, 0 },
  { 704, 2, 100, 0 },
  { 716, 2, 100, 0 },
  { 728, 2, 100, 0 },
  { 740, 2, 100, 0 },
  { 756, 2, 100, 0 },
  { 774, 2, 100, 0 },
  { 788, 2, 100, 0 },
  { 800, 2, 100, 0 },
  { 812, 2, 100, 0 },
  { 824, 2, 100, 0 },
  // 4346: convert_ushort16_sat
  { 694, 2, 100, 0 },
  { 706, 2, 100, 0 },
  { 718, 2, 100, 0 },
  { 730, 2, 100, 0 },
  { 742, 2, 100, 0 },
  { 758, 2, 100, 0 },
  { 776, 2, 100, 0 },
  { 790, 2, 100, 0 },
  { 802, 2, 100, 0 },
  { 814, 2, 100, 0 },
  { 826, 2, 100, 0 },
  // 4357: convert_ushort_sat_rte
  { 684, 2, 100, 0 },
  { 696, 2, 100, 0 },
  { 708, 2, 100, 0 },
  { 720, 2, 100, 0 },
  { 732, 2, 100, 0 },
  { 748, 2, 100, 0 },
  { 766, 2, 100, 0 },
  { 780, 2, 100, 0 },
  { 792, 2, 100, 0 },
  { 804, 2, 100, 0 },
  { 816, 2, 100, 0 },
  // 4368: convert_ushort2_sat_rte
  { 686, 2, 100, 0 },
  { 698, 2, 100, 0 },
  { 710, 2, 100, 0 },
  { 722, 2, 100, 0 },
  { 734, 2, 100, 0 },
  { 750, 2, 100, 0 },
  { 768, 2, 100, 0 },
  { 782, 2, 100, 0 },
  { 794, 2, 100, 0 },
  { 806, 2, 100, 0 },
  { 818, 2, 100, 0 },
  // 4379: convert_ushort3_sat_rte
  { 688, 2, 100, 0 },
  { 700, 2, 100, 0 },
  { 712, 2, 100, 0 },
  { 724, 2, 100, 0 },
  { 736, 2, 100, 0 },
  { 752, 2, 100, 0 },
  { 770, 2, 100, 0 },
  { 784, 2, 100, 0 },
  { 796, 2, 100, 0 },
  { 808, 2, 100, 0 },
  { 820, 2, 100, 0 },
  // 4390: convert_ushort4_sat_rte
  { 690, 2, 100, 0 },
  { 702, 2, 100, 0 },
  { 714, 2, 100, 0 },
  { 726, 2, 100, 0 },
  { 738, 2, 100, 0 },
  { 754, 2, 100, 0 },
  { 772, 2, 100, 0 },
  { 786, 2, 100, 0 },
  { 798, 2, 100, 0 },
  { 810, 2, 100, 0 },
  { 822, 2, 100, 0 },
  // 4401: convert_ushort8_sat_rte
  { 692, 2, 100, 0 },
  { 704, 2, 100, 0 },
  { 716, 2, 100, 0 },
  { 728, 2, 100, 0 },
  { 740, 2, 100, 0 },
  { 756, 2, 100, 0 },
  { 774, 2, 100, 0 },
  { 788, 2, 100, 0 },
  { 800, 2, 100, 0 },
  { 812, 2, 100, 0 },
  { 824, 2, 100, 0 },
  // 4412: convert_ushort16_sat_rte
  { 694, 2, 100, 0 },
  { 706, 2, 100, 0 },
  { 718, 2, 100, 0 },
  { 730, 2, 100, 0 },
  { 742, 2, 100, 0 },
  { 758, 2, 100, 0 },
  { 776, 2, 100, 0 },
  { 790, 2, 100, 0 },
  { 802, 2, 100, 0 },
  { 814, 2, 100, 0 },
  { 826, 2, 100, 0 },
  // 4423: convert_ushort_sat_rtn
  { 684, 2, 100, 0 },
  { 696, 2, 100, 0 },
  { 708, 2, 100, 0 },
  { 720, 2, 100, 0 },
  { 732, 2, 100, 0 },
  { 748, 2, 100, 0 },
  { 766, 2, 100, 0 },
  { 780, 2, 100, 0 },
  { 792, 2, 100, 0 },
  { 804, 2, 100, 0 },
  { 816, 2, 100, 0 },
  // 4434: convert_ushort2_sat_rtn
  { 686, 2, 100, 0 },
  { 698, 2, 100, 0 },
  { 710, 2, 100, 0 },
  { 722, 2, 100, 0 },
  { 734, 2, 100, 0 },
  { 750, 2, 100, 0 },
  { 768, 2, 100, 0 },
  { 782, 2, 100, 0 },
  { 794, 2, 100, 0 },
  { 806, 2, 100, 0 },
  { 818, 2, 100, 0 },
  // 4445: convert_ushort3_sat_rtn
  { 688, 2, 100, 0 },
  { 700, 2, 100, 0 },
  { 712, 2, 100, 0 },
  { 724, 2, 100, 0 },
  { 736, 2, 100, 0 },
  { 752, 2, 100, 0 },
  { 770, 2, 100, 0 },
  { 784, 2, 100, 0 },
  { 796, 2, 100, 0 },
  { 808, 2, 100, 0 },
  { 820, 2, 100, 0 },
  // 4456: convert_ushort4_sat_rtn
  { 690, 2, 100, 0 },
  { 702, 2, 100, 0 },
  { 714, 2, 100, 0 },
  { 726, 2, 100, 0 },
  { 738, 2, 100, 0 },
  { 754, 2, 100, 0 },
  { 772, 2, 100, 0 },
  { 786, 2, 100, 0 },
  { 798, 2, 100, 0 },
  { 810, 2, 100, 0 },
  { 822, 2, 100, 0 },
  // 4467: convert_ushort8_sat_rtn
  { 692, 2, 100, 0 },
  { 704, 2, 100, 0 },
  { 716, 2, 100, 0 },
  { 728, 2, 100, 0 },
  { 740, 2, 100, 0 },
  { 756, 2, 100, 0 },
  { 774, 2, 100, 0 },
  { 788, 2, 100, 0 },
  { 800, 2, 100, 0 },
  { 812, 2, 100, 0 },
  { 824, 2, 100, 0 },
  // 4478: convert_ushort16_sat_rtn
  { 694, 2, 100, 0 },
  { 706, 2, 100, 0 },
  { 718, 2, 100, 0 },
  { 730, 2, 100, 0 },
  { 742, 2, 100, 0 },
  { 758, 2, 100, 0 },
  { 776, 2, 100, 0 },
  { 790, 2, 100, 0 },
  { 802, 2, 100, 0 },
  { 814, 2, 100, 0 },
  { 826, 2, 100, 0 },
  // 4489: convert_ushort_sat_rtp
  { 684, 2, 100, 0 },
  { 696, 2, 100, 0 },
  { 708, 2, 100, 0 },
  { 720, 2, 100, 0 },
  { 732, 2, 100, 0 },
  { 748, 2, 100, 0 },
  { 766, 2, 100, 0 },
  { 780, 2, 100, 0 },
  { 792, 2, 100, 0 },
  { 804, 2, 100, 0 },
  { 816, 2, 100, 0 },
  // 4500: convert_ushort2_sat_rtp
  { 686, 2, 100, 0 },
  { 698, 2, 100, 0 },
  { 710, 2, 100, 0 },
  { 722, 2, 100, 0 },
  { 734, 2, 100, 0 },
  { 750, 2, 100, 0 },
  { 768, 2, 100, 0 },
  { 782, 2, 100, 0 },
  { 794, 2, 100, 0 },
  { 806, 2, 100, 0 },
  { 818, 2, 100, 0 },
  // 4511: convert_ushort3_sat_rtp
  { 688, 2, 100, 0 },
  { 700, 2, 100, 0 },
  { 712, 2, 100, 0 },
  { 724, 2, 100, 0 },
  { 736, 2, 100, 0 },
  { 752, 2, 100, 0 },
  { 770, 2, 100, 0 },
  { 784, 2, 100, 0 },
  { 796, 2, 100, 0 },
  { 808, 2, 100, 0 },
  { 820, 2, 100, 0 },
  // 4522: convert_ushort4_sat_rtp
  { 690, 2, 100, 0 },
  { 702, 2, 100, 0 },
  { 714, 2, 100, 0 },
  { 726, 2, 100, 0 },
  { 738, 2, 100, 0 },
  { 754, 2, 100, 0 },
  { 772, 2, 100, 0 },
  { 786, 2, 100, 0 },
  { 798, 2, 100, 0 },
  { 810, 2, 100, 0 },
  { 822, 2, 100, 0 },
  // 4533: convert_ushort8_sat_rtp
  { 692, 2, 100, 0 },
  { 704, 2, 100, 0 },
  { 716, 2, 100, 0 },
  { 728, 2, 100, 0 },
  { 740, 2, 100, 0 },
  { 756, 2, 100, 0 },
  { 774, 2, 100, 0 },
  { 788, 2, 100, 0 },
  { 800, 2, 100, 0 },
  { 812, 2, 100, 0 },
  { 824, 2, 100, 0 },
  // 4544: convert_ushort16_sat_rtp
  { 694, 2, 100, 0 },
  { 706, 2, 100, 0 },
  { 718, 2, 100, 0 },
  { 730, 2, 100, 0 },
  { 742, 2, 100, 0 },
  { 758, 2, 100, 0 },
  { 776, 2, 100, 0 },
  { 790, 2, 100, 0 },
  { 802, 2, 100, 0 },
  { 814, 2, 100, 0 },
  { 826, 2, 100, 0 },
  // 4555: convert_ushort_sat_rtz
  { 684, 2, 100, 0 },
  { 696, 2, 100, 0 },
  { 708, 2, 100, 0 },
  { 720, 2, 100, 0 },
  { 732, 2, 100, 0 },
  { 748, 2, 100, 0 },
  { 766, 2, 100, 0 },
  { 780, 2, 100, 0 },
  { 792, 2, 100, 0 },
  { 804, 2, 100, 0 },
  { 816, 2, 100, 0 },
  // 4566: convert_ushort2_sat_rtz
  { 686, 2, 100, 0 },
  { 698, 2, 100, 0 },
  { 710, 2, 100, 0 },
  { 722, 2, 100, 0 },
  { 734, 2, 100, 0 },
  { 750, 2, 100, 0 },
  { 768, 2, 100, 0 },
  { 782, 2, 100, 0 },
  { 794, 2, 100, 0 },
  { 806, 2, 100, 0 },
  { 818, 2, 100, 0 },
  // 4577: convert_ushort3_sat_rtz
  { 688, 2, 100, 0 },
  { 700, 2, 100, 0 },
  { 712, 2, 100, 0 },
  { 724, 2, 100, 0 },
  { 736, 2, 100, 0 },
  { 752, 2, 100, 0 },
  { 770, 2, 100, 0 },
  { 784, 2, 100, 0 },
  { 796, 2, 100, 0 },
  { 808, 2, 100, 0 },
  { 820, 2, 100, 0 },
  // 4588: convert_ushort4_sat_rtz
  { 690, 2, 100, 0 },
  { 702, 2, 100, 0 },
  { 714, 2, 100, 0 },
  { 726, 2, 100, 0 },
  { 738, 2, 100, 0 },
  { 754, 2, 100, 0 },
  { 772, 2, 100, 0 },
  { 786, 2, 100, 0 },
  { 798, 2, 100, 0 },
  { 810, 2, 100, 0 },
  { 822, 2, 100, 0 },
  // 4599: convert_ushort8_sat_rtz
  { 692, 2, 100, 0 },
  { 704, 2, 100, 0 },
  { 716, 2, 100, 0 },
  { 728, 2, 100, 0 },
  { 740, 2, 100, 0 },
  { 756, 2, 100, 0 },
  { 774, 2, 100, 0 },
  { 788, 2, 100, 0 },
  { 800, 2, 100, 0 },
  { 812, 2, 100, 0 },
  { 824, 2, 100, 0 },
  // 4610: convert_ushort16_sat_rtz
  { 694, 2, 100, 0 },
  { 706, 2, 100, 0 },
  { 718, 2, 100, 0 },
  { 730, 2, 100, 0 },
  { 742, 2, 100, 0 },
  { 758, 2, 100, 0 },
  { 776, 2, 100, 0 },
  { 790, 2, 100, 0 },
  { 802, 2, 100, 0 },
  { 814, 2, 100, 0 },
  { 826, 2, 100, 0 },
  // 4621: convert_int
  { 828, 2, 100, 0 },
  { 840, 2, 100, 0 },
  { 852, 2, 100, 0 },
  { 864, 2, 100, 0 },
  { 876, 2, 100, 0 },
  { 892, 2, 100, 0 },
  { 910, 2, 100, 0 },
  { 924, 2, 100, 0 },
  { 936, 2, 100, 0 },
  { 948, 2, 100, 0 },
  { 960, 2, 100, 0 },
  // 4632: convert_int2
  { 830, 2, 100, 0 },
  { 842, 2, 100, 0 },
  { 854, 2, 100, 0 },
  { 866, 2, 100, 0 },
  { 878, 2, 100, 0 },
  { 894, 2, 100, 0 },
  { 912, 2, 100, 0 },
  { 926, 2, 100, 0 },
  { 938, 2, 100, 0 },
  { 950, 2, 100, 0 },
  { 962, 2, 100, 0 },
  // 4643: convert_int3
  { 832, 2, 100, 0 },
  { 844, 2, 100, 0 },
  { 856, 2, 100, 0 },
  { 868, 2, 100, 0 },
  { 880, 2, 100, 0 },
  { 898, 2, 100, 0 },
  { 916, 2, 100, 0 },
  { 928, 2, 100, 0 },
  { 940, 2, 100, 0 },
  { 952, 2, 100, 0 },
  { 964, 2, 100, 0 },
  // 4654: convert_int4
  { 834, 2, 100, 0 },
  { 846, 2, 100, 0 },
  { 858, 2, 100, 0 },
  { 870, 2, 100, 0 },
  { 882, 2, 100, 0 },
  { 900, 2, 100, 0 },
  { 918, 2, 100, 0 },
  { 930, 2, 100, 0 },
  { 942, 2, 100, 0 },
  { 954, 2, 100, 0 },
  { 966, 2, 100, 0 },
  // 4665: convert_int8
  { 836, 2, 100, 0 },
  { 848, 2, 100, 0 },
  { 860, 2, 100, 0 },
  { 872, 2, 100, 0 },
  { 884, 2, 100, 0 },
  { 902, 2, 100, 0 },
  { 920, 2, 100, 0 },
  { 932, 2, 100, 0 },
  { 944, 2, 100, 0 },
  { 956, 2, 100, 0 },
  { 968, 2, 100, 0 },
  // 4676: convert_int16
  { 838, 2, 100, 0 },
  { 850, 2, 100, 0 },
  { 862, 2, 100, 0 },
  { 874, 2, 100, 0 },
  { 886, 2, 100, 0 },
  { 904, 2, 100, 0 },
  { 922, 2, 100, 0 },
  { 934, 2, 100, 0 },
  { 946, 2, 100, 0 },
  { 958, 2, 100, 0 },
  { 970, 2, 100, 0 },
  // 4687: convert_int_rte
  { 828, 2, 100, 0 },
  { 840, 2, 100, 0 },
  { 852, 2, 100, 0 },
  { 864, 2, 100, 0 },
  { 876, 2, 100, 0 },
  { 892, 2, 100, 0 },
  { 910, 2, 100, 0 },
  { 924, 2, 100, 0 },
  { 936, 2, 100, 0 },
  { 948, 2, 100, 0 },
  { 960, 2, 100, 0 },
  // 4698: convert_int2_rte
  { 830, 2, 100, 0 },
  { 842, 2, 100, 0 },
  { 854, 2, 100, 0 },
  { 866, 2, 100, 0 },
  { 878, 2, 100, 0 },
  { 894, 2, 100, 0 },
  { 912, 2, 100, 0 },
  { 926, 2, 100, 0 },
  { 938, 2, 100, 0 },
  { 950, 2, 100, 0 },
  { 962, 2, 100, 0 },
  // 4709: convert_int3_rte
  { 832, 2, 100, 0 },
  { 844, 2, 100, 0 },
  { 856, 2, 100, 0 },
  { 868, 2, 100, 0 },
  { 880, 2, 100, 0 },
  { 898, 2, 100, 0 },
  { 916, 2, 100, 0 },
  { 928, 2, 100, 0 },
  { 940, 2, 100, 0 },
  { 952, 2, 100, 0 },
  { 964, 2, 100, 0 },
  // 4720: convert_int4_rte
  { 834, 2, 100, 0 },
  { 846, 2, 100, 0 },
  { 858, 2, 100, 0 },
  { 870, 2, 100, 0 },
  { 882, 2, 100, 0 },
  { 900, 2, 100, 0 },
  { 918, 2, 100, 0 },
  { 930, 2, 100, 0 },
  { 942, 2, 100, 0 },
  { 954, 2, 100, 0 },
  { 966, 2, 100, 0 },
  // 4731: convert_int8_rte
  { 836, 2, 100, 0 },
  { 848, 2, 100, 0 },
  { 860, 2, 100, 0 },
  { 872, 2, 100, 0 },
  { 884, 2, 100, 0 },
  { 902, 2, 100, 0 },
  { 920, 2, 100, 0 },
  { 932, 2, 100, 0 },
  { 944, 2, 100, 0 },
  { 956, 2, 100, 0 },
  { 968, 2, 100, 0 },
  // 4742: convert_int16_rte
  { 838, 2, 100, 0 },
  { 850, 2, 100, 0 },
  { 862, 2, 100, 0 },
  { 874, 2, 100, 0 },
  { 886, 2, 100, 0 },
  { 904, 2, 100, 0 },
  { 922, 2, 100, 0 },
  { 934, 2, 100, 0 },
  { 946, 2, 100, 0 },
  { 958, 2, 100, 0 },
  { 970, 2, 100, 0 },
  // 4753: convert_int_rtn
  { 828, 2, 100, 0 },
  { 840, 2, 100, 0 },
  { 852, 2, 100, 0 },
  { 864, 2, 100, 0 },
  { 876, 2, 100, 0 },
  { 892, 2, 100, 0 },
  { 910, 2, 100, 0 },
  { 924, 2, 100, 0 },
  { 936, 2, 100, 0 },
  { 948, 2, 100, 0 },
  { 960, 2, 100, 0 },
  // 4764: convert_int2_rtn
  { 830, 2, 100, 0 },
  { 842, 2, 100, 0 },
  { 854, 2, 100, 0 },
  { 866, 2, 100, 0 },
  { 878, 2, 100, 0 },
  { 894, 2, 100, 0 },
  { 912, 2, 100, 0 },
  { 926, 2, 100, 0 },
  { 938, 2, 100, 0 },
  { 950, 2, 100, 0 },
  { 962, 2, 100, 0 },
  // 4775: convert_int3_rtn
  { 832, 2, 100, 0 },
  { 844, 2, 100, 0 },
  { 856, 2, 100, 0 },
  { 868, 2, 100, 0 },
  { 880, 2, 100, 0 },
  { 898, 2, 100, 0 },
  { 916, 2, 100, 0 },
  { 928, 2, 100, 0 },
  { 940, 2, 100, 0 },
  { 952, 2, 100, 0 },
  { 964, 2, 100, 0 },
  // 4786: convert_int4_rtn
  { 834, 2, 100, 0 },
  { 846, 2, 100, 0 },
  { 858, 2, 100, 0 },
  { 870, 2, 100, 0 },
  { 882, 2, 100, 0 },
  { 900, 2, 100, 0 },
  { 918, 2, 100, 0 },
  { 930, 2, 100, 0 },
  { 942, 2, 100, 0 },
  { 954, 2, 100, 0 },
  { 966, 2, 100, 0 },
  // 4797: convert_int8_rtn
  { 836, 2, 100, 0 },
  { 848, 2, 100, 0 },
  { 860, 2, 100, 0 },
  { 872, 2, 100, 0 },
  { 884, 2, 100, 0 },
  { 902, 2, 100, 0 },
  { 920, 2, 100, 0 },
  { 932, 2, 100, 0 },
  { 944, 2, 100, 0 },
  { 956, 2, 100, 0 },
  { 968, 2, 100, 0 },
  // 4808: convert_int16_rtn
  { 838, 2, 100, 0 },
  { 850, 2, 100, 0 },
  { 862, 2, 100, 0 },
  { 874, 2, 100, 0 },
  { 886, 2, 100, 0 },
  { 904, 2, 100, 0 },
  { 922, 2, 100, 0 },
  { 934, 2, 100, 0 },
  { 946, 2, 100, 0 },
  { 958, 2, 100, 0 },
  { 970, 2, 100, 0 },
  // 4819: convert_int_rtp
  { 828, 2, 100, 0 },
  { 840, 2, 100, 0 },
  { 852, 2, 100, 0 },
  { 864, 2, 100, 0 },
  { 876, 2, 100, 0 },
  { 892, 2, 100, 0 },
  { 910, 2, 100, 0 },
  { 924, 2, 100, 0 },
  { 936, 2, 100, 0 },
  { 948, 2, 100, 0 },
  { 960, 2, 100, 0 },
  // 4830: convert_int2_rtp
  { 830, 2, 100, 0 },
  { 842, 2, 100, 0 },
  { 854, 2, 100, 0 },
  { 866, 2, 100, 0 },
  { 878, 2, 100, 0 },
  { 894, 2, 100, 0 },
  { 912, 2, 100, 0 },
  { 926, 2, 100, 0 },
  { 938, 2, 100, 0 },
  { 950, 2, 100, 0 },
  { 962, 2, 100, 0 },
  // 4841: convert_int3_rtp
  { 832, 2, 100, 0 },
  { 844, 2, 100, 0 },
  { 856, 2, 100, 0 },
  { 868, 2, 100, 0 },
  { 880, 2, 100, 0 },
  { 898, 2, 100, 0 },
  { 916, 2, 100, 0 },
  { 928, 2, 100, 0 },
  { 940, 2, 100, 0 },
  { 952, 2, 100, 0 },
  { 964, 2, 100, 0 },
  // 4852: convert_int4_rtp
  { 834, 2, 100, 0 },
  { 846, 2, 100, 0 },
  { 858, 2, 100, 0 },
  { 870, 2, 100, 0 },
  { 882, 2, 100, 0 },
  { 900, 2, 100, 0 },
  { 918, 2, 100, 0 },
  { 930, 2, 100, 0 },
  { 942, 2, 100, 0 },
  { 954, 2, 100, 0 },
  { 966, 2, 100, 0 },
  // 4863: convert_int8_rtp
  { 836, 2, 100, 0 },
  { 848, 2, 100, 0 },
  { 860, 2, 100, 0 },
  { 872, 2, 100, 0 },
  { 884, 2, 100, 0 },
  { 902, 2, 100, 0 },
  { 920, 2, 100, 0 },
  { 932, 2, 100, 0 },
  { 944, 2, 100, 0 },
  { 956, 2, 100, 0 },
  { 968, 2, 100, 0 },
  // 4874: convert_int16_rtp
  { 838, 2, 100, 0 },
  { 850, 2, 100, 0 },
  { 862, 2, 100, 0 },
  { 874, 2, 100, 0 },
  { 886, 2, 100, 0 },
  { 904, 2, 100, 0 },
  { 922, 2, 100, 0 },
  { 934, 2, 100, 0 },
  { 946, 2, 100, 0 },
  { 958, 2, 100, 0 },
  { 970, 2, 100, 0 },
  // 4885: convert_int_rtz
  { 828, 2, 100, 0 },
  { 840, 2, 100, 0 },
  { 852, 2, 100, 0 },
  { 864, 2, 100, 0 },
  { 876, 2, 100, 0 },
  { 892, 2, 100, 0 },
  { 910, 2, 100, 0 },
  { 924, 2, 100, 0 },
  { 936, 2, 100, 0 },
  { 948, 2, 100, 0 },
  { 960, 2, 100, 0 },
  // 4896: convert_int2_rtz
  { 830, 2, 100, 0 },
  { 842, 2, 100, 0 },
  { 854, 2, 100, 0 },
  { 866, 2, 100, 0 },
  { 878, 2, 100, 0 },
  { 894, 2, 100, 0 },
  { 912, 2, 100, 0 },
  { 926, 2, 100, 0 },
  { 938, 2, 100, 0 },
  { 950, 2, 100, 0 },
  { 962, 2, 100, 0 },
  // 4907: convert_int3_rtz
  { 832, 2, 100, 0 },
  { 844, 2, 100, 0 },
  { 856, 2, 100, 0 },
  { 868, 2, 100, 0 },
  { 880, 2, 100, 0 },
  { 898, 2, 100, 0 },
  { 916, 2, 100, 0 },
  { 928, 2, 100, 0 },
  { 940, 2, 100, 0 },
  { 952, 2, 100, 0 },
  { 964, 2, 100, 0 },
  // 4918: convert_int4_rtz
  { 834, 2, 100, 0 },
  { 846, 2, 100, 0 },
  { 858, 2, 100, 0 },
  { 870, 2, 100, 0 },
  { 882, 2, 100, 0 },
  { 900, 2, 100, 0 },
  { 918, 2, 100, 0 },
  { 930, 2, 100, 0 },
  { 942, 2, 100, 0 },
  { 954, 2, 100, 0 },
  { 966, 2, 100, 0 },
  // 4929: convert_int8_rtz
  { 836, 2, 100, 0 },
  { 848, 2, 100, 0 },
  { 860, 2, 100, 0 },
  { 872, 2, 100, 0 },
  { 884, 2, 100, 0 },
  { 902, 2, 100, 0 },
  { 920, 2, 100, 0 },
  { 932, 2, 100, 0 },
  { 944, 2, 100, 0 },
  { 956, 2, 100, 0 },
  { 968, 2, 100, 0 },
  // 4940: convert_int16_rtz
  { 838, 2, 100, 0 },
  { 850, 2, 100, 0 },
  { 862, 2, 100, 0 },
  { 874, 2, 100, 0 },
  { 886, 2, 100, 0 },
  { 904, 2, 100, 0 },
  { 922, 2, 100, 0 },
  { 934, 2, 100, 0 },
  { 946, 2, 100, 0 },
  { 958, 2, 100, 0 },
  { 970, 2, 100, 0 },
  // 4951: convert_int_sat
  { 828, 2, 100, 0 },
  { 840, 2, 100, 0 },
  { 852, 2, 100, 0 },
  { 864, 2, 100, 0 },
  { 876, 2, 100, 0 },
  { 892, 2, 100, 0 },
  { 910, 2, 100, 0 },
  { 924, 2, 100, 0 },
  { 936, 2, 100, 0 },
  { 948, 2, 100, 0 },
  { 960, 2, 100, 0 },
  // 4962: convert_int2_sat
  { 830, 2, 100, 0 },
  { 842, 2, 100, 0 },
  { 854, 2, 100, 0 },
  { 866, 2, 100, 0 },
  { 878, 2, 100, 0 },
  { 894, 2, 100, 0 },
  { 912, 2, 100, 0 },
  { 926, 2, 100, 0 },
  { 938, 2, 100, 0 },
  { 950, 2, 100, 0 },
  { 962, 2, 100, 0 },
  // 4973: convert_int3_sat
  { 832, 2, 100, 0 },
  { 844, 2, 100, 0 },
  { 856, 2, 100, 0 },
  { 868, 2, 100, 0 },
  { 880, 2, 100, 0 },
  { 898, 2, 100, 0 },
  { 916, 2, 100, 0 },
  { 928, 2, 100, 0 },
  { 940, 2, 100, 0 },
  { 952, 2, 100, 0 },
  { 964, 2, 100, 0 },
  // 4984: convert_int4_sat
  { 834, 2, 100, 0 },
  { 846, 2, 100, 0 },
  { 858, 2, 100, 0 },
  { 870, 2, 100, 0 },
  { 882, 2, 100, 0 },
  { 900, 2, 100, 0 },
  { 918, 2, 100, 0 },
  { 930, 2, 100, 0 },
  { 942, 2, 100, 0 },
  { 954, 2, 100, 0 },
  { 966, 2, 100, 0 },
  // 4995: convert_int8_sat
  { 836, 2, 100, 0 },
  { 848, 2, 100, 0 },
  { 860, 2, 100, 0 },
  { 872, 2, 100, 0 },
  { 884, 2, 100, 0 },
  { 902, 2, 100, 0 },
  { 920, 2, 100, 0 },
  { 932, 2, 100, 0 },
  { 944, 2, 100, 0 },
  { 956, 2, 100, 0 },
  { 968, 2, 100, 0 },
  // 5006: convert_int16_sat
  { 838, 2, 100, 0 },
  { 850, 2, 100, 0 },
  { 862, 2, 100, 0 },
  { 874, 2, 100, 0 },
  { 886, 2, 100, 0 },
  { 904, 2, 100, 0 },
  { 922, 2, 100, 0 },
  { 934, 2, 100, 0 },
  { 946, 2, 100, 0 },
  { 958, 2, 100, 0 },
  { 970, 2, 100, 0 },
  // 5017: convert_int_sat_rte
  { 828, 2, 100, 0 },
  { 840, 2, 100, 0 },
  { 852, 2, 100, 0 },
  { 864, 2, 100, 0 },
  { 876, 2, 100, 0 },
  { 892, 2, 100, 0 },
  { 910, 2, 100, 0 },
  { 924, 2, 100, 0 },
  { 936, 2, 100, 0 },
  { 948, 2, 100, 0 },
  { 960, 2, 100, 0 },
  // 5028: convert_int2_sat_rte
  { 830, 2, 100, 0 },
  { 842, 2, 100, 0 },
  { 854, 2, 100, 0 },
  { 866, 2, 100, 0 },
  { 878, 2, 100, 0 },
  { 894, 2, 100, 0 },
  { 912, 2, 100, 0 },
  { 926, 2, 100, 0 },
  { 938, 2, 100, 0 },
  { 950, 2, 100, 0 },
  { 962, 2, 100, 0 },
  // 5039: convert_int3_sat_rte
  { 832, 2, 100, 0 },
  { 844, 2, 100, 0 },
  { 856, 2, 100, 0 },
  { 868, 2, 100, 0 },
  { 880, 2, 100, 0 },
  { 898, 2, 100, 0 },
  { 916, 2, 100, 0 },
  { 928, 2, 100, 0 },
  { 940, 2, 100, 0 },
  { 952, 2, 100, 0 },
  { 964, 2, 100, 0 },
  // 5050: convert_int4_sat_rte
  { 834, 2, 100, 0 },
  { 846, 2, 100, 0 },
  { 858, 2, 100, 0 },
  { 870, 2, 100, 0 },
  { 882, 2, 100, 0 },
  { 900, 2, 100, 0 },
  { 918, 2, 100, 0 },
  { 930, 2, 100, 0 },
  { 942, 2, 100, 0 },
  { 954, 2, 100, 0 },
  { 966, 2, 100, 0 },
  // 5061: convert_int8_sat_rte
  { 836, 2, 100, 0 },
  { 848, 2, 100, 0 },
  { 860, 2, 100, 0 },
  { 872, 2, 100, 0 },
  { 884, 2, 100, 0 },
  { 902, 2, 100, 0 },
  { 920, 2, 100, 0 },
  { 932, 2, 100, 0 },
  { 944, 2, 100, 0 },
  { 956, 2, 100, 0 },
  { 968, 2, 100, 0 },
  // 5072: convert_int16_sat_rte
  { 838, 2, 100, 0 },
  { 850, 2, 100, 0 },
  { 862, 2, 100, 0 },
  { 874, 2, 100, 0 },
  { 886, 2, 100, 0 },
  { 904, 2, 100, 0 },
  { 922, 2, 100, 0 },
  { 934, 2, 100, 0 },
  { 946, 2, 100, 0 },
  { 958, 2, 100, 0 },
  { 970, 2, 100, 0 },
  // 5083: convert_int_sat_rtn
  { 828, 2, 100, 0 },
  { 840, 2, 100, 0 },
  { 852, 2, 100, 0 },
  { 864, 2, 100, 0 },
  { 876, 2, 100, 0 },
  { 892, 2, 100, 0 },
  { 910, 2, 100, 0 },
  { 924, 2, 100, 0 },
  { 936, 2, 100, 0 },
  { 948, 2, 100, 0 },
  { 960, 2, 100, 0 },
  // 5094: convert_int2_sat_rtn
  { 830, 2, 100, 0 },
  { 842, 2, 100, 0 },
  { 854, 2, 100, 0 },
  { 866, 2, 100, 0 },
  { 878, 2, 100, 0 },
  { 894, 2, 100, 0 },
  { 912, 2, 100, 0 },
  { 926, 2, 100, 0 },
  { 938, 2, 100, 0 },
  { 950, 2, 100, 0 },
  { 962, 2, 100, 0 },
  // 5105: convert_int3_sat_rtn
  { 832, 2, 100, 0 },
  { 844, 2, 100, 0 },
  { 856, 2, 100, 0 },
  { 868, 2, 100, 0 },
  { 880, 2, 100, 0 },
  { 898, 2, 100, 0 },
  { 916, 2, 100, 0 },
  { 928, 2, 100, 0 },
  { 940, 2, 100, 0 },
  { 952, 2, 100, 0 },
  { 964, 2, 100, 0 },
  // 5116: convert_int4_sat_rtn
  { 834, 2, 100, 0 },
  { 846, 2, 100, 0 },
  { 858, 2, 100, 0 },
  { 870, 2, 100, 0 },
  { 882, 2, 100, 0 },
  { 900, 2, 100, 0 },
  { 918, 2, 100, 0 },
  { 930, 2, 100, 0 },
  { 942, 2, 100, 0 },
  { 954, 2, 100, 0 },
  { 966, 2, 100, 0 },
  // 5127: convert_int8_sat_rtn
  { 836, 2, 100, 0 },
  { 848, 2, 100, 0 },
  { 860, 2, 100, 0 },
  { 872, 2, 100, 0 },
  { 884, 2, 100, 0 },
  { 902, 2, 100, 0 },
  { 920, 2, 100, 0 },
  { 932, 2, 100, 0 },
  { 944, 2, 100, 0 },
  { 956, 2, 100, 0 },
  { 968, 2, 100, 0 },
  // 5138: convert_int16_sat_rtn
  { 838, 2, 100, 0 },
  { 850, 2, 100, 0 },
  { 862, 2, 100, 0 },
  { 874, 2, 100, 0 },
  { 886, 2, 100, 0 },
  { 904, 2, 100, 0 },
  { 922, 2, 100, 0 },
  { 934, 2, 100, 0 },
  { 946, 2, 100, 0 },
  { 958, 2, 100, 0 },
  { 970, 2, 100, 0 },
  // 5149: convert_int_sat_rtp
  { 828, 2, 100, 0 },
  { 840, 2, 100, 0 },
  { 852, 2, 100, 0 },
  { 864, 2, 100, 0 },
  { 876, 2, 100, 0 },
  { 892, 2, 100, 0 },
  { 910, 2, 100, 0 },
  { 924, 2, 100, 0 },
  { 936, 2, 100, 0 },
  { 948, 2, 100, 0 },
  { 960, 2, 100, 0 },
  // 5160: convert_int2_sat_rtp
  { 830, 2, 100, 0 },
  { 842, 2, 100, 0 },
  { 854, 2, 100, 0 },
  { 866, 2, 100, 0 },
  { 878, 2, 100, 0 },
  { 894, 2, 100, 0 },
  { 912, 2, 100, 0 },
  { 926, 2, 100, 0 },
  { 938, 2, 100, 0 },
  { 950, 2, 100, 0 },
  { 962, 2, 100, 0 },
  // 5171: convert_int3_sat_rtp
  { 832, 2, 100, 0 },
  { 844, 2, 100, 0 },
  { 856, 2, 100, 0 },
  { 868, 2, 100, 0 },
  { 880, 2, 100, 0 },
  { 898, 2, 100, 0 },
  { 916, 2, 100, 0 },
  { 928, 2, 100, 0 },
  { 940, 2, 100, 0 },
  { 952, 2, 100, 0 },
  { 964, 2, 100, 0 },
  // 5182: convert_int4_sat_rtp
  { 834, 2, 100, 0 },
  { 846, 2, 100, 0 },
  { 858, 2, 100, 0 },
  { 870, 2, 100, 0 },
  { 882, 2, 100, 0 },
  { 900, 2, 100, 0 },
  { 918, 2, 100, 0 },
  { 930, 2, 100, 0 },
  { 942, 2, 100, 0 },
  { 954, 2, 100, 0 },
  { 966, 2, 100, 0 },
  // 5193: convert_int8_sat_rtp
  { 836, 2, 100, 0 },
  { 848, 2, 100, 0 },
  { 860, 2, 100, 0 },
  { 872, 2, 100, 0 },
  { 884, 2, 100, 0 },
  { 902, 2, 100, 0 },
  { 920, 2, 100, 0 },
  { 932, 2, 100, 0 },
  { 944, 2, 100, 0 },
  { 956, 2, 100, 0 },
  { 968, 2, 100, 0 },
  // 5204: convert_int16_sat_rtp
  { 838, 2, 100, 0 },
  { 850, 2, 100, 0 },
  { 862, 2, 100, 0 },
  { 874, 2, 100, 0 },
  { 886, 2, 100, 0 },
  { 904, 2, 100, 0 },
  { 922, 2, 100, 0 },
  { 934, 2, 100, 0 },
  { 946, 2, 100, 0 },
  { 958, 2, 100, 0 },
  { 970, 2, 100, 0 },
  // 5215: convert_int_sat_rtz
  { 828, 2, 100, 0 },
  { 840, 2, 100, 0 },
  { 852, 2, 100, 0 },
  { 864, 2, 100, 0 },
  { 876, 2, 100, 0 },
  { 892, 2, 100, 0 },
  { 910, 2, 100, 0 },
  { 924, 2, 100, 0 },
  { 936, 2, 100, 0 },
  { 948, 2, 100, 0 },
  { 960, 2, 100, 0 },
  // 5226: convert_int2_sat_rtz
  { 830, 2, 100, 0 },
  { 842, 2, 100, 0 },
  { 854, 2, 100, 0 },
  { 866, 2, 100, 0 },
  { 878, 2, 100, 0 },
  { 894, 2, 100, 0 },
  { 912, 2, 100, 0 },
  { 926, 2, 100, 0 },
  { 938, 2, 100, 0 },
  { 950, 2, 100, 0 },
  { 962, 2, 100, 0 },
  // 5237: convert_int3_sat_rtz
  { 832, 2, 100, 0 },
  { 844, 2, 100, 0 },
  { 856, 2, 100, 0 },
  { 868, 2, 100, 0 },
  { 880, 2, 100, 0 },
  { 898, 2, 100, 0 },
  { 916, 2, 100, 0 },
  { 928, 2, 100, 0 },
  { 940, 2, 100, 0 },
  { 952, 2, 100, 0 },
  { 964, 2, 100, 0 },
  // 5248: convert_int4_sat_rtz
  { 834, 2, 100, 0 },
  { 846, 2, 100, 0 },
  { 858, 2, 100, 0 },
  { 870, 2, 100, 0 },
  { 882, 2, 100, 0 },
  { 900, 2, 100, 0 },
  { 918, 2, 100, 0 },
  { 930, 2, 100, 0 },
  { 942, 2, 100, 0 },
  { 954, 2, 100, 0 },
  { 966, 2, 100, 0 },
  // 5259: convert_int8_sat_rtz
  { 836, 2, 100, 0 },
  { 848, 2, 100, 0 },
  { 860, 2, 100, 0 },
  { 872, 2, 100, 0 },
  { 884, 2, 100, 0 },
  { 902, 2, 100, 0 },
  { 920, 2, 100, 0 },
  { 932, 2, 100, 0 },
  { 944, 2, 100, 0 },
  { 956, 2, 100, 0 },
  { 968, 2, 100, 0 },
  // 5270: convert_int16_sat_rtz
  { 838, 2, 100, 0 },
  { 850, 2, 100, 0 },
  { 862, 2, 100, 0 },
  { 874, 2, 100, 0 },
  { 886, 2, 100, 0 },
  { 904, 2, 100, 0 },
  { 922, 2, 100, 0 },
  { 934, 2, 100, 0 },
  { 946, 2, 100, 0 },
  { 958, 2, 100, 0 },
  { 970, 2, 100, 0 },
  // 5281: convert_uint
  { 972, 2, 100, 0 },
  { 984, 2, 100, 0 },
  { 996, 2, 100, 0 },
  { 1008, 2, 100, 0 },
  { 1020, 2, 100, 0 },
  { 1038, 2, 100, 0 },
  { 1056, 2, 100, 0 },
  { 1068, 2, 100, 0 },
  { 1080, 2, 100, 0 },
  { 1092, 2, 100, 0 },
  { 1104, 2, 100, 0 },
  // 5292: convert_uint2
  { 974, 2, 100, 0 },
  { 986, 2, 100, 0 },
  { 998, 2, 100, 0 },
  { 1010, 2, 100, 0 },
  { 1022, 2, 100, 0 },
  { 1040, 2, 100, 0 },
  { 1058, 2, 100, 0 },
  { 1070, 2, 100, 0 },
  { 1082, 2, 100, 0 },
  { 1094, 2, 100, 0 },
  { 1106, 2, 100, 0 },
  // 5303: convert_uint3
  { 976, 2, 100, 0 },
  { 988, 2, 100, 0 },
  { 1000, 2, 100, 0 },
  { 1012, 2, 100, 0 },
  { 1024, 2, 100, 0 },
  { 1042, 2, 100, 0 },
  { 1060, 2, 100, 0 },
  { 1072, 2, 100, 0 },
  { 1084, 2, 100, 0 },
  { 1096, 2, 100, 0 },
  { 1108, 2, 100, 0 },
  // 5314: convert_uint4
  { 978, 2, 100, 0 },
  { 990, 2, 100, 0 },
  { 1002, 2, 100, 0 },
  { 1014, 2, 100, 0 },
  { 1026, 2, 100, 0 },
  { 1044, 2, 100, 0 },
  { 1062, 2, 100, 0 },
  { 1074, 2, 100, 0 },
  { 1086, 2, 100, 0 },
  { 1098, 2, 100, 0 },
  { 1110, 2, 100, 0 },
  // 5325: convert_uint8
  { 980, 2, 100, 0 },
  { 992, 2, 100, 0 },
  { 1004, 2, 100, 0 },
  { 1016, 2, 100, 0 },
  { 1028, 2, 100, 0 },
  { 1046, 2, 100, 0 },
  { 1064, 2, 100, 0 },
  { 1076, 2, 100, 0 },
  { 1088, 2, 100, 0 },
  { 1100, 2, 100, 0 },
  { 1112, 2, 100, 0 },
  // 5336: convert_uint16
  { 982, 2, 100, 0 },
  { 994, 2, 100, 0 },
  { 1006, 2, 100, 0 },
  { 1018, 2, 100, 0 },
  { 1030, 2, 100, 0 },
  { 1048, 2, 100, 0 },
  { 1066, 2, 100, 0 },
  { 1078, 2, 100, 0 },
  { 1090, 2, 100, 0 },
  { 1102, 2, 100, 0 },
  { 1114, 2, 100, 0 },
  // 5347: convert_uint_rte
  { 972, 2, 100, 0 },
  { 984, 2, 100, 0 },
  { 996, 2, 100, 0 },
  { 1008, 2, 100, 0 },
  { 1020, 2, 100, 0 },
  { 1038, 2, 100, 0 },
  { 1056, 2, 100, 0 },
  { 1068, 2, 100, 0 },
  { 1080, 2, 100, 0 },
  { 1092, 2, 100, 0 },
  { 1104, 2, 100, 0 },
  // 5358: convert_uint2_rte
  { 974, 2, 100, 0 },
  { 986, 2, 100, 0 },
  { 998, 2, 100, 0 },
  { 1010, 2, 100, 0 },
  { 1022, 2, 100, 0 },
  { 1040, 2, 100, 0 },
  { 1058, 2, 100, 0 },
  { 1070, 2, 100, 0 },
  { 1082, 2, 100, 0 },
  { 1094, 2, 100, 0 },
  { 1106, 2, 100, 0 },
  // 5369: convert_uint3_rte
  { 976, 2, 100, 0 },
  { 988, 2, 100, 0 },
  { 1000, 2, 100, 0 },
  { 1012, 2, 100, 0 },
  { 1024, 2, 100, 0 },
  { 1042, 2, 100, 0 },
  { 1060, 2, 100, 0 },
  { 1072, 2, 100, 0 },
  { 1084, 2, 100, 0 },
  { 1096, 2, 100, 0 },
  { 1108, 2, 100, 0 },
  // 5380: convert_uint4_rte
  { 978, 2, 100, 0 },
  { 990, 2, 100, 0 },
  { 1002, 2, 100, 0 },
  { 1014, 2, 100, 0 },
  { 1026, 2, 100, 0 },
  { 1044, 2, 100, 0 },
  { 1062, 2, 100, 0 },
  { 1074, 2, 100, 0 },
  { 1086, 2, 100, 0 },
  { 1098, 2, 100, 0 },
  { 1110, 2, 100, 0 },
  // 5391: convert_uint8_rte
  { 980, 2, 100, 0 },
  { 992, 2, 100, 0 },
  { 1004, 2, 100, 0 },
  { 1016, 2, 100, 0 },
  { 1028, 2, 100, 0 },
  { 1046, 2, 100, 0 },
  { 1064, 2, 100, 0 },
  { 1076, 2, 100, 0 },
  { 1088, 2, 100, 0 },
  { 1100, 2, 100, 0 },
  { 1112, 2, 100, 0 },
  // 5402: convert_uint16_rte
  { 982, 2, 100, 0 },
  { 994, 2, 100, 0 },
  { 1006, 2, 100, 0 },
  { 1018, 2, 100, 0 },
  { 1030, 2, 100, 0 },
  { 1048, 2, 100, 0 },
  { 1066, 2, 100, 0 },
  { 1078, 2, 100, 0 },
  { 1090, 2, 100, 0 },
  { 1102, 2, 100, 0 },
  { 1114, 2, 100, 0 },
  // 5413: convert_uint_rtn
  { 972, 2, 100, 0 },
  { 984, 2, 100, 0 },
  { 996, 2, 100, 0 },
  { 1008, 2, 100, 0 },
  { 1020, 2, 100, 0 },
  { 1038, 2, 100, 0 },
  { 1056, 2, 100, 0 },
  { 1068, 2, 100, 0 },
  { 1080, 2, 100, 0 },
  { 1092, 2, 100, 0 },
  { 1104, 2, 100, 0 },
  // 5424: convert_uint2_rtn
  { 974, 2, 100, 0 },
  { 986, 2, 100, 0 },
  { 998, 2, 100, 0 },
  { 1010, 2, 100, 0 },
  { 1022, 2, 100, 0 },
  { 1040, 2, 100, 0 },
  { 1058, 2, 100, 0 },
  { 1070, 2, 100, 0 },
  { 1082, 2, 100, 0 },
  { 1094, 2, 100, 0 },
  { 1106, 2, 100, 0 },
  // 5435: convert_uint3_rtn
  { 976, 2, 100, 0 },
  { 988, 2, 100, 0 },
  { 1000, 2, 100, 0 },
  { 1012, 2, 100, 0 },
  { 1024, 2, 100, 0 },
  { 1042, 2, 100, 0 },
  { 1060, 2, 100, 0 },
  { 1072, 2, 100, 0 },
  { 1084, 2, 100, 0 },
  { 1096, 2, 100, 0 },
  { 1108, 2, 100, 0 },
  // 5446: convert_uint4_rtn
  { 978, 2, 100, 0 },
  { 990, 2, 100, 0 },
  { 1002, 2, 100, 0 },
  { 1014, 2, 100, 0 },
  { 1026, 2, 100, 0 },
  { 1044, 2, 100, 0 },
  { 1062, 2, 100, 0 },
  { 1074, 2, 100, 0 },
  { 1086, 2, 100, 0 },
  { 1098, 2, 100, 0 },
  { 1110, 2, 100, 0 },
  // 5457: convert_uint8_rtn
  { 980, 2, 100, 0 },
  { 992, 2, 100, 0 },
  { 1004, 2, 100, 0 },
  { 1016, 2, 100, 0 },
  { 1028, 2, 100, 0 },
  { 1046, 2, 100, 0 },
  { 1064, 2, 100, 0 },
  { 1076, 2, 100, 0 },
  { 1088, 2, 100, 0 },
  { 1100, 2, 100, 0 },
  { 1112, 2, 100, 0 },
  // 5468: convert_uint16_rtn
  { 982, 2, 100, 0 },
  { 994, 2, 100, 0 },
  { 1006, 2, 100, 0 },
  { 1018, 2, 100, 0 },
  { 1030, 2, 100, 0 },
  { 1048, 2, 100, 0 },
  { 1066, 2, 100, 0 },
  { 1078, 2, 100, 0 },
  { 1090, 2, 100, 0 },
  { 1102, 2, 100, 0 },
  { 1114, 2, 100, 0 },
  // 5479: convert_uint_rtp
  { 972, 2, 100, 0 },
  { 984, 2, 100, 0 },
  { 996, 2, 100, 0 },
  { 1008, 2, 100, 0 },
  { 1020, 2, 100, 0 },
  { 1038, 2, 100, 0 },
  { 1056, 2, 100, 0 },
  { 1068, 2, 100, 0 },
  { 1080, 2, 100, 0 },
  { 1092, 2, 100, 0 },
  { 1104, 2, 100, 0 },
  // 5490: convert_uint2_rtp
  { 974, 2, 100, 0 },
  { 986, 2, 100, 0 },
  { 998, 2, 100, 0 },
  { 1010, 2, 100, 0 },
  { 1022, 2, 100, 0 },
  { 1040, 2, 100, 0 },
  { 1058, 2, 100, 0 },
  { 1070, 2, 100, 0 },
  { 1082, 2, 100, 0 },
  { 1094, 2, 100, 0 },
  { 1106, 2, 100, 0 },
  // 5501: convert_uint3_rtp
  { 976, 2, 100, 0 },
  { 988, 2, 100, 0 },
  { 1000, 2, 100, 0 },
  { 1012, 2, 100, 0 },
  { 1024, 2, 100, 0 },
  { 1042, 2, 100, 0 },
  { 1060, 2, 100, 0 },
  { 1072, 2, 100, 0 },
  { 1084, 2, 100, 0 },
  { 1096, 2, 100, 0 },
  { 1108, 2, 100, 0 },
  // 5512: convert_uint4_rtp
  { 978, 2, 100, 0 },
  { 990, 2, 100, 0 },
  { 1002, 2, 100, 0 },
  { 1014, 2, 100, 0 },
  { 1026, 2, 100, 0 },
  { 1044, 2, 100, 0 },
  { 1062, 2, 100, 0 },
  { 1074, 2, 100, 0 },
  { 1086, 2, 100, 0 },
  { 1098, 2, 100, 0 },
  { 1110, 2, 100, 0 },
  // 5523: convert_uint8_rtp
  { 980, 2, 100, 0 },
  { 992, 2, 100, 0 },
  { 1004, 2, 100, 0 },
  { 1016, 2, 100, 0 },
  { 1028, 2, 100, 0 },
  { 1046, 2, 100, 0 },
  { 1064, 2, 100, 0 },
  { 1076, 2, 100, 0 },
  { 1088, 2, 100, 0 },
  { 1100, 2, 100, 0 },
  { 1112, 2, 100, 0 },
  // 5534: convert_uint16_rtp
  { 982, 2, 100, 0 },
  { 994, 2, 100, 0 },
  { 1006, 2, 100, 0 },
  { 1018, 2, 100, 0 },
  { 1030, 2, 100, 0 },
  { 1048, 2, 100, 0 },
  { 1066, 2, 100, 0 },
  { 1078, 2, 100, 0 },
  { 1090, 2, 100, 0 },
  { 1102, 2, 100, 0 },
  { 1114, 2, 100, 0 },
  // 5545: convert_uint_rtz
  { 972, 2, 100, 0 },
  { 984, 2, 100, 0 },
  { 996, 2, 100, 0 },
  { 1008, 2, 100, 0 },
  { 1020, 2, 100, 0 },
  { 1038, 2, 100, 0 },
  { 1056, 2, 100, 0 },
  { 1068, 2, 100, 0 },
  { 1080, 2, 100, 0 },
  { 1092, 2, 100, 0 },
  { 1104, 2, 100, 0 },
  // 5556: convert_uint2_rtz
  { 974, 2, 100, 0 },
  { 986, 2, 100, 0 },
  { 998, 2, 100, 0 },
  { 1010, 2, 100, 0 },
  { 1022, 2, 100, 0 },
  { 1040, 2, 100, 0 },
  { 1058, 2, 100, 0 },
  { 1070, 2, 100, 0 },
  { 1082, 2, 100, 0 },
  { 1094, 2, 100, 0 },
  { 1106, 2, 100, 0 },
  // 5567: convert_uint3_rtz
  { 976, 2, 100, 0 },
  { 988, 2, 100, 0 },
  { 1000, 2, 100, 0 },
  { 1012, 2, 100, 0 },
  { 1024, 2, 100, 0 },
  { 1042, 2, 100, 0 },
  { 1060, 2, 100, 0 },
  { 1072, 2, 100, 0 },
  { 1084, 2, 100, 0 },
  { 1096, 2, 100, 0 },
  { 1108, 2, 100, 0 },
  // 5578: convert_uint4_rtz
  { 978, 2, 100, 0 },
  { 990, 2, 100, 0 },
  { 1002, 2, 100, 0 },
  { 1014, 2, 100, 0 },
  { 1026, 2, 100, 0 },
  { 1044, 2, 100, 0 },
  { 1062, 2, 100, 0 },
  { 1074, 2, 100, 0 },
  { 1086, 2, 100, 0 },
  { 1098, 2, 100, 0 },
  { 1110, 2, 100, 0 },
  // 5589: convert_uint8_rtz
  { 980, 2, 100, 0 },
  { 992, 2, 100, 0 },
  { 1004, 2, 100, 0 },
  { 1016, 2, 100, 0 },
  { 1028, 2, 100, 0 },
  { 1046, 2, 100, 0 },
  { 1064, 2, 100, 0 },
  { 1076, 2, 100, 0 },
  { 1088, 2, 100, 0 },
  { 1100, 2, 100, 0 },
  { 1112, 2, 100, 0 },
  // 5600: convert_uint16_rtz
  { 982, 2, 100, 0 },
  { 994, 2, 100, 0 },
  { 1006, 2, 100, 0 },
  { 1018, 2, 100, 0 },
  { 1030, 2, 100, 0 },
  { 1048, 2, 100, 0 },
  { 1066, 2, 100, 0 },
  { 1078, 2, 100, 0 },
  { 1090, 2, 100, 0 },
  { 1102, 2, 100, 0 },
  { 1114, 2, 100, 0 },
  // 5611: convert_uint_sat
  { 972, 2, 100, 0 },
  { 984, 2, 100, 0 },
  { 996, 2, 100, 0 },
  { 1008, 2, 100, 0 },
  { 1020, 2, 100, 0 },
  { 1038, 2, 100, 0 },
  { 1056, 2, 100, 0 },
  { 1068, 2, 100, 0 },
  { 1080, 2, 100, 0 },
  { 1092, 2, 100, 0 },
  { 1104, 2, 100, 0 },
  // 5622: convert_uint2_sat
  { 974, 2, 100, 0 },
  { 986, 2, 100, 0 },
  { 998, 2, 100, 0 },
  { 1010, 2, 100, 0 },
  { 1022, 2, 100, 0 },
  { 1040, 2, 100, 0 },
  { 1058, 2, 100, 0 },
  { 1070, 2, 100, 0 },
  { 1082, 2, 100, 0 },
  { 1094, 2, 100, 0 },
  { 1106, 2, 100, 0 },
  // 5633: convert_uint3_sat
  { 976, 2, 100, 0 },
  { 988, 2, 100, 0 },
  { 1000, 2, 100, 0 },
  { 1012, 2, 100, 0 },
  { 1024, 2, 100, 0 },
  { 1042, 2, 100, 0 },
  { 1060, 2, 100, 0 },
  { 1072, 2, 100, 0 },
  { 1084, 2, 100, 0 },
  { 1096, 2, 100, 0 },
  { 1108, 2, 100, 0 },
  // 5644: convert_uint4_sat
  { 978, 2, 100, 0 },
  { 990, 2, 100, 0 },
  { 1002, 2, 100, 0 },
  { 1014, 2, 100, 0 },
  { 1026, 2, 100, 0 },
  { 1044, 2, 100, 0 },
  { 1062, 2, 100, 0 },
  { 1074, 2, 100, 0 },
  { 1086, 2, 100, 0 },
  { 1098, 2, 100, 0 },
  { 1110, 2, 100, 0 },
  // 5655: convert_uint8_sat
  { 980, 2, 100, 0 },
  { 992, 2, 100, 0 },
  { 1004, 2, 100, 0 },
  { 1016, 2, 100, 0 },
  { 1028, 2, 100, 0 },
  { 1046, 2, 100, 0 },
  { 1064, 2, 100, 0 },
  { 1076, 2, 100, 0 },
  { 1088, 2, 100, 0 },
  { 1100, 2, 100, 0 },
  { 1112, 2, 100, 0 },
  // 5666: convert_uint16_sat
  { 982, 2, 100, 0 },
  { 994, 2, 100, 0 },
  { 1006, 2, 100, 0 },
  { 1018, 2, 100, 0 },
  { 1030, 2, 100, 0 },
  { 1048, 2, 100, 0 },
  { 1066, 2, 100, 0 },
  { 1078, 2, 100, 0 },
  { 1090, 2, 100, 0 },
  { 1102, 2, 100, 0 },
  { 1114, 2, 100, 0 },
  // 5677: convert_uint_sat_rte
  { 972, 2, 100, 0 },
  { 984, 2, 100, 0 },
  { 996, 2, 100, 0 },
  { 1008, 2, 100, 0 },
  { 1020, 2, 100, 0 },
  { 1038, 2, 100, 0 },
  { 1056, 2, 100, 0 },
  { 1068, 2, 100, 0 },
  { 1080, 2, 100, 0 },
  { 1092, 2, 100, 0 },
  { 1104, 2, 100, 0 },
  // 5688: convert_uint2_sat_rte
  { 974, 2, 100, 0 },
  { 986, 2, 100, 0 },
  { 998, 2, 100, 0 },
  { 1010, 2, 100, 0 },
  { 1022, 2, 100, 0 },
  { 1040, 2, 100, 0 },
  { 1058, 2, 100, 0 },
  { 1070, 2, 100, 0 },
  { 1082, 2, 100, 0 },
  { 1094, 2, 100, 0 },
  { 1106, 2, 100, 0 },
  // 5699: convert_uint3_sat_rte
  { 976, 2, 100, 0 },
  { 988, 2, 100, 0 },
  { 1000, 2, 100, 0 },
  { 1012, 2, 100, 0 },
  { 1024, 2, 100, 0 },
  { 1042, 2, 100, 0 },
  { 1060, 2, 100, 0 },
  { 1072, 2, 100, 0 },
  { 1084, 2, 100, 0 },
  { 1096, 2, 100, 0 },
  { 1108, 2, 100, 0 },
  // 5710: convert_uint4_sat_rte
  { 978, 2, 100, 0 },
  { 990, 2, 100, 0 },
  { 1002, 2, 100, 0 },
  { 1014, 2, 100, 0 },
  { 1026, 2, 100, 0 },
  { 1044, 2, 100, 0 },
  { 1062, 2, 100, 0 },
  { 1074, 2, 100, 0 },
  { 1086, 2, 100, 0 },
  { 1098, 2, 100, 0 },
  { 1110, 2, 100, 0 },
  // 5721: convert_uint8_sat_rte
  { 980, 2, 100, 0 },
  { 992, 2, 100, 0 },
  { 1004, 2, 100, 0 },
  { 1016, 2, 100, 0 },
  { 1028, 2, 100, 0 },
  { 1046, 2, 100, 0 },
  { 1064, 2, 100, 0 },
  { 1076, 2, 100, 0 },
  { 1088, 2, 100, 0 },
  { 1100, 2, 100, 0 },
  { 1112, 2, 100, 0 },
  // 5732: convert_uint16_sat_rte
  { 982, 2, 100, 0 },
  { 994, 2, 100, 0 },
  { 1006, 2, 100, 0 },
  { 1018, 2, 100, 0 },
  { 1030, 2, 100, 0 },
  { 1048, 2, 100, 0 },
  { 1066, 2, 100, 0 },
  { 1078, 2, 100, 0 },
  { 1090, 2, 100, 0 },
  { 1102, 2, 100, 0 },
  { 1114, 2, 100, 0 },
  // 5743: convert_uint_sat_rtn
  { 972, 2, 100, 0 },
  { 984, 2, 100, 0 },
  { 996, 2, 100, 0 },
  { 1008, 2, 100, 0 },
  { 1020, 2, 100, 0 },
  { 1038, 2, 100, 0 },
  { 1056, 2, 100, 0 },
  { 1068, 2, 100, 0 },
  { 1080, 2, 100, 0 },
  { 1092, 2, 100, 0 },
  { 1104, 2, 100, 0 },
  // 5754: convert_uint2_sat_rtn
  { 974, 2, 100, 0 },
  { 986, 2, 100, 0 },
  { 998, 2, 100, 0 },
  { 1010, 2, 100, 0 },
  { 1022, 2, 100, 0 },
  { 1040, 2, 100, 0 },
  { 1058, 2, 100, 0 },
  { 1070, 2, 100, 0 },
  { 1082, 2, 100, 0 },
  { 1094, 2, 100, 0 },
  { 1106, 2, 100, 0 },
  // 5765: convert_uint3_sat_rtn
  { 976, 2, 100, 0 },
  { 988, 2, 100, 0 },
  { 1000, 2, 100, 0 },
  { 1012, 2, 100, 0 },
  { 1024, 2, 100, 0 },
  { 1042, 2, 100, 0 },
  { 1060, 2, 100, 0 },
  { 1072, 2, 100, 0 },
  { 1084, 2, 100, 0 },
  { 1096, 2, 100, 0 },
  { 1108, 2, 100, 0 },
  // 5776: convert_uint4_sat_rtn
  { 978, 2, 100, 0 },
  { 990, 2, 100, 0 },
  { 1002, 2, 100, 0 },
  { 1014, 2, 100, 0 },
  { 1026, 2, 100, 0 },
  { 1044, 2, 100, 0 },
  { 1062, 2, 100, 0 },
  { 1074, 2, 100, 0 },
  { 1086, 2, 100, 0 },
  { 1098, 2, 100, 0 },
  { 1110, 2, 100, 0 },
  // 5787: convert_uint8_sat_rtn
  { 980, 2, 100, 0 },
  { 992, 2, 100, 0 },
  { 1004, 2, 100, 0 },
  { 1016, 2, 100, 0 },
  { 1028, 2, 100, 0 },
  { 1046, 2, 100, 0 },
  { 1064, 2, 100, 0 },
  { 1076, 2, 100, 0 },
  { 1088, 2, 100, 0 },
  { 1100, 2, 100, 0 },
  { 1112, 2, 100, 0 },
  // 5798: convert_uint16_sat_rtn
  { 982, 2, 100, 0 },
  { 994, 2, 100, 0 },
  { 1006, 2, 100, 0 },
  { 1018, 2, 100, 0 },
  { 1030, 2, 100, 0 },
  { 1048, 2, 100, 0 },
  { 1066, 2, 100, 0 },
  { 1078, 2, 100, 0 },
  { 1090, 2, 100, 0 },
  { 1102, 2, 100, 0 },
  { 1114, 2, 100, 0 },
  // 5809: convert_uint_sat_rtp
  { 972, 2, 100, 0 },
  { 984, 2, 100, 0 },
  { 996, 2, 100, 0 },
  { 1008, 2, 100, 0 },
  { 1020, 2, 100, 0 },
  { 1038, 2, 100, 0 },
  { 1056, 2, 100, 0 },
  { 1068, 2, 100, 0 },
  { 1080, 2, 100, 0 },
  { 1092, 2, 100, 0 },
  { 1104, 2, 100, 0 },
  // 5820: convert_uint2_sat_rtp
  { 974, 2, 100, 0 },
  { 986, 2, 100, 0 },
  { 998, 2, 100, 0 },
  { 1010, 2, 100, 0 },
  { 1022, 2, 100, 0 },
  { 1040, 2, 100, 0 },
  { 1058, 2, 100, 0 },
  { 1070, 2, 100, 0 },
  { 1082, 2, 100, 0 },
  { 1094, 2, 100, 0 },
  { 1106, 2, 100, 0 },
  // 5831: convert_uint3_sat_rtp
  { 976, 2, 100, 0 },
  { 988, 2, 100, 0 },
  { 1000, 2, 100, 0 },
  { 1012, 2, 100, 0 },
  { 1024, 2, 100, 0 },
  { 1042, 2, 100, 0 },
  { 1060, 2, 100, 0 },
  { 1072, 2, 100, 0 },
  { 1084, 2, 100, 0 },
  { 1096, 2, 100, 0 },
  { 1108, 2, 100, 0 },
  // 5842: convert_uint4_sat_rtp
  { 978, 2, 100, 0 },
  { 990, 2, 100, 0 },
  { 1002, 2, 100, 0 },
  { 1014, 2, 100, 0 },
  { 1026, 2, 100, 0 },
  { 1044, 2, 100, 0 },
  { 1062, 2, 100, 0 },
  { 1074, 2, 100, 0 },
  { 1086, 2, 100, 0 },
  { 1098, 2, 100, 0 },
  { 1110, 2, 100, 0 },
  // 5853: convert_uint8_sat_rtp
  { 980, 2, 100, 0 },
  { 992, 2, 100, 0 },
  { 1004, 2, 100, 0 },
  { 1016, 2, 100, 0 },
  { 1028, 2, 100, 0 },
  { 1046, 2, 100, 0 },
  { 1064, 2, 100, 0 },
  { 1076, 2, 100, 0 },
  { 1088, 2, 100, 0 },
  { 1100, 2, 100, 0 },
  { 1112, 2, 100, 0 },
  // 5864: convert_uint16_sat_rtp
  { 982, 2, 100, 0 },
  { 994, 2, 100, 0 },
  { 1006, 2, 100, 0 },
  { 1018, 2, 100, 0 },
  { 1030, 2, 100, 0 },
  { 1048, 2, 100, 0 },
  { 1066, 2, 100, 0 },
  { 1078, 2, 100, 0 },
  { 1090, 2, 100, 0 },
  { 1102, 2, 100, 0 },
  { 1114, 2, 100, 0 },
  // 5875: convert_uint_sat_rtz
  { 972, 2, 100, 0 },
  { 984, 2, 100, 0 },
  { 996, 2, 100, 0 },
  { 1008, 2, 100, 0 },
  { 1020, 2, 100, 0 },
  { 1038, 2, 100, 0 },
  { 1056, 2, 100, 0 },
  { 1068, 2, 100, 0 },
  { 1080, 2, 100, 0 },
  { 1092, 2, 100, 0 },
  { 1104, 2, 100, 0 },
  // 5886: convert_uint2_sat_rtz
  { 974, 2, 100, 0 },
  { 986, 2, 100, 0 },
  { 998, 2, 100, 0 },
  { 1010, 2, 100, 0 },
  { 1022, 2, 100, 0 },
  { 1040, 2, 100, 0 },
  { 1058, 2, 100, 0 },
  { 1070, 2, 100, 0 },
  { 1082, 2, 100, 0 },
  { 1094, 2, 100, 0 },
  { 1106, 2, 100, 0 },
  // 5897: convert_uint3_sat_rtz
  { 976, 2, 100, 0 },
  { 988, 2, 100, 0 },
  { 1000, 2, 100, 0 },
  { 1012, 2, 100, 0 },
  { 1024, 2, 100, 0 },
  { 1042, 2, 100, 0 },
  { 1060, 2, 100, 0 },
  { 1072, 2, 100, 0 },
  { 1084, 2, 100, 0 },
  { 1096, 2, 100, 0 },
  { 1108, 2, 100, 0 },
  // 5908: convert_uint4_sat_rtz
  { 978, 2, 100, 0 },
  { 990, 2, 100, 0 },
  { 1002, 2, 100, 0 },
  { 1014, 2, 100, 0 },
  { 1026, 2, 100, 0 },
  { 1044, 2, 100, 0 },
  { 1062, 2, 100, 0 },
  { 1074, 2, 100, 0 },
  { 1086, 2, 100, 0 },
  { 1098, 2, 100, 0 },
  { 1110, 2, 100, 0 },
  // 5919: convert_uint8_sat_rtz
  { 980, 2, 100, 0 },
  { 992, 2, 100, 0 },
  { 1004, 2, 100, 0 },
  { 1016, 2, 100, 0 },
  { 1028, 2, 100, 0 },
  { 1046, 2, 100, 0 },
  { 1064, 2, 100, 0 },
  { 1076, 2, 100, 0 },
  { 1088, 2, 100, 0 },
  { 1100, 2, 100, 0 },
  { 1112, 2, 100, 0 },
  // 5930: convert_uint16_sat_rtz
  { 982, 2, 100, 0 },
  { 994, 2, 100, 0 },
  { 1006, 2, 100, 0 },
  { 1018, 2, 100, 0 },
  { 1030, 2, 100, 0 },
  { 1048, 2, 100, 0 },
  { 1066, 2, 100, 0 },
  { 1078, 2, 100, 0 },
  { 1090, 2, 100, 0 },
  { 1102, 2, 100, 0 },
  { 1114, 2, 100, 0 },
  // 5941: convert_long
  { 1116, 2, 100, 0 },
  { 1128, 2, 100, 0 },
  { 1140, 2, 100, 0 },
  { 1152, 2, 100, 0 },
  { 1164, 2, 100, 0 },
  { 1182, 2, 100, 0 },
  { 1200, 2, 100, 0 },
  { 1212, 2, 100, 0 },
  { 1224, 2, 100, 0 },
  { 1236, 2, 100, 0 },
  { 1248, 2, 100, 0 },
  // 5952: convert_long2
  { 1118, 2, 100, 0 },
  { 1130, 2, 100, 0 },
  { 1142, 2, 100, 0 },
  { 1154, 2, 100, 0 },
  { 1166, 2, 100, 0 },
  { 1184, 2, 100, 0 },
  { 1202, 2, 100, 0 },
  { 1214, 2, 100, 0 },
  { 1226, 2, 100, 0 },
  { 1238, 2, 100, 0 },
  { 1250, 2, 100, 0 },
  // 5963: convert_long3
  { 1120, 2, 100, 0 },
  { 1132, 2, 100, 0 },
  { 1144, 2, 100, 0 },
  { 1156, 2, 100, 0 },
  { 1170, 2, 100, 0 },
  { 1188, 2, 100, 0 },
  { 1204, 2, 100, 0 },
  { 1216, 2, 100, 0 },
  { 1228, 2, 100, 0 },
  { 1240, 2, 100, 0 },
  { 1252, 2, 100, 0 },
  // 5974: convert_long4
  { 1122, 2, 100, 0 },
  { 1134, 2, 100, 0 },
  { 1146, 2, 100, 0 },
  { 1158, 2, 100, 0 },
  { 1172, 2, 100, 0 },
  { 1190, 2, 100, 0 },
  { 1206, 2, 100, 0 },
  { 1218, 2, 100, 0 },
  { 1230, 2, 100, 0 },
  { 1242, 2, 100, 0 },
  { 1254, 2, 100, 0 },
  // 5985: convert_long8
  { 1124, 2, 100, 0 },
  { 1136, 2, 100, 0 },
  { 1148, 2, 100, 0 },
  { 1160, 2, 100, 0 },
  { 1174, 2, 100, 0 },
  { 1192, 2, 100, 0 },
  { 1208, 2, 100, 0 },
  { 1220, 2, 100, 0 },
  { 1232, 2, 100, 0 },
  { 1244, 2, 100, 0 },
  { 1256, 2, 100, 0 },
  // 5996: convert_long16
  { 1126, 2, 100, 0 },
  { 1138, 2, 100, 0 },
  { 1150, 2, 100, 0 },
  { 1162, 2, 100, 0 },
  { 1176, 2, 100, 0 },
  { 1194, 2, 100, 0 },
  { 1210, 2, 100, 0 },
  { 1222, 2, 100, 0 },
  { 1234, 2, 100, 0 },
  { 1246, 2, 100, 0 },
  { 1258, 2, 100, 0 },
  // 6007: convert_long_rte
  { 1116, 2, 100, 0 },
  { 1128, 2, 100, 0 },
  { 1140, 2, 100, 0 },
  { 1152, 2, 100, 0 },
  { 1164, 2, 100, 0 },
  { 1182, 2, 100, 0 },
  { 1200, 2, 100, 0 },
  { 1212, 2, 100, 0 },
  { 1224, 2, 100, 0 },
  { 1236, 2, 100, 0 },
  { 1248, 2, 100, 0 },
  // 6018: convert_long2_rte
  { 1118, 2, 100, 0 },
  { 1130, 2, 100, 0 },
  { 1142, 2, 100, 0 },
  { 1154, 2, 100, 0 },
  { 1166, 2, 100, 0 },
  { 1184, 2, 100, 0 },
  { 1202, 2, 100, 0 },
  { 1214, 2, 100, 0 },
  { 1226, 2, 100, 0 },
  { 1238, 2, 100, 0 },
  { 1250, 2, 100, 0 },
  // 6029: convert_long3_rte
  { 1120, 2, 100, 0 },
  { 1132, 2, 100, 0 },
  { 1144, 2, 100, 0 },
  { 1156, 2, 100, 0 },
  { 1170, 2, 100, 0 },
  { 1188, 2, 100, 0 },
  { 1204, 2, 100, 0 },
  { 1216, 2, 100, 0 },
  { 1228, 2, 100, 0 },
  { 1240, 2, 100, 0 },
  { 1252, 2, 100, 0 },
  // 6040: convert_long4_rte
  { 1122, 2, 100, 0 },
  { 1134, 2, 100, 0 },
  { 1146, 2, 100, 0 },
  { 1158, 2, 100, 0 },
  { 1172, 2, 100, 0 },
  { 1190, 2, 100, 0 },
  { 1206, 2, 100, 0 },
  { 1218, 2, 100, 0 },
  { 1230, 2, 100, 0 },
  { 1242, 2, 100, 0 },
  { 1254, 2, 100, 0 },
  // 6051: convert_long8_rte
  { 1124, 2, 100, 0 },
  { 1136, 2, 100, 0 },
  { 1148, 2, 100, 0 },
  { 1160, 2, 100, 0 },
  { 1174, 2, 100, 0 },
  { 1192, 2, 100, 0 },
  { 1208, 2, 100, 0 },
  { 1220, 2, 100, 0 },
  { 1232, 2, 100, 0 },
  { 1244, 2, 100, 0 },
  { 1256, 2, 100, 0 },
  // 6062: convert_long16_rte
  { 1126, 2, 100, 0 },
  { 1138, 2, 100, 0 },
  { 1150, 2, 100, 0 },
  { 1162, 2, 100, 0 },
  { 1176, 2, 100, 0 },
  { 1194, 2, 100, 0 },
  { 1210, 2, 100, 0 },
  { 1222, 2, 100, 0 },
  { 1234, 2, 100, 0 },
  { 1246, 2, 100, 0 },
  { 1258, 2, 100, 0 },
  // 6073: convert_long_rtn
  { 1116, 2, 100, 0 },
  { 1128, 2, 100, 0 },
  { 1140, 2, 100, 0 },
  { 1152, 2, 100, 0 },
  { 1164, 2, 100, 0 },
  { 1182, 2, 100, 0 },
  { 1200, 2, 100, 0 },
  { 1212, 2, 100, 0 },
  { 1224, 2, 100, 0 },
  { 1236, 2, 100, 0 },
  { 1248, 2, 100, 0 },
  // 6084: convert_long2_rtn
  { 1118, 2, 100, 0 },
  { 1130, 2, 100, 0 },
  { 1142, 2, 100, 0 },
  { 1154, 2, 100, 0 },
  { 1166, 2, 100, 0 },
  { 1184, 2, 100, 0 },
  { 1202, 2, 100, 0 },
  { 1214, 2, 100, 0 },
  { 1226, 2, 100, 0 },
  { 1238, 2, 100, 0 },
  { 1250, 2, 100, 0 },
  // 6095: convert_long3_rtn
  { 1120, 2, 100, 0 },
  { 1132, 2, 100, 0 },
  { 1144, 2, 100, 0 },
  { 1156, 2, 100, 0 },
  { 1170, 2, 100, 0 },
  { 1188, 2, 100, 0 },
  { 1204, 2, 100, 0 },
  { 1216, 2, 100, 0 },
  { 1228, 2, 100, 0 },
  { 1240, 2, 100, 0 },
  { 1252, 2, 100, 0 },
  // 6106: convert_long4_rtn
  { 1122, 2, 100, 0 },
  { 1134, 2, 100, 0 },
  { 1146, 2, 100, 0 },
  { 1158, 2, 100, 0 },
  { 1172, 2, 100, 0 },
  { 1190, 2, 100, 0 },
  { 1206, 2, 100, 0 },
  { 1218, 2, 100, 0 },
  { 1230, 2, 100, 0 },
  { 1242, 2, 100, 0 },
  { 1254, 2, 100, 0 },
  // 6117: convert_long8_rtn
  { 1124, 2, 100, 0 },
  { 1136, 2, 100, 0 },
  { 1148, 2, 100, 0 },
  { 1160, 2, 100, 0 },
  { 1174, 2, 100, 0 },
  { 1192, 2, 100, 0 },
  { 1208, 2, 100, 0 },
  { 1220, 2, 100, 0 },
  { 1232, 2, 100, 0 },
  { 1244, 2, 100, 0 },
  { 1256, 2, 100, 0 },
  // 6128: convert_long16_rtn
  { 1126, 2, 100, 0 },
  { 1138, 2, 100, 0 },
  { 1150, 2, 100, 0 },
  { 1162, 2, 100, 0 },
  { 1176, 2, 100, 0 },
  { 1194, 2, 100, 0 },
  { 1210, 2, 100, 0 },
  { 1222, 2, 100, 0 },
  { 1234, 2, 100, 0 },
  { 1246, 2, 100, 0 },
  { 1258, 2, 100, 0 },
  // 6139: convert_long_rtp
  { 1116, 2, 100, 0 },
  { 1128, 2, 100, 0 },
  { 1140, 2, 100, 0 },
  { 1152, 2, 100, 0 },
  { 1164, 2, 100, 0 },
  { 1182, 2, 100, 0 },
  { 1200, 2, 100, 0 },
  { 1212, 2, 100, 0 },
  { 1224, 2, 100, 0 },
  { 1236, 2, 100, 0 },
  { 1248, 2, 100, 0 },
  // 6150: convert_long2_rtp
  { 1118, 2, 100, 0 },
  { 1130, 2, 100, 0 },
  { 1142, 2, 100, 0 },
  { 1154, 2, 100, 0 },
  { 1166, 2, 100, 0 },
  { 1184, 2, 100, 0 },
  { 1202, 2, 100, 0 },
  { 1214, 2, 100, 0 },
  { 1226, 2, 100, 0 },
  { 1238, 2, 100, 0 },
  { 1250, 2, 100, 0 },
  // 6161: convert_long3_rtp
  { 1120, 2, 100, 0 },
  { 1132, 2, 100, 0 },
  { 1144, 2, 100, 0 },
  { 1156, 2, 100, 0 },
  { 1170, 2, 100, 0 },
  { 1188, 2, 100, 0 },
  { 1204, 2, 100, 0 },
  { 1216, 2, 100, 0 },
  { 1228, 2, 100, 0 },
  { 1240, 2, 100, 0 },
  { 1252, 2, 100, 0 },
  // 6172: convert_long4_rtp
  { 1122, 2, 100, 0 },
  { 1134, 2, 100, 0 },
  { 1146, 2, 100, 0 },
  { 1158, 2, 100, 0 },
  { 1172, 2, 100, 0 },
  { 1190, 2, 100, 0 },
  { 1206, 2, 100, 0 },
  { 1218, 2, 100, 0 },
  { 1230, 2, 100, 0 },
  { 1242, 2, 100, 0 },
  { 1254, 2, 100, 0 },
  // 6183: convert_long8_rtp
  { 1124, 2, 100, 0 },
  { 1136, 2, 100, 0 },
  { 1148, 2, 100, 0 },
  { 1160, 2, 100, 0 },
  { 1174, 2, 100, 0 },
  { 1192, 2, 100, 0 },
  { 1208, 2, 100, 0 },
  { 1220, 2, 100, 0 },
  { 1232, 2, 100, 0 },
  { 1244, 2, 100, 0 },
  { 1256, 2, 100, 0 },
  // 6194: convert_long16_rtp
  { 1126, 2, 100, 0 },
  { 1138, 2, 100, 0 },
  { 1150, 2, 100, 0 },
  { 1162, 2, 100, 0 },
  { 1176, 2, 100, 0 },
  { 1194, 2, 100, 0 },
  { 1210, 2, 100, 0 },
  { 1222, 2, 100, 0 },
  { 1234, 2, 100, 0 },
  { 1246, 2, 100, 0 },
  { 1258, 2, 100, 0 },
  // 6205: convert_long_rtz
  { 1116, 2, 100, 0 },
  { 1128, 2, 100, 0 },
  { 1140, 2, 100, 0 },
  { 1152, 2, 100, 0 },
  { 1164, 2, 100, 0 },
  { 1182, 2, 100, 0 },
  { 1200, 2, 100, 0 },
  { 1212, 2, 100, 0 },
  { 1224, 2, 100, 0 },
  { 1236, 2, 100, 0 },
  { 1248, 2, 100, 0 },
  // 6216: convert_long2_rtz
  { 1118, 2, 100, 0 },
  { 1130, 2, 100, 0 },
  { 1142, 2, 100, 0 },
  { 1154, 2, 100, 0 },
  { 1166, 2, 100, 0 },
  { 1184, 2, 100, 0 },
  { 1202, 2, 100, 0 },
  { 1214, 2, 100, 0 },
  { 1226, 2, 100, 0 },
  { 1238, 2, 100, 0 },
  { 1250, 2, 100, 0 },
  // 6227: convert_long3_rtz
  { 1120, 2, 100, 0 },
  { 1132, 2, 100, 0 },
  { 1144, 2, 100, 0 },
  { 1156, 2, 100, 0 },
  { 1170, 2, 100, 0 },
  { 1188, 2, 100, 0 },
  { 1204, 2, 100, 0 },
  { 1216, 2, 100, 0 },
  { 1228, 2, 100, 0 },
  { 1240, 2, 100, 0 },
  { 1252, 2, 100, 0 },
  // 6238: convert_long4_rtz
  { 1122, 2, 100, 0 },
  { 1134, 2, 100, 0 },
  { 1146, 2, 100, 0 },
  { 1158, 2, 100, 0 },
  { 1172, 2, 100, 0 },
  { 1190, 2, 100, 0 },
  { 1206, 2, 100, 0 },
  { 1218, 2, 100, 0 },
  { 1230, 2, 100, 0 },
  { 1242, 2, 100, 0 },
  { 1254, 2, 100, 0 },
  // 6249: convert_long8_rtz
  { 1124, 2, 100, 0 },
  { 1136, 2, 100, 0 },
  { 1148, 2, 100, 0 },
  { 1160, 2, 100, 0 },
  { 1174, 2, 100, 0 },
  { 1192, 2, 100, 0 },
  { 1208, 2, 100, 0 },
  { 1220, 2, 100, 0 },
  { 1232, 2, 100, 0 },
  { 1244, 2, 100, 0 },
  { 1256, 2, 100, 0 },
  // 6260: convert_long16_rtz
  { 1126, 2, 100, 0 },
  { 1138, 2, 100, 0 },
  { 1150, 2, 100, 0 },
  { 1162, 2, 100, 0 },
  { 1176, 2, 100, 0 },
  { 1194, 2, 100, 0 },
  { 1210, 2, 100, 0 },
  { 1222, 2, 100, 0 },
  { 1234, 2, 100, 0 },
  { 1246, 2, 100, 0 },
  { 1258, 2, 100, 0 },
  // 6271: convert_long_sat
  { 1116, 2, 100, 0 },
  { 1128, 2, 100, 0 },
  { 1140, 2, 100, 0 },
  { 1152, 2, 100, 0 },
  { 1164, 2, 100, 0 },
  { 1182, 2, 100, 0 },
  { 1200, 2, 100, 0 },
  { 1212, 2, 100, 0 },
  { 1224, 2, 100, 0 },
  { 1236, 2, 100, 0 },
  { 1248, 2, 100, 0 },
  // 6282: convert_long2_sat
  { 1118, 2, 100, 0 },
  { 1130, 2, 100, 0 },
  { 1142, 2, 100, 0 },
  { 1154, 2, 100, 0 },
  { 1166, 2, 100, 0 },
  { 1184, 2, 100, 0 },
  { 1202, 2, 100, 0 },
  { 1214, 2, 100, 0 },
  { 1226, 2, 100, 0 },
  { 1238, 2, 100, 0 },
  { 1250, 2, 100, 0 },
  // 6293: convert_long3_sat
  { 1120, 2, 100, 0 },
  { 1132, 2, 100, 0 },
  { 1144, 2, 100, 0 },
  { 1156, 2, 100, 0 },
  { 1170, 2, 100, 0 },
  { 1188, 2, 100, 0 },
  { 1204, 2, 100, 0 },
  { 1216, 2, 100, 0 },
  { 1228, 2, 100, 0 },
  { 1240, 2, 100, 0 },
  { 1252, 2, 100, 0 },
  // 6304: convert_long4_sat
  { 1122, 2, 100, 0 },
  { 1134, 2, 100, 0 },
  { 1146, 2, 100, 0 },
  { 1158, 2, 100, 0 },
  { 1172, 2, 100, 0 },
  { 1190, 2, 100, 0 },
  { 1206, 2, 100, 0 },
  { 1218, 2, 100, 0 },
  { 1230, 2, 100, 0 },
  { 1242, 2, 100, 0 },
  { 1254, 2, 100, 0 },
  // 6315: convert_long8_sat
  { 1124, 2, 100, 0 },
  { 1136, 2, 100, 0 },
  { 1148, 2, 100, 0 },
  { 1160, 2, 100, 0 },
  { 1174, 2, 100, 0 },
  { 1192, 2, 100, 0 },
  { 1208, 2, 100, 0 },
  { 1220, 2, 100, 0 },
  { 1232, 2, 100, 0 },
  { 1244, 2, 100, 0 },
  { 1256, 2, 100, 0 },
  // 6326: convert_long16_sat
  { 1126, 2, 100, 0 },
  { 1138, 2, 100, 0 },
  { 1150, 2, 100, 0 },
  { 1162, 2, 100, 0 },
  { 1176, 2, 100, 0 },
  { 1194, 2, 100, 0 },
  { 1210, 2, 100, 0 },
  { 1222, 2, 100, 0 },
  { 1234, 2, 100, 0 },
  { 1246, 2, 100, 0 },
  { 1258, 2, 100, 0 },
  // 6337: convert_long_sat_rte
  { 1116, 2, 100, 0 },
  { 1128, 2, 100, 0 },
  { 1140, 2, 100, 0 },
  { 1152, 2, 100, 0 },
  { 1164, 2, 100, 0 },
  { 1182, 2, 100, 0 },
  { 1200, 2, 100, 0 },
  { 1212, 2, 100, 0 },
  { 1224, 2, 100, 0 },
  { 1236, 2, 100, 0 },
  { 1248, 2, 100, 0 },
  // 6348: convert_long2_sat_rte
  { 1118, 2, 100, 0 },
  { 1130, 2, 100, 0 },
  { 1142, 2, 100, 0 },
  { 1154, 2, 100, 0 },
  { 1166, 2, 100, 0 },
  { 1184, 2, 100, 0 },
  { 1202, 2, 100, 0 },
  { 1214, 2, 100, 0 },
  { 1226, 2, 100, 0 },
  { 1238, 2, 100, 0 },
  { 1250, 2, 100, 0 },
  // 6359: convert_long3_sat_rte
  { 1120, 2, 100, 0 },
  { 1132, 2, 100, 0 },
  { 1144, 2, 100, 0 },
  { 1156, 2, 100, 0 },
  { 1170, 2, 100, 0 },
  { 1188, 2, 100, 0 },
  { 1204, 2, 100, 0 },
  { 1216, 2, 100, 0 },
  { 1228, 2, 100, 0 },
  { 1240, 2, 100, 0 },
  { 1252, 2, 100, 0 },
  // 6370: convert_long4_sat_rte
  { 1122, 2, 100, 0 },
  { 1134, 2, 100, 0 },
  { 1146, 2, 100, 0 },
  { 1158, 2, 100, 0 },
  { 1172, 2, 100, 0 },
  { 1190, 2, 100, 0 },
  { 1206, 2, 100, 0 },
  { 1218, 2, 100, 0 },
  { 1230, 2, 100, 0 },
  { 1242, 2, 100, 0 },
  { 1254, 2, 100, 0 },
  // 6381: convert_long8_sat_rte
  { 1124, 2, 100, 0 },
  { 1136, 2, 100, 0 },
  { 1148, 2, 100, 0 },
  { 1160, 2, 100, 0 },
  { 1174, 2, 100, 0 },
  { 1192, 2, 100, 0 },
  { 1208, 2, 100, 0 },
  { 1220, 2, 100, 0 },
  { 1232, 2, 100, 0 },
  { 1244, 2, 100, 0 },
  { 1256, 2, 100, 0 },
  // 6392: convert_long16_sat_rte
  { 1126, 2, 100, 0 },
  { 1138, 2, 100, 0 },
  { 1150, 2, 100, 0 },
  { 1162, 2, 100, 0 },
  { 1176, 2, 100, 0 },
  { 1194, 2, 100, 0 },
  { 1210, 2, 100, 0 },
  { 1222, 2, 100, 0 },
  { 1234, 2, 100, 0 },
  { 1246, 2, 100, 0 },
  { 1258, 2, 100, 0 },
  // 6403: convert_long_sat_rtn
  { 1116, 2, 100, 0 },
  { 1128, 2, 100, 0 },
  { 1140, 2, 100, 0 },
  { 1152, 2, 100, 0 },
  { 1164, 2, 100, 0 },
  { 1182, 2, 100, 0 },
  { 1200, 2, 100, 0 },
  { 1212, 2, 100, 0 },
  { 1224, 2, 100, 0 },
  { 1236, 2, 100, 0 },
  { 1248, 2, 100, 0 },
  // 6414: convert_long2_sat_rtn
  { 1118, 2, 100, 0 },
  { 1130, 2, 100, 0 },
  { 1142, 2, 100, 0 },
  { 1154, 2, 100, 0 },
  { 1166, 2, 100, 0 },
  { 1184, 2, 100, 0 },
  { 1202, 2, 100, 0 },
  { 1214, 2, 100, 0 },
  { 1226, 2, 100, 0 },
  { 1238, 2, 100, 0 },
  { 1250, 2, 100, 0 },
  // 6425: convert_long3_sat_rtn
  { 1120, 2, 100, 0 },
  { 1132, 2, 100, 0 },
  { 1144, 2, 100, 0 },
  { 1156, 2, 100, 0 },
  { 1170, 2, 100, 0 },
  { 1188, 2, 100, 0 },
  { 1204, 2, 100, 0 },
  { 1216, 2, 100, 0 },
  { 1228, 2, 100, 0 },
  { 1240, 2, 100, 0 },
  { 1252, 2, 100, 0 },
  // 6436: convert_long4_sat_rtn
  { 1122, 2, 100, 0 },
  { 1134, 2, 100, 0 },
  { 1146, 2, 100, 0 },
  { 1158, 2, 100, 0 },
  { 1172, 2, 100, 0 },
  { 1190, 2, 100, 0 },
  { 1206, 2, 100, 0 },
  { 1218, 2, 100, 0 },
  { 1230, 2, 100, 0 },
  { 1242, 2, 100, 0 },
  { 1254, 2, 100, 0 },
  // 6447: convert_long8_sat_rtn
  { 1124, 2, 100, 0 },
  { 1136, 2, 100, 0 },
  { 1148, 2, 100, 0 },
  { 1160, 2, 100, 0 },
  { 1174, 2, 100, 0 },
  { 1192, 2, 100, 0 },
  { 1208, 2, 100, 0 },
  { 1220, 2, 100, 0 },
  { 1232, 2, 100, 0 },
  { 1244, 2, 100, 0 },
  { 1256, 2, 100, 0 },
  // 6458: convert_long16_sat_rtn
  { 1126, 2, 100, 0 },
  { 1138, 2, 100, 0 },
  { 1150, 2, 100, 0 },
  { 1162, 2, 100, 0 },
  { 1176, 2, 100, 0 },
  { 1194, 2, 100, 0 },
  { 1210, 2, 100, 0 },
  { 1222, 2, 100, 0 },
  { 1234, 2, 100, 0 },
  { 1246, 2, 100, 0 },
  { 1258, 2, 100, 0 },
  // 6469: convert_long_sat_rtp
  { 1116, 2, 100, 0 },
  { 1128, 2, 100, 0 },
  { 1140, 2, 100, 0 },
  { 1152, 2, 100, 0 },
  { 1164, 2, 100, 0 },
  { 1182, 2, 100, 0 },
  { 1200, 2, 100, 0 },
  { 1212, 2, 100, 0 },
  { 1224, 2, 100, 0 },
  { 1236, 2, 100, 0 },
  { 1248, 2, 100, 0 },
  // 6480: convert_long2_sat_rtp
  { 1118, 2, 100, 0 },
  { 1130, 2, 100, 0 },
  { 1142, 2, 100, 0 },
  { 1154, 2, 100, 0 },
  { 1166, 2, 100, 0 },
  { 1184, 2, 100, 0 },
  { 1202, 2, 100, 0 },
  { 1214, 2, 100, 0 },
  { 1226, 2, 100, 0 },
  { 1238, 2, 100, 0 },
  { 1250, 2, 100, 0 },
  // 6491: convert_long3_sat_rtp
  { 1120, 2, 100, 0 },
  { 1132, 2, 100, 0 },
  { 1144, 2, 100, 0 },
  { 1156, 2, 100, 0 },
  { 1170, 2, 100, 0 },
  { 1188, 2, 100, 0 },
  { 1204, 2, 100, 0 },
  { 1216, 2, 100, 0 },
  { 1228, 2, 100, 0 },
  { 1240, 2, 100, 0 },
  { 1252, 2, 100, 0 },
  // 6502: convert_long4_sat_rtp
  { 1122, 2, 100, 0 },
  { 1134, 2, 100, 0 },
  { 1146, 2, 100, 0 },
  { 1158, 2, 100, 0 },
  { 1172, 2, 100, 0 },
  { 1190, 2, 100, 0 },
  { 1206, 2, 100, 0 },
  { 1218, 2, 100, 0 },
  { 1230, 2, 100, 0 },
  { 1242, 2, 100, 0 },
  { 1254, 2, 100, 0 },
  // 6513: convert_long8_sat_rtp
  { 1124, 2, 100, 0 },
  { 1136, 2, 100, 0 },
  { 1148, 2, 100, 0 },
  { 1160, 2, 100, 0 },
  { 1174, 2, 100, 0 },
  { 1192, 2, 100, 0 },
  { 1208, 2, 100, 0 },
  { 1220, 2, 100, 0 },
  { 1232, 2, 100, 0 },
  { 1244, 2, 100, 0 },
  { 1256, 2, 100, 0 },
  // 6524: convert_long16_sat_rtp
  { 1126, 2, 100, 0 },
  { 1138, 2, 100, 0 },
  { 1150, 2, 100, 0 },
  { 1162, 2, 100, 0 },
  { 1176, 2, 100, 0 },
  { 1194, 2, 100, 0 },
  { 1210, 2, 100, 0 },
  { 1222, 2, 100, 0 },
  { 1234, 2, 100, 0 },
  { 1246, 2, 100, 0 },
  { 1258, 2, 100, 0 },
  // 6535: convert_long_sat_rtz
  { 1116, 2, 100, 0 },
  { 1128, 2, 100, 0 },
  { 1140, 2, 100, 0 },
  { 1152, 2, 100, 0 },
  { 1164, 2, 100, 0 },
  { 1182, 2, 100, 0 },
  { 1200, 2, 100, 0 },
  { 1212, 2, 100, 0 },
  { 1224, 2, 100, 0 },
  { 1236, 2, 100, 0 },
  { 1248, 2, 100, 0 },
  // 6546: convert_long2_sat_rtz
  { 1118, 2, 100, 0 },
  { 1130, 2, 100, 0 },
  { 1142, 2, 100, 0 },
  { 1154, 2, 100, 0 },
  { 1166, 2, 100, 0 },
  { 1184, 2, 100, 0 },
  { 1202, 2, 100, 0 },
  { 1214, 2, 100, 0 },
  { 1226, 2, 100, 0 },
  { 1238, 2, 100, 0 },
  { 1250, 2, 100, 0 },
  // 6557: convert_long3_sat_rtz
  { 1120, 2, 100, 0 },
  { 1132, 2, 100, 0 },
  { 1144, 2, 100, 0 },
  { 1156, 2, 100, 0 },
  { 1170, 2, 100, 0 },
  { 1188, 2, 100, 0 },
  { 1204, 2, 100, 0 },
  { 1216, 2, 100, 0 },
  { 1228, 2, 100, 0 },
  { 1240, 2, 100, 0 },
  { 1252, 2, 100, 0 },
  // 6568: convert_long4_sat_rtz
  { 1122, 2, 100, 0 },
  { 1134, 2, 100, 0 },
  { 1146, 2, 100, 0 },
  { 1158, 2, 100, 0 },
  { 1172, 2, 100, 0 },
  { 1190, 2, 100, 0 },
  { 1206, 2, 100, 0 },
  { 1218, 2, 100, 0 },
  { 1230, 2, 100, 0 },
  { 1242, 2, 100, 0 },
  { 1254, 2, 100, 0 },
  // 6579: convert_long8_sat_rtz
  { 1124, 2, 100, 0 },
  { 1136, 2, 100, 0 },
  { 1148, 2, 100, 0 },
  { 1160, 2, 100, 0 },
  { 1174, 2, 100, 0 },
  { 1192, 2, 100, 0 },
  { 1208, 2, 100, 0 },
  { 1220, 2, 100, 0 },
  { 1232, 2, 100, 0 },
  { 1244, 2, 100, 0 },
  { 1256, 2, 100, 0 },
  // 6590: convert_long16_sat_rtz
  { 1126, 2, 100, 0 },
  { 1138, 2, 100, 0 },
  { 1150, 2, 100, 0 },
  { 1162, 2, 100, 0 },
  { 1176, 2, 100, 0 },
  { 1194, 2, 100, 0 },
  { 1210, 2, 100, 0 },
  { 1222, 2, 100, 0 },
  { 1234, 2, 100, 0 },
  { 1246, 2, 100, 0 },
  { 1258, 2, 100, 0 },
  // 6601: convert_ulong
  { 1260, 2, 100, 0 },
  { 1272, 2, 100, 0 },
  { 1284, 2, 100, 0 },
  { 1296, 2, 100, 0 },
  { 1310, 2, 100, 0 },
  { 1328, 2, 100, 0 },
  { 1344, 2, 100, 0 },
  { 1356, 2, 100, 0 },
  { 1368, 2, 100, 0 },
  { 1380, 2, 100, 0 },
  { 1392, 2, 100, 0 },
  // 6612: convert_ulong2
  { 1262, 2, 100, 0 },
  { 1274, 2, 100, 0 },
  { 1286, 2, 100, 0 },
  { 1298, 2, 100, 0 },
  { 1312, 2, 100, 0 },
  { 1330, 2, 100, 0 },
  { 1346, 2, 100, 0 },
  { 1358, 2, 100, 0 },
  { 1370, 2, 100, 0 },
  { 1382, 2, 100, 0 },
  { 1394, 2, 100, 0 },
  // 6623: convert_ulong3
  { 1264, 2, 100, 0 },
  { 1276, 2, 100, 0 },
  { 1288, 2, 100, 0 },
  { 1300, 2, 100, 0 },
  { 1314, 2, 100, 0 },
  { 1332, 2, 100, 0 },
  { 1348, 2, 100, 0 },
  { 1360, 2, 100, 0 },
  { 1372, 2, 100, 0 },
  { 1384, 2, 100, 0 },
  { 1396, 2, 100, 0 },
  // 6634: convert_ulong4
  { 1266, 2, 100, 0 },
  { 1278, 2, 100, 0 },
  { 1290, 2, 100, 0 },
  { 1302, 2, 100, 0 },
  { 1316, 2, 100, 0 },
  { 1334, 2, 100, 0 },
  { 1350, 2, 100, 0 },
  { 1362, 2, 100, 0 },
  { 1374, 2, 100, 0 },
  { 1386, 2, 100, 0 },
  { 1398, 2, 100, 0 },
  // 6645: convert_ulong8
  { 1268, 2, 100, 0 },
  { 1280, 2, 100, 0 },
  { 1292, 2, 100, 0 },
  { 1304, 2, 100, 0 },
  { 1318, 2, 100, 0 },
  { 1336, 2, 100, 0 },
  { 1352, 2, 100, 0 },
  { 1364, 2, 100, 0 },
  { 1376, 2, 100, 0 },
  { 1388, 2, 100, 0 },
  { 1400, 2, 100, 0 },
  // 6656: convert_ulong16
  { 1270, 2, 100, 0 },
  { 1282, 2, 100, 0 },
  { 1294, 2, 100, 0 },
  { 1306, 2, 100, 0 },
  { 1320, 2, 100, 0 },
  { 1338, 2, 100, 0 },
  { 1354, 2, 100, 0 },
  { 1366, 2, 100, 0 },
  { 1378, 2, 100, 0 },
  { 1390, 2, 100, 0 },
  { 1402, 2, 100, 0 },
  // 6667: convert_ulong_rte
  { 1260, 2, 100, 0 },
  { 1272, 2, 100, 0 },
  { 1284, 2, 100, 0 },
  { 1296, 2, 100, 0 },
  { 1310, 2, 100, 0 },
  { 1328, 2, 100, 0 },
  { 1344, 2, 100, 0 },
  { 1356, 2, 100, 0 },
  { 1368, 2, 100, 0 },
  { 1380, 2, 100, 0 },
  { 1392, 2, 100, 0 },
  // 6678: convert_ulong2_rte
  { 1262, 2, 100, 0 },
  { 1274, 2, 100, 0 },
  { 1286, 2, 100, 0 },
  { 1298, 2, 100, 0 },
  { 1312, 2, 100, 0 },
  { 1330, 2, 100, 0 },
  { 1346, 2, 100, 0 },
  { 1358, 2, 100, 0 },
  { 1370, 2, 100, 0 },
  { 1382, 2, 100, 0 },
  { 1394, 2, 100, 0 },
  // 6689: convert_ulong3_rte
  { 1264, 2, 100, 0 },
  { 1276, 2, 100, 0 },
  { 1288, 2, 100, 0 },
  { 1300, 2, 100, 0 },
  { 1314, 2, 100, 0 },
  { 1332, 2, 100, 0 },
  { 1348, 2, 100, 0 },
  { 1360, 2, 100, 0 },
  { 1372, 2, 100, 0 },
  { 1384, 2, 100, 0 },
  { 1396, 2, 100, 0 },
  // 6700: convert_ulong4_rte
  { 1266, 2, 100, 0 },
  { 1278, 2, 100, 0 },
  { 1290, 2, 100, 0 },
  { 1302, 2, 100, 0 },
  { 1316, 2, 100, 0 },
  { 1334, 2, 100, 0 },
  { 1350, 2, 100, 0 },
  { 1362, 2, 100, 0 },
  { 1374, 2, 100, 0 },
  { 1386, 2, 100, 0 },
  { 1398, 2, 100, 0 },
  // 6711: convert_ulong8_rte
  { 1268, 2, 100, 0 },
  { 1280, 2, 100, 0 },
  { 1292, 2, 100, 0 },
  { 1304, 2, 100, 0 },
  { 1318, 2, 100, 0 },
  { 1336, 2, 100, 0 },
  { 1352, 2, 100, 0 },
  { 1364, 2, 100, 0 },
  { 1376, 2, 100, 0 },
  { 1388, 2, 100, 0 },
  { 1400, 2, 100, 0 },
  // 6722: convert_ulong16_rte
  { 1270, 2, 100, 0 },
  { 1282, 2, 100, 0 },
  { 1294, 2, 100, 0 },
  { 1306, 2, 100, 0 },
  { 1320, 2, 100, 0 },
  { 1338, 2, 100, 0 },
  { 1354, 2, 100, 0 },
  { 1366, 2, 100, 0 },
  { 1378, 2, 100, 0 },
  { 1390, 2, 100, 0 },
  { 1402, 2, 100, 0 },
  // 6733: convert_ulong_rtn
  { 1260, 2, 100, 0 },
  { 1272, 2, 100, 0 },
  { 1284, 2, 100, 0 },
  { 1296, 2, 100, 0 },
  { 1310, 2, 100, 0 },
  { 1328, 2, 100, 0 },
  { 1344, 2, 100, 0 },
  { 1356, 2, 100, 0 },
  { 1368, 2, 100, 0 },
  { 1380, 2, 100, 0 },
  { 1392, 2, 100, 0 },
  // 6744: convert_ulong2_rtn
  { 1262, 2, 100, 0 },
  { 1274, 2, 100, 0 },
  { 1286, 2, 100, 0 },
  { 1298, 2, 100, 0 },
  { 1312, 2, 100, 0 },
  { 1330, 2, 100, 0 },
  { 1346, 2, 100, 0 },
  { 1358, 2, 100, 0 },
  { 1370, 2, 100, 0 },
  { 1382, 2, 100, 0 },
  { 1394, 2, 100, 0 },
  // 6755: convert_ulong3_rtn
  { 1264, 2, 100, 0 },
  { 1276, 2, 100, 0 },
  { 1288, 2, 100, 0 },
  { 1300, 2, 100, 0 },
  { 1314, 2, 100, 0 },
  { 1332, 2, 100, 0 },
  { 1348, 2, 100, 0 },
  { 1360, 2, 100, 0 },
  { 1372, 2, 100, 0 },
  { 1384, 2, 100, 0 },
  { 1396, 2, 100, 0 },
  // 6766: convert_ulong4_rtn
  { 1266, 2, 100, 0 },
  { 1278, 2, 100, 0 },
  { 1290, 2, 100, 0 },
  { 1302, 2, 100, 0 },
  { 1316, 2, 100, 0 },
  { 1334, 2, 100, 0 },
  { 1350, 2, 100, 0 },
  { 1362, 2, 100, 0 },
  { 1374, 2, 100, 0 },
  { 1386, 2, 100, 0 },
  { 1398, 2, 100, 0 },
  // 6777: convert_ulong8_rtn
  { 1268, 2, 100, 0 },
  { 1280, 2, 100, 0 },
  { 1292, 2, 100, 0 },
  { 1304, 2, 100, 0 },
  { 1318, 2, 100, 0 },
  { 1336, 2, 100, 0 },
  { 1352, 2, 100, 0 },
  { 1364, 2, 100, 0 },
  { 1376, 2, 100, 0 },
  { 1388, 2, 100, 0 },
  { 1400, 2, 100, 0 },
  // 6788: convert_ulong16_rtn
  { 1270, 2, 100, 0 },
  { 1282, 2, 100, 0 },
  { 1294, 2, 100, 0 },
  { 1306, 2, 100, 0 },
  { 1320, 2, 100, 0 },
  { 1338, 2, 100, 0 },
  { 1354, 2, 100, 0 },
  { 1366, 2, 100, 0 },
  { 1378, 2, 100, 0 },
  { 1390, 2, 100, 0 },
  { 1402, 2, 100, 0 },
  // 6799: convert_ulong_rtp
  { 1260, 2, 100, 0 },
  { 1272, 2, 100, 0 },
  { 1284, 2, 100, 0 },
  { 1296, 2, 100, 0 },
  { 1310, 2, 100, 0 },
  { 1328, 2, 100, 0 },
  { 1344, 2, 100, 0 },
  { 1356, 2, 100, 0 },
  { 1368, 2, 100, 0 },
  { 1380, 2, 100, 0 },
  { 1392, 2, 100, 0 },
  // 6810: convert_ulong2_rtp
  { 1262, 2, 100, 0 },
  { 1274, 2, 100, 0 },
  { 1286, 2, 100, 0 },
  { 1298, 2, 100, 0 },
  { 1312, 2, 100, 0 },
  { 1330, 2, 100, 0 },
  { 1346, 2, 100, 0 },
  { 1358, 2, 100, 0 },
  { 1370, 2, 100, 0 },
  { 1382, 2, 100, 0 },
  { 1394, 2, 100, 0 },
  // 6821: convert_ulong3_rtp
  { 1264, 2, 100, 0 },
  { 1276, 2, 100, 0 },
  { 1288, 2, 100, 0 },
  { 1300, 2, 100, 0 },
  { 1314, 2, 100, 0 },
  { 1332, 2, 100, 0 },
  { 1348, 2, 100, 0 },
  { 1360, 2, 100, 0 },
  { 1372, 2, 100, 0 },
  { 1384, 2, 100, 0 },
  { 1396, 2, 100, 0 },
  // 6832: convert_ulong4_rtp
  { 1266, 2, 100, 0 },
  { 1278, 2, 100, 0 },
  { 1290, 2, 100, 0 },
  { 1302, 2, 100, 0 },
  { 1316, 2, 100, 0 },
  { 1334, 2, 100, 0 },
  { 1350, 2, 100, 0 },
  { 1362, 2, 100, 0 },
  { 1374, 2, 100, 0 },
  { 1386, 2, 100, 0 },
  { 1398, 2, 100, 0 },
  // 6843: convert_ulong8_rtp
  { 1268, 2, 100, 0 },
  { 1280, 2, 100, 0 },
  { 1292, 2, 100, 0 },
  { 1304, 2, 100, 0 },
  { 1318, 2, 100, 0 },
  { 1336, 2, 100, 0 },
  { 1352, 2, 100, 0 },
  { 1364, 2, 100, 0 },
  { 1376, 2, 100, 0 },
  { 1388, 2, 100, 0 },
  { 1400, 2, 100, 0 },
  // 6854: convert_ulong16_rtp
  { 1270, 2, 100, 0 },
  { 1282, 2, 100, 0 },
  { 1294, 2, 100, 0 },
  { 1306, 2, 100, 0 },
  { 1320, 2, 100, 0 },
  { 1338, 2, 100, 0 },
  { 1354, 2, 100, 0 },
  { 1366, 2, 100, 0 },
  { 1378, 2, 100, 0 },
  { 1390, 2, 100, 0 },
  { 1402, 2, 100, 0 },
  // 6865: convert_ulong_rtz
  { 1260, 2, 100, 0 },
  { 1272, 2, 100, 0 },
  { 1284, 2, 100, 0 },
  { 1296, 2, 100, 0 },
  { 1310, 2, 100, 0 },
  { 1328, 2, 100, 0 },
  { 1344, 2, 100, 0 },
  { 1356, 2, 100, 0 },
  { 1368, 2, 100, 0 },
  { 1380, 2, 100, 0 },
  { 1392, 2, 100, 0 },
  // 6876: convert_ulong2_rtz
  { 1262, 2, 100, 0 },
  { 1274, 2, 100, 0 },
  { 1286, 2, 100, 0 },
  { 1298, 2, 100, 0 },
  { 1312, 2, 100, 0 },
  { 1330, 2, 100, 0 },
  { 1346, 2, 100, 0 },
  { 1358, 2, 100, 0 },
  { 1370, 2, 100, 0 },
  { 1382, 2, 100, 0 },
  { 1394, 2, 100, 0 },
  // 6887: convert_ulong3_rtz
  { 1264, 2, 100, 0 },
  { 1276, 2, 100, 0 },
  { 1288, 2, 100, 0 },
  { 1300, 2, 100, 0 },
  { 1314, 2, 100, 0 },
  { 1332, 2, 100, 0 },
  { 1348, 2, 100, 0 },
  { 1360, 2, 100, 0 },
  { 1372, 2, 100, 0 },
  { 1384, 2, 100, 0 },
  { 1396, 2, 100, 0 },
  // 6898: convert_ulong4_rtz
  { 1266, 2, 100, 0 },
  { 1278, 2, 100, 0 },
  { 1290, 2, 100, 0 },
  { 1302, 2, 100, 0 },
  { 1316, 2, 100, 0 },
  { 1334, 2, 100, 0 },
  { 1350, 2, 100, 0 },
  { 1362, 2, 100, 0 },
  { 1374, 2, 100, 0 },
  { 1386, 2, 100, 0 },
  { 1398, 2, 100, 0 },
  // 6909: convert_ulong8_rtz
  { 1268, 2, 100, 0 },
  { 1280, 2, 100, 0 },
  { 1292, 2, 100, 0 },
  { 1304, 2, 100, 0 },
  { 1318, 2, 100, 0 },
  { 1336, 2, 100, 0 },
  { 1352, 2, 100, 0 },
  { 1364, 2, 100, 0 },
  { 1376, 2, 100, 0 },
  { 1388, 2, 100, 0 },
  { 1400, 2, 100, 0 },
  // 6920: convert_ulong16_rtz
  { 1270, 2, 100, 0 },
  { 1282, 2, 100, 0 },
  { 1294, 2, 100, 0 },
  { 1306, 2, 100, 0 },
  { 1320, 2, 100, 0 },
  { 1338, 2, 100, 0 },
  { 1354, 2, 100, 0 },
  { 1366, 2, 100, 0 },
  { 1378, 2, 100, 0 },
  { 1390, 2, 100, 0 },
  { 1402, 2, 100, 0 },
  // 6931: convert_ulong_sat
  { 1260, 2, 100, 0 },
  { 1272, 2, 100, 0 },
  { 1284, 2, 100, 0 },
  { 1296, 2, 100, 0 },
  { 1310, 2, 100, 0 },
  { 1328, 2, 100, 0 },
  { 1344, 2, 100, 0 },
  { 1356, 2, 100, 0 },
  { 1368, 2, 100, 0 },
  { 1380, 2, 100, 0 },
  { 1392, 2, 100, 0 },
  // 6942: convert_ulong2_sat
  { 1262, 2, 100, 0 },
  { 1274, 2, 100, 0 },
  { 1286, 2, 100, 0 },
  { 1298, 2, 100, 0 },
  { 1312, 2, 100, 0 },
  { 1330, 2, 100, 0 },
  { 1346, 2, 100, 0 },
  { 1358, 2, 100, 0 },
  { 1370, 2, 100, 0 },
  { 1382, 2, 100, 0 },
  { 1394, 2, 100, 0 },
  // 6953: convert_ulong3_sat
  { 1264, 2, 100, 0 },
  { 1276, 2, 100, 0 },
  { 1288, 2, 100, 0 },
  { 1300, 2, 100, 0 },
  { 1314, 2, 100, 0 },
  { 1332, 2, 100, 0 },
  { 1348, 2, 100, 0 },
  { 1360, 2, 100, 0 },
  { 1372, 2, 100, 0 },
  { 1384, 2, 100, 0 },
  { 1396, 2, 100, 0 },
  // 6964: convert_ulong4_sat
  { 1266, 2, 100, 0 },
  { 1278, 2, 100, 0 },
  { 1290, 2, 100, 0 },
  { 1302, 2, 100, 0 },
  { 1316, 2, 100, 0 },
  { 1334, 2, 100, 0 },
  { 1350, 2, 100, 0 },
  { 1362, 2, 100, 0 },
  { 1374, 2, 100, 0 },
  { 1386, 2, 100, 0 },
  { 1398, 2, 100, 0 },
  // 6975: convert_ulong8_sat
  { 1268, 2, 100, 0 },
  { 1280, 2, 100, 0 },
  { 1292, 2, 100, 0 },
  { 1304, 2, 100, 0 },
  { 1318, 2, 100, 0 },
  { 1336, 2, 100, 0 },
  { 1352, 2, 100, 0 },
  { 1364, 2, 100, 0 },
  { 1376, 2, 100, 0 },
  { 1388, 2, 100, 0 },
  { 1400, 2, 100, 0 },
  // 6986: convert_ulong16_sat
  { 1270, 2, 100, 0 },
  { 1282, 2, 100, 0 },
  { 1294, 2, 100, 0 },
  { 1306, 2, 100, 0 },
  { 1320, 2, 100, 0 },
  { 1338, 2, 100, 0 },
  { 1354, 2, 100, 0 },
  { 1366, 2, 100, 0 },
  { 1378, 2, 100, 0 },
  { 1390, 2, 100, 0 },
  { 1402, 2, 100, 0 },
  // 6997: convert_ulong_sat_rte
  { 1260, 2, 100, 0 },
  { 1272, 2, 100, 0 },
  { 1284, 2, 100, 0 },
  { 1296, 2, 100, 0 },
  { 1310, 2, 100, 0 },
  { 1328, 2, 100, 0 },
  { 1344, 2, 100, 0 },
  { 1356, 2, 100, 0 },
  { 1368, 2, 100, 0 },
  { 1380, 2, 100, 0 },
  { 1392, 2, 100, 0 },
  // 7008: convert_ulong2_sat_rte
  { 1262, 2, 100, 0 },
  { 1274, 2, 100, 0 },
  { 1286, 2, 100, 0 },
  { 1298, 2, 100, 0 },
  { 1312, 2, 100, 0 },
  { 1330, 2, 100, 0 },
  { 1346, 2, 100, 0 },
  { 1358, 2, 100, 0 },
  { 1370, 2, 100, 0 },
  { 1382, 2, 100, 0 },
  { 1394, 2, 100, 0 },
  // 7019: convert_ulong3_sat_rte
  { 1264, 2, 100, 0 },
  { 1276, 2, 100, 0 },
  { 1288, 2, 100, 0 },
  { 1300, 2, 100, 0 },
  { 1314, 2, 100, 0 },
  { 1332, 2, 100, 0 },
  { 1348, 2, 100, 0 },
  { 1360, 2, 100, 0 },
  { 1372, 2, 100, 0 },
  { 1384, 2, 100, 0 },
  { 1396, 2, 100, 0 },
  // 7030: convert_ulong4_sat_rte
  { 1266, 2, 100, 0 },
  { 1278, 2, 100, 0 },
  { 1290, 2, 100, 0 },
  { 1302, 2, 100, 0 },
  { 1316, 2, 100, 0 },
  { 1334, 2, 100, 0 },
  { 1350, 2, 100, 0 },
  { 1362, 2, 100, 0 },
  { 1374, 2, 100, 0 },
  { 1386, 2, 100, 0 },
  { 1398, 2, 100, 0 },
  // 7041: convert_ulong8_sat_rte
  { 1268, 2, 100, 0 },
  { 1280, 2, 100, 0 },
  { 1292, 2, 100, 0 },
  { 1304, 2, 100, 0 },
  { 1318, 2, 100, 0 },
  { 1336, 2, 100, 0 },
  { 1352, 2, 100, 0 },
  { 1364, 2, 100, 0 },
  { 1376, 2, 100, 0 },
  { 1388, 2, 100, 0 },
  { 1400, 2, 100, 0 },
  // 7052: convert_ulong16_sat_rte
  { 1270, 2, 100, 0 },
  { 1282, 2, 100, 0 },
  { 1294, 2, 100, 0 },
  { 1306, 2, 100, 0 },
  { 1320, 2, 100, 0 },
  { 1338, 2, 100, 0 },
  { 1354, 2, 100, 0 },
  { 1366, 2, 100, 0 },
  { 1378, 2, 100, 0 },
  { 1390, 2, 100, 0 },
  { 1402, 2, 100, 0 },
  // 7063: convert_ulong_sat_rtn
  { 1260, 2, 100, 0 },
  { 1272, 2, 100, 0 },
  { 1284, 2, 100, 0 },
  { 1296, 2, 100, 0 },
  { 1310, 2, 100, 0 },
  { 1328, 2, 100, 0 },
  { 1344, 2, 100, 0 },
  { 1356, 2, 100, 0 },
  { 1368, 2, 100, 0 },
  { 1380, 2, 100, 0 },
  { 1392, 2, 100, 0 },
  // 7074: convert_ulong2_sat_rtn
  { 1262, 2, 100, 0 },
  { 1274, 2, 100, 0 },
  { 1286, 2, 100, 0 },
  { 1298, 2, 100, 0 },
  { 1312, 2, 100, 0 },
  { 1330, 2, 100, 0 },
  { 1346, 2, 100, 0 },
  { 1358, 2, 100, 0 },
  { 1370, 2, 100, 0 },
  { 1382, 2, 100, 0 },
  { 1394, 2, 100, 0 },
  // 7085: convert_ulong3_sat_rtn
  { 1264, 2, 100, 0 },
  { 1276, 2, 100, 0 },
  { 1288, 2, 100, 0 },
  { 1300, 2, 100, 0 },
  { 1314, 2, 100, 0 },
  { 1332, 2, 100, 0 },
  { 1348, 2, 100, 0 },
  { 1360, 2, 100, 0 },
  { 1372, 2, 100, 0 },
  { 1384, 2, 100, 0 },
  { 1396, 2, 100, 0 },
  // 7096: convert_ulong4_sat_rtn
  { 1266, 2, 100, 0 },
  { 1278, 2, 100, 0 },
  { 1290, 2, 100, 0 },
  { 1302, 2, 100, 0 },
  { 1316, 2, 100, 0 },
  { 1334, 2, 100, 0 },
  { 1350, 2, 100, 0 },
  { 1362, 2, 100, 0 },
  { 1374, 2, 100, 0 },
  { 1386, 2, 100, 0 },
  { 1398, 2, 100, 0 },
  // 7107: convert_ulong8_sat_rtn
  { 1268, 2, 100, 0 },
  { 1280, 2, 100, 0 },
  { 1292, 2, 100, 0 },
  { 1304, 2, 100, 0 },
  { 1318, 2, 100, 0 },
  { 1336, 2, 100, 0 },
  { 1352, 2, 100, 0 },
  { 1364, 2, 100, 0 },
  { 1376, 2, 100, 0 },
  { 1388, 2, 100, 0 },
  { 1400, 2, 100, 0 },
  // 7118: convert_ulong16_sat_rtn
  { 1270, 2, 100, 0 },
  { 1282, 2, 100, 0 },
  { 1294, 2, 100, 0 },
  { 1306, 2, 100, 0 },
  { 1320, 2, 100, 0 },
  { 1338, 2, 100, 0 },
  { 1354, 2, 100, 0 },
  { 1366, 2, 100, 0 },
  { 1378, 2, 100, 0 },
  { 1390, 2, 100, 0 },
  { 1402, 2, 100, 0 },
  // 7129: convert_ulong_sat_rtp
  { 1260, 2, 100, 0 },
  { 1272, 2, 100, 0 },
  { 1284, 2, 100, 0 },
  { 1296, 2, 100, 0 },
  { 1310, 2, 100, 0 },
  { 1328, 2, 100, 0 },
  { 1344, 2, 100, 0 },
  { 1356, 2, 100, 0 },
  { 1368, 2, 100, 0 },
  { 1380, 2, 100, 0 },
  { 1392, 2, 100, 0 },
  // 7140: convert_ulong2_sat_rtp
  { 1262, 2, 100, 0 },
  { 1274, 2, 100, 0 },
  { 1286, 2, 100, 0 },
  { 1298, 2, 100, 0 },
  { 1312, 2, 100, 0 },
  { 1330, 2, 100, 0 },
  { 1346, 2, 100, 0 },
  { 1358, 2, 100, 0 },
  { 1370, 2, 100, 0 },
  { 1382, 2, 100, 0 },
  { 1394, 2, 100, 0 },
  // 7151: convert_ulong3_sat_rtp
  { 1264, 2, 100, 0 },
  { 1276, 2, 100, 0 },
  { 1288, 2, 100, 0 },
  { 1300, 2, 100, 0 },
  { 1314, 2, 100, 0 },
  { 1332, 2, 100, 0 },
  { 1348, 2, 100, 0 },
  { 1360, 2, 100, 0 },
  { 1372, 2, 100, 0 },
  { 1384, 2, 100, 0 },
  { 1396, 2, 100, 0 },
  // 7162: convert_ulong4_sat_rtp
  { 1266, 2, 100, 0 },
  { 1278, 2, 100, 0 },
  { 1290, 2, 100, 0 },
  { 1302, 2, 100, 0 },
  { 1316, 2, 100, 0 },
  { 1334, 2, 100, 0 },
  { 1350, 2, 100, 0 },
  { 1362, 2, 100, 0 },
  { 1374, 2, 100, 0 },
  { 1386, 2, 100, 0 },
  { 1398, 2, 100, 0 },
  // 7173: convert_ulong8_sat_rtp
  { 1268, 2, 100, 0 },
  { 1280, 2, 100, 0 },
  { 1292, 2, 100, 0 },
  { 1304, 2, 100, 0 },
  { 1318, 2, 100, 0 },
  { 1336, 2, 100, 0 },
  { 1352, 2, 100, 0 },
  { 1364, 2, 100, 0 },
  { 1376, 2, 100, 0 },
  { 1388, 2, 100, 0 },
  { 1400, 2, 100, 0 },
  // 7184: convert_ulong16_sat_rtp
  { 1270, 2, 100, 0 },
  { 1282, 2, 100, 0 },
  { 1294, 2, 100, 0 },
  { 1306, 2, 100, 0 },
  { 1320, 2, 100, 0 },
  { 1338, 2, 100, 0 },
  { 1354, 2, 100, 0 },
  { 1366, 2, 100, 0 },
  { 1378, 2, 100, 0 },
  { 1390, 2, 100, 0 },
  { 1402, 2, 100, 0 },
  // 7195: convert_ulong_sat_rtz
  { 1260, 2, 100, 0 },
  { 1272, 2, 100, 0 },
  { 1284, 2, 100, 0 },
  { 1296, 2, 100, 0 },
  { 1310, 2, 100, 0 },
  { 1328, 2, 100, 0 },
  { 1344, 2, 100, 0 },
  { 1356, 2, 100, 0 },
  { 1368, 2, 100, 0 },
  { 1380, 2, 100, 0 },
  { 1392, 2, 100, 0 },
  // 7206: convert_ulong2_sat_rtz
  { 1262, 2, 100, 0 },
  { 1274, 2, 100, 0 },
  { 1286, 2, 100, 0 },
  { 1298, 2, 100, 0 },
  { 1312, 2, 100, 0 },
  { 1330, 2, 100, 0 },
  { 1346, 2, 100, 0 },
  { 1358, 2, 100, 0 },
  { 1370, 2, 100, 0 },
  { 1382, 2, 100, 0 },
  { 1394, 2, 100, 0 },
  // 7217: convert_ulong3_sat_rtz
  { 1264, 2, 100, 0 },
  { 1276, 2, 100, 0 },
  { 1288, 2, 100, 0 },
  { 1300, 2, 100, 0 },
  { 1314, 2, 100, 0 },
  { 1332, 2, 100, 0 },
  { 1348, 2, 100, 0 },
  { 1360, 2, 100, 0 },
  { 1372, 2, 100, 0 },
  { 1384, 2, 100, 0 },
  { 1396, 2, 100, 0 },
  // 7228: convert_ulong4_sat_rtz
  { 1266, 2, 100, 0 },
  { 1278, 2, 100, 0 },
  { 1290, 2, 100, 0 },
  { 1302, 2, 100, 0 },
  { 1316, 2, 100, 0 },
  { 1334, 2, 100, 0 },
  { 1350, 2, 100, 0 },
  { 1362, 2, 100, 0 },
  { 1374, 2, 100, 0 },
  { 1386, 2, 100, 0 },
  { 1398, 2, 100, 0 },
  // 7239: convert_ulong8_sat_rtz
  { 1268, 2, 100, 0 },
  { 1280, 2, 100, 0 },
  { 1292, 2, 100, 0 },
  { 1304, 2, 100, 0 },
  { 1318, 2, 100, 0 },
  { 1336, 2, 100, 0 },
  { 1352, 2, 100, 0 },
  { 1364, 2, 100, 0 },
  { 1376, 2, 100, 0 },
  { 1388, 2, 100, 0 },
  { 1400, 2, 100, 0 },
  // 7250: convert_ulong16_sat_rtz
  { 1270, 2, 100, 0 },
  { 1282, 2, 100, 0 },
  { 1294, 2, 100, 0 },
  { 1306, 2, 100, 0 },
  { 1320, 2, 100, 0 },
  { 1338, 2, 100, 0 },
  { 1354, 2, 100, 0 },
  { 1366, 2, 100, 0 },
  { 1378, 2, 100, 0 },
  { 1390, 2, 100, 0 },
  { 1402, 2, 100, 0 },
  // 7261: get_work_dim
  { 1404, 1, 100, 0 },
  // 7262: get_global_size
  { 1405, 2, 100, 0 },
  // 7263: get_global_id
  { 1405, 2, 100, 0 },
  // 7264: get_local_size
  { 1405, 2, 100, 0 },
  // 7265: get_local_id
  { 1405, 2, 100, 0 },
  // 7266: get_num_groups
  { 1405, 2, 100, 0 },
  // 7267: get_group_id
  { 1405, 2, 100, 0 },
  // 7268: get_global_offset
  { 1405, 2, 100, 0 },
  // 7269: get_enqueued_local_size
  { 1405, 2, 200, 0 },
  // 7270: get_global_linear_id
  { 1407, 1, 200, 0 },
  // 7271: get_local_linear_id
  { 1407, 1, 200, 0 },
  // 7272: vload2
  { 1408, 3, 100, 200 },
  { 1411, 3, 100, 200 },
  { 1414, 3, 100, 200 },
  { 1417, 3, 100, 200 },
  { 1420, 3, 100, 200 },
  { 1423, 3, 100, 200 },
  { 1426, 3, 100, 200 },
  { 1429, 3, 100, 200 },
  { 1432, 3, 100, 200 },
  { 1435, 3, 100, 200 },
  { 1438, 3, 100, 200 },
  { 1848, 3, 100, 200 },
  { 1851, 3, 100, 200 },
  { 1854, 3, 100, 200 },
  { 1857, 3, 100, 200 },
  { 1860, 3, 100, 200 },
  { 1863, 3, 100, 200 },
  { 1866, 3, 100, 200 },
  { 1869, 3, 100, 200 },
  { 1872, 3, 100, 200 },
  { 1875, 3, 100, 200 },
  { 1878, 3, 100, 200 },
  { 2300, 3, 100, 200 },
  { 2303, 3, 100, 200 },
  { 2306, 3, 100, 200 },
  { 2309, 3, 100, 200 },
  { 2312, 3, 100, 200 },
  { 2315, 3, 100, 200 },
  { 2318, 3, 100, 200 },
  { 2321, 3, 100, 200 },
  { 2324, 3, 100, 200 },
  { 2327, 3, 100, 200 },
  { 2330, 3, 100, 200 },
  { 2740, 3, 200, 0 },
  { 2743, 3, 200, 0 },
  { 2746, 3, 200, 0 },
  { 2749, 3, 200, 0 },
  { 2752, 3, 200, 0 },
  { 2755, 3, 200, 0 },
  { 2758, 3, 200, 0 },
  { 2761, 3, 200, 0 },
  { 2764, 3, 200, 0 },
  { 2767, 3, 200, 0 },
  { 2770, 3, 200, 0 },
  { 3180, 3, 100, 0 },
  { 3183, 3, 100, 0 },
  { 3186, 3, 100, 0 },
  { 3189, 3, 100, 0 },
  { 3192, 3, 100, 0 },
  { 3195, 3, 100, 0 },
  { 3198, 3, 100, 0 },
  { 3201, 3, 100, 0 },
  { 3204, 3, 100, 0 },
  { 3207, 3, 100, 0 },
  { 3210, 3, 100, 0 },
  // 7327: vstore2
  { 1441, 4, 100, 200 },
  { 1445, 4, 100, 200 },
  { 1449, 4, 100, 200 },
  { 1453, 4, 100, 200 },
  { 1457, 4, 100, 200 },
  { 1461, 4, 100, 200 },
  { 1465, 4, 100, 200 },
  { 1469, 4, 100, 200 },
  { 1473, 4, 100, 200 },
  { 1477, 4, 100, 200 },
  { 1481, 4, 100, 200 },
  { 1881, 4, 100, 200 },
  { 1887, 4, 100, 200 },
  { 1891, 4, 100, 200 },
  { 1895, 4, 100, 200 },
  { 1899, 4, 100, 200 },
  { 1903, 4, 100, 200 },
  { 1907, 4, 100, 200 },
  { 1911, 4, 100, 200 },
  { 1915, 4, 100, 200 },
  { 1919, 4, 100, 200 },
  { 1923, 4, 100, 200 },
  { 2333, 4, 100, 200 },
  { 2337, 4, 100, 200 },
  { 2341, 4, 100, 200 },
  { 2345, 4, 100, 200 },
  { 2349, 4, 100, 200 },
  { 2353, 4, 100, 200 },
  { 2357, 4, 100, 200 },
  { 2361, 4, 100, 200 },
  { 2365, 4, 100, 200 },
  { 2369, 4, 100, 200 },
  { 2373, 4, 100, 200 },
  { 2773, 4, 200, 0 },
  { 2777, 4, 200, 0 },
  { 2781, 4, 200, 0 },
  { 2785, 4, 200, 0 },
  { 2789, 4, 200, 0 },
  { 2793, 4, 200, 0 },
  { 2797, 4, 200, 0 },
  { 2801, 4, 200, 0 },
  { 2805, 4, 200, 0 },
  { 2809, 4, 200, 0 },
  { 2813, 4, 200, 0 },
  // 7371: vloada_half2
  { 1485, 3, 100, 200 },
  { 1929, 3, 100, 200 },
  { 2377, 3, 100, 200 },
  { 2817, 3, 200, 0 },
  { 3213, 3, 100, 0 },
  // 7376: vstorea_half2
  { 1488, 4, 100, 200 },
  { 1492, 4, 100, 200 },
  { 1932, 4, 100, 200 },
  { 1936, 4, 100, 200 },
  { 2380, 4, 100, 200 },
  { 2384, 4, 100, 200 },
  { 2820, 4, 200, 0 },
  { 2824, 4, 200, 0 },
  { 3216, 4, 100, 0 },
  { 3220, 4, 100, 0 },
  // 7386: vstorea_half2_rte
  { 1488, 4, 100, 200 },
  { 1492, 4, 100, 200 },
  { 1932, 4, 100, 200 },
  { 1936, 4, 100, 200 },
  { 2380, 4, 100, 200 },
  { 2384, 4, 100, 200 },
  { 2820, 4, 200, 0 },
  { 2824, 4, 200, 0 },
  { 3216, 4, 100, 0 },
  { 3220, 4, 100, 0 },
  // 7396: vstorea_half2_rtz
  { 1488, 4, 100, 200 },
  { 1492, 4, 100, 200 },
  { 1932, 4, 100, 200 },
  { 1936, 4, 100, 200 },
  { 2380, 4, 100, 200 },
  { 2384, 4, 100, 200 },
  { 2820, 4, 200, 0 },
  { 2824, 4, 200, 0 },
  { 3216, 4, 100, 0 },
  { 3220, 4, 100, 0 },
  // 7406: vstorea_half2_rtp
  { 1488, 4, 100, 200 },
  { 1492, 4, 100, 200 },
  { 1932, 4, 100, 200 },
  { 1936, 4, 100, 200 },
  { 2380, 4, 100, 200 },
  { 2384, 4, 100, 200 },
  { 2820, 4, 200, 0 },
  { 2824, 4, 200, 0 },
  { 3216, 4, 100, 0 },
  { 3220, 4, 100, 0 },
  // 7416: vstorea_half2_rtn
  { 1488, 4, 100, 200 },
  { 1492, 4, 100, 200 },
  { 1932, 4, 100, 200 },
  { 1936, 4, 100, 200 },
  { 2380, 4, 100, 200 },
  { 2384, 4, 100, 200 },
  { 2820, 4, 200, 0 },
  { 2824, 4, 200, 0 },
  { 3216, 4, 100, 0 },
  { 3220, 4, 100, 0 },
  // 7426: vload3
  { 1496, 3, 100, 200 },
  { 1499, 3, 100, 200 },
  { 1502, 3, 100, 200 },
  { 1505, 3, 100, 200 },
  { 1508, 3, 100, 200 },
  { 1511, 3, 100, 200 },
  { 1514, 3, 100, 200 },
  { 1517, 3, 100, 200 },
  { 1520, 3, 100, 200 },
  { 1523, 3, 100, 200 },
  { 1526, 3, 100, 200 },
  { 1942, 3, 100, 200 },
  { 1945, 3, 100, 200 },
  { 1948, 3, 100, 200 },
  { 1951, 3, 100, 200 },
  { 1954, 3, 100, 200 },
  { 1957, 3, 100, 200 },
  { 1960, 3, 100, 200 },
  { 1963, 3, 100, 200 },
  { 1968, 3, 100, 200 },
  { 1971, 3, 100, 200 },
  { 1974, 3, 100, 200 },
  { 2388, 3, 100, 200 },
  { 2391, 3, 100, 200 },
  { 2394, 3, 100, 200 },
  { 2397, 3, 100, 200 },
  { 2400, 3, 100, 200 },
  { 2403, 3, 100, 200 },
  { 2406, 3, 100, 200 },
  { 2409, 3, 100, 200 },
  { 2412, 3, 100, 200 },
  { 2415, 3, 100, 200 },
  { 2418, 3, 100, 200 },
  { 2828, 3, 200, 0 },
  { 2831, 3, 200, 0 },
  { 2834, 3, 200, 0 },
  { 2837, 3, 200, 0 },
  { 2840, 3, 200, 0 },
  { 2843, 3, 200, 0 },
  { 2846, 3, 200, 0 },
  { 2849, 3, 200, 0 },
  { 2852, 3, 200, 0 },
  { 2855, 3, 200, 0 },
  { 2858, 3, 200, 0 },
  { 3224, 3, 100, 0 },
  { 3227, 3, 100, 0 },
  { 3230, 3, 100, 0 },
  { 3233, 3, 100, 0 },
  { 3236, 3, 100, 0 },
  { 3239, 3, 100, 0 },
  { 3242, 3, 100, 0 },
  { 3245, 3, 100, 0 },
  { 3248, 3, 100, 0 },
  { 3251, 3, 100, 0 },
  { 3254, 3, 100, 0 },
  // 7481: vstore3
  { 1529, 4, 100, 200 },
  { 1533, 4, 100, 200 },
  { 1537, 4, 100, 200 },
  { 1541, 4, 100, 200 },
  { 1545, 4, 100, 200 },
  { 1549, 4, 100, 200 },
  { 1553, 4, 100, 200 },
  { 1557, 4, 100, 200 },
  { 1561, 4, 100, 200 },
  { 1565, 4, 100, 200 },
  { 1569, 4, 100, 200 },
  { 1977, 4, 100, 200 },
  { 1981, 4, 100, 200 },
  { 1985, 4, 100, 200 },
  { 1989, 4, 100, 200 },
  { 1993, 4, 100, 200 },
  { 1997, 4, 100, 200 },
  { 2001, 4, 100, 200 },
  { 2007, 4, 100, 200 },
  { 2011, 4, 100, 200 },
  { 2015, 4, 100, 200 },
  { 2019, 4, 100, 200 },
  { 2421, 4, 100, 200 },
  { 2425, 4, 100, 200 },
  { 2429, 4, 100, 200 },
  { 2433, 4, 100, 200 },
  { 2437, 4, 100, 200 },
  { 2441, 4, 100, 200 },
  { 2445, 4, 100, 200 },
  { 2449, 4, 100, 200 },
  { 2453, 4, 100, 200 },
  { 2457, 4, 100, 200 },
  { 2461, 4, 100, 200 },
  { 2861, 4, 200, 0 },
  { 2865, 4, 200, 0 },
  { 2869, 4, 200, 0 },
  { 2873, 4, 200, 0 },
  { 2877, 4, 200, 0 },
  { 2881, 4, 200, 0 },
  { 2885, 4, 200, 0 },
  { 2889, 4, 200, 0 },
  { 2893, 4, 200, 0 },
  { 2897, 4, 200, 0 },
  { 2901, 4, 200, 0 },
  // 7525: vloada_half3
  { 1573, 3, 100, 200 },
  { 2023, 3, 100, 200 },
  { 2465, 3, 100, 200 },
  { 2905, 3, 200, 0 },
  { 3257, 3, 100, 0 },
  // 7530: vstorea_half3
  { 1576, 4, 100, 200 },
  { 1580, 4, 100, 200 },
  { 2026, 4, 100, 200 },
  { 2030, 4, 100, 200 },
  { 2468, 4, 100, 200 },
  { 2472, 4, 100, 200 },
  { 2908, 4, 200, 0 },
  { 2912, 4, 200, 0 },
  { 3260, 4, 100, 0 },
  { 3264, 4, 100, 0 },
  // 7540: vstorea_half3_rte
  { 1576, 4, 100, 200 },
  { 1580, 4, 100, 200 },
  { 2026, 4, 100, 200 },
  { 2030, 4, 100, 200 },
  { 2468, 4, 100, 200 },
  { 2472, 4, 100, 200 },
  { 2908, 4, 200, 0 },
  { 2912, 4, 200, 0 },
  { 3260, 4, 100, 0 },
  { 3264, 4, 100, 0 },
  // 7550: vstorea_half3_rtz
  { 1576, 4, 100, 200 },
  { 1580, 4, 100, 200 },
  { 2026, 4, 100, 200 },
  { 2030, 4, 100, 200 },
  { 2468, 4, 100, 200 },
  { 2472, 4, 100, 200 },
  { 2908, 4, 200, 0 },
  { 2912, 4, 200, 0 },
  { 3260, 4, 100, 0 },
  { 3264, 4, 100, 0 },
  // 7560: vstorea_half3_rtp
  { 1576, 4, 100, 200 },
  { 1580, 4, 100, 200 },
  { 2026, 4, 100, 200 },
  { 2030, 4, 100, 200 },
  { 2468, 4, 100, 200 },
  { 2472, 4, 100, 200 },
  { 2908, 4, 200, 0 },
  { 2912, 4, 200, 0 },
  { 3260, 4, 100, 0 },
  { 3264, 4, 100, 0 },
  // 7570: vstorea_half3_rtn
  { 1576, 4, 100, 200 },
  { 1580, 4, 100, 200 },
  { 2026, 4, 100, 200 },
  { 2030, 4, 100, 200 },
  { 2468, 4, 100, 200 },
  { 2472, 4, 100, 200 },
  { 2908, 4, 200, 0 },
  { 2912, 4, 200, 0 },
  { 3260, 4, 100, 0 },
  { 3264, 4, 100, 0 },
  // 7580: vload4
  { 1584, 3, 100, 200 },
  { 1587, 3, 100, 200 },
  { 1590, 3, 100, 200 },
  { 1593, 3, 100, 200 },
  { 1596, 3, 100, 200 },
  { 1599, 3, 100, 200 },
  { 1602, 3, 100, 200 },
  { 1605, 3, 100, 200 },
  { 1608, 3, 100, 200 },
  { 1611, 3, 100, 200 },
  { 1614, 3, 100, 200 },
  { 2036, 3, 100, 200 },
  { 2039, 3, 100, 200 },
  { 2042, 3, 100, 200 },
  { 2045, 3, 100, 200 },
  { 2048, 3, 100, 200 },
  { 2051, 3, 100, 200 },
  { 2054, 3, 100, 200 },
  { 2057, 3, 100, 200 },
  { 2060, 3, 100, 200 },
  { 2063, 3, 100, 200 },
  { 2066, 3, 100, 200 },
  { 2476, 3, 100, 200 },
  { 2479, 3, 100, 200 },
  { 2482, 3, 100, 200 },
  { 2485, 3, 100, 200 },
  { 2488, 3, 100, 200 },
  { 2491, 3, 100, 200 },
  { 2494, 3, 100, 200 },
  { 2497, 3, 100, 200 },
  { 2500, 3, 100, 200 },
  { 2503, 3, 100, 200 },
  { 2506, 3, 100, 200 },
  { 2916, 3, 200, 0 },
  { 2919, 3, 200, 0 },
  { 2922, 3, 200, 0 },
  { 2925, 3, 200, 0 },
  { 2928, 3, 200, 0 },
  { 2931, 3, 200, 0 },
  { 2934, 3, 200, 0 },
  { 2937, 3, 200, 0 },
  { 2940, 3, 200, 0 },
  { 2943, 3, 200, 0 },
  { 2946, 3, 200, 0 },
  { 3268, 3, 100, 0 },
  { 3271, 3, 100, 0 },
  { 3274, 3, 100, 0 },
  { 3277, 3, 100, 0 },
  { 3280, 3, 100, 0 },
  { 3283, 3, 100, 0 },
  { 3286, 3, 100, 0 },
  { 3289, 3, 100, 0 },
  { 3292, 3, 100, 0 },
  { 3295, 3, 100, 0 },
  { 3298, 3, 100, 0 },
  // 7635: vstore4
  { 1617, 4, 100, 200 },
  { 1621, 4, 100, 200 },
  { 1625, 4, 100, 200 },
  { 1629, 4, 100, 200 },
  { 1633, 4, 100, 200 },
  { 1637, 4, 100, 200 },
  { 1641, 4, 100, 200 },
  { 1645, 4, 100, 200 },
  { 1649, 4, 100, 200 },
  { 1653, 4, 100, 200 },
  { 1657, 4, 100, 200 },
  { 2069, 4, 100, 200 },
  { 2073, 4, 100, 200 },
  { 2077, 4, 100, 200 },
  { 2081, 4, 100, 200 },
  { 2085, 4, 100, 200 },
  { 2089, 4, 100, 200 },
  { 2093, 4, 100, 200 },
  { 2097, 4, 100, 200 },
  { 2101, 4, 100, 200 },
  { 2105, 4, 100, 200 },
  { 2109, 4, 100, 200 },
  { 2509, 4, 100, 200 },
  { 2513, 4, 100, 200 },
  { 2517, 4, 100, 200 },
  { 2521, 4, 100, 200 },
  { 2525, 4, 100, 200 },
  { 2529, 4, 100, 200 },
  { 2533, 4, 100, 200 },
  { 2537, 4, 100, 200 },
  { 2541, 4, 100, 200 },
  { 2545, 4, 100, 200 },
  { 2549, 4, 100, 200 },
  { 2949, 4, 200, 0 },
  { 2953, 4, 200, 0 },
  { 2957, 4, 200, 0 },
  { 2961, 4, 200, 0 },
  { 2965, 4, 200, 0 },
  { 2969, 4, 200, 0 },
  { 2973, 4, 200, 0 },
  { 2977, 4, 200, 0 },
  { 2981, 4, 200, 0 },
  { 2985, 4, 200, 0 },
  { 2989, 4, 200, 0 },
  // 7679: vloada_half4
  { 1661, 3, 100, 200 },
  { 2113, 3, 100, 200 },
  { 2553, 3, 100, 200 },
  { 2993, 3, 200, 0 },
  { 3301, 3, 100, 0 },
  // 7684: vstorea_half4
  { 1664, 4, 100, 200 },
  { 1668, 4, 100, 200 },
  { 2116, 4, 100, 200 },
  { 2120, 4, 100, 200 },
  { 2556, 4, 100, 200 },
  { 2560, 4, 100, 200 },
  { 2996, 4, 200, 0 },
  { 3000, 4, 200, 0 },
  { 3304, 4, 100, 0 },
  { 3308, 4, 100, 0 },
  // 7694: vstorea_half4_rte
  { 1664, 4, 100, 200 },
  { 1668, 4, 100, 200 },
  { 2116, 4, 100, 200 },
  { 2120, 4, 100, 200 },
  { 2556, 4, 100, 200 },
  { 2560, 4, 100, 200 },
  { 2996, 4, 200, 0 },
  { 3000, 4, 200, 0 },
  { 3304, 4, 100, 0 },
  { 3308, 4, 100, 0 },
  // 7704: vstorea_half4_rtz
  { 1664, 4, 100, 200 },
  { 1668, 4, 100, 200 },
  { 2116, 4, 100, 200 },
  { 2120, 4, 100, 200 },
  { 2556, 4, 100, 200 },
  { 2560, 4, 100, 200 },
  { 2996, 4, 200, 0 },
  { 3000, 4, 200, 0 },
  { 3304, 4, 100, 0 },
  { 3308, 4, 100, 0 },
  // 7714: vstorea_half4_rtp
  { 1664, 4, 100, 200 },
  { 1668, 4, 100, 200 },
  { 2116, 4, 100, 200 },
  { 2120, 4, 100, 200 },
  { 2556, 4, 100, 200 },
  { 2560, 4, 100, 200 },
  { 2996, 4, 200, 0 },
  { 3000, 4, 200, 0 },
  { 3304, 4, 100, 0 },
  { 3308, 4, 100, 0 },
  // 7724: vstorea_half4_rtn
  { 1664, 4, 100, 200 },
  { 1668, 4, 100, 200 },
  { 2116, 4, 100, 200 },
  { 2120, 4, 100, 200 },
  { 2556, 4, 100, 200 },
  { 2560, 4, 100, 200 },
  { 2996, 4, 200, 0 },
  { 3000, 4, 200, 0 },
  { 3304, 4, 100, 0 },
  { 3308, 4, 100, 0 },
  // 7734: vload8
  { 1672, 3, 100, 200 },
  { 1675, 3, 100, 200 },
  { 1678, 3, 100, 200 },
  { 1681, 3, 100, 200 },
  { 1684, 3, 100, 200 },
  { 1687, 3, 100, 200 },
  { 1690, 3, 100, 200 },
  { 1693, 3, 100, 200 },
  { 1696, 3, 100, 200 },
  { 1699, 3, 100, 200 },
  { 1702, 3, 100, 200 },
  { 2124, 3, 100, 200 },
  { 2127, 3, 100, 200 },
  { 2130, 3, 100, 200 },
  { 2133, 3, 100, 200 },
  { 2136, 3, 100, 200 },
  { 2139, 3, 100, 200 },
  { 2142, 3, 100, 200 },
  { 2145, 3, 100, 200 },
  { 2148, 3, 100, 200 },
  { 2151, 3, 100, 200 },
  { 2154, 3, 100, 200 },
  { 2564, 3, 100, 200 },
  { 2567, 3, 100, 200 },
  { 2570, 3, 100, 200 },
  { 2573, 3, 100, 200 },
  { 2576, 3, 100, 200 },
  { 2579, 3, 100, 200 },
  { 2582, 3, 100, 200 },
  { 2585, 3, 100, 200 },
  { 2588, 3, 100, 200 },
  { 2591, 3, 100, 200 },
  { 2594, 3, 100, 200 },
  { 3004, 3, 200, 0 },
  { 3007, 3, 200, 0 },
  { 3010, 3, 200, 0 },
  { 3013, 3, 200, 0 },
  { 3016, 3, 200, 0 },
  { 3019, 3, 200, 0 },
  { 3022, 3, 200, 0 },
  { 3025, 3, 200, 0 },
  { 3028, 3, 200, 0 },
  { 3031, 3, 200, 0 },
  { 3034, 3, 200, 0 },
  { 3312, 3, 100, 0 },
  { 3315, 3, 100, 0 },
  { 3318, 3, 100, 0 },
  { 3321, 3, 100, 0 },
  { 3324, 3, 100, 0 },
  { 3327, 3, 100, 0 },
  { 3330, 3, 100, 0 },
  { 3333, 3, 100, 0 },
  { 3336, 3, 100, 0 },
  { 3339, 3, 100, 0 },
  { 3342, 3, 100, 0 },
  // 7789: vstore8
  { 1705, 4, 100, 200 },
  { 1709, 4, 100, 200 },
  { 1713, 4, 100, 200 },
  { 1717, 4, 100, 200 },
  { 1721, 4, 100, 200 },
  { 1725, 4, 100, 200 },
  { 1729, 4, 100, 200 },
  { 1733, 4, 100, 200 },
  { 1737, 4, 100, 200 },
  { 1741, 4, 100, 200 },
  { 1745, 4, 100, 200 },
  { 2157, 4, 100, 200 },
  { 2161, 4, 100, 200 },
  { 2165, 4, 100, 200 },
  { 2169, 4, 100, 200 },
  { 2173, 4, 100, 200 },
  { 2177, 4, 100, 200 },
  { 2181, 4, 100, 200 },
  { 2185, 4, 100, 200 },
  { 2189, 4, 100, 200 },
  { 2193, 4, 100, 200 },
  { 2197, 4, 100, 200 },
  { 2597, 4, 100, 200 },
  { 2601, 4, 100, 200 },
  { 2605, 4, 100, 200 },
  { 2609, 4, 100, 200 },
  { 2613, 4, 100, 200 },
  { 2617, 4, 100, 200 },
  { 2621, 4, 100, 200 },
  { 2625, 4, 100, 200 },
  { 2629, 4, 100, 200 },
  { 2633, 4, 100, 200 },
  { 2637, 4, 100, 200 },
  { 3037, 4, 200, 0 },
  { 3041, 4, 200, 0 },
  { 3045, 4, 200, 0 },
  { 3049, 4, 200, 0 },
  { 3053, 4, 200, 0 },
  { 3057, 4, 200, 0 },
  { 3061, 4, 200, 0 },
  { 3065, 4, 200, 0 },
  { 3069, 4, 200, 0 },
  { 3073, 4, 200, 0 },
  { 3077, 4, 200, 0 },
  // 7833: vloada_half8
  { 1749, 3, 100, 200 },
  { 2201, 3, 100, 200 },
  { 2641, 3, 100, 200 },
  { 3081, 3, 200, 0 },
  { 3345, 3, 100, 0 },
  // 7838: vstorea_half8
  { 1752, 4, 100, 200 },
  { 1756, 4, 100, 200 },
  { 2204, 4, 100, 200 },
  { 2208, 4, 100, 200 },
  { 2644, 4, 100, 200 },
  { 2648, 4, 100, 200 },
  { 3084, 4, 200, 0 },
  { 3088, 4, 200, 0 },
  { 3348, 4, 100, 0 },
  { 3352, 4, 100, 0 },
  // 7848: vstorea_half8_rte
  { 1752, 4, 100, 200 },
  { 1756, 4, 100, 200 },
  { 2204, 4, 100, 200 },
  { 2208, 4, 100, 200 },
  { 2644, 4, 100, 200 },
  { 2648, 4, 100, 200 },
  { 3084, 4, 200, 0 },
  { 3088, 4, 200, 0 },
  { 3348, 4, 100, 0 },
  { 3352, 4, 100, 0 },
  // 7858: vstorea_half8_rtz
  { 1752, 4, 100, 200 },
  { 1756, 4, 100, 200 },
  { 2204, 4, 100, 200 },
  { 2208, 4, 100, 200 },
  { 2644, 4, 100, 200 },
  { 2648, 4, 100, 200 },
  { 3084, 4, 200, 0 },
  { 3088, 4, 200, 0 },
  { 3348, 4, 100, 0 },
  { 3352, 4, 100, 0 },
  // 7868: vstorea_half8_rtp
  { 1752, 4, 100, 200 },
  { 1756, 4, 100, 200 },
  { 2204, 4, 100, 200 },
  { 2208, 4, 100, 200 },
  { 2644, 4, 100, 200 },
  { 2648, 4, 100, 200 },
  { 3084, 4, 200, 0 },
  { 3088, 4, 200, 0 },
  { 3348, 4, 100, 0 },
  { 3352, 4, 100, 0 },
  // 7878: vstorea_half8_rtn
  { 1752, 4, 100, 200 },
  { 1756, 4, 100, 200 },
  { 2204, 4, 100, 200 },
  { 2208, 4, 100, 200 },
  { 2644, 4, 100, 200 },
  { 2648, 4, 100, 200 },
  { 3084, 4, 200, 0 },
  { 3088, 4, 200, 0 },
  { 3348, 4, 100, 0 },
  { 3352, 4, 100, 0 },
  // 7888: vload16
  { 1760, 3, 100, 200 },
  { 1763, 3, 100, 200 },
  { 1766, 3, 100, 200 },
  { 1769, 3, 100, 200 },
  { 1772, 3, 100, 200 },
  { 1775, 3, 100, 200 },
  { 1778, 3, 100, 200 },
  { 1781, 3, 100, 200 },
  { 1784, 3, 100, 200 },
  { 1787, 3, 100, 200 },
  { 1790, 3, 100, 200 },
  { 2212, 3, 100, 200 },
  { 2215, 3, 100, 200 },
  { 2218, 3, 100, 200 },
  { 2221, 3, 100, 200 },
  { 2224, 3, 100, 200 },
  { 2227, 3, 100, 200 },
  { 2230, 3, 100, 200 },
  { 2233, 3, 100, 200 },
  { 2236, 3, 100, 200 },
  { 2239, 3, 100, 200 },
  { 2242, 3, 100, 200 },
  { 2652, 3, 100, 200 },
  { 2655, 3, 100, 200 },
  { 2658, 3, 100, 200 },
  { 2661, 3, 100, 200 },
  { 2664, 3, 100, 200 },
  { 2667, 3, 100, 200 },
  { 2670, 3, 100, 200 },
  { 2673, 3, 100, 200 },
  { 2676, 3, 100, 200 },
  { 2679, 3, 100, 200 },
  { 2682, 3, 100, 200 },
  { 3092, 3, 200, 0 },
  { 3095, 3, 200, 0 },
  { 3098, 3, 200, 0 },
  { 3101, 3, 200, 0 },
  { 3104, 3, 200, 0 },
  { 3107, 3, 200, 0 },
  { 3110, 3, 200, 0 },
  { 3113, 3, 200, 0 },
  { 3116, 3, 200, 0 },
  { 3119, 3, 200, 0 },
  { 3122, 3, 200, 0 },
  { 3358, 3, 100, 0 },
  { 3361, 3, 100, 0 },
  { 3366, 3, 100, 0 },
  { 3369, 3, 100, 0 },
  { 3372, 3, 100, 0 },
  { 3375, 3, 100, 0 },
  { 3378, 3, 100, 0 },
  { 3381, 3, 100, 0 },
  { 3384, 3, 100, 0 },
  { 3387, 3, 100, 0 },
  { 3390, 3, 100, 0 },
  // 7943: vstore16
  { 1793, 4, 100, 200 },
  { 1797, 4, 100, 200 },
  { 1801, 4, 100, 200 },
  { 1805, 4, 100, 200 },
  { 1809, 4, 100, 200 },
  { 1813, 4, 100, 200 },
  { 1817, 4, 100, 200 },
  { 1821, 4, 100, 200 },
  { 1825, 4, 100, 200 },
  { 1829, 4, 100, 200 },
  { 1833, 4, 100, 200 },
  { 2245, 4, 100, 200 },
  { 2249, 4, 100, 200 },
  { 2253, 4, 100, 200 },
  { 2257, 4, 100, 200 },
  { 2261, 4, 100, 200 },
  { 2265, 4, 100, 200 },
  { 2269, 4, 100, 200 },
  { 2273, 4, 100, 200 },
  { 2277, 4, 100, 200 },
  { 2281, 4, 100, 200 },
  { 2285, 4, 100, 200 },
  { 2685, 4, 100, 200 },
  { 2689, 4, 100, 200 },
  { 2693, 4, 100, 200 },
  { 2697, 4, 100, 200 },
  { 2701, 4, 100, 200 },
  { 2705, 4, 100, 200 },
  { 2709, 4, 100, 200 },
  { 2713, 4, 100, 200 },
  { 2717, 4, 100, 200 },
  { 2721, 4, 100, 200 },
  { 2725, 4, 100, 200 },
  { 3125, 4, 200, 0 },
  { 3129, 4, 200, 0 },
  { 3133, 4, 200, 0 },
  { 3137, 4, 200, 0 },
  { 3141, 4, 200, 0 },
  { 3145, 4, 200, 0 },
  { 3149, 4, 200, 0 },
  { 3153, 4, 200, 0 },
  { 3157, 4, 200, 0 },
  { 3161, 4, 200, 0 },
  { 3165, 4, 200, 0 },
  // 7987: vloada_half16
  { 1837, 3, 100, 200 },
  { 2289, 3, 100, 200 },
  { 2729, 3, 100, 200 },
  { 3169, 3, 200, 0 },
  { 3393, 3, 100, 0 },
  // 7992: vstorea_half16
  { 1840, 4, 100, 200 },
  { 1844, 4, 100, 200 },
  { 2292, 4, 100, 200 },
  { 2296, 4, 100, 200 },
  { 2732, 4, 100, 200 },
  { 2736, 4, 100, 200 },
  { 3172, 4, 200, 0 },
  { 3176, 4, 200, 0 },
  { 3398, 4, 100, 0 },
  { 3402, 4, 100, 0 },
  // 8002: vstorea_half16_rte
  { 1840, 4, 100, 200 },
  { 1844, 4, 100, 200 },
  { 2292, 4, 100, 200 },
  { 2296, 4, 100, 200 },
  { 2732, 4, 100, 200 },
  { 2736, 4, 100, 200 },
  { 3172, 4, 200, 0 },
  { 3176, 4, 200, 0 },
  { 3398, 4, 100, 0 },
  { 3402, 4, 100, 0 },
  // 8012: vstorea_half16_rtz
  { 1840, 4, 100, 200 },
  { 1844, 4, 100, 200 },
  { 2292, 4, 100, 200 },
  { 2296, 4, 100, 200 },
  { 2732, 4, 100, 200 },
  { 2736, 4, 100, 200 },
  { 3172, 4, 200, 0 },
  { 3176, 4, 200, 0 },
  { 3398, 4, 100, 0 },
  { 3402, 4, 100, 0 },
  // 8022: vstorea_half16_rtp
  { 1840, 4, 100, 200 },
  { 1844, 4, 100, 200 },
  { 2292, 4, 100, 200 },
  { 2296, 4, 100, 200 },
  { 2732, 4, 100, 200 },
  { 2736, 4, 100, 200 },
  { 3172, 4, 200, 0 },
  { 3176, 4, 200, 0 },
  { 3398, 4, 100, 0 },
  { 3402, 4, 100, 0 },
  // 8032: vstorea_half16_rtn
  { 1840, 4, 100, 200 },
  { 1844, 4, 100, 200 },
  { 2292, 4, 100, 200 },
  { 2296, 4, 100, 200 },
  { 2732, 4, 100, 200 },
  { 2736, 4, 100, 200 },
  { 3172, 4, 200, 0 },
  { 3176, 4, 200, 0 },
  { 3398, 4, 100, 0 },
  { 3402, 4, 100, 0 },
  // 8042: async_work_group_copy
  { 3408, 5, 100, 0 },
  { 3413, 5, 100, 0 },
  // 8044: async_work_group_strided_copy
  { 3418, 6, 100, 0 },
  { 3424, 6, 100, 0 },
  // 8046: wait_group_events
  { 3430, 3, 100, 0 },
  // 8047: prefetch
  { 3435, 3, 100, 0 },
  // 8048: atom_add
  { 3438, 3, 100, 0 },
  { 3449, 3, 100, 0 },
  // 8050: atom_inc
  { 3441, 2, 100, 0 },
  { 3452, 2, 100, 0 },
  // 8052: atom_cmpxchg
  { 3443, 4, 100, 0 },
  { 3454, 4, 100, 0 },
  // 8054: atom_sub
  { 3438, 3, 100, 0 },
  { 3449, 3, 100, 0 },
  // 8056: atom_xchg
  { 3438, 3, 100, 0 },
  { 3449, 3, 100, 0 },
  // 8058: atom_dec
  { 3441, 2, 100, 0 },
  { 3452, 2, 100, 0 },
  // 8060: acos
  { 3458, 2, 100, 0 },
  // 8061: acosh
  { 3458, 2, 100, 0 },
  // 8062: acospi
  { 3458, 2, 100, 0 },
  // 8063: asin
  { 3458, 2, 100, 0 },
  // 8064: asinh
  { 3458, 2, 100, 0 },
  // 8065: asinpi
  { 3458, 2, 100, 0 },
  // 8066: atan
  { 3458, 2, 100, 0 },
  // 8067: atanh
  { 3458, 2, 100, 0 },
  // 8068: atanpi
  { 3458, 2, 100, 0 },
  // 8069: atan2
  { 3460, 3, 100, 0 },
  // 8070: atan2pi
  { 3460, 3, 100, 0 },
  // 8071: fmax
  { 3460, 3, 100, 0 },
  { 3463, 3, 100, 0 },
  { 3466, 3, 100, 0 },
  { 3469, 3, 100, 0 },
  // 8075: fmin
  { 3460, 3, 100, 0 },
  { 3463, 3, 100, 0 },
  { 3466, 3, 100, 0 },
  { 3469, 3, 100, 0 },
  // 8079: max
  { 3472, 3, 100, 0 },
  { 3475, 3, 100, 0 },
  // 8081: min
  { 3472, 3, 100, 0 },
  { 3475, 3, 100, 0 },
  // 8083: read_imagef
  { 3478, 4, 100, 0 },
  { 3490, 4, 100, 0 },
  { 3502, 4, 100, 0 },
  { 3514, 4, 100, 0 },
  { 3526, 4, 100, 0 },
  { 3538, 4, 100, 0 },
  { 3550, 4, 100, 0 },
  { 3562, 4, 100, 0 },
  { 3574, 4, 100, 0 },
  { 3586, 4, 100, 0 },
  { 3598, 4, 100, 0 },
  { 3602, 4, 100, 0 },
  { 3606, 4, 100, 0 },
  { 3610, 4, 100, 0 },
  { 3614, 3, 100, 0 },
  { 3623, 3, 100, 0 },
  { 3632, 3, 100, 0 },
  { 3641, 3, 100, 0 },
  { 3644, 3, 100, 0 },
  { 3647, 3, 100, 0 },
  { 3656, 3, 100, 0 },
  { 3665, 3, 100, 0 },
  { 3674, 3, 100, 0 },
  { 3683, 3, 100, 0 },
  { 3692, 3, 100, 0 },
  { 3701, 3, 100, 0 },
  { 3710, 3, 100, 0 },
  { 3719, 3, 100, 0 },
  { 3728, 3, 100, 0 },
  { 3731, 3, 100, 0 },
  // 8113: read_imagei
  { 3482, 4, 100, 0 },
  { 3494, 4, 100, 0 },
  { 3506, 4, 100, 0 },
  { 3518, 4, 100, 0 },
  { 3530, 4, 100, 0 },
  { 3542, 4, 100, 0 },
  { 3554, 4, 100, 0 },
  { 3566, 4, 100, 0 },
  { 3578, 4, 100, 0 },
  { 3590, 4, 100, 0 },
  { 3617, 3, 100, 0 },
  { 3626, 3, 100, 0 },
  { 3635, 3, 100, 0 },
  { 3650, 3, 100, 0 },
  { 3659, 3, 100, 0 },
  { 3668, 3, 100, 0 },
  { 3677, 3, 100, 0 },
  { 3686, 3, 100, 0 },
  { 3695, 3, 100, 0 },
  { 3704, 3, 100, 0 },
  { 3713, 3, 100, 0 },
  { 3722, 3, 100, 0 },
  // 8135: read_imageui
  { 3486, 4, 100, 0 },
  { 3498, 4, 100, 0 },
  { 3510, 4, 100, 0 },
  { 3522, 4, 100, 0 },
  { 3534, 4, 100, 0 },
  { 3546, 4, 100, 0 },
  { 3558, 4, 100, 0 },
  { 3570, 4, 100, 0 },
  { 3582, 4, 100, 0 },
  { 3594, 4, 100, 0 },
  { 3620, 3, 100, 0 },
  { 3629, 3, 100, 0 },
  { 3638, 3, 100, 0 },
  { 3653, 3, 100, 0 },
  { 3662, 3, 100, 0 },
  { 3671, 3, 100, 0 },
  { 3680, 3, 100, 0 },
  { 3689, 3, 100, 0 },
  { 3698, 3, 100, 0 },
  { 3707, 3, 100, 0 },
  { 3716, 3, 100, 0 },
  { 3725, 3, 100, 0 },
  // 8157: write_imagef
  { 3734, 4, 100, 0 },
  { 3746, 4, 100, 0 },
  { 3758, 4, 100, 0 },
  { 3770, 4, 100, 0 },
  { 3782, 4, 100, 0 },
  { 3794, 4, 100, 0 },
  { 3798, 4, 100, 0 },
  { 3802, 4, 100, 0 },
  { 3814, 4, 100, 0 },
  { 3826, 4, 100, 0 },
  { 3838, 4, 100, 0 },
  { 3850, 4, 100, 0 },
  { 3862, 4, 100, 0 },
  { 3874, 4, 100, 0 },
  { 3886, 4, 100, 0 },
  { 3890, 4, 100, 0 },
  // 8173: write_imagei
  { 3738, 4, 100, 0 },
  { 3750, 4, 100, 0 },
  { 3762, 4, 100, 0 },
  { 3774, 4, 100, 0 },
  { 3786, 4, 100, 0 },
  { 3806, 4, 100, 0 },
  { 3818, 4, 100, 0 },
  { 3830, 4, 100, 0 },
  { 3842, 4, 100, 0 },
  { 3854, 4, 100, 0 },
  { 3866, 4, 100, 0 },
  { 3878, 4, 100, 0 },
  // 8185: write_imageui
  { 3742, 4, 100, 0 },
  { 3754, 4, 100, 0 },
  { 3766, 4, 100, 0 },
  { 3778, 4, 100, 0 },
  { 3790, 4, 100, 0 },
  { 3810, 4, 100, 0 },
  { 3822, 4, 100, 0 },
  { 3834, 4, 100, 0 },
  { 3846, 4, 100, 0 },
  { 3858, 4, 100, 0 },
  { 3870, 4, 100, 0 },
  { 3882, 4, 100, 0 },
  // 8197: read_imageh
  { 3894, 4, 100, 0 },
  { 3898, 4, 100, 0 },
  { 3902, 4, 100, 0 },
  { 3906, 4, 100, 0 },
  { 3910, 4, 100, 0 },
  { 3914, 4, 100, 0 },
  { 3918, 4, 100, 0 },
  { 3922, 4, 100, 0 },
  { 3926, 4, 100, 0 },
  { 3930, 4, 100, 0 },
  { 3934, 3, 100, 0 },
  { 3937, 3, 100, 0 },
  { 3940, 3, 100, 0 },
  { 3943, 3, 100, 0 },
  { 3946, 3, 100, 0 },
  { 3949, 3, 100, 0 },
  { 3952, 3, 100, 0 },
  { 3955, 3, 100, 0 },
  { 3958, 3, 100, 0 },
  { 3961, 3, 100, 0 },
  { 3964, 3, 100, 0 },
  { 3967, 3, 100, 0 },
  // 8219: write_imageh
  { 3970, 4, 100, 0 },
  { 3974, 4, 100, 0 },
  { 3978, 4, 100, 0 },
  { 3982, 4, 100, 0 },
  { 3986, 4, 100, 0 },
  { 3990, 4, 100, 0 },
  { 3994, 4, 100, 0 },
  { 3998, 4, 100, 0 },
  { 4002, 4, 100, 0 },
  { 4006, 4, 100, 0 },
  { 4010, 4, 100, 0 },
  { 4014, 4, 100, 0 },
  // 8231: get_max_sub_group_size
  { 1404, 1, 200, 0 },
  // 8232: get_num_sub_groups
  { 1404, 1, 200, 0 },
  // 8233: get_sub_group_size
  { 1404, 1, 200, 0 },
};


// Find out whether a string matches an existing OpenCL builtin function name.
// Returns: A pair <0, 0> if no name matches.
//          A pair <Index, Len> indexing the BuiltinTable if the name is
//          matching an OpenCL builtin function.
static std::pair<unsigned, unsigned> isOpenCLBuiltin(llvm::StringRef Name) {

  switch (Name.size()) {
  default: break;
  case 3:	 // 2 strings to match.
    if (Name[0] != 'm')
      break;
    switch (Name[1]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (Name[2] != 'x')
        break;
      return std::make_pair(8079, 2);	 // "max"
    case 'i':	 // 1 string to match.
      if (Name[2] != 'n')
        break;
      return std::make_pair(8081, 2);	 // "min"
    }
    break;
  case 4:	 // 5 strings to match.
    switch (Name[0]) {
    default: break;
    case 'a':	 // 3 strings to match.
      switch (Name[1]) {
      default: break;
      case 'c':	 // 1 string to match.
        if (memcmp(Name.data()+2, "os", 2) != 0)
          break;
        return std::make_pair(8060, 1);	 // "acos"
      case 's':	 // 1 string to match.
        if (memcmp(Name.data()+2, "in", 2) != 0)
          break;
        return std::make_pair(8063, 1);	 // "asin"
      case 't':	 // 1 string to match.
        if (memcmp(Name.data()+2, "an", 2) != 0)
          break;
        return std::make_pair(8066, 1);	 // "atan"
      }
      break;
    case 'f':	 // 2 strings to match.
      if (Name[1] != 'm')
        break;
      switch (Name[2]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (Name[3] != 'x')
          break;
        return std::make_pair(8071, 4);	 // "fmax"
      case 'i':	 // 1 string to match.
        if (Name[3] != 'n')
          break;
        return std::make_pair(8075, 4);	 // "fmin"
      }
      break;
    }
    break;
  case 5:	 // 4 strings to match.
    if (Name[0] != 'a')
      break;
    switch (Name[1]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(Name.data()+2, "osh", 3) != 0)
        break;
      return std::make_pair(8061, 1);	 // "acosh"
    case 's':	 // 1 string to match.
      if (memcmp(Name.data()+2, "inh", 3) != 0)
        break;
      return std::make_pair(8064, 1);	 // "asinh"
    case 't':	 // 2 strings to match.
      if (memcmp(Name.data()+2, "an", 2) != 0)
        break;
      switch (Name[4]) {
      default: break;
      case '2':	 // 1 string to match.
        return std::make_pair(8069, 1);	 // "atan2"
      case 'h':	 // 1 string to match.
        return std::make_pair(8067, 1);	 // "atanh"
      }
      break;
    }
    break;
  case 6:	 // 7 strings to match.
    switch (Name[0]) {
    default: break;
    case 'a':	 // 3 strings to match.
      switch (Name[1]) {
      default: break;
      case 'c':	 // 1 string to match.
        if (memcmp(Name.data()+2, "ospi", 4) != 0)
          break;
        return std::make_pair(8062, 1);	 // "acospi"
      case 's':	 // 1 string to match.
        if (memcmp(Name.data()+2, "inpi", 4) != 0)
          break;
        return std::make_pair(8065, 1);	 // "asinpi"
      case 't':	 // 1 string to match.
        if (memcmp(Name.data()+2, "anpi", 4) != 0)
          break;
        return std::make_pair(8068, 1);	 // "atanpi"
      }
      break;
    case 'v':	 // 4 strings to match.
      if (memcmp(Name.data()+1, "load", 4) != 0)
        break;
      switch (Name[5]) {
      default: break;
      case '2':	 // 1 string to match.
        return std::make_pair(7272, 55);	 // "vload2"
      case '3':	 // 1 string to match.
        return std::make_pair(7426, 55);	 // "vload3"
      case '4':	 // 1 string to match.
        return std::make_pair(7580, 55);	 // "vload4"
      case '8':	 // 1 string to match.
        return std::make_pair(7734, 55);	 // "vload8"
      }
      break;
    }
    break;
  case 7:	 // 6 strings to match.
    switch (Name[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(Name.data()+1, "tan2pi", 6) != 0)
        break;
      return std::make_pair(8070, 1);	 // "atan2pi"
    case 'v':	 // 5 strings to match.
      switch (Name[1]) {
      default: break;
      case 'l':	 // 1 string to match.
        if (memcmp(Name.data()+2, "oad16", 5) != 0)
          break;
        return std::make_pair(7888, 55);	 // "vload16"
      case 's':	 // 4 strings to match.
        if (memcmp(Name.data()+2, "tore", 4) != 0)
          break;
        switch (Name[6]) {
        default: break;
        case '2':	 // 1 string to match.
          return std::make_pair(7327, 44);	 // "vstore2"
        case '3':	 // 1 string to match.
          return std::make_pair(7481, 44);	 // "vstore3"
        case '4':	 // 1 string to match.
          return std::make_pair(7635, 44);	 // "vstore4"
        case '8':	 // 1 string to match.
          return std::make_pair(7789, 44);	 // "vstore8"
        }
        break;
      }
      break;
    }
    break;
  case 8:	 // 6 strings to match.
    switch (Name[0]) {
    default: break;
    case 'a':	 // 4 strings to match.
      if (memcmp(Name.data()+1, "tom_", 4) != 0)
        break;
      switch (Name[5]) {
      default: break;
      case 'a':	 // 1 string to match.
        if (memcmp(Name.data()+6, "dd", 2) != 0)
          break;
        return std::make_pair(8048, 2);	 // "atom_add"
      case 'd':	 // 1 string to match.
        if (memcmp(Name.data()+6, "ec", 2) != 0)
          break;
        return std::make_pair(8058, 2);	 // "atom_dec"
      case 'i':	 // 1 string to match.
        if (memcmp(Name.data()+6, "nc", 2) != 0)
          break;
        return std::make_pair(8050, 2);	 // "atom_inc"
      case 's':	 // 1 string to match.
        if (memcmp(Name.data()+6, "ub", 2) != 0)
          break;
        return std::make_pair(8054, 2);	 // "atom_sub"
      }
      break;
    case 'p':	 // 1 string to match.
      if (memcmp(Name.data()+1, "refetch", 7) != 0)
        break;
      return std::make_pair(8047, 1);	 // "prefetch"
    case 'v':	 // 1 string to match.
      if (memcmp(Name.data()+1, "store16", 7) != 0)
        break;
      return std::make_pair(7943, 44);	 // "vstore16"
    }
    break;
  case 9:	 // 1 string to match.
    if (memcmp(Name.data()+0, "atom_xchg", 9) != 0)
      break;
    return std::make_pair(8056, 2);	 // "atom_xchg"
  case 11:	 // 4 strings to match.
    switch (Name[0]) {
    default: break;
    case 'c':	 // 1 string to match.
      if (memcmp(Name.data()+1, "onvert_int", 10) != 0)
        break;
      return std::make_pair(4621, 11);	 // "convert_int"
    case 'r':	 // 3 strings to match.
      if (memcmp(Name.data()+1, "ead_image", 9) != 0)
        break;
      switch (Name[10]) {
      default: break;
      case 'f':	 // 1 string to match.
        return std::make_pair(8083, 30);	 // "read_imagef"
      case 'h':	 // 1 string to match.
        return std::make_pair(8197, 22);	 // "read_imageh"
      case 'i':	 // 1 string to match.
        return std::make_pair(8113, 22);	 // "read_imagei"
      }
      break;
    }
    break;
  case 12:	 // 20 strings to match.
    switch (Name[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(Name.data()+1, "tom_cmpxchg", 11) != 0)
        break;
      return std::make_pair(8052, 2);	 // "atom_cmpxchg"
    case 'c':	 // 8 strings to match.
      if (memcmp(Name.data()+1, "onvert_", 7) != 0)
        break;
      switch (Name[8]) {
      default: break;
      case 'c':	 // 1 string to match.
        if (memcmp(Name.data()+9, "har", 3) != 0)
          break;
        return std::make_pair(1981, 11);	 // "convert_char"
      case 'h':	 // 1 string to match.
        if (memcmp(Name.data()+9, "alf", 3) != 0)
          break;
        return std::make_pair(1068, 11);	 // "convert_half"
      case 'i':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "nt", 2) != 0)
          break;
        switch (Name[11]) {
        default: break;
        case '2':	 // 1 string to match.
          return std::make_pair(4632, 11);	 // "convert_int2"
        case '3':	 // 1 string to match.
          return std::make_pair(4643, 11);	 // "convert_int3"
        case '4':	 // 1 string to match.
          return std::make_pair(4654, 11);	 // "convert_int4"
        case '8':	 // 1 string to match.
          return std::make_pair(4665, 11);	 // "convert_int8"
        }
        break;
      case 'l':	 // 1 string to match.
        if (memcmp(Name.data()+9, "ong", 3) != 0)
          break;
        return std::make_pair(5941, 11);	 // "convert_long"
      case 'u':	 // 1 string to match.
        if (memcmp(Name.data()+9, "int", 3) != 0)
          break;
        return std::make_pair(5281, 11);	 // "convert_uint"
      }
      break;
    case 'g':	 // 3 strings to match.
      if (memcmp(Name.data()+1, "et_", 3) != 0)
        break;
      switch (Name[4]) {
      default: break;
      case 'g':	 // 1 string to match.
        if (memcmp(Name.data()+5, "roup_id", 7) != 0)
          break;
        return std::make_pair(7267, 1);	 // "get_group_id"
      case 'l':	 // 1 string to match.
        if (memcmp(Name.data()+5, "ocal_id", 7) != 0)
          break;
        return std::make_pair(7265, 1);	 // "get_local_id"
      case 'w':	 // 1 string to match.
        if (memcmp(Name.data()+5, "ork_dim", 7) != 0)
          break;
        return std::make_pair(7261, 1);	 // "get_work_dim"
      }
      break;
    case 'r':	 // 1 string to match.
      if (memcmp(Name.data()+1, "ead_imageui", 11) != 0)
        break;
      return std::make_pair(8135, 22);	 // "read_imageui"
    case 'v':	 // 4 strings to match.
      if (memcmp(Name.data()+1, "loada_half", 10) != 0)
        break;
      switch (Name[11]) {
      default: break;
      case '2':	 // 1 string to match.
        return std::make_pair(7371, 5);	 // "vloada_half2"
      case '3':	 // 1 string to match.
        return std::make_pair(7525, 5);	 // "vloada_half3"
      case '4':	 // 1 string to match.
        return std::make_pair(7679, 5);	 // "vloada_half4"
      case '8':	 // 1 string to match.
        return std::make_pair(7833, 5);	 // "vloada_half8"
      }
      break;
    case 'w':	 // 3 strings to match.
      if (memcmp(Name.data()+1, "rite_image", 10) != 0)
        break;
      switch (Name[11]) {
      default: break;
      case 'f':	 // 1 string to match.
        return std::make_pair(8157, 16);	 // "write_imagef"
      case 'h':	 // 1 string to match.
        return std::make_pair(8219, 12);	 // "write_imageh"
      case 'i':	 // 1 string to match.
        return std::make_pair(8173, 12);	 // "write_imagei"
      }
      break;
    }
    break;
  case 13:	 // 28 strings to match.
    switch (Name[0]) {
    default: break;
    case 'c':	 // 21 strings to match.
      if (memcmp(Name.data()+1, "onvert_", 7) != 0)
        break;
      switch (Name[8]) {
      default: break;
      case 'c':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "har", 3) != 0)
          break;
        switch (Name[12]) {
        default: break;
        case '2':	 // 1 string to match.
          return std::make_pair(1992, 11);	 // "convert_char2"
        case '3':	 // 1 string to match.
          return std::make_pair(2003, 11);	 // "convert_char3"
        case '4':	 // 1 string to match.
          return std::make_pair(2014, 11);	 // "convert_char4"
        case '8':	 // 1 string to match.
          return std::make_pair(2025, 11);	 // "convert_char8"
        }
        break;
      case 'f':	 // 1 string to match.
        if (memcmp(Name.data()+9, "loat", 4) != 0)
          break;
        return std::make_pair(749, 11);	 // "convert_float"
      case 'h':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "alf", 3) != 0)
          break;
        switch (Name[12]) {
        default: break;
        case '2':	 // 1 string to match.
          return std::make_pair(1079, 11);	 // "convert_half2"
        case '3':	 // 1 string to match.
          return std::make_pair(1101, 11);	 // "convert_half3"
        case '4':	 // 1 string to match.
          return std::make_pair(1112, 11);	 // "convert_half4"
        case '8':	 // 1 string to match.
          return std::make_pair(1123, 11);	 // "convert_half8"
        }
        break;
      case 'i':	 // 1 string to match.
        if (memcmp(Name.data()+9, "nt16", 4) != 0)
          break;
        return std::make_pair(4676, 11);	 // "convert_int16"
      case 'l':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "ong", 3) != 0)
          break;
        switch (Name[12]) {
        default: break;
        case '2':	 // 1 string to match.
          return std::make_pair(5952, 11);	 // "convert_long2"
        case '3':	 // 1 string to match.
          return std::make_pair(5963, 11);	 // "convert_long3"
        case '4':	 // 1 string to match.
          return std::make_pair(5974, 11);	 // "convert_long4"
        case '8':	 // 1 string to match.
          return std::make_pair(5985, 11);	 // "convert_long8"
        }
        break;
      case 's':	 // 1 string to match.
        if (memcmp(Name.data()+9, "hort", 4) != 0)
          break;
        return std::make_pair(3301, 11);	 // "convert_short"
      case 'u':	 // 6 strings to match.
        switch (Name[9]) {
        default: break;
        case 'c':	 // 1 string to match.
          if (memcmp(Name.data()+10, "har", 3) != 0)
            break;
          return std::make_pair(2641, 11);	 // "convert_uchar"
        case 'i':	 // 4 strings to match.
          if (memcmp(Name.data()+10, "nt", 2) != 0)
            break;
          switch (Name[12]) {
          default: break;
          case '2':	 // 1 string to match.
            return std::make_pair(5292, 11);	 // "convert_uint2"
          case '3':	 // 1 string to match.
            return std::make_pair(5303, 11);	 // "convert_uint3"
          case '4':	 // 1 string to match.
            return std::make_pair(5314, 11);	 // "convert_uint4"
          case '8':	 // 1 string to match.
            return std::make_pair(5325, 11);	 // "convert_uint8"
          }
          break;
        case 'l':	 // 1 string to match.
          if (memcmp(Name.data()+10, "ong", 3) != 0)
            break;
          return std::make_pair(6601, 11);	 // "convert_ulong"
        }
        break;
      }
      break;
    case 'g':	 // 1 string to match.
      if (memcmp(Name.data()+1, "et_global_id", 12) != 0)
        break;
      return std::make_pair(7263, 1);	 // "get_global_id"
    case 'v':	 // 5 strings to match.
      switch (Name[1]) {
      default: break;
      case 'l':	 // 1 string to match.
        if (memcmp(Name.data()+2, "oada_half16", 11) != 0)
          break;
        return std::make_pair(7987, 5);	 // "vloada_half16"
      case 's':	 // 4 strings to match.
        if (memcmp(Name.data()+2, "torea_half", 10) != 0)
          break;
        switch (Name[12]) {
        default: break;
        case '2':	 // 1 string to match.
          return std::make_pair(7376, 10);	 // "vstorea_half2"
        case '3':	 // 1 string to match.
          return std::make_pair(7530, 10);	 // "vstorea_half3"
        case '4':	 // 1 string to match.
          return std::make_pair(7684, 10);	 // "vstorea_half4"
        case '8':	 // 1 string to match.
          return std::make_pair(7838, 10);	 // "vstorea_half8"
        }
        break;
      }
      break;
    case 'w':	 // 1 string to match.
      if (memcmp(Name.data()+1, "rite_imageui", 12) != 0)
        break;
      return std::make_pair(8185, 12);	 // "write_imageui"
    }
    break;
  case 14:	 // 25 strings to match.
    switch (Name[0]) {
    default: break;
    case 'c':	 // 22 strings to match.
      if (memcmp(Name.data()+1, "onvert_", 7) != 0)
        break;
      switch (Name[8]) {
      default: break;
      case 'c':	 // 1 string to match.
        if (memcmp(Name.data()+9, "har16", 5) != 0)
          break;
        return std::make_pair(2036, 11);	 // "convert_char16"
      case 'd':	 // 1 string to match.
        if (memcmp(Name.data()+9, "ouble", 5) != 0)
          break;
        return std::make_pair(705, 11);	 // "convert_double"
      case 'f':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "loat", 4) != 0)
          break;
        switch (Name[13]) {
        default: break;
        case '2':	 // 1 string to match.
          return std::make_pair(760, 11);	 // "convert_float2"
        case '3':	 // 1 string to match.
          return std::make_pair(771, 11);	 // "convert_float3"
        case '4':	 // 1 string to match.
          return std::make_pair(782, 11);	 // "convert_float4"
        case '8':	 // 1 string to match.
          return std::make_pair(793, 11);	 // "convert_float8"
        }
        break;
      case 'h':	 // 1 string to match.
        if (memcmp(Name.data()+9, "alf16", 5) != 0)
          break;
        return std::make_pair(1134, 11);	 // "convert_half16"
      case 'l':	 // 1 string to match.
        if (memcmp(Name.data()+9, "ong16", 5) != 0)
          break;
        return std::make_pair(5996, 11);	 // "convert_long16"
      case 's':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "hort", 4) != 0)
          break;
        switch (Name[13]) {
        default: break;
        case '2':	 // 1 string to match.
          return std::make_pair(3312, 11);	 // "convert_short2"
        case '3':	 // 1 string to match.
          return std::make_pair(3323, 11);	 // "convert_short3"
        case '4':	 // 1 string to match.
          return std::make_pair(3334, 11);	 // "convert_short4"
        case '8':	 // 1 string to match.
          return std::make_pair(3345, 11);	 // "convert_short8"
        }
        break;
      case 'u':	 // 10 strings to match.
        switch (Name[9]) {
        default: break;
        case 'c':	 // 4 strings to match.
          if (memcmp(Name.data()+10, "har", 3) != 0)
            break;
          switch (Name[13]) {
          default: break;
          case '2':	 // 1 string to match.
            return std::make_pair(2652, 11);	 // "convert_uchar2"
          case '3':	 // 1 string to match.
            return std::make_pair(2663, 11);	 // "convert_uchar3"
          case '4':	 // 1 string to match.
            return std::make_pair(2674, 11);	 // "convert_uchar4"
          case '8':	 // 1 string to match.
            return std::make_pair(2685, 11);	 // "convert_uchar8"
          }
          break;
        case 'i':	 // 1 string to match.
          if (memcmp(Name.data()+10, "nt16", 4) != 0)
            break;
          return std::make_pair(5336, 11);	 // "convert_uint16"
        case 'l':	 // 4 strings to match.
          if (memcmp(Name.data()+10, "ong", 3) != 0)
            break;
          switch (Name[13]) {
          default: break;
          case '2':	 // 1 string to match.
            return std::make_pair(6612, 11);	 // "convert_ulong2"
          case '3':	 // 1 string to match.
            return std::make_pair(6623, 11);	 // "convert_ulong3"
          case '4':	 // 1 string to match.
            return std::make_pair(6634, 11);	 // "convert_ulong4"
          case '8':	 // 1 string to match.
            return std::make_pair(6645, 11);	 // "convert_ulong8"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+10, "hort", 4) != 0)
            break;
          return std::make_pair(3961, 11);	 // "convert_ushort"
        }
        break;
      }
      break;
    case 'g':	 // 2 strings to match.
      if (memcmp(Name.data()+1, "et_", 3) != 0)
        break;
      switch (Name[4]) {
      default: break;
      case 'l':	 // 1 string to match.
        if (memcmp(Name.data()+5, "ocal_size", 9) != 0)
          break;
        return std::make_pair(7264, 1);	 // "get_local_size"
      case 'n':	 // 1 string to match.
        if (memcmp(Name.data()+5, "um_groups", 9) != 0)
          break;
        return std::make_pair(7266, 1);	 // "get_num_groups"
      }
      break;
    case 'v':	 // 1 string to match.
      if (memcmp(Name.data()+1, "storea_half16", 13) != 0)
        break;
      return std::make_pair(7992, 10);	 // "vstorea_half16"
    }
    break;
  case 15:	 // 18 strings to match.
    switch (Name[0]) {
    default: break;
    case 'c':	 // 17 strings to match.
      if (memcmp(Name.data()+1, "onvert_", 7) != 0)
        break;
      switch (Name[8]) {
      default: break;
      case 'd':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "ouble", 5) != 0)
          break;
        switch (Name[14]) {
        default: break;
        case '2':	 // 1 string to match.
          return std::make_pair(716, 11);	 // "convert_double2"
        case '3':	 // 1 string to match.
          return std::make_pair(12, 11);	 // "convert_double3"
        case '4':	 // 1 string to match.
          return std::make_pair(23, 11);	 // "convert_double4"
        case '8':	 // 1 string to match.
          return std::make_pair(34, 11);	 // "convert_double8"
        }
        break;
      case 'f':	 // 1 string to match.
        if (memcmp(Name.data()+9, "loat16", 6) != 0)
          break;
        return std::make_pair(804, 11);	 // "convert_float16"
      case 'i':	 // 5 strings to match.
        if (memcmp(Name.data()+9, "nt_", 3) != 0)
          break;
        switch (Name[12]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[13] != 't')
            break;
          switch (Name[14]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(4687, 11);	 // "convert_int_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(4753, 11);	 // "convert_int_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(4819, 11);	 // "convert_int_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(4885, 11);	 // "convert_int_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+13, "at", 2) != 0)
            break;
          return std::make_pair(4951, 11);	 // "convert_int_sat"
        }
        break;
      case 's':	 // 1 string to match.
        if (memcmp(Name.data()+9, "hort16", 6) != 0)
          break;
        return std::make_pair(3356, 11);	 // "convert_short16"
      case 'u':	 // 6 strings to match.
        switch (Name[9]) {
        default: break;
        case 'c':	 // 1 string to match.
          if (memcmp(Name.data()+10, "har16", 5) != 0)
            break;
          return std::make_pair(2696, 11);	 // "convert_uchar16"
        case 'l':	 // 1 string to match.
          if (memcmp(Name.data()+10, "ong16", 5) != 0)
            break;
          return std::make_pair(6656, 11);	 // "convert_ulong16"
        case 's':	 // 4 strings to match.
          if (memcmp(Name.data()+10, "hort", 4) != 0)
            break;
          switch (Name[14]) {
          default: break;
          case '2':	 // 1 string to match.
            return std::make_pair(3972, 11);	 // "convert_ushort2"
          case '3':	 // 1 string to match.
            return std::make_pair(3983, 11);	 // "convert_ushort3"
          case '4':	 // 1 string to match.
            return std::make_pair(3994, 11);	 // "convert_ushort4"
          case '8':	 // 1 string to match.
            return std::make_pair(4005, 11);	 // "convert_ushort8"
          }
          break;
        }
        break;
      }
      break;
    case 'g':	 // 1 string to match.
      if (memcmp(Name.data()+1, "et_global_size", 14) != 0)
        break;
      return std::make_pair(7262, 1);	 // "get_global_size"
    }
    break;
  case 16:	 // 42 strings to match.
    if (memcmp(Name.data()+0, "convert_", 8) != 0)
      break;
    switch (Name[8]) {
    default: break;
    case 'c':	 // 5 strings to match.
      if (memcmp(Name.data()+9, "har_", 4) != 0)
        break;
      switch (Name[13]) {
      default: break;
      case 'r':	 // 4 strings to match.
        if (Name[14] != 't')
          break;
        switch (Name[15]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(2047, 11);	 // "convert_char_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(2113, 11);	 // "convert_char_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(2179, 11);	 // "convert_char_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(2245, 11);	 // "convert_char_rtz"
        }
        break;
      case 's':	 // 1 string to match.
        if (memcmp(Name.data()+14, "at", 2) != 0)
          break;
        return std::make_pair(2311, 11);	 // "convert_char_sat"
      }
      break;
    case 'd':	 // 1 string to match.
      if (memcmp(Name.data()+9, "ouble16", 7) != 0)
        break;
      return std::make_pair(45, 11);	 // "convert_double16"
    case 'h':	 // 5 strings to match.
      if (memcmp(Name.data()+9, "alf_", 4) != 0)
        break;
      switch (Name[13]) {
      default: break;
      case 'r':	 // 4 strings to match.
        if (Name[14] != 't')
          break;
        switch (Name[15]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(1145, 11);	 // "convert_half_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(1222, 11);	 // "convert_half_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(1288, 11);	 // "convert_half_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(1365, 11);	 // "convert_half_rtz"
        }
        break;
      case 's':	 // 1 string to match.
        if (memcmp(Name.data()+14, "at", 2) != 0)
          break;
        return std::make_pair(1431, 11);	 // "convert_half_sat"
      }
      break;
    case 'i':	 // 20 strings to match.
      if (memcmp(Name.data()+9, "nt", 2) != 0)
        break;
      switch (Name[11]) {
      default: break;
      case '2':	 // 5 strings to match.
        if (Name[12] != '_')
          break;
        switch (Name[13]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[14] != 't')
            break;
          switch (Name[15]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(4698, 11);	 // "convert_int2_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(4764, 11);	 // "convert_int2_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(4830, 11);	 // "convert_int2_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(4896, 11);	 // "convert_int2_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+14, "at", 2) != 0)
            break;
          return std::make_pair(4962, 11);	 // "convert_int2_sat"
        }
        break;
      case '3':	 // 5 strings to match.
        if (Name[12] != '_')
          break;
        switch (Name[13]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[14] != 't')
            break;
          switch (Name[15]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(4709, 11);	 // "convert_int3_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(4775, 11);	 // "convert_int3_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(4841, 11);	 // "convert_int3_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(4907, 11);	 // "convert_int3_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+14, "at", 2) != 0)
            break;
          return std::make_pair(4973, 11);	 // "convert_int3_sat"
        }
        break;
      case '4':	 // 5 strings to match.
        if (Name[12] != '_')
          break;
        switch (Name[13]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[14] != 't')
            break;
          switch (Name[15]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(4720, 11);	 // "convert_int4_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(4786, 11);	 // "convert_int4_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(4852, 11);	 // "convert_int4_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(4918, 11);	 // "convert_int4_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+14, "at", 2) != 0)
            break;
          return std::make_pair(4984, 11);	 // "convert_int4_sat"
        }
        break;
      case '8':	 // 5 strings to match.
        if (Name[12] != '_')
          break;
        switch (Name[13]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[14] != 't')
            break;
          switch (Name[15]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(4731, 11);	 // "convert_int8_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(4797, 11);	 // "convert_int8_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(4863, 11);	 // "convert_int8_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(4929, 11);	 // "convert_int8_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+14, "at", 2) != 0)
            break;
          return std::make_pair(4995, 11);	 // "convert_int8_sat"
        }
        break;
      }
      break;
    case 'l':	 // 5 strings to match.
      if (memcmp(Name.data()+9, "ong_", 4) != 0)
        break;
      switch (Name[13]) {
      default: break;
      case 'r':	 // 4 strings to match.
        if (Name[14] != 't')
          break;
        switch (Name[15]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(6007, 11);	 // "convert_long_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(6073, 11);	 // "convert_long_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(6139, 11);	 // "convert_long_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(6205, 11);	 // "convert_long_rtz"
        }
        break;
      case 's':	 // 1 string to match.
        if (memcmp(Name.data()+14, "at", 2) != 0)
          break;
        return std::make_pair(6271, 11);	 // "convert_long_sat"
      }
      break;
    case 'u':	 // 6 strings to match.
      switch (Name[9]) {
      default: break;
      case 'i':	 // 5 strings to match.
        if (memcmp(Name.data()+10, "nt_", 3) != 0)
          break;
        switch (Name[13]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[14] != 't')
            break;
          switch (Name[15]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(5347, 11);	 // "convert_uint_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(5413, 11);	 // "convert_uint_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(5479, 11);	 // "convert_uint_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(5545, 11);	 // "convert_uint_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+14, "at", 2) != 0)
            break;
          return std::make_pair(5611, 11);	 // "convert_uint_sat"
        }
        break;
      case 's':	 // 1 string to match.
        if (memcmp(Name.data()+10, "hort16", 6) != 0)
          break;
        return std::make_pair(4016, 11);	 // "convert_ushort16"
      }
      break;
    }
    break;
  case 17:	 // 123 strings to match.
    switch (Name[0]) {
    default: break;
    case 'c':	 // 105 strings to match.
      if (memcmp(Name.data()+1, "onvert_", 7) != 0)
        break;
      switch (Name[8]) {
      default: break;
      case 'c':	 // 20 strings to match.
        if (memcmp(Name.data()+9, "har", 3) != 0)
          break;
        switch (Name[12]) {
        default: break;
        case '2':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(2058, 11);	 // "convert_char2_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(2124, 11);	 // "convert_char2_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(2190, 11);	 // "convert_char2_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(2256, 11);	 // "convert_char2_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(2322, 11);	 // "convert_char2_sat"
          }
          break;
        case '3':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(2069, 11);	 // "convert_char3_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(2135, 11);	 // "convert_char3_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(2201, 11);	 // "convert_char3_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(2267, 11);	 // "convert_char3_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(2333, 11);	 // "convert_char3_sat"
          }
          break;
        case '4':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(2080, 11);	 // "convert_char4_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(2146, 11);	 // "convert_char4_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(2212, 11);	 // "convert_char4_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(2278, 11);	 // "convert_char4_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(2344, 11);	 // "convert_char4_sat"
          }
          break;
        case '8':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(2091, 11);	 // "convert_char8_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(2157, 11);	 // "convert_char8_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(2223, 11);	 // "convert_char8_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(2289, 11);	 // "convert_char8_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(2355, 11);	 // "convert_char8_sat"
          }
          break;
        }
        break;
      case 'f':	 // 5 strings to match.
        if (memcmp(Name.data()+9, "loat_", 5) != 0)
          break;
        switch (Name[14]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[15] != 't')
            break;
          switch (Name[16]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(815, 11);	 // "convert_float_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(881, 11);	 // "convert_float_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(947, 11);	 // "convert_float_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(1013, 11);	 // "convert_float_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+15, "at", 2) != 0)
            break;
          return std::make_pair(1211, 11);	 // "convert_float_sat"
        }
        break;
      case 'h':	 // 20 strings to match.
        if (memcmp(Name.data()+9, "alf", 3) != 0)
          break;
        switch (Name[12]) {
        default: break;
        case '2':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(1156, 11);	 // "convert_half2_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(1233, 11);	 // "convert_half2_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(1299, 11);	 // "convert_half2_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(1376, 11);	 // "convert_half2_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(1442, 11);	 // "convert_half2_sat"
          }
          break;
        case '3':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(1167, 11);	 // "convert_half3_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(1244, 11);	 // "convert_half3_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(1310, 11);	 // "convert_half3_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(1387, 11);	 // "convert_half3_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(1464, 11);	 // "convert_half3_sat"
          }
          break;
        case '4':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(1178, 11);	 // "convert_half4_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(1255, 11);	 // "convert_half4_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(1321, 11);	 // "convert_half4_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(1398, 11);	 // "convert_half4_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(1475, 11);	 // "convert_half4_sat"
          }
          break;
        case '8':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(1189, 11);	 // "convert_half8_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(1266, 11);	 // "convert_half8_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(1343, 11);	 // "convert_half8_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(1409, 11);	 // "convert_half8_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(1486, 11);	 // "convert_half8_sat"
          }
          break;
        }
        break;
      case 'i':	 // 5 strings to match.
        if (memcmp(Name.data()+9, "nt16_", 5) != 0)
          break;
        switch (Name[14]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[15] != 't')
            break;
          switch (Name[16]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(4742, 11);	 // "convert_int16_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(4808, 11);	 // "convert_int16_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(4874, 11);	 // "convert_int16_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(4940, 11);	 // "convert_int16_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+15, "at", 2) != 0)
            break;
          return std::make_pair(5006, 11);	 // "convert_int16_sat"
        }
        break;
      case 'l':	 // 20 strings to match.
        if (memcmp(Name.data()+9, "ong", 3) != 0)
          break;
        switch (Name[12]) {
        default: break;
        case '2':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(6018, 11);	 // "convert_long2_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(6084, 11);	 // "convert_long2_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(6150, 11);	 // "convert_long2_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(6216, 11);	 // "convert_long2_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(6282, 11);	 // "convert_long2_sat"
          }
          break;
        case '3':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(6029, 11);	 // "convert_long3_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(6095, 11);	 // "convert_long3_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(6161, 11);	 // "convert_long3_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(6227, 11);	 // "convert_long3_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(6293, 11);	 // "convert_long3_sat"
          }
          break;
        case '4':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(6040, 11);	 // "convert_long4_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(6106, 11);	 // "convert_long4_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(6172, 11);	 // "convert_long4_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(6238, 11);	 // "convert_long4_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(6304, 11);	 // "convert_long4_sat"
          }
          break;
        case '8':	 // 5 strings to match.
          if (Name[13] != '_')
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(6051, 11);	 // "convert_long8_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(6117, 11);	 // "convert_long8_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(6183, 11);	 // "convert_long8_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(6249, 11);	 // "convert_long8_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(6315, 11);	 // "convert_long8_sat"
          }
          break;
        }
        break;
      case 's':	 // 5 strings to match.
        if (memcmp(Name.data()+9, "hort_", 5) != 0)
          break;
        switch (Name[14]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[15] != 't')
            break;
          switch (Name[16]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(3367, 11);	 // "convert_short_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(3433, 11);	 // "convert_short_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(3499, 11);	 // "convert_short_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(3565, 11);	 // "convert_short_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+15, "at", 2) != 0)
            break;
          return std::make_pair(3631, 11);	 // "convert_short_sat"
        }
        break;
      case 'u':	 // 30 strings to match.
        switch (Name[9]) {
        default: break;
        case 'c':	 // 5 strings to match.
          if (memcmp(Name.data()+10, "har_", 4) != 0)
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(2707, 11);	 // "convert_uchar_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(2773, 11);	 // "convert_uchar_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(2839, 11);	 // "convert_uchar_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(2905, 11);	 // "convert_uchar_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(2971, 11);	 // "convert_uchar_sat"
          }
          break;
        case 'i':	 // 20 strings to match.
          if (memcmp(Name.data()+10, "nt", 2) != 0)
            break;
          switch (Name[12]) {
          default: break;
          case '2':	 // 5 strings to match.
            if (Name[13] != '_')
              break;
            switch (Name[14]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[15] != 't')
                break;
              switch (Name[16]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(5358, 11);	 // "convert_uint2_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(5424, 11);	 // "convert_uint2_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(5490, 11);	 // "convert_uint2_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(5556, 11);	 // "convert_uint2_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+15, "at", 2) != 0)
                break;
              return std::make_pair(5622, 11);	 // "convert_uint2_sat"
            }
            break;
          case '3':	 // 5 strings to match.
            if (Name[13] != '_')
              break;
            switch (Name[14]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[15] != 't')
                break;
              switch (Name[16]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(5369, 11);	 // "convert_uint3_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(5435, 11);	 // "convert_uint3_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(5501, 11);	 // "convert_uint3_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(5567, 11);	 // "convert_uint3_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+15, "at", 2) != 0)
                break;
              return std::make_pair(5633, 11);	 // "convert_uint3_sat"
            }
            break;
          case '4':	 // 5 strings to match.
            if (Name[13] != '_')
              break;
            switch (Name[14]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[15] != 't')
                break;
              switch (Name[16]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(5380, 11);	 // "convert_uint4_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(5446, 11);	 // "convert_uint4_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(5512, 11);	 // "convert_uint4_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(5578, 11);	 // "convert_uint4_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+15, "at", 2) != 0)
                break;
              return std::make_pair(5644, 11);	 // "convert_uint4_sat"
            }
            break;
          case '8':	 // 5 strings to match.
            if (Name[13] != '_')
              break;
            switch (Name[14]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[15] != 't')
                break;
              switch (Name[16]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(5391, 11);	 // "convert_uint8_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(5457, 11);	 // "convert_uint8_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(5523, 11);	 // "convert_uint8_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(5589, 11);	 // "convert_uint8_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+15, "at", 2) != 0)
                break;
              return std::make_pair(5655, 11);	 // "convert_uint8_sat"
            }
            break;
          }
          break;
        case 'l':	 // 5 strings to match.
          if (memcmp(Name.data()+10, "ong_", 4) != 0)
            break;
          switch (Name[14]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[15] != 't')
              break;
            switch (Name[16]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(6667, 11);	 // "convert_ulong_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(6733, 11);	 // "convert_ulong_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(6799, 11);	 // "convert_ulong_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(6865, 11);	 // "convert_ulong_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+15, "at", 2) != 0)
              break;
            return std::make_pair(6931, 11);	 // "convert_ulong_sat"
          }
          break;
        }
        break;
      }
      break;
    case 'g':	 // 1 string to match.
      if (memcmp(Name.data()+1, "et_global_offset", 16) != 0)
        break;
      return std::make_pair(7268, 1);	 // "get_global_offset"
    case 'v':	 // 16 strings to match.
      if (memcmp(Name.data()+1, "storea_half", 11) != 0)
        break;
      switch (Name[12]) {
      default: break;
      case '2':	 // 4 strings to match.
        if (memcmp(Name.data()+13, "_rt", 3) != 0)
          break;
        switch (Name[16]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(7386, 10);	 // "vstorea_half2_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(7416, 10);	 // "vstorea_half2_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(7406, 10);	 // "vstorea_half2_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(7396, 10);	 // "vstorea_half2_rtz"
        }
        break;
      case '3':	 // 4 strings to match.
        if (memcmp(Name.data()+13, "_rt", 3) != 0)
          break;
        switch (Name[16]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(7540, 10);	 // "vstorea_half3_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(7570, 10);	 // "vstorea_half3_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(7560, 10);	 // "vstorea_half3_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(7550, 10);	 // "vstorea_half3_rtz"
        }
        break;
      case '4':	 // 4 strings to match.
        if (memcmp(Name.data()+13, "_rt", 3) != 0)
          break;
        switch (Name[16]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(7694, 10);	 // "vstorea_half4_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(7724, 10);	 // "vstorea_half4_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(7714, 10);	 // "vstorea_half4_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(7704, 10);	 // "vstorea_half4_rtz"
        }
        break;
      case '8':	 // 4 strings to match.
        if (memcmp(Name.data()+13, "_rt", 3) != 0)
          break;
        switch (Name[16]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(7848, 10);	 // "vstorea_half8_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(7878, 10);	 // "vstorea_half8_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(7868, 10);	 // "vstorea_half8_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(7858, 10);	 // "vstorea_half8_rtz"
        }
        break;
      }
      break;
    case 'w':	 // 1 string to match.
      if (memcmp(Name.data()+1, "ait_group_events", 16) != 0)
        break;
      return std::make_pair(8046, 1);	 // "wait_group_events"
    }
    break;
  case 18:	 // 116 strings to match.
    switch (Name[0]) {
    default: break;
    case 'c':	 // 110 strings to match.
      if (memcmp(Name.data()+1, "onvert_", 7) != 0)
        break;
      switch (Name[8]) {
      default: break;
      case 'c':	 // 5 strings to match.
        if (memcmp(Name.data()+9, "har16_", 6) != 0)
          break;
        switch (Name[15]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[16] != 't')
            break;
          switch (Name[17]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(2102, 11);	 // "convert_char16_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(2168, 11);	 // "convert_char16_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(2234, 11);	 // "convert_char16_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(2300, 11);	 // "convert_char16_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+16, "at", 2) != 0)
            break;
          return std::make_pair(2366, 11);	 // "convert_char16_sat"
        }
        break;
      case 'd':	 // 5 strings to match.
        if (memcmp(Name.data()+9, "ouble_", 6) != 0)
          break;
        switch (Name[15]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[16] != 't')
            break;
          switch (Name[17]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(56, 11);	 // "convert_double_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(133, 11);	 // "convert_double_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(199, 11);	 // "convert_double_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(276, 11);	 // "convert_double_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+16, "at", 2) != 0)
            break;
          return std::make_pair(342, 11);	 // "convert_double_sat"
        }
        break;
      case 'f':	 // 20 strings to match.
        if (memcmp(Name.data()+9, "loat", 4) != 0)
          break;
        switch (Name[13]) {
        default: break;
        case '2':	 // 5 strings to match.
          if (Name[14] != '_')
            break;
          switch (Name[15]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[16] != 't')
              break;
            switch (Name[17]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(826, 11);	 // "convert_float2_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(892, 11);	 // "convert_float2_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(958, 11);	 // "convert_float2_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(1024, 11);	 // "convert_float2_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+16, "at", 2) != 0)
              break;
            return std::make_pair(1332, 11);	 // "convert_float2_sat"
          }
          break;
        case '3':	 // 5 strings to match.
          if (Name[14] != '_')
            break;
          switch (Name[15]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[16] != 't')
              break;
            switch (Name[17]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(837, 11);	 // "convert_float3_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(903, 11);	 // "convert_float3_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(969, 11);	 // "convert_float3_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(1035, 11);	 // "convert_float3_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+16, "at", 2) != 0)
              break;
            return std::make_pair(1453, 11);	 // "convert_float3_sat"
          }
          break;
        case '4':	 // 5 strings to match.
          if (Name[14] != '_')
            break;
          switch (Name[15]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[16] != 't')
              break;
            switch (Name[17]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(848, 11);	 // "convert_float4_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(914, 11);	 // "convert_float4_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(980, 11);	 // "convert_float4_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(1046, 11);	 // "convert_float4_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+16, "at", 2) != 0)
              break;
            return std::make_pair(1574, 11);	 // "convert_float4_sat"
          }
          break;
        case '8':	 // 5 strings to match.
          if (Name[14] != '_')
            break;
          switch (Name[15]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[16] != 't')
              break;
            switch (Name[17]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(859, 11);	 // "convert_float8_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(925, 11);	 // "convert_float8_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(991, 11);	 // "convert_float8_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(1057, 11);	 // "convert_float8_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+16, "at", 2) != 0)
              break;
            return std::make_pair(1695, 11);	 // "convert_float8_sat"
          }
          break;
        }
        break;
      case 'h':	 // 5 strings to match.
        if (memcmp(Name.data()+9, "alf16_", 6) != 0)
          break;
        switch (Name[15]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[16] != 't')
            break;
          switch (Name[17]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(1200, 11);	 // "convert_half16_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(1277, 11);	 // "convert_half16_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(1354, 11);	 // "convert_half16_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(1420, 11);	 // "convert_half16_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+16, "at", 2) != 0)
            break;
          return std::make_pair(1497, 11);	 // "convert_half16_sat"
        }
        break;
      case 'l':	 // 5 strings to match.
        if (memcmp(Name.data()+9, "ong16_", 6) != 0)
          break;
        switch (Name[15]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[16] != 't')
            break;
          switch (Name[17]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(6062, 11);	 // "convert_long16_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(6128, 11);	 // "convert_long16_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(6194, 11);	 // "convert_long16_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(6260, 11);	 // "convert_long16_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+16, "at", 2) != 0)
            break;
          return std::make_pair(6326, 11);	 // "convert_long16_sat"
        }
        break;
      case 's':	 // 20 strings to match.
        if (memcmp(Name.data()+9, "hort", 4) != 0)
          break;
        switch (Name[13]) {
        default: break;
        case '2':	 // 5 strings to match.
          if (Name[14] != '_')
            break;
          switch (Name[15]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[16] != 't')
              break;
            switch (Name[17]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(3378, 11);	 // "convert_short2_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(3444, 11);	 // "convert_short2_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(3510, 11);	 // "convert_short2_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(3576, 11);	 // "convert_short2_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+16, "at", 2) != 0)
              break;
            return std::make_pair(3642, 11);	 // "convert_short2_sat"
          }
          break;
        case '3':	 // 5 strings to match.
          if (Name[14] != '_')
            break;
          switch (Name[15]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[16] != 't')
              break;
            switch (Name[17]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(3389, 11);	 // "convert_short3_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(3455, 11);	 // "convert_short3_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(3521, 11);	 // "convert_short3_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(3587, 11);	 // "convert_short3_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+16, "at", 2) != 0)
              break;
            return std::make_pair(3653, 11);	 // "convert_short3_sat"
          }
          break;
        case '4':	 // 5 strings to match.
          if (Name[14] != '_')
            break;
          switch (Name[15]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[16] != 't')
              break;
            switch (Name[17]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(3400, 11);	 // "convert_short4_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(3466, 11);	 // "convert_short4_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(3532, 11);	 // "convert_short4_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(3598, 11);	 // "convert_short4_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+16, "at", 2) != 0)
              break;
            return std::make_pair(3664, 11);	 // "convert_short4_sat"
          }
          break;
        case '8':	 // 5 strings to match.
          if (Name[14] != '_')
            break;
          switch (Name[15]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[16] != 't')
              break;
            switch (Name[17]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(3411, 11);	 // "convert_short8_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(3477, 11);	 // "convert_short8_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(3543, 11);	 // "convert_short8_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(3609, 11);	 // "convert_short8_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+16, "at", 2) != 0)
              break;
            return std::make_pair(3675, 11);	 // "convert_short8_sat"
          }
          break;
        }
        break;
      case 'u':	 // 50 strings to match.
        switch (Name[9]) {
        default: break;
        case 'c':	 // 20 strings to match.
          if (memcmp(Name.data()+10, "har", 3) != 0)
            break;
          switch (Name[13]) {
          default: break;
          case '2':	 // 5 strings to match.
            if (Name[14] != '_')
              break;
            switch (Name[15]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[16] != 't')
                break;
              switch (Name[17]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(2718, 11);	 // "convert_uchar2_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(2784, 11);	 // "convert_uchar2_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(2850, 11);	 // "convert_uchar2_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(2916, 11);	 // "convert_uchar2_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+16, "at", 2) != 0)
                break;
              return std::make_pair(2982, 11);	 // "convert_uchar2_sat"
            }
            break;
          case '3':	 // 5 strings to match.
            if (Name[14] != '_')
              break;
            switch (Name[15]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[16] != 't')
                break;
              switch (Name[17]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(2729, 11);	 // "convert_uchar3_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(2795, 11);	 // "convert_uchar3_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(2861, 11);	 // "convert_uchar3_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(2927, 11);	 // "convert_uchar3_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+16, "at", 2) != 0)
                break;
              return std::make_pair(2993, 11);	 // "convert_uchar3_sat"
            }
            break;
          case '4':	 // 5 strings to match.
            if (Name[14] != '_')
              break;
            switch (Name[15]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[16] != 't')
                break;
              switch (Name[17]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(2740, 11);	 // "convert_uchar4_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(2806, 11);	 // "convert_uchar4_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(2872, 11);	 // "convert_uchar4_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(2938, 11);	 // "convert_uchar4_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+16, "at", 2) != 0)
                break;
              return std::make_pair(3004, 11);	 // "convert_uchar4_sat"
            }
            break;
          case '8':	 // 5 strings to match.
            if (Name[14] != '_')
              break;
            switch (Name[15]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[16] != 't')
                break;
              switch (Name[17]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(2751, 11);	 // "convert_uchar8_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(2817, 11);	 // "convert_uchar8_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(2883, 11);	 // "convert_uchar8_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(2949, 11);	 // "convert_uchar8_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+16, "at", 2) != 0)
                break;
              return std::make_pair(3015, 11);	 // "convert_uchar8_sat"
            }
            break;
          }
          break;
        case 'i':	 // 5 strings to match.
          if (memcmp(Name.data()+10, "nt16_", 5) != 0)
            break;
          switch (Name[15]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[16] != 't')
              break;
            switch (Name[17]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(5402, 11);	 // "convert_uint16_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(5468, 11);	 // "convert_uint16_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(5534, 11);	 // "convert_uint16_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(5600, 11);	 // "convert_uint16_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+16, "at", 2) != 0)
              break;
            return std::make_pair(5666, 11);	 // "convert_uint16_sat"
          }
          break;
        case 'l':	 // 20 strings to match.
          if (memcmp(Name.data()+10, "ong", 3) != 0)
            break;
          switch (Name[13]) {
          default: break;
          case '2':	 // 5 strings to match.
            if (Name[14] != '_')
              break;
            switch (Name[15]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[16] != 't')
                break;
              switch (Name[17]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(6678, 11);	 // "convert_ulong2_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(6744, 11);	 // "convert_ulong2_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(6810, 11);	 // "convert_ulong2_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(6876, 11);	 // "convert_ulong2_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+16, "at", 2) != 0)
                break;
              return std::make_pair(6942, 11);	 // "convert_ulong2_sat"
            }
            break;
          case '3':	 // 5 strings to match.
            if (Name[14] != '_')
              break;
            switch (Name[15]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[16] != 't')
                break;
              switch (Name[17]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(6689, 11);	 // "convert_ulong3_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(6755, 11);	 // "convert_ulong3_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(6821, 11);	 // "convert_ulong3_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(6887, 11);	 // "convert_ulong3_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+16, "at", 2) != 0)
                break;
              return std::make_pair(6953, 11);	 // "convert_ulong3_sat"
            }
            break;
          case '4':	 // 5 strings to match.
            if (Name[14] != '_')
              break;
            switch (Name[15]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[16] != 't')
                break;
              switch (Name[17]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(6700, 11);	 // "convert_ulong4_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(6766, 11);	 // "convert_ulong4_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(6832, 11);	 // "convert_ulong4_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(6898, 11);	 // "convert_ulong4_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+16, "at", 2) != 0)
                break;
              return std::make_pair(6964, 11);	 // "convert_ulong4_sat"
            }
            break;
          case '8':	 // 5 strings to match.
            if (Name[14] != '_')
              break;
            switch (Name[15]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[16] != 't')
                break;
              switch (Name[17]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(6711, 11);	 // "convert_ulong8_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(6777, 11);	 // "convert_ulong8_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(6843, 11);	 // "convert_ulong8_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(6909, 11);	 // "convert_ulong8_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+16, "at", 2) != 0)
                break;
              return std::make_pair(6975, 11);	 // "convert_ulong8_sat"
            }
            break;
          }
          break;
        case 's':	 // 5 strings to match.
          if (memcmp(Name.data()+10, "hort_", 5) != 0)
            break;
          switch (Name[15]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[16] != 't')
              break;
            switch (Name[17]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(4027, 11);	 // "convert_ushort_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(4093, 11);	 // "convert_ushort_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(4159, 11);	 // "convert_ushort_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(4225, 11);	 // "convert_ushort_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+16, "at", 2) != 0)
              break;
            return std::make_pair(4291, 11);	 // "convert_ushort_sat"
          }
          break;
        }
        break;
      }
      break;
    case 'g':	 // 2 strings to match.
      if (memcmp(Name.data()+1, "et_", 3) != 0)
        break;
      switch (Name[4]) {
      default: break;
      case 'n':	 // 1 string to match.
        if (memcmp(Name.data()+5, "um_sub_groups", 13) != 0)
          break;
        return std::make_pair(8232, 1);	 // "get_num_sub_groups"
      case 's':	 // 1 string to match.
        if (memcmp(Name.data()+5, "ub_group_size", 13) != 0)
          break;
        return std::make_pair(8233, 1);	 // "get_sub_group_size"
      }
      break;
    case 'v':	 // 4 strings to match.
      if (memcmp(Name.data()+1, "storea_half16_rt", 16) != 0)
        break;
      switch (Name[17]) {
      default: break;
      case 'e':	 // 1 string to match.
        return std::make_pair(8002, 10);	 // "vstorea_half16_rte"
      case 'n':	 // 1 string to match.
        return std::make_pair(8032, 10);	 // "vstorea_half16_rtn"
      case 'p':	 // 1 string to match.
        return std::make_pair(8022, 10);	 // "vstorea_half16_rtp"
      case 'z':	 // 1 string to match.
        return std::make_pair(8012, 10);	 // "vstorea_half16_rtz"
      }
      break;
    }
    break;
  case 19:	 // 65 strings to match.
    switch (Name[0]) {
    default: break;
    case 'c':	 // 64 strings to match.
      if (memcmp(Name.data()+1, "onvert_", 7) != 0)
        break;
      switch (Name[8]) {
      default: break;
      case 'd':	 // 20 strings to match.
        if (memcmp(Name.data()+9, "ouble", 5) != 0)
          break;
        switch (Name[14]) {
        default: break;
        case '2':	 // 5 strings to match.
          if (Name[15] != '_')
            break;
          switch (Name[16]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[17] != 't')
              break;
            switch (Name[18]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(67, 11);	 // "convert_double2_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(144, 11);	 // "convert_double2_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(210, 11);	 // "convert_double2_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(287, 11);	 // "convert_double2_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+17, "at", 2) != 0)
              break;
            return std::make_pair(353, 11);	 // "convert_double2_sat"
          }
          break;
        case '3':	 // 5 strings to match.
          if (Name[15] != '_')
            break;
          switch (Name[16]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[17] != 't')
              break;
            switch (Name[18]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(78, 11);	 // "convert_double3_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(155, 11);	 // "convert_double3_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(221, 11);	 // "convert_double3_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(298, 11);	 // "convert_double3_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+17, "at", 2) != 0)
              break;
            return std::make_pair(375, 11);	 // "convert_double3_sat"
          }
          break;
        case '4':	 // 5 strings to match.
          if (Name[15] != '_')
            break;
          switch (Name[16]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[17] != 't')
              break;
            switch (Name[18]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(89, 11);	 // "convert_double4_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(166, 11);	 // "convert_double4_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(232, 11);	 // "convert_double4_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(309, 11);	 // "convert_double4_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+17, "at", 2) != 0)
              break;
            return std::make_pair(386, 11);	 // "convert_double4_sat"
          }
          break;
        case '8':	 // 5 strings to match.
          if (Name[15] != '_')
            break;
          switch (Name[16]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[17] != 't')
              break;
            switch (Name[18]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(100, 11);	 // "convert_double8_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(177, 11);	 // "convert_double8_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(254, 11);	 // "convert_double8_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(320, 11);	 // "convert_double8_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+17, "at", 2) != 0)
              break;
            return std::make_pair(397, 11);	 // "convert_double8_sat"
          }
          break;
        }
        break;
      case 'f':	 // 5 strings to match.
        if (memcmp(Name.data()+9, "loat16_", 7) != 0)
          break;
        switch (Name[16]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[17] != 't')
            break;
          switch (Name[18]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(870, 11);	 // "convert_float16_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(936, 11);	 // "convert_float16_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(1002, 11);	 // "convert_float16_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(1090, 11);	 // "convert_float16_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+17, "at", 2) != 0)
            break;
          return std::make_pair(1794, 11);	 // "convert_float16_sat"
        }
        break;
      case 'i':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "nt_sat_rt", 9) != 0)
          break;
        switch (Name[18]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(5017, 11);	 // "convert_int_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(5083, 11);	 // "convert_int_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(5149, 11);	 // "convert_int_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(5215, 11);	 // "convert_int_sat_rtz"
        }
        break;
      case 's':	 // 5 strings to match.
        if (memcmp(Name.data()+9, "hort16_", 7) != 0)
          break;
        switch (Name[16]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[17] != 't')
            break;
          switch (Name[18]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(3422, 11);	 // "convert_short16_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(3488, 11);	 // "convert_short16_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(3554, 11);	 // "convert_short16_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(3620, 11);	 // "convert_short16_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+17, "at", 2) != 0)
            break;
          return std::make_pair(3686, 11);	 // "convert_short16_sat"
        }
        break;
      case 'u':	 // 30 strings to match.
        switch (Name[9]) {
        default: break;
        case 'c':	 // 5 strings to match.
          if (memcmp(Name.data()+10, "har16_", 6) != 0)
            break;
          switch (Name[16]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[17] != 't')
              break;
            switch (Name[18]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(2762, 11);	 // "convert_uchar16_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(2828, 11);	 // "convert_uchar16_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(2894, 11);	 // "convert_uchar16_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(2960, 11);	 // "convert_uchar16_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+17, "at", 2) != 0)
              break;
            return std::make_pair(3026, 11);	 // "convert_uchar16_sat"
          }
          break;
        case 'l':	 // 5 strings to match.
          if (memcmp(Name.data()+10, "ong16_", 6) != 0)
            break;
          switch (Name[16]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[17] != 't')
              break;
            switch (Name[18]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(6722, 11);	 // "convert_ulong16_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(6788, 11);	 // "convert_ulong16_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(6854, 11);	 // "convert_ulong16_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(6920, 11);	 // "convert_ulong16_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+17, "at", 2) != 0)
              break;
            return std::make_pair(6986, 11);	 // "convert_ulong16_sat"
          }
          break;
        case 's':	 // 20 strings to match.
          if (memcmp(Name.data()+10, "hort", 4) != 0)
            break;
          switch (Name[14]) {
          default: break;
          case '2':	 // 5 strings to match.
            if (Name[15] != '_')
              break;
            switch (Name[16]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[17] != 't')
                break;
              switch (Name[18]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(4038, 11);	 // "convert_ushort2_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(4104, 11);	 // "convert_ushort2_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(4170, 11);	 // "convert_ushort2_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(4236, 11);	 // "convert_ushort2_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+17, "at", 2) != 0)
                break;
              return std::make_pair(4302, 11);	 // "convert_ushort2_sat"
            }
            break;
          case '3':	 // 5 strings to match.
            if (Name[15] != '_')
              break;
            switch (Name[16]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[17] != 't')
                break;
              switch (Name[18]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(4049, 11);	 // "convert_ushort3_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(4115, 11);	 // "convert_ushort3_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(4181, 11);	 // "convert_ushort3_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(4247, 11);	 // "convert_ushort3_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+17, "at", 2) != 0)
                break;
              return std::make_pair(4313, 11);	 // "convert_ushort3_sat"
            }
            break;
          case '4':	 // 5 strings to match.
            if (Name[15] != '_')
              break;
            switch (Name[16]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[17] != 't')
                break;
              switch (Name[18]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(4060, 11);	 // "convert_ushort4_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(4126, 11);	 // "convert_ushort4_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(4192, 11);	 // "convert_ushort4_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(4258, 11);	 // "convert_ushort4_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+17, "at", 2) != 0)
                break;
              return std::make_pair(4324, 11);	 // "convert_ushort4_sat"
            }
            break;
          case '8':	 // 5 strings to match.
            if (Name[15] != '_')
              break;
            switch (Name[16]) {
            default: break;
            case 'r':	 // 4 strings to match.
              if (Name[17] != 't')
                break;
              switch (Name[18]) {
              default: break;
              case 'e':	 // 1 string to match.
                return std::make_pair(4071, 11);	 // "convert_ushort8_rte"
              case 'n':	 // 1 string to match.
                return std::make_pair(4137, 11);	 // "convert_ushort8_rtn"
              case 'p':	 // 1 string to match.
                return std::make_pair(4203, 11);	 // "convert_ushort8_rtp"
              case 'z':	 // 1 string to match.
                return std::make_pair(4269, 11);	 // "convert_ushort8_rtz"
              }
              break;
            case 's':	 // 1 string to match.
              if (memcmp(Name.data()+17, "at", 2) != 0)
                break;
              return std::make_pair(4335, 11);	 // "convert_ushort8_sat"
            }
            break;
          }
          break;
        }
        break;
      }
      break;
    case 'g':	 // 1 string to match.
      if (memcmp(Name.data()+1, "et_local_linear_id", 18) != 0)
        break;
      return std::make_pair(7271, 1);	 // "get_local_linear_id"
    }
    break;
  case 20:	 // 43 strings to match.
    switch (Name[0]) {
    default: break;
    case 'c':	 // 42 strings to match.
      if (memcmp(Name.data()+1, "onvert_", 7) != 0)
        break;
      switch (Name[8]) {
      default: break;
      case 'c':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "har_sat_rt", 10) != 0)
          break;
        switch (Name[19]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(2377, 11);	 // "convert_char_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(2443, 11);	 // "convert_char_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(2509, 11);	 // "convert_char_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(2575, 11);	 // "convert_char_sat_rtz"
        }
        break;
      case 'd':	 // 5 strings to match.
        if (memcmp(Name.data()+9, "ouble16_", 8) != 0)
          break;
        switch (Name[17]) {
        default: break;
        case 'r':	 // 4 strings to match.
          if (Name[18] != 't')
            break;
          switch (Name[19]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(111, 11);	 // "convert_double16_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(188, 11);	 // "convert_double16_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(265, 11);	 // "convert_double16_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(331, 11);	 // "convert_double16_rtz"
          }
          break;
        case 's':	 // 1 string to match.
          if (memcmp(Name.data()+18, "at", 2) != 0)
            break;
          return std::make_pair(408, 11);	 // "convert_double16_sat"
        }
        break;
      case 'h':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "alf_sat_rt", 10) != 0)
          break;
        switch (Name[19]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(1508, 11);	 // "convert_half_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(1585, 11);	 // "convert_half_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(1651, 11);	 // "convert_half_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(1728, 11);	 // "convert_half_sat_rtz"
        }
        break;
      case 'i':	 // 16 strings to match.
        if (memcmp(Name.data()+9, "nt", 2) != 0)
          break;
        switch (Name[11]) {
        default: break;
        case '2':	 // 4 strings to match.
          if (memcmp(Name.data()+12, "_sat_rt", 7) != 0)
            break;
          switch (Name[19]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(5028, 11);	 // "convert_int2_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(5094, 11);	 // "convert_int2_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(5160, 11);	 // "convert_int2_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(5226, 11);	 // "convert_int2_sat_rtz"
          }
          break;
        case '3':	 // 4 strings to match.
          if (memcmp(Name.data()+12, "_sat_rt", 7) != 0)
            break;
          switch (Name[19]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(5039, 11);	 // "convert_int3_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(5105, 11);	 // "convert_int3_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(5171, 11);	 // "convert_int3_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(5237, 11);	 // "convert_int3_sat_rtz"
          }
          break;
        case '4':	 // 4 strings to match.
          if (memcmp(Name.data()+12, "_sat_rt", 7) != 0)
            break;
          switch (Name[19]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(5050, 11);	 // "convert_int4_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(5116, 11);	 // "convert_int4_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(5182, 11);	 // "convert_int4_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(5248, 11);	 // "convert_int4_sat_rtz"
          }
          break;
        case '8':	 // 4 strings to match.
          if (memcmp(Name.data()+12, "_sat_rt", 7) != 0)
            break;
          switch (Name[19]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(5061, 11);	 // "convert_int8_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(5127, 11);	 // "convert_int8_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(5193, 11);	 // "convert_int8_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(5259, 11);	 // "convert_int8_sat_rtz"
          }
          break;
        }
        break;
      case 'l':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "ong_sat_rt", 10) != 0)
          break;
        switch (Name[19]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(6337, 11);	 // "convert_long_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(6403, 11);	 // "convert_long_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(6469, 11);	 // "convert_long_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(6535, 11);	 // "convert_long_sat_rtz"
        }
        break;
      case 'u':	 // 9 strings to match.
        switch (Name[9]) {
        default: break;
        case 'i':	 // 4 strings to match.
          if (memcmp(Name.data()+10, "nt_sat_rt", 9) != 0)
            break;
          switch (Name[19]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(5677, 11);	 // "convert_uint_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(5743, 11);	 // "convert_uint_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(5809, 11);	 // "convert_uint_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(5875, 11);	 // "convert_uint_sat_rtz"
          }
          break;
        case 's':	 // 5 strings to match.
          if (memcmp(Name.data()+10, "hort16_", 7) != 0)
            break;
          switch (Name[17]) {
          default: break;
          case 'r':	 // 4 strings to match.
            if (Name[18] != 't')
              break;
            switch (Name[19]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(4082, 11);	 // "convert_ushort16_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(4148, 11);	 // "convert_ushort16_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(4214, 11);	 // "convert_ushort16_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(4280, 11);	 // "convert_ushort16_rtz"
            }
            break;
          case 's':	 // 1 string to match.
            if (memcmp(Name.data()+18, "at", 2) != 0)
              break;
            return std::make_pair(4346, 11);	 // "convert_ushort16_sat"
          }
          break;
        }
        break;
      }
      break;
    case 'g':	 // 1 string to match.
      if (memcmp(Name.data()+1, "et_global_linear_id", 19) != 0)
        break;
      return std::make_pair(7270, 1);	 // "get_global_linear_id"
    }
    break;
  case 21:	 // 85 strings to match.
    switch (Name[0]) {
    default: break;
    case 'a':	 // 1 string to match.
      if (memcmp(Name.data()+1, "sync_work_group_copy", 20) != 0)
        break;
      return std::make_pair(8042, 2);	 // "async_work_group_copy"
    case 'c':	 // 84 strings to match.
      if (memcmp(Name.data()+1, "onvert_", 7) != 0)
        break;
      switch (Name[8]) {
      default: break;
      case 'c':	 // 16 strings to match.
        if (memcmp(Name.data()+9, "har", 3) != 0)
          break;
        switch (Name[12]) {
        default: break;
        case '2':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(2388, 11);	 // "convert_char2_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(2454, 11);	 // "convert_char2_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(2520, 11);	 // "convert_char2_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(2586, 11);	 // "convert_char2_sat_rtz"
          }
          break;
        case '3':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(2399, 11);	 // "convert_char3_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(2465, 11);	 // "convert_char3_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(2531, 11);	 // "convert_char3_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(2597, 11);	 // "convert_char3_sat_rtz"
          }
          break;
        case '4':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(2410, 11);	 // "convert_char4_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(2476, 11);	 // "convert_char4_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(2542, 11);	 // "convert_char4_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(2608, 11);	 // "convert_char4_sat_rtz"
          }
          break;
        case '8':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(2421, 11);	 // "convert_char8_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(2487, 11);	 // "convert_char8_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(2553, 11);	 // "convert_char8_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(2619, 11);	 // "convert_char8_sat_rtz"
          }
          break;
        }
        break;
      case 'f':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "loat_sat_rt", 11) != 0)
          break;
        switch (Name[20]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(1805, 11);	 // "convert_float_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(1871, 11);	 // "convert_float_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(1937, 11);	 // "convert_float_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(243, 11);	 // "convert_float_sat_rtz"
        }
        break;
      case 'h':	 // 16 strings to match.
        if (memcmp(Name.data()+9, "alf", 3) != 0)
          break;
        switch (Name[12]) {
        default: break;
        case '2':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(1519, 11);	 // "convert_half2_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(1596, 11);	 // "convert_half2_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(1662, 11);	 // "convert_half2_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(1739, 11);	 // "convert_half2_sat_rtz"
          }
          break;
        case '3':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(1530, 11);	 // "convert_half3_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(1607, 11);	 // "convert_half3_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(1673, 11);	 // "convert_half3_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(1750, 11);	 // "convert_half3_sat_rtz"
          }
          break;
        case '4':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(1541, 11);	 // "convert_half4_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(1618, 11);	 // "convert_half4_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(1684, 11);	 // "convert_half4_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(1761, 11);	 // "convert_half4_sat_rtz"
          }
          break;
        case '8':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(1552, 11);	 // "convert_half8_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(1629, 11);	 // "convert_half8_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(1706, 11);	 // "convert_half8_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(1772, 11);	 // "convert_half8_sat_rtz"
          }
          break;
        }
        break;
      case 'i':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "nt16_sat_rt", 11) != 0)
          break;
        switch (Name[20]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(5072, 11);	 // "convert_int16_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(5138, 11);	 // "convert_int16_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(5204, 11);	 // "convert_int16_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(5270, 11);	 // "convert_int16_sat_rtz"
        }
        break;
      case 'l':	 // 16 strings to match.
        if (memcmp(Name.data()+9, "ong", 3) != 0)
          break;
        switch (Name[12]) {
        default: break;
        case '2':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(6348, 11);	 // "convert_long2_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(6414, 11);	 // "convert_long2_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(6480, 11);	 // "convert_long2_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(6546, 11);	 // "convert_long2_sat_rtz"
          }
          break;
        case '3':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(6359, 11);	 // "convert_long3_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(6425, 11);	 // "convert_long3_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(6491, 11);	 // "convert_long3_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(6557, 11);	 // "convert_long3_sat_rtz"
          }
          break;
        case '4':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(6370, 11);	 // "convert_long4_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(6436, 11);	 // "convert_long4_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(6502, 11);	 // "convert_long4_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(6568, 11);	 // "convert_long4_sat_rtz"
          }
          break;
        case '8':	 // 4 strings to match.
          if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(6381, 11);	 // "convert_long8_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(6447, 11);	 // "convert_long8_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(6513, 11);	 // "convert_long8_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(6579, 11);	 // "convert_long8_sat_rtz"
          }
          break;
        }
        break;
      case 's':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "hort_sat_rt", 11) != 0)
          break;
        switch (Name[20]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(3697, 11);	 // "convert_short_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(3763, 11);	 // "convert_short_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(3829, 11);	 // "convert_short_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(3895, 11);	 // "convert_short_sat_rtz"
        }
        break;
      case 'u':	 // 24 strings to match.
        switch (Name[9]) {
        default: break;
        case 'c':	 // 4 strings to match.
          if (memcmp(Name.data()+10, "har_sat_rt", 10) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(3037, 11);	 // "convert_uchar_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(3103, 11);	 // "convert_uchar_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(3169, 11);	 // "convert_uchar_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(3235, 11);	 // "convert_uchar_sat_rtz"
          }
          break;
        case 'i':	 // 16 strings to match.
          if (memcmp(Name.data()+10, "nt", 2) != 0)
            break;
          switch (Name[12]) {
          default: break;
          case '2':	 // 4 strings to match.
            if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
              break;
            switch (Name[20]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(5688, 11);	 // "convert_uint2_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(5754, 11);	 // "convert_uint2_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(5820, 11);	 // "convert_uint2_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(5886, 11);	 // "convert_uint2_sat_rtz"
            }
            break;
          case '3':	 // 4 strings to match.
            if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
              break;
            switch (Name[20]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(5699, 11);	 // "convert_uint3_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(5765, 11);	 // "convert_uint3_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(5831, 11);	 // "convert_uint3_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(5897, 11);	 // "convert_uint3_sat_rtz"
            }
            break;
          case '4':	 // 4 strings to match.
            if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
              break;
            switch (Name[20]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(5710, 11);	 // "convert_uint4_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(5776, 11);	 // "convert_uint4_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(5842, 11);	 // "convert_uint4_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(5908, 11);	 // "convert_uint4_sat_rtz"
            }
            break;
          case '8':	 // 4 strings to match.
            if (memcmp(Name.data()+13, "_sat_rt", 7) != 0)
              break;
            switch (Name[20]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(5721, 11);	 // "convert_uint8_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(5787, 11);	 // "convert_uint8_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(5853, 11);	 // "convert_uint8_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(5919, 11);	 // "convert_uint8_sat_rtz"
            }
            break;
          }
          break;
        case 'l':	 // 4 strings to match.
          if (memcmp(Name.data()+10, "ong_sat_rt", 10) != 0)
            break;
          switch (Name[20]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(6997, 11);	 // "convert_ulong_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(7063, 11);	 // "convert_ulong_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(7129, 11);	 // "convert_ulong_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(7195, 11);	 // "convert_ulong_sat_rtz"
          }
          break;
        }
        break;
      }
      break;
    }
    break;
  case 22:	 // 89 strings to match.
    switch (Name[0]) {
    default: break;
    case 'c':	 // 88 strings to match.
      if (memcmp(Name.data()+1, "onvert_", 7) != 0)
        break;
      switch (Name[8]) {
      default: break;
      case 'c':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "har16_sat_rt", 12) != 0)
          break;
        switch (Name[21]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(2432, 11);	 // "convert_char16_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(2498, 11);	 // "convert_char16_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(2564, 11);	 // "convert_char16_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(2630, 11);	 // "convert_char16_sat_rtz"
        }
        break;
      case 'd':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "ouble_sat_rt", 12) != 0)
          break;
        switch (Name[21]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(419, 11);	 // "convert_double_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(496, 11);	 // "convert_double_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(562, 11);	 // "convert_double_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(639, 11);	 // "convert_double_sat_rtz"
        }
        break;
      case 'f':	 // 16 strings to match.
        if (memcmp(Name.data()+9, "loat", 4) != 0)
          break;
        switch (Name[13]) {
        default: break;
        case '2':	 // 4 strings to match.
          if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
            break;
          switch (Name[21]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(1816, 11);	 // "convert_float2_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(1882, 11);	 // "convert_float2_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(1948, 11);	 // "convert_float2_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(364, 11);	 // "convert_float2_sat_rtz"
          }
          break;
        case '3':	 // 4 strings to match.
          if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
            break;
          switch (Name[21]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(1827, 11);	 // "convert_float3_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(1893, 11);	 // "convert_float3_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(1959, 11);	 // "convert_float3_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(485, 11);	 // "convert_float3_sat_rtz"
          }
          break;
        case '4':	 // 4 strings to match.
          if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
            break;
          switch (Name[21]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(1838, 11);	 // "convert_float4_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(1904, 11);	 // "convert_float4_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(1970, 11);	 // "convert_float4_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(606, 11);	 // "convert_float4_sat_rtz"
          }
          break;
        case '8':	 // 4 strings to match.
          if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
            break;
          switch (Name[21]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(1849, 11);	 // "convert_float8_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(1915, 11);	 // "convert_float8_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(1, 11);	 // "convert_float8_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(727, 11);	 // "convert_float8_sat_rtz"
          }
          break;
        }
        break;
      case 'h':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "alf16_sat_rt", 12) != 0)
          break;
        switch (Name[21]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(1563, 11);	 // "convert_half16_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(1640, 11);	 // "convert_half16_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(1717, 11);	 // "convert_half16_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(1783, 11);	 // "convert_half16_sat_rtz"
        }
        break;
      case 'l':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "ong16_sat_rt", 12) != 0)
          break;
        switch (Name[21]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(6392, 11);	 // "convert_long16_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(6458, 11);	 // "convert_long16_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(6524, 11);	 // "convert_long16_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(6590, 11);	 // "convert_long16_sat_rtz"
        }
        break;
      case 's':	 // 16 strings to match.
        if (memcmp(Name.data()+9, "hort", 4) != 0)
          break;
        switch (Name[13]) {
        default: break;
        case '2':	 // 4 strings to match.
          if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
            break;
          switch (Name[21]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(3708, 11);	 // "convert_short2_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(3774, 11);	 // "convert_short2_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(3840, 11);	 // "convert_short2_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(3906, 11);	 // "convert_short2_sat_rtz"
          }
          break;
        case '3':	 // 4 strings to match.
          if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
            break;
          switch (Name[21]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(3719, 11);	 // "convert_short3_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(3785, 11);	 // "convert_short3_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(3851, 11);	 // "convert_short3_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(3917, 11);	 // "convert_short3_sat_rtz"
          }
          break;
        case '4':	 // 4 strings to match.
          if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
            break;
          switch (Name[21]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(3730, 11);	 // "convert_short4_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(3796, 11);	 // "convert_short4_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(3862, 11);	 // "convert_short4_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(3928, 11);	 // "convert_short4_sat_rtz"
          }
          break;
        case '8':	 // 4 strings to match.
          if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
            break;
          switch (Name[21]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(3741, 11);	 // "convert_short8_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(3807, 11);	 // "convert_short8_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(3873, 11);	 // "convert_short8_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(3939, 11);	 // "convert_short8_sat_rtz"
          }
          break;
        }
        break;
      case 'u':	 // 40 strings to match.
        switch (Name[9]) {
        default: break;
        case 'c':	 // 16 strings to match.
          if (memcmp(Name.data()+10, "har", 3) != 0)
            break;
          switch (Name[13]) {
          default: break;
          case '2':	 // 4 strings to match.
            if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
              break;
            switch (Name[21]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(3048, 11);	 // "convert_uchar2_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(3114, 11);	 // "convert_uchar2_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(3180, 11);	 // "convert_uchar2_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(3246, 11);	 // "convert_uchar2_sat_rtz"
            }
            break;
          case '3':	 // 4 strings to match.
            if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
              break;
            switch (Name[21]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(3059, 11);	 // "convert_uchar3_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(3125, 11);	 // "convert_uchar3_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(3191, 11);	 // "convert_uchar3_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(3257, 11);	 // "convert_uchar3_sat_rtz"
            }
            break;
          case '4':	 // 4 strings to match.
            if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
              break;
            switch (Name[21]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(3070, 11);	 // "convert_uchar4_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(3136, 11);	 // "convert_uchar4_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(3202, 11);	 // "convert_uchar4_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(3268, 11);	 // "convert_uchar4_sat_rtz"
            }
            break;
          case '8':	 // 4 strings to match.
            if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
              break;
            switch (Name[21]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(3081, 11);	 // "convert_uchar8_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(3147, 11);	 // "convert_uchar8_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(3213, 11);	 // "convert_uchar8_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(3279, 11);	 // "convert_uchar8_sat_rtz"
            }
            break;
          }
          break;
        case 'i':	 // 4 strings to match.
          if (memcmp(Name.data()+10, "nt16_sat_rt", 11) != 0)
            break;
          switch (Name[21]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(5732, 11);	 // "convert_uint16_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(5798, 11);	 // "convert_uint16_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(5864, 11);	 // "convert_uint16_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(5930, 11);	 // "convert_uint16_sat_rtz"
          }
          break;
        case 'l':	 // 16 strings to match.
          if (memcmp(Name.data()+10, "ong", 3) != 0)
            break;
          switch (Name[13]) {
          default: break;
          case '2':	 // 4 strings to match.
            if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
              break;
            switch (Name[21]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(7008, 11);	 // "convert_ulong2_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(7074, 11);	 // "convert_ulong2_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(7140, 11);	 // "convert_ulong2_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(7206, 11);	 // "convert_ulong2_sat_rtz"
            }
            break;
          case '3':	 // 4 strings to match.
            if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
              break;
            switch (Name[21]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(7019, 11);	 // "convert_ulong3_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(7085, 11);	 // "convert_ulong3_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(7151, 11);	 // "convert_ulong3_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(7217, 11);	 // "convert_ulong3_sat_rtz"
            }
            break;
          case '4':	 // 4 strings to match.
            if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
              break;
            switch (Name[21]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(7030, 11);	 // "convert_ulong4_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(7096, 11);	 // "convert_ulong4_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(7162, 11);	 // "convert_ulong4_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(7228, 11);	 // "convert_ulong4_sat_rtz"
            }
            break;
          case '8':	 // 4 strings to match.
            if (memcmp(Name.data()+14, "_sat_rt", 7) != 0)
              break;
            switch (Name[21]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(7041, 11);	 // "convert_ulong8_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(7107, 11);	 // "convert_ulong8_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(7173, 11);	 // "convert_ulong8_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(7239, 11);	 // "convert_ulong8_sat_rtz"
            }
            break;
          }
          break;
        case 's':	 // 4 strings to match.
          if (memcmp(Name.data()+10, "hort_sat_rt", 11) != 0)
            break;
          switch (Name[21]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(4357, 11);	 // "convert_ushort_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(4423, 11);	 // "convert_ushort_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(4489, 11);	 // "convert_ushort_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(4555, 11);	 // "convert_ushort_sat_rtz"
          }
          break;
        }
        break;
      }
      break;
    case 'g':	 // 1 string to match.
      if (memcmp(Name.data()+1, "et_max_sub_group_size", 21) != 0)
        break;
      return std::make_pair(8231, 1);	 // "get_max_sub_group_size"
    }
    break;
  case 23:	 // 49 strings to match.
    switch (Name[0]) {
    default: break;
    case 'c':	 // 48 strings to match.
      if (memcmp(Name.data()+1, "onvert_", 7) != 0)
        break;
      switch (Name[8]) {
      default: break;
      case 'd':	 // 16 strings to match.
        if (memcmp(Name.data()+9, "ouble", 5) != 0)
          break;
        switch (Name[14]) {
        default: break;
        case '2':	 // 4 strings to match.
          if (memcmp(Name.data()+15, "_sat_rt", 7) != 0)
            break;
          switch (Name[22]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(430, 11);	 // "convert_double2_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(507, 11);	 // "convert_double2_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(573, 11);	 // "convert_double2_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(650, 11);	 // "convert_double2_sat_rtz"
          }
          break;
        case '3':	 // 4 strings to match.
          if (memcmp(Name.data()+15, "_sat_rt", 7) != 0)
            break;
          switch (Name[22]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(441, 11);	 // "convert_double3_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(518, 11);	 // "convert_double3_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(584, 11);	 // "convert_double3_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(661, 11);	 // "convert_double3_sat_rtz"
          }
          break;
        case '4':	 // 4 strings to match.
          if (memcmp(Name.data()+15, "_sat_rt", 7) != 0)
            break;
          switch (Name[22]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(452, 11);	 // "convert_double4_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(529, 11);	 // "convert_double4_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(595, 11);	 // "convert_double4_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(672, 11);	 // "convert_double4_sat_rtz"
          }
          break;
        case '8':	 // 4 strings to match.
          if (memcmp(Name.data()+15, "_sat_rt", 7) != 0)
            break;
          switch (Name[22]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(463, 11);	 // "convert_double8_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(540, 11);	 // "convert_double8_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(617, 11);	 // "convert_double8_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(683, 11);	 // "convert_double8_sat_rtz"
          }
          break;
        }
        break;
      case 'f':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "loat16_sat_rt", 13) != 0)
          break;
        switch (Name[22]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(1860, 11);	 // "convert_float16_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(1926, 11);	 // "convert_float16_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(122, 11);	 // "convert_float16_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(738, 11);	 // "convert_float16_sat_rtz"
        }
        break;
      case 's':	 // 4 strings to match.
        if (memcmp(Name.data()+9, "hort16_sat_rt", 13) != 0)
          break;
        switch (Name[22]) {
        default: break;
        case 'e':	 // 1 string to match.
          return std::make_pair(3752, 11);	 // "convert_short16_sat_rte"
        case 'n':	 // 1 string to match.
          return std::make_pair(3818, 11);	 // "convert_short16_sat_rtn"
        case 'p':	 // 1 string to match.
          return std::make_pair(3884, 11);	 // "convert_short16_sat_rtp"
        case 'z':	 // 1 string to match.
          return std::make_pair(3950, 11);	 // "convert_short16_sat_rtz"
        }
        break;
      case 'u':	 // 24 strings to match.
        switch (Name[9]) {
        default: break;
        case 'c':	 // 4 strings to match.
          if (memcmp(Name.data()+10, "har16_sat_rt", 12) != 0)
            break;
          switch (Name[22]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(3092, 11);	 // "convert_uchar16_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(3158, 11);	 // "convert_uchar16_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(3224, 11);	 // "convert_uchar16_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(3290, 11);	 // "convert_uchar16_sat_rtz"
          }
          break;
        case 'l':	 // 4 strings to match.
          if (memcmp(Name.data()+10, "ong16_sat_rt", 12) != 0)
            break;
          switch (Name[22]) {
          default: break;
          case 'e':	 // 1 string to match.
            return std::make_pair(7052, 11);	 // "convert_ulong16_sat_rte"
          case 'n':	 // 1 string to match.
            return std::make_pair(7118, 11);	 // "convert_ulong16_sat_rtn"
          case 'p':	 // 1 string to match.
            return std::make_pair(7184, 11);	 // "convert_ulong16_sat_rtp"
          case 'z':	 // 1 string to match.
            return std::make_pair(7250, 11);	 // "convert_ulong16_sat_rtz"
          }
          break;
        case 's':	 // 16 strings to match.
          if (memcmp(Name.data()+10, "hort", 4) != 0)
            break;
          switch (Name[14]) {
          default: break;
          case '2':	 // 4 strings to match.
            if (memcmp(Name.data()+15, "_sat_rt", 7) != 0)
              break;
            switch (Name[22]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(4368, 11);	 // "convert_ushort2_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(4434, 11);	 // "convert_ushort2_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(4500, 11);	 // "convert_ushort2_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(4566, 11);	 // "convert_ushort2_sat_rtz"
            }
            break;
          case '3':	 // 4 strings to match.
            if (memcmp(Name.data()+15, "_sat_rt", 7) != 0)
              break;
            switch (Name[22]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(4379, 11);	 // "convert_ushort3_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(4445, 11);	 // "convert_ushort3_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(4511, 11);	 // "convert_ushort3_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(4577, 11);	 // "convert_ushort3_sat_rtz"
            }
            break;
          case '4':	 // 4 strings to match.
            if (memcmp(Name.data()+15, "_sat_rt", 7) != 0)
              break;
            switch (Name[22]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(4390, 11);	 // "convert_ushort4_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(4456, 11);	 // "convert_ushort4_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(4522, 11);	 // "convert_ushort4_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(4588, 11);	 // "convert_ushort4_sat_rtz"
            }
            break;
          case '8':	 // 4 strings to match.
            if (memcmp(Name.data()+15, "_sat_rt", 7) != 0)
              break;
            switch (Name[22]) {
            default: break;
            case 'e':	 // 1 string to match.
              return std::make_pair(4401, 11);	 // "convert_ushort8_sat_rte"
            case 'n':	 // 1 string to match.
              return std::make_pair(4467, 11);	 // "convert_ushort8_sat_rtn"
            case 'p':	 // 1 string to match.
              return std::make_pair(4533, 11);	 // "convert_ushort8_sat_rtp"
            case 'z':	 // 1 string to match.
              return std::make_pair(4599, 11);	 // "convert_ushort8_sat_rtz"
            }
            break;
          }
          break;
        }
        break;
      }
      break;
    case 'g':	 // 1 string to match.
      if (memcmp(Name.data()+1, "et_enqueued_local_size", 22) != 0)
        break;
      return std::make_pair(7269, 1);	 // "get_enqueued_local_size"
    }
    break;
  case 24:	 // 8 strings to match.
    if (memcmp(Name.data()+0, "convert_", 8) != 0)
      break;
    switch (Name[8]) {
    default: break;
    case 'd':	 // 4 strings to match.
      if (memcmp(Name.data()+9, "ouble16_sat_rt", 14) != 0)
        break;
      switch (Name[23]) {
      default: break;
      case 'e':	 // 1 string to match.
        return std::make_pair(474, 11);	 // "convert_double16_sat_rte"
      case 'n':	 // 1 string to match.
        return std::make_pair(551, 11);	 // "convert_double16_sat_rtn"
      case 'p':	 // 1 string to match.
        return std::make_pair(628, 11);	 // "convert_double16_sat_rtp"
      case 'z':	 // 1 string to match.
        return std::make_pair(694, 11);	 // "convert_double16_sat_rtz"
      }
      break;
    case 'u':	 // 4 strings to match.
      if (memcmp(Name.data()+9, "short16_sat_rt", 14) != 0)
        break;
      switch (Name[23]) {
      default: break;
      case 'e':	 // 1 string to match.
        return std::make_pair(4412, 11);	 // "convert_ushort16_sat_rte"
      case 'n':	 // 1 string to match.
        return std::make_pair(4478, 11);	 // "convert_ushort16_sat_rtn"
      case 'p':	 // 1 string to match.
        return std::make_pair(4544, 11);	 // "convert_ushort16_sat_rtp"
      case 'z':	 // 1 string to match.
        return std::make_pair(4610, 11);	 // "convert_ushort16_sat_rtz"
      }
      break;
    }
    break;
  case 29:	 // 1 string to match.
    if (memcmp(Name.data()+0, "async_work_group_strided_copy", 29) != 0)
      break;
    return std::make_pair(8044, 2);	 // "async_work_group_strided_copy"
  }
  return std::make_pair(0, 0);
} // isOpenCLBuiltin


// Convert an OpenCLTypeStruct type to a list of QualTypes.
// Generic types represent multiple types and vector sizes, thus a vector
// is returned. The conversion is done in two steps:
// Step 1: A switch statement fills a vector with scalar base types for the
//         Cartesian product of (vector sizes) x (types) for generic types,
//         or a single scalar type for non generic types.
// Step 2: Qualifiers and other type properties such as vector size are
//         applied.
static void OCL2Qual(ASTContext &Context, const OpenCLTypeStruct &Ty,
                     llvm::SmallVectorImpl<QualType> &QT) {
  // Number of scalar types in the GenType.
  unsigned GenTypeNumTypes;
  // Pointer to the list of vector sizes for the GenType.
  llvm::ArrayRef<unsigned> GenVectorSizes;
  constexpr unsigned ListVec1[] = {1, };
  constexpr unsigned ListVecAndScalar[] = {1, 2, 3, 4, 8, 16, };
  constexpr unsigned ListVecNoScalar[] = {2, 3, 4, 8, 16, };

  switch (Ty.ID) {
    case OCLT_Image1d:
      switch (Ty.AccessQualifier) {
        case OCLAQ_None:
          llvm_unreachable("Image without access qualifier");
        case OCLAQ_ReadOnly:
          QT.push_back(Context.OCLImage1dROTy);
          break;
        case OCLAQ_ReadWrite:
          QT.push_back(Context.OCLImage1dRWTy);
          break;
        case OCLAQ_WriteOnly:
          QT.push_back(Context.OCLImage1dWOTy);
          break;
      }
      break;
    case OCLT_Image1dArray:
      switch (Ty.AccessQualifier) {
        case OCLAQ_None:
          llvm_unreachable("Image without access qualifier");
        case OCLAQ_ReadOnly:
          QT.push_back(Context.OCLImage1dArrayROTy);
          break;
        case OCLAQ_ReadWrite:
          QT.push_back(Context.OCLImage1dArrayRWTy);
          break;
        case OCLAQ_WriteOnly:
          QT.push_back(Context.OCLImage1dArrayWOTy);
          break;
      }
      break;
    case OCLT_Image1dBuffer:
      switch (Ty.AccessQualifier) {
        case OCLAQ_None:
          llvm_unreachable("Image without access qualifier");
        case OCLAQ_ReadOnly:
          QT.push_back(Context.OCLImage1dBufferROTy);
          break;
        case OCLAQ_ReadWrite:
          QT.push_back(Context.OCLImage1dBufferRWTy);
          break;
        case OCLAQ_WriteOnly:
          QT.push_back(Context.OCLImage1dBufferWOTy);
          break;
      }
      break;
    case OCLT_Image2d:
      switch (Ty.AccessQualifier) {
        case OCLAQ_None:
          llvm_unreachable("Image without access qualifier");
        case OCLAQ_ReadOnly:
          QT.push_back(Context.OCLImage2dROTy);
          break;
        case OCLAQ_ReadWrite:
          QT.push_back(Context.OCLImage2dRWTy);
          break;
        case OCLAQ_WriteOnly:
          QT.push_back(Context.OCLImage2dWOTy);
          break;
      }
      break;
    case OCLT_Image2dArray:
      switch (Ty.AccessQualifier) {
        case OCLAQ_None:
          llvm_unreachable("Image without access qualifier");
        case OCLAQ_ReadOnly:
          QT.push_back(Context.OCLImage2dArrayROTy);
          break;
        case OCLAQ_ReadWrite:
          QT.push_back(Context.OCLImage2dArrayRWTy);
          break;
        case OCLAQ_WriteOnly:
          QT.push_back(Context.OCLImage2dArrayWOTy);
          break;
      }
      break;
    case OCLT_Image2dArrayDepth:
      switch (Ty.AccessQualifier) {
        case OCLAQ_None:
          llvm_unreachable("Image without access qualifier");
        case OCLAQ_ReadOnly:
          QT.push_back(Context.OCLImage2dArrayDepthROTy);
          break;
        case OCLAQ_ReadWrite:
          QT.push_back(Context.OCLImage2dArrayDepthRWTy);
          break;
        case OCLAQ_WriteOnly:
          QT.push_back(Context.OCLImage2dArrayDepthWOTy);
          break;
      }
      break;
    case OCLT_Image2dDepth:
      switch (Ty.AccessQualifier) {
        case OCLAQ_None:
          llvm_unreachable("Image without access qualifier");
        case OCLAQ_ReadOnly:
          QT.push_back(Context.OCLImage2dDepthROTy);
          break;
        case OCLAQ_ReadWrite:
          QT.push_back(Context.OCLImage2dDepthRWTy);
          break;
        case OCLAQ_WriteOnly:
          QT.push_back(Context.OCLImage2dDepthWOTy);
          break;
      }
      break;
    case OCLT_Image3d:
      switch (Ty.AccessQualifier) {
        case OCLAQ_None:
          llvm_unreachable("Image without access qualifier");
        case OCLAQ_ReadOnly:
          QT.push_back(Context.OCLImage3dROTy);
          break;
        case OCLAQ_ReadWrite:
          QT.push_back(Context.OCLImage3dRWTy);
          break;
        case OCLAQ_WriteOnly:
          QT.push_back(Context.OCLImage3dWOTy);
          break;
      }
      break;
    case OCLT_AGenTypeN:
      QT.append({Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, });
      GenTypeNumTypes = 11;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_AGenTypeNNoScalar:
      QT.append({Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, });
      GenTypeNumTypes = 11;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_AIGenType1:
      QT.append({Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, });
      GenTypeNumTypes = 8;
      GenVectorSizes = ListVec1;
      break;
    case OCLT_AIGenTypeN:
      QT.append({Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, });
      GenTypeNumTypes = 8;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_AIGenTypeNNoScalar:
      QT.append({Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, Context.CharTy, Context.UnsignedCharTy, Context.ShortTy, Context.UnsignedShortTy, Context.IntTy, Context.UnsignedIntTy, Context.LongTy, Context.UnsignedLongTy, });
      GenTypeNumTypes = 8;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_FGenTypeN:
      QT.append({Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, Context.FloatTy, Context.DoubleTy, Context.HalfTy, });
      GenTypeNumTypes = 3;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeCharVecAndScalar:
      QT.append({Context.CharTy, Context.CharTy, Context.CharTy, Context.CharTy, Context.CharTy, Context.CharTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeCharVecNoScalar:
      QT.append({Context.CharTy, Context.CharTy, Context.CharTy, Context.CharTy, Context.CharTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_GenTypeDoubleVecAndScalar:
      QT.append({Context.DoubleTy, Context.DoubleTy, Context.DoubleTy, Context.DoubleTy, Context.DoubleTy, Context.DoubleTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeDoubleVecNoScalar:
      QT.append({Context.DoubleTy, Context.DoubleTy, Context.DoubleTy, Context.DoubleTy, Context.DoubleTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_GenTypeFloatVecAndScalar:
      QT.append({Context.FloatTy, Context.FloatTy, Context.FloatTy, Context.FloatTy, Context.FloatTy, Context.FloatTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeFloatVecNoScalar:
      QT.append({Context.FloatTy, Context.FloatTy, Context.FloatTy, Context.FloatTy, Context.FloatTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_GenTypeHalfVecAndScalar:
      QT.append({Context.HalfTy, Context.HalfTy, Context.HalfTy, Context.HalfTy, Context.HalfTy, Context.HalfTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeHalfVecNoScalar:
      QT.append({Context.HalfTy, Context.HalfTy, Context.HalfTy, Context.HalfTy, Context.HalfTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_GenTypeIntVecAndScalar:
      QT.append({Context.IntTy, Context.IntTy, Context.IntTy, Context.IntTy, Context.IntTy, Context.IntTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeIntVecNoScalar:
      QT.append({Context.IntTy, Context.IntTy, Context.IntTy, Context.IntTy, Context.IntTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_GenTypeLongVecAndScalar:
      QT.append({Context.LongTy, Context.LongTy, Context.LongTy, Context.LongTy, Context.LongTy, Context.LongTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeLongVecNoScalar:
      QT.append({Context.LongTy, Context.LongTy, Context.LongTy, Context.LongTy, Context.LongTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_GenTypeShortVecAndScalar:
      QT.append({Context.ShortTy, Context.ShortTy, Context.ShortTy, Context.ShortTy, Context.ShortTy, Context.ShortTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeShortVecNoScalar:
      QT.append({Context.ShortTy, Context.ShortTy, Context.ShortTy, Context.ShortTy, Context.ShortTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_GenTypeUCharVecAndScalar:
      QT.append({Context.UnsignedCharTy, Context.UnsignedCharTy, Context.UnsignedCharTy, Context.UnsignedCharTy, Context.UnsignedCharTy, Context.UnsignedCharTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeUCharVecNoScalar:
      QT.append({Context.UnsignedCharTy, Context.UnsignedCharTy, Context.UnsignedCharTy, Context.UnsignedCharTy, Context.UnsignedCharTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_GenTypeUIntVecAndScalar:
      QT.append({Context.UnsignedIntTy, Context.UnsignedIntTy, Context.UnsignedIntTy, Context.UnsignedIntTy, Context.UnsignedIntTy, Context.UnsignedIntTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeUIntVecNoScalar:
      QT.append({Context.UnsignedIntTy, Context.UnsignedIntTy, Context.UnsignedIntTy, Context.UnsignedIntTy, Context.UnsignedIntTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_GenTypeULongVecAndScalar:
      QT.append({Context.UnsignedLongTy, Context.UnsignedLongTy, Context.UnsignedLongTy, Context.UnsignedLongTy, Context.UnsignedLongTy, Context.UnsignedLongTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeULongVecNoScalar:
      QT.append({Context.UnsignedLongTy, Context.UnsignedLongTy, Context.UnsignedLongTy, Context.UnsignedLongTy, Context.UnsignedLongTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_GenTypeUShortVecAndScalar:
      QT.append({Context.UnsignedShortTy, Context.UnsignedShortTy, Context.UnsignedShortTy, Context.UnsignedShortTy, Context.UnsignedShortTy, Context.UnsignedShortTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecAndScalar;
      break;
    case OCLT_GenTypeUShortVecNoScalar:
      QT.append({Context.UnsignedShortTy, Context.UnsignedShortTy, Context.UnsignedShortTy, Context.UnsignedShortTy, Context.UnsignedShortTy, });
      GenTypeNumTypes = 1;
      GenVectorSizes = ListVecNoScalar;
      break;
    case OCLT_bool:
      QT.push_back(Context.BoolTy);
      break;
    case OCLT_char:
      QT.push_back(Context.CharTy);
      break;
    case OCLT_double:
      QT.push_back(Context.DoubleTy);
      break;
    case OCLT_Event:
      QT.push_back(Context.OCLEventTy);
      break;
    case OCLT_float:
      QT.push_back(Context.FloatTy);
      break;
    case OCLT_half:
      QT.push_back(Context.HalfTy);
      break;
    case OCLT_int:
      QT.push_back(Context.IntTy);
      break;
    case OCLT_intptr_t:
      QT.push_back(Context.getIntPtrType());
      break;
    case OCLT_long:
      QT.push_back(Context.LongTy);
      break;
    case OCLT_ptrdiff_t:
      QT.push_back(Context.getPointerDiffType());
      break;
    case OCLT_Sampler:
      QT.push_back(Context.OCLSamplerTy);
      break;
    case OCLT_short:
      QT.push_back(Context.ShortTy);
      break;
    case OCLT_size_t:
      QT.push_back(Context.getSizeType());
      break;
    case OCLT_uchar:
      QT.push_back(Context.UnsignedCharTy);
      break;
    case OCLT_uint:
      QT.push_back(Context.UnsignedIntTy);
      break;
    case OCLT_uintPtr_t:
      QT.push_back(Context.getUIntPtrType());
      break;
    case OCLT_ulong:
      QT.push_back(Context.UnsignedLongTy);
      break;
    case OCLT_ushort:
      QT.push_back(Context.UnsignedShortTy);
      break;
    case OCLT_void_t:
      QT.push_back(Context.VoidTy);
      break;
    default:
      llvm_unreachable("OpenCL builtin type not handled yet");
  } // end of switch (Ty.ID)

  // Construct the different vector types for each generic type.
  if (Ty.ID >= 31) {
    for (unsigned I = 0; I < QT.size(); I++) {
      // For scalars, size is 1.
      if (GenVectorSizes[I / GenTypeNumTypes] != 1) {
        QT[I] = Context.getExtVectorType(QT[I],
                          GenVectorSizes[I / GenTypeNumTypes]);
      }
    }
  }

  // Set vector size for non-generic vector types.
  if (Ty.VectorWidth > 1) {
    for (unsigned Index = 0; Index < QT.size(); Index++) {
      QT[Index] = Context.getExtVectorType(QT[Index], Ty.VectorWidth);
    }
  }

  if (Ty.IsVolatile != 0) {
    for (unsigned Index = 0; Index < QT.size(); Index++) {
      QT[Index] = Context.getVolatileType(QT[Index]);
    }
  }

  if (Ty.IsConst != 0) {
    for (unsigned Index = 0; Index < QT.size(); Index++) {
      QT[Index] = Context.getConstType(QT[Index]);
    }
  }

  // Transform the type to a pointer as the last step, if necessary.
  // Builtin functions only have pointers on [const|volatile], no
  // [const|volatile] pointers, so this is ok to do it as a last step.
  if (Ty.IsPointer != 0) {
    for (unsigned Index = 0; Index < QT.size(); Index++) {
      QT[Index] = Context.getAddrSpaceQualType(QT[Index], Ty.AS);
      QT[Index] = Context.getPointerType(QT[Index]);
    }
  }

} // OCL2Qual
